/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2017, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 264 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTACH = 296,
    ATTRIBUTE = 297,
    AUTHORIZATION = 298,
    BACKWARD = 299,
    BEFORE = 300,
    BEGIN_P = 301,
    BETWEEN = 302,
    BIGINT = 303,
    BINARY = 304,
    BIT = 305,
    BOOLEAN_P = 306,
    BOTH = 307,
    BY = 308,
    CACHE = 309,
    CALLED = 310,
    CASCADE = 311,
    CASCADED = 312,
    CASE = 313,
    CAST = 314,
    CATALOG_P = 315,
    CHAIN = 316,
    CHAR_P = 317,
    CHARACTER = 318,
    CHARACTERISTICS = 319,
    CHECK = 320,
    CHECKPOINT = 321,
    CLASS = 322,
    CLOSE = 323,
    CLUSTER = 324,
    COALESCE = 325,
    COLLATE = 326,
    COLLATION = 327,
    COLUMN = 328,
    COLUMNS = 329,
    COMMENT = 330,
    COMMENTS = 331,
    COMMIT = 332,
    COMMITTED = 333,
    CONCURRENTLY = 334,
    CONFIGURATION = 335,
    CONFLICT = 336,
    CONNECTION = 337,
    CONSTRAINT = 338,
    CONSTRAINTS = 339,
    CONTENT_P = 340,
    CONTINUE_P = 341,
    CONVERSION_P = 342,
    COPY = 343,
    COST = 344,
    CREATE = 345,
    CROSS = 346,
    CSV = 347,
    CUBE = 348,
    CURRENT_P = 349,
    CURRENT_CATALOG = 350,
    CURRENT_DATE = 351,
    CURRENT_ROLE = 352,
    CURRENT_SCHEMA = 353,
    CURRENT_TIME = 354,
    CURRENT_TIMESTAMP = 355,
    CURRENT_USER = 356,
    CURSOR = 357,
    CYCLE = 358,
    DATA_P = 359,
    DATABASE = 360,
    DAY_P = 361,
    DEALLOCATE = 362,
    DEC = 363,
    DECIMAL_P = 364,
    DECLARE = 365,
    DEFAULT = 366,
    DEFAULTS = 367,
    DEFERRABLE = 368,
    DEFERRED = 369,
    DEFINER = 370,
    DELETE_P = 371,
    DELIMITER = 372,
    DELIMITERS = 373,
    DEPENDS = 374,
    DESC = 375,
    DETACH = 376,
    DICTIONARY = 377,
    DISABLE_P = 378,
    DISCARD = 379,
    DISTINCT = 380,
    DO = 381,
    DOCUMENT_P = 382,
    DOMAIN_P = 383,
    DOUBLE_P = 384,
    DROP = 385,
    EACH = 386,
    ELSE = 387,
    ENABLE_P = 388,
    ENCODING = 389,
    ENCRYPTED = 390,
    END_P = 391,
    ENUM_P = 392,
    ESCAPE = 393,
    EVENT = 394,
    EXCEPT = 395,
    EXCLUDE = 396,
    EXCLUDING = 397,
    EXCLUSIVE = 398,
    EXECUTE = 399,
    EXISTS = 400,
    EXPLAIN = 401,
    EXTENSION = 402,
    EXTERNAL = 403,
    EXTRACT = 404,
    FALSE_P = 405,
    FAMILY = 406,
    FETCH = 407,
    FILTER = 408,
    FIRST_P = 409,
    FLOAT_P = 410,
    FOLLOWING = 411,
    FOR = 412,
    FORCE = 413,
    FOREIGN = 414,
    FORWARD = 415,
    FREEZE = 416,
    FROM = 417,
    FULL = 418,
    FUNCTION = 419,
    FUNCTIONS = 420,
    GENERATED = 421,
    GLOBAL = 422,
    GRANT = 423,
    GRANTED = 424,
    GREATEST = 425,
    GROUP_P = 426,
    GROUPING = 427,
    HANDLER = 428,
    HAVING = 429,
    HEADER_P = 430,
    HOLD = 431,
    HOUR_P = 432,
    IDENTITY_P = 433,
    IF_P = 434,
    ILIKE = 435,
    IMMEDIATE = 436,
    IMMUTABLE = 437,
    IMPLICIT_P = 438,
    IMPORT_P = 439,
    IN_P = 440,
    INCLUDING = 441,
    INCREMENT = 442,
    INDEX = 443,
    INDEXES = 444,
    INHERIT = 445,
    INHERITS = 446,
    INITIALLY = 447,
    INLINE_P = 448,
    INNER_P = 449,
    INOUT = 450,
    INPUT_P = 451,
    INSENSITIVE = 452,
    INSERT = 453,
    INSTEAD = 454,
    INT_P = 455,
    INTEGER = 456,
    INTERSECT = 457,
    INTERVAL = 458,
    INTO = 459,
    INVOKER = 460,
    IS = 461,
    ISNULL = 462,
    ISOLATION = 463,
    JOIN = 464,
    KEY = 465,
    LABEL = 466,
    LANGUAGE = 467,
    LARGE_P = 468,
    LAST_P = 469,
    LATERAL_P = 470,
    LEADING = 471,
    LEAKPROOF = 472,
    LEAST = 473,
    LEFT = 474,
    LEVEL = 475,
    LIKE = 476,
    LIMIT = 477,
    LISTEN = 478,
    LOAD = 479,
    LOCAL = 480,
    LOCALTIME = 481,
    LOCALTIMESTAMP = 482,
    LOCATION = 483,
    LOCK_P = 484,
    LOCKED = 485,
    LOGGED = 486,
    MAPPING = 487,
    MATCH = 488,
    MATERIALIZED = 489,
    MAXVALUE = 490,
    METHOD = 491,
    MINUTE_P = 492,
    MINVALUE = 493,
    MODE = 494,
    MONTH_P = 495,
    MOVE = 496,
    NAME_P = 497,
    NAMES = 498,
    NATIONAL = 499,
    NATURAL = 500,
    NCHAR = 501,
    NEW = 502,
    NEXT = 503,
    NO = 504,
    NONE = 505,
    NOT = 506,
    NOTHING = 507,
    NOTIFY = 508,
    NOTNULL = 509,
    NOWAIT = 510,
    NULL_P = 511,
    NULLIF = 512,
    NULLS_P = 513,
    NUMERIC = 514,
    OBJECT_P = 515,
    OF = 516,
    OFF = 517,
    OFFSET = 518,
    OIDS = 519,
    OLD = 520,
    ON = 521,
    ONLY = 522,
    OPERATOR = 523,
    OPTION = 524,
    OPTIONS = 525,
    OR = 526,
    ORDER = 527,
    ORDINALITY = 528,
    OUT_P = 529,
    OUTER_P = 530,
    OVER = 531,
    OVERLAPS = 532,
    OVERLAY = 533,
    OVERRIDING = 534,
    OWNED = 535,
    OWNER = 536,
    PARALLEL = 537,
    PARSER = 538,
    PARTIAL = 539,
    PARTITION = 540,
    PASSING = 541,
    PASSWORD = 542,
    PLACING = 543,
    PLANS = 544,
    POLICY = 545,
    POSITION = 546,
    PRECEDING = 547,
    PRECISION = 548,
    PRESERVE = 549,
    PREPARE = 550,
    PREPARED = 551,
    PRIMARY = 552,
    PRIOR = 553,
    PRIVILEGES = 554,
    PROCEDURAL = 555,
    PROCEDURE = 556,
    PROGRAM = 557,
    PUBLICATION = 558,
    QUOTE = 559,
    RANGE = 560,
    READ = 561,
    REAL = 562,
    REASSIGN = 563,
    RECHECK = 564,
    RECURSIVE = 565,
    REF = 566,
    REFERENCES = 567,
    REFERENCING = 568,
    REFRESH = 569,
    REINDEX = 570,
    RELATIVE_P = 571,
    RELEASE = 572,
    RENAME = 573,
    REPEATABLE = 574,
    REPLACE = 575,
    REPLICA = 576,
    RESET = 577,
    RESTART = 578,
    RESTRICT = 579,
    RETURNING = 580,
    RETURNS = 581,
    REVOKE = 582,
    RIGHT = 583,
    ROLE = 584,
    ROLLBACK = 585,
    ROLLUP = 586,
    ROW = 587,
    ROWS = 588,
    RULE = 589,
    SAVEPOINT = 590,
    SCHEMA = 591,
    SCHEMAS = 592,
    SCROLL = 593,
    SEARCH = 594,
    SECOND_P = 595,
    SECURITY = 596,
    SELECT = 597,
    SEQUENCE = 598,
    SEQUENCES = 599,
    SERIALIZABLE = 600,
    SERVER = 601,
    SESSION = 602,
    SESSION_USER = 603,
    SET = 604,
    SETS = 605,
    SETOF = 606,
    SHARE = 607,
    SHOW = 608,
    SIMILAR = 609,
    SIMPLE = 610,
    SKIP = 611,
    SMALLINT = 612,
    SNAPSHOT = 613,
    SOME = 614,
    SQL_P = 615,
    STABLE = 616,
    STANDALONE_P = 617,
    START = 618,
    STATEMENT = 619,
    STATISTICS = 620,
    STDIN = 621,
    STDOUT = 622,
    STORAGE = 623,
    STRICT_P = 624,
    STRIP_P = 625,
    SUBSCRIPTION = 626,
    SUBSTRING = 627,
    SYMMETRIC = 628,
    SYSID = 629,
    SYSTEM_P = 630,
    TABLE = 631,
    TABLES = 632,
    TABLESAMPLE = 633,
    TABLESPACE = 634,
    TEMP = 635,
    TEMPLATE = 636,
    TEMPORARY = 637,
    TEXT_P = 638,
    THEN = 639,
    TIME = 640,
    TIMESTAMP = 641,
    TO = 642,
    TRAILING = 643,
    TRANSACTION = 644,
    TRANSFORM = 645,
    TREAT = 646,
    TRIGGER = 647,
    TRIM = 648,
    TRUE_P = 649,
    TRUNCATE = 650,
    TRUSTED = 651,
    TYPE_P = 652,
    TYPES_P = 653,
    UNBOUNDED = 654,
    UNCOMMITTED = 655,
    UNENCRYPTED = 656,
    UNION = 657,
    UNIQUE = 658,
    UNKNOWN = 659,
    UNLISTEN = 660,
    UNLOGGED = 661,
    UNTIL = 662,
    UPDATE = 663,
    USER = 664,
    USING = 665,
    VACUUM = 666,
    VALID = 667,
    VALIDATE = 668,
    VALIDATOR = 669,
    VALUE_P = 670,
    VALUES = 671,
    VARCHAR = 672,
    VARIADIC = 673,
    VARYING = 674,
    VERBOSE = 675,
    VERSION_P = 676,
    VIEW = 677,
    VIEWS = 678,
    VOLATILE = 679,
    WHEN = 680,
    WHERE = 681,
    WHITESPACE_P = 682,
    WINDOW = 683,
    WITH = 684,
    WITHIN = 685,
    WITHOUT = 686,
    WORK = 687,
    WRAPPER = 688,
    WRITE = 689,
    XML_P = 690,
    XMLATTRIBUTES = 691,
    XMLCONCAT = 692,
    XMLELEMENT = 693,
    XMLEXISTS = 694,
    XMLFOREST = 695,
    XMLNAMESPACES = 696,
    XMLPARSE = 697,
    XMLPI = 698,
    XMLROOT = 699,
    XMLSERIALIZE = 700,
    XMLTABLE = 701,
    YEAR_P = 702,
    YES_P = 703,
    ZONE = 704,
    NOT_LA = 705,
    NULLS_LA = 706,
    WITH_LA = 707,
    POSTFIXOP = 708,
    UMINUS = 709
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 202 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;

#line 803 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 833 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  784
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   97367

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  472
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  653
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2662
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5319

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   709

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   461,     2,     2,
     466,   467,   459,   457,   470,   458,   468,   460,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   471,   469,
     453,   455,   454,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   464,     2,   465,   462,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   456,   463
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   775,   775,   791,   803,   813,   814,   815,   816,   817,
     818,   819,   820,   821,   822,   823,   824,   825,   826,   827,
     828,   829,   830,   831,   832,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   844,   845,   846,   847,
     848,   849,   850,   851,   852,   853,   854,   855,   856,   857,
     858,   859,   860,   861,   862,   863,   864,   865,   866,   867,
     868,   869,   870,   871,   872,   873,   874,   875,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   893,   894,   895,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   905,   906,   907,
     908,   909,   910,   911,   912,   913,   914,   915,   916,   917,
     918,   919,   920,   921,   922,   923,   924,   925,   926,   927,
     928,   929,   930,   931,   932,   933,   934,   935,   937,   947,
     958,   959,   960,   969,   970,   974,   975,   979,   984,   988,
     998,  1006,  1010,  1014,  1019,  1023,  1071,  1073,  1077,  1081,
    1085,  1089,  1103,  1121,  1129,  1140,  1141,  1145,  1153,  1161,
    1169,  1190,  1197,  1204,  1211,  1218,  1225,  1242,  1260,  1271,
    1272,  1283,  1293,  1303,  1318,  1336,  1337,  1341,  1348,  1356,
    1357,  1358,  1359,  1360,  1361,  1375,  1381,  1387,  1396,  1404,
    1412,  1416,  1424,  1432,  1439,  1448,  1449,  1457,  1468,  1476,
    1484,  1495,  1503,  1511,  1518,  1527,  1537,  1538,  1542,  1543,
    1546,  1548,  1552,  1553,  1554,  1555,  1559,  1560,  1561,  1567,
    1579,  1583,  1587,  1602,  1609,  1610,  1611,  1615,  1616,  1617,
    1621,  1622,  1626,  1630,  1631,  1638,  1645,  1655,  1662,  1672,
    1673,  1678,  1679,  1684,  1690,  1696,  1702,  1708,  1718,  1728,
    1729,  1733,  1734,  1742,  1757,  1763,  1769,  1775,  1781,  1800,
    1809,  1818,  1827,  1836,  1847,  1858,  1867,  1876,  1887,  1898,
    1907,  1916,  1925,  1934,  1943,  1952,  1963,  1977,  1978,  1983,
    1996,  2012,  2021,  2030,  2039,  2048,  2057,  2065,  2073,  2082,
    2091,  2100,  2109,  2126,  2135,  2144,  2153,  2163,  2176,  2191,
    2200,  2208,  2223,  2231,  2241,  2251,  2258,  2265,  2273,  2281,
    2288,  2295,  2303,  2311,  2319,  2326,  2333,  2341,  2348,  2355,
    2363,  2371,  2379,  2387,  2395,  2403,  2413,  2420,  2428,  2436,
    2444,  2452,  2460,  2467,  2474,  2481,  2487,  2497,  2498,  2502,
    2503,  2504,  2508,  2516,  2520,  2521,  2525,  2532,  2539,  2546,
    2556,  2559,  2560,  2564,  2565,  2570,  2574,  2578,  2583,  2590,
    2592,  2597,  2601,  2605,  2616,  2624,  2636,  2650,  2651,  2652,
    2653,  2654,  2658,  2659,  2664,  2665,  2670,  2680,  2690,  2710,
    2723,  2724,  2729,  2738,  2748,  2758,  2784,  2790,  2823,  2852,
    2874,  2875,  2879,  2880,  2889,  2890,  2891,  2894,  2895,  2900,
    2901,  2905,  2909,  2913,  2917,  2921,  2925,  2929,  2933,  2937,
    2941,  2945,  2949,  2953,  2957,  2966,  2970,  2974,  2978,  2982,
    2986,  2990,  2991,  2996,  3000,  3007,  3014,  3015,  3016,  3017,
    3018,  3022,  3026,  3034,  3045,  3062,  3080,  3099,  3118,  3137,
    3169,  3170,  3171,  3172,  3173,  3180,  3187,  3188,  3192,  3193,
    3197,  3198,  3202,  3206,  3213,  3217,  3224,  3225,  3226,  3230,
    3231,  3234,  3256,  3275,  3297,  3298,  3302,  3309,  3310,  3311,
    3342,  3349,  3356,  3367,  3378,  3390,  3399,  3408,  3426,  3427,
    3446,  3453,  3460,  3467,  3478,  3488,  3489,  3490,  3494,  3495,
    3496,  3497,  3498,  3499,  3500,  3501,  3510,  3517,  3521,  3534,
    3549,  3563,  3578,  3592,  3610,  3631,  3632,  3636,  3637,  3641,
    3642,  3645,  3651,  3655,  3663,  3668,  3674,  3675,  3679,  3684,
    3691,  3692,  3702,  3704,  3706,  3708,  3711,  3714,  3717,  3721,
    3722,  3723,  3724,  3725,  3728,  3729,  3733,  3734,  3737,  3749,
    3750,  3753,  3754,  3757,  3768,  3779,  3793,  3794,  3795,  3796,
    3799,  3800,  3801,  3802,  3805,  3806,  3809,  3810,  3813,  3831,
    3842,  3866,  3879,  3895,  3909,  3910,  3911,  3923,  3936,  3952,
    3965,  3966,  3978,  3998,  4008,  4021,  4029,  4040,  4041,  4044,
    4045,  4048,  4049,  4052,  4056,  4060,  4064,  4068,  4072,  4076,
    4080,  4084,  4088,  4092,  4097,  4101,  4105,  4111,  4112,  4116,
    4117,  4118,  4123,  4126,  4127,  4139,  4151,  4166,  4167,  4175,
    4176,  4180,  4181,  4185,  4186,  4190,  4191,  4195,  4205,  4218,
    4219,  4229,  4240,  4241,  4254,  4261,  4278,  4286,  4297,  4300,
    4304,  4308,  4312,  4316,  4328,  4338,  4341,  4345,  4358,  4367,
    4376,  4385,  4394,  4403,  4412,  4421,  4430,  4439,  4448,  4457,
    4466,  4475,  4484,  4493,  4502,  4511,  4520,  4529,  4538,  4547,
    4556,  4565,  4574,  4583,  4601,  4612,  4613,  4614,  4615,  4619,
    4620,  4624,  4625,  4635,  4643,  4655,  4656,  4660,  4664,  4672,
    4676,  4680,  4687,  4691,  4696,  4701,  4708,  4715,  4720,  4730,
    4742,  4757,  4758,  4763,  4764,  4768,  4769,  4779,  4788,  4796,
    4813,  4833,  4853,  4874,  4905,  4914,  4935,  4950,  4951,  4955,
    4963,  4978,  4987,  4999,  5000,  5012,  5020,  5037,  5061,  5078,
    5092,  5093,  5097,  5098,  5102,  5103,  5107,  5108,  5112,  5126,
    5130,  5131,  5135,  5136,  5137,  5138,  5139,  5149,  5167,  5188,
    5214,  5215,  5216,  5220,  5222,  5244,  5246,  5248,  5250,  5252,
    5257,  5258,  5262,  5263,  5267,  5278,  5279,  5283,  5292,  5296,
    5300,  5305,  5315,  5316,  5320,  5321,  5325,  5326,  5330,  5331,
    5332,  5336,  5340,  5341,  5342,  5346,  5347,  5352,  5353,  5380,
    5381,  5382,  5383,  5384,  5385,  5398,  5408,  5422,  5424,  5429,
    5434,  5436,  5441,  5451,  5452,  5453,  5454,  5466,  5486,  5508,
    5518,  5529,  5539,  5549,  5560,  5569,  5576,  5583,  5592,  5601,
    5610,  5619,  5628,  5638,  5647,  5659,  5662,  5663,  5666,  5670,
    5677,  5678,  5679,  5680,  5681,  5682,  5685,  5688,  5689,  5697,
    5704,  5705,  5708,  5710,  5721,  5732,  5743,  5754,  5767,  5768,
    5784,  5799,  5800,  5804,  5816,  5826,  5834,  5843,  5852,  5853,
    5856,  5857,  5860,  5861,  5862,  5865,  5879,  5884,  5894,  5903,
    5915,  5916,  5920,  5928,  5940,  5950,  5963,  5973,  5995,  6005,
    6023,  6033,  6043,  6053,  6063,  6073,  6083,  6093,  6103,  6113,
    6123,  6133,  6147,  6148,  6149,  6150,  6151,  6152,  6153,  6154,
    6155,  6156,  6157,  6158,  6159,  6164,  6165,  6166,  6167,  6168,
    6169,  6170,  6175,  6176,  6177,  6181,  6182,  6185,  6186,  6189,
    6191,  6196,  6197,  6207,  6218,  6219,  6220,  6254,  6262,  6270,
    6278,  6286,  6294,  6302,  6310,  6318,  6331,  6339,  6347,  6355,
    6363,  6371,  6379,  6387,  6399,  6400,  6401,  6402,  6403,  6404,
    6405,  6406,  6407,  6408,  6409,  6410,  6411,  6412,  6417,  6418,
    6419,  6420,  6421,  6422,  6423,  6424,  6425,  6426,  6427,  6428,
    6432,  6433,  6447,  6457,  6467,  6477,  6487,  6497,  6507,  6519,
    6520,  6525,  6526,  6527,  6528,  6529,  6530,  6535,  6536,  6537,
    6538,  6539,  6540,  6541,  6542,  6545,  6546,  6556,  6562,  6570,
    6578,  6586,  6594,  6602,  6610,  6618,  6626,  6634,  6642,  6650,
    6658,  6666,  6674,  6682,  6690,  6700,  6701,  6704,  6705,  6715,
    6731,  6745,  6771,  6773,  6775,  6777,  6784,  6793,  6794,  6797,
    6804,  6811,  6818,  6832,  6840,  6848,  6856,  6864,  6872,  6880,
    6888,  6896,  6904,  6912,  6920,  6928,  6936,  6944,  6952,  6964,
    6965,  6969,  6970,  6975,  6976,  6986,  6999,  7009,  7021,  7022,
    7025,  7026,  7036,  7046,  7047,  7051,  7055,  7059,  7070,  7083,
    7097,  7114,  7115,  7116,  7117,  7118,  7130,  7156,  7185,  7186,
    7190,  7191,  7195,  7196,  7200,  7201,  7204,  7205,  7213,  7224,
    7235,  7248,  7249,  7252,  7253,  7256,  7257,  7258,  7261,  7262,
    7263,  7279,  7291,  7304,  7319,  7320,  7323,  7324,  7328,  7329,
    7333,  7334,  7339,  7351,  7358,  7365,  7380,  7381,  7385,  7386,
    7401,  7410,  7419,  7428,  7437,  7449,  7450,  7451,  7452,  7453,
    7459,  7463,  7478,  7479,  7485,  7495,  7499,  7504,  7512,  7553,
    7557,  7561,  7565,  7573,  7574,  7578,  7588,  7589,  7595,  7596,
    7603,  7607,  7611,  7615,  7619,  7623,  7627,  7631,  7635,  7639,
    7643,  7647,  7651,  7655,  7659,  7664,  7671,  7675,  7679,  7683,
    7687,  7693,  7694,  7701,  7702,  7706,  7707,  7710,  7722,  7726,
    7741,  7752,  7753,  7758,  7759,  7774,  7784,  7797,  7807,  7820,
    7830,  7843,  7851,  7853,  7855,  7860,  7862,  7867,  7868,  7873,
    7891,  7900,  7901,  7905,  7909,  7921,  7932,  7943,  7956,  7957,
    7958,  7962,  7974,  7975,  7985,  7997,  8001,  8005,  8009,  8016,
    8036,  8045,  8054,  8063,  8074,  8075,  8078,  8079,  8080,  8083,
    8084,  8087,  8097,  8106,  8123,  8132,  8141,  8150,  8159,  8168,
    8177,  8186,  8195,  8204,  8213,  8222,  8231,  8241,  8251,  8260,
    8269,  8278,  8287,  8297,  8307,  8317,  8327,  8337,  8347,  8357,
    8367,  8377,  8387,  8397,  8407,  8418,  8429,  8440,  8451,  8461,
    8471,  8482,  8493,  8503,  8513,  8521,  8530,  8539,  8548,  8557,
    8566,  8575,  8584,  8593,  8602,  8616,  8617,  8620,  8621,  8631,
    8639,  8648,  8656,  8673,  8682,  8691,  8700,  8709,  8718,  8727,
    8736,  8745,  8754,  8763,  8772,  8781,  8790,  8799,  8808,  8817,
    8826,  8835,  8844,  8853,  8862,  8871,  8880,  8889,  8907,  8916,
    8917,  8920,  8922,  8928,  8929,  8930,  8931,  8932,  8941,  8949,
    8957,  8965,  8973,  8981,  8989,  8997,  9005,  9013,  9021,  9029,
    9037,  9045,  9053,  9061,  9069,  9077,  9085,  9093,  9101,  9109,
    9127,  9146,  9147,  9151,  9155,  9175,  9182,  9190,  9198,  9215,
    9228,  9232,  9239,  9248,  9257,  9266,  9275,  9285,  9295,  9313,
    9321,  9337,  9354,  9355,  9356,  9361,  9367,  9376,  9377,  9378,
    9379,  9380,  9384,  9385,  9388,  9389,  9390,  9391,  9395,  9396,
    9397,  9409,  9419,  9420,  9423,  9432,  9438,  9457,  9464,  9471,
    9478,  9485,  9492,  9499,  9507,  9515,  9523,  9531,  9539,  9546,
    9553,  9562,  9563,  9564,  9568,  9571,  9574,  9577,  9580,  9587,
    9589,  9591,  9596,  9598,  9610,  9623,  9636,  9654,  9675,  9676,
    9677,  9678,  9688,  9704,  9714,  9715,  9719,  9720,  9724,  9728,
    9732,  9750,  9751,  9752,  9753,  9754,  9755,  9756,  9763,  9764,
    9775,  9782,  9789,  9800,  9817,  9824,  9840,  9857,  9863,  9879,
    9892,  9901,  9909,  9917,  9926,  9937,  9948,  9958,  9959,  9970,
    9980,  9991, 10002, 10013, 10024, 10033, 10045, 10046, 10060, 10083,
   10091, 10100, 10111, 10112, 10124, 10138, 10152, 10164, 10172, 10185,
   10186, 10190, 10191, 10192, 10193, 10194, 10207, 10217, 10230, 10231,
   10235, 10236, 10239, 10240, 10243, 10244, 10248, 10249, 10262, 10269,
   10279, 10286, 10296, 10297, 10298, 10299, 10300, 10301, 10302, 10303,
   10304, 10308, 10312, 10319, 10326, 10327, 10331, 10332, 10333, 10343,
   10353, 10354, 10358, 10359, 10360, 10361, 10371, 10378, 10396, 10397,
   10407, 10413, 10419, 10425, 10441, 10459, 10463, 10471, 10477, 10484,
   10490, 10497, 10506, 10507, 10511, 10513, 10518, 10529, 10539, 10549,
   10555, 10564, 10573, 10579, 10580, 10591, 10605, 10606, 10617, 10628,
   10629, 10632, 10633, 10634, 10635, 10636, 10637, 10638, 10639, 10642,
   10643, 10647, 10648, 10649, 10660, 10678, 10679, 10683, 10688, 10712,
   10723, 10724, 10734, 10745, 10748, 10749, 10750, 10751, 10752, 10755,
   10756, 10757, 10805, 10806, 10810, 10811, 10826, 10827, 10834, 10842,
   10850, 10858, 10866, 10874, 10885, 10886, 10913, 10927, 10942, 10943,
   10962, 10966, 10970, 10987, 10994, 11001, 11011, 11012, 11015, 11027,
   11028, 11032, 11044, 11052, 11057, 11062, 11067, 11072, 11080, 11088,
   11093, 11098, 11105, 11106, 11110, 11111, 11112, 11119, 11120, 11124,
   11125, 11129, 11130, 11134, 11138, 11139, 11142, 11151, 11164, 11165,
   11166, 11167, 11171, 11172, 11176, 11178, 11194, 11196, 11201, 11204,
   11209, 11210, 11218, 11238, 11239, 11241, 11246, 11247, 11251, 11252,
   11255, 11256, 11281, 11282, 11286, 11287, 11291, 11292, 11293, 11294,
   11295, 11299, 11312, 11319, 11326, 11333, 11334, 11338, 11339, 11343,
   11344, 11348, 11349, 11353, 11364, 11365, 11366, 11367, 11371, 11372,
   11382, 11388, 11406, 11407, 11411, 11412, 11418, 11423, 11431, 11438,
   11446, 11452, 11459, 11494, 11519, 11523, 11549, 11553, 11565, 11578,
   11592, 11603, 11618, 11624, 11629, 11635, 11642, 11643, 11651, 11655,
   11659, 11665, 11672, 11677, 11678, 11679, 11680, 11684, 11685, 11697,
   11698, 11703, 11710, 11717, 11724, 11735, 11736, 11749, 11753, 11760,
   11773, 11786, 11787, 11802, 11812, 11824, 11829, 11830, 11833, 11834,
   11837, 11838, 11843, 11844, 11849, 11850, 11858, 11863, 11864, 11868,
   11872, 11878, 11903, 11913, 11926, 11927, 11931, 11945, 12002, 12016,
   12018, 12023, 12025, 12027, 12029, 12034, 12036, 12041, 12049, 12069,
   12074, 12081, 12086, 12092, 12097, 12106, 12108, 12111, 12115, 12116,
   12117, 12118, 12119, 12120, 12125, 12145, 12146, 12147, 12148, 12159,
   12165, 12173, 12174, 12180, 12185, 12190, 12195, 12200, 12205, 12210,
   12215, 12221, 12227, 12233, 12240, 12262, 12271, 12275, 12283, 12287,
   12295, 12307, 12328, 12332, 12338, 12342, 12355, 12363, 12373, 12375,
   12377, 12379, 12381, 12383, 12388, 12389, 12396, 12405, 12413, 12422,
   12433, 12441, 12442, 12443, 12447, 12449, 12451, 12453, 12455, 12457,
   12459, 12464, 12469, 12475, 12483, 12488, 12495, 12502, 12506, 12510,
   12546, 12547, 12549, 12557, 12572, 12574, 12576, 12578, 12580, 12582,
   12584, 12586, 12588, 12590, 12592, 12594, 12596, 12598, 12601, 12603,
   12605, 12608, 12610, 12612, 12614, 12617, 12622, 12630, 12635, 12643,
   12648, 12656, 12661, 12670, 12678, 12686, 12694, 12712, 12720, 12728,
   12736, 12744, 12760, 12768, 12776, 12784, 12792, 12800, 12808, 12812,
   12816, 12820, 12824, 12832, 12840, 12848, 12856, 12876, 12898, 12909,
   12916, 12932, 12937, 12943, 12968, 12970, 12972, 12974, 12976, 12978,
   12980, 12982, 12984, 12986, 12988, 12990, 12992, 12994, 12996, 12998,
   13000, 13002, 13004, 13006, 13010, 13014, 13018, 13022, 13027, 13043,
   13044, 13045, 13060, 13094, 13096, 13098, 13109, 13133, 13144, 13155,
   13162, 13172, 13182, 13191, 13195, 13201, 13208, 13215, 13225, 13232,
   13260, 13295, 13306, 13307, 13314, 13320, 13324, 13328, 13332, 13336,
   13340, 13344, 13348, 13352, 13356, 13360, 13364, 13368, 13372, 13376,
   13380, 13382, 13386, 13395, 13400, 13407, 13422, 13429, 13433, 13437,
   13441, 13445, 13452, 13460, 13468, 13472, 13476, 13480, 13484, 13488,
   13494, 13498, 13507, 13511, 13515, 13520, 13534, 13536, 13540, 13542,
   13544, 13547, 13550, 13553, 13554, 13557, 13565, 13575, 13576, 13579,
   13580, 13581, 13586, 13590, 13594, 13598, 13609, 13610, 13614, 13615,
   13623, 13624, 13628, 13629, 13634, 13642, 13644, 13658, 13661, 13688,
   13689, 13692, 13693, 13704, 13722, 13729, 13738, 13755, 13800, 13808,
   13816, 13824, 13832, 13853, 13854, 13855, 13858, 13859, 13862, 13865,
   13866, 13867, 13870, 13871, 13874, 13875, 13876, 13877, 13878, 13879,
   13880, 13881, 13882, 13883, 13884, 13885, 13888, 13890, 13895, 13897,
   13902, 13904, 13906, 13908, 13910, 13912, 13924, 13928, 13935, 13939,
   13945, 13949, 13958, 13969, 13970, 13973, 13977, 13981, 13987, 13988,
   13993, 13997, 14004, 14005, 14006, 14007, 14008, 14009, 14010, 14011,
   14021, 14025, 14032, 14039, 14040, 14056, 14060, 14065, 14069, 14084,
   14089, 14093, 14096, 14099, 14100, 14101, 14104, 14111, 14121, 14135,
   14136, 14140, 14151, 14152, 14155, 14156, 14159, 14163, 14170, 14174,
   14178, 14186, 14197, 14198, 14202, 14203, 14207, 14208, 14211, 14212,
   14222, 14223, 14227, 14228, 14231, 14247, 14255, 14263, 14285, 14286,
   14297, 14301, 14328, 14330, 14335, 14338, 14341, 14343, 14345, 14347,
   14357, 14359, 14370, 14374, 14378, 14382, 14386, 14395, 14402, 14434,
   14438, 14444, 14451, 14455, 14459, 14465, 14466, 14468, 14469, 14470,
   14474, 14504, 14531, 14535, 14541, 14543, 14560, 14561, 14562, 14567,
   14568, 14569, 14574, 14575, 14576, 14577, 14583, 14584, 14585, 14586,
   14587, 14607, 14608, 14609, 14610, 14611, 14612, 14613, 14614, 14615,
   14616, 14617, 14618, 14619, 14620, 14621, 14622, 14623, 14624, 14625,
   14626, 14627, 14628, 14629, 14630, 14631, 14632, 14633, 14634, 14635,
   14636, 14637, 14638, 14639, 14640, 14641, 14642, 14643, 14644, 14645,
   14646, 14647, 14648, 14649, 14650, 14651, 14652, 14653, 14654, 14655,
   14656, 14657, 14658, 14659, 14660, 14661, 14662, 14663, 14664, 14665,
   14666, 14667, 14668, 14669, 14670, 14671, 14672, 14673, 14674, 14675,
   14676, 14677, 14678, 14679, 14680, 14681, 14682, 14683, 14684, 14685,
   14686, 14687, 14688, 14689, 14690, 14691, 14692, 14693, 14694, 14695,
   14696, 14697, 14698, 14699, 14700, 14701, 14702, 14703, 14704, 14705,
   14706, 14707, 14708, 14709, 14710, 14711, 14712, 14713, 14714, 14715,
   14716, 14717, 14718, 14719, 14720, 14721, 14722, 14723, 14724, 14725,
   14726, 14727, 14728, 14729, 14730, 14731, 14732, 14733, 14734, 14735,
   14736, 14737, 14738, 14739, 14740, 14741, 14742, 14743, 14744, 14745,
   14746, 14747, 14748, 14749, 14750, 14751, 14752, 14753, 14754, 14755,
   14756, 14757, 14758, 14759, 14760, 14761, 14762, 14763, 14764, 14765,
   14766, 14767, 14768, 14769, 14770, 14771, 14772, 14773, 14774, 14775,
   14776, 14777, 14778, 14779, 14780, 14781, 14782, 14783, 14784, 14785,
   14786, 14787, 14788, 14789, 14790, 14791, 14792, 14793, 14794, 14795,
   14796, 14797, 14798, 14799, 14800, 14801, 14802, 14803, 14804, 14805,
   14806, 14807, 14808, 14809, 14810, 14811, 14812, 14813, 14814, 14815,
   14816, 14817, 14818, 14819, 14820, 14821, 14822, 14823, 14824, 14825,
   14826, 14827, 14828, 14829, 14830, 14831, 14832, 14833, 14834, 14835,
   14836, 14837, 14838, 14839, 14840, 14841, 14842, 14843, 14844, 14845,
   14846, 14847, 14848, 14849, 14850, 14851, 14852, 14853, 14854, 14855,
   14856, 14857, 14858, 14859, 14860, 14861, 14862, 14863, 14864, 14865,
   14866, 14867, 14868, 14869, 14870, 14871, 14872, 14873, 14874, 14875,
   14876, 14877, 14878, 14879, 14880, 14881, 14882, 14883, 14884, 14885,
   14886, 14887, 14888, 14902, 14903, 14904, 14905, 14906, 14907, 14908,
   14909, 14910, 14911, 14912, 14913, 14914, 14915, 14916, 14917, 14918,
   14919, 14920, 14921, 14922, 14923, 14924, 14925, 14926, 14927, 14928,
   14929, 14930, 14931, 14932, 14933, 14934, 14935, 14936, 14937, 14938,
   14939, 14940, 14941, 14942, 14943, 14944, 14945, 14946, 14947, 14948,
   14949, 14950, 14951, 14965, 14966, 14967, 14968, 14969, 14970, 14971,
   14972, 14973, 14974, 14975, 14976, 14977, 14978, 14979, 14980, 14981,
   14982, 14983, 14984, 14985, 14986, 14987, 14997, 14998, 14999, 15000,
   15001, 15002, 15003, 15004, 15005, 15006, 15007, 15008, 15009, 15010,
   15011, 15012, 15013, 15014, 15015, 15016, 15017, 15018, 15019, 15020,
   15021, 15022, 15023, 15024, 15025, 15026, 15027, 15028, 15029, 15030,
   15031, 15032, 15033, 15034, 15035, 15036, 15037, 15038, 15039, 15040,
   15041, 15042, 15043, 15044, 15045, 15046, 15047, 15048, 15049, 15050,
   15051, 15052, 15053, 15054, 15055, 15056, 15057, 15058, 15059, 15060,
   15061, 15062, 15063, 15064, 15065, 15066, 15067, 15068, 15069, 15070,
   15071, 15072, 15073
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT",
  "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P",
  "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA",
  "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE",
  "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P",
  "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER",
  "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY",
  "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "';'", "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "ForValues", "partbound_datum", "partbound_datum_list",
  "range_datum_list", "PartitionRangeDatum", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "func_alias_clause", "join_type",
  "join_outer", "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,    60,    62,    61,   708,    43,    45,    42,
      47,    37,    94,   709,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4782

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4782)))

#define YYTABLE_NINF -2569

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2569)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    8241,   -15, 11015, -4782, -4782,   -15, -4782, 66229,   -10,   694,
      42,   174, 17167, 66676, 73381,   187,   293,  9960,   -15, 73381,
    2781, 51031, 63100,   817, 73381,  1276,  1034, 51031, 73381, 73828,
    1150,  1281,   893, 74275, 67123, 61759,  1072, 73381,  1320,  1142,
   74722, 67570,  1187, 68017,  1034, 47483,   319,  1258, 75169, 73381,
    1579,  1762,  1159, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782,   -10, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,  1700, -4782,
     721,  2736,    50,   768,  1307, -4782, -4782, -4782, 59524, 73381,
   73381, 73381,  1548, 73381,  1489, 73381,   748, 59524, 55501, 68464,
    1657,  1526, 43901, 75616, -4782, 73381, 53713, 73381, 73381, 76063,
   73381, 73381, 73381,    76, 64441, 73381,  1621, 73381, 73381, 54160,
   76510,  1777,  1396, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, 73381, 16520,  1276, -4782, -4782,  1579, 73381,
    1744, 59524, 73381,  1558, 76957,  1682, 73381, -4782, 73381,  1689,
   77404,   752,  1683, 55501,  1794, 44349,  1712, 73381, 73381, 55501,
   77851, 78298, 78745, 73381, 73381, -4782, -4782,  1780, 73381, 73381,
   -4782,  1928, 55948,  1427,  1935,  2014,  1956,   725, -4782, 68911,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, 58630,   293,
   -4782, -4782,  1959, 59971, 73381,  2011, -4782, -4782, 79192, 94320,
    1809, -4782,   755, 60418, 56395,  2127,  1801, 44797,  2215, -4782,
   -4782, 56842, -4782, -4782, -4782, -4782, -4782, 79639, -4782, 80086,
    1915,  2011, -4782, 94753, 57289, -4782,  2074, 80533, 80980, 81427,
   -4782,  1829,   870,  1841, 39845, -4782, -4782, -4782,   -10, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782,   240,  1529,   191,
     192,   196, -4782, -4782,   194,   197,   203,   240,  2290,  2290,
   -4782, 73381, -4782, -4782,  1529,    29,  1838,  1838,  1838,  2086,
     -25, -4782,  1838,  1927, -4782, -4782, -4782, -4782, 68017, -4782,
    1873,  1276,  1890,  2304,  1941, -4782, -4782, -4782, -4782, -4782,
    1949, 73381, 73381, 73381, -4782, -4782,  2332,  1958,  2184,  1930,
   -4782, -4782, -4782,  2134,  2152,  2147,   117,  1276,  2055, -4782,
    2268, -4782,  2180, 27014, 27014,  1276, 69358, 81874,   232, 58630,
    1276, 69805,  2025,  1370,  2194, -4782, -4782, -4782,   868, -4782,
    2432,  2040,  2305,  1930,  1396, 41194, -4782,  2067,  1176, 68017,
   -4782, -4782, -4782,   274,  2353, 28870, 73381,  2063, -4782,  2108,
    2063,  2095,  2113,    50, -4782,  8241, 73381,  1352,  1352,  2532,
    1352,  1753,  1830, -4782,  2750, -4782,  2434,  2397, 68017,  2136,
     202, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782,  1361,  2137,  1176, -4782,   222, -4782,
    1726,  2142,  1499,  1607, -4782, -4782,   872, 73381,   459,  2178,
   70252,  3338,  2165,  1176,  2171, -4782, -4782, -4782,  2300,   326,
   -4782, -4782, -4782, -4782,  2457,  2498,  5744,   200, 70699, -4782,
   -4782, -4782, -4782, 73381, 73381, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782,  2213,  1063, -4782, -4782,  2228,  2557,
    2441,   267,  2537,  2399,  1542,  2466,   106,  2578,  7625,  1555,
    1617,  1440, 71146, 73381,  2548,  2593,  6390,  1818,   735,  2497,
     978,  2537,  2610,  2459,  1542,  2633,  7831, 73381, -4782,  2562,
    2670,   608, -4782,    98, -4782,  2377,  2529,  1008,  2566, 59524,
    2342, -4782, -4782, 73381, -4782, -4782, 95186,  2418, -4782,   833,
   59524, -4782,  2567,  2404, 45245, 73381, -4782, -4782, 73381, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782,  2494,  2677, 73381, 95186,
   -4782,  2630, 73381, 73381, -4782,  2381, -4782, -4782, -4782, -4782,
    1838, 73381,  2378,  2784, 95186,  2609,   125, 73381,  1288,  2830,
   73381,  2616,  1288,  2446, 82321, -4782, -4782,  1288, -4782, -4782,
   -4782, 73381, 73381,  2414,  1631,  2615,  2728,  1288,  2635,  2854,
    2855,  2652,  2507,  2660,  2108,  2831,  2639,   883,  1336,   210,
    1718,  1288,  2500, 82768, 83215, 73381,  2505, 73381,  2849, 59524,
   73381,  2772, -4782,  2632, -4782, -4782,  1192, -4782, -4782, -4782,
   -4782, -4782,  2785, -4782,   186,   789,  2788,  2468,  2792, -4782,
   -4782, -4782,  2521, -4782,  2521,  2521,  2475,  2475,  2649,  2481,
    2800, -4782, -4782, -4782,  2070,  2521,  2475, -4782, 96052, -4782,
     -30,  1610, -4782,   266, -4782,  2916, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782,  2487, -4782,  1207,  1714, -4782, -4782,
    2533, -4782,  2817,   276, -4782,  2822, -4782,  2504, 83662, -4782,
   84109, 84556,  2823,   286, -4782, 55501,  2825,  2504,  2833,   789,
    2836, -4782,   901,  2819,  2837,   266,  2838,  1882,  2504, 59077,
    2839,   289, -4782,  2840,   401, -4782,  2841,  2722, 28870, -4782,
    2614, -4782,  1258, -4782,   552, -4782, 50137, -4782,  1841,  1529,
   -4782, 73381,  1529, 73381,  1529, 73381,  1529, 73381,  1529, 73381,
   73381, 73381,  1529, -4782, -4782, -4782, 73381,  2527, 73381, 73381,
   -4782, -4782, -4782, 63547, 55501, 63994, -4782, 73381, -4782,   692,
    1276, -4782, -4782, 95186,  2960, 55501,  2849, -4782,  1701, -4782,
   -4782, -4782, -4782, -4782, -4782,  2776, 73381,  2845,  2846, 63547,
   55501, -4782, 85003, 58630,  2732,  2541, -4782, -4782, -4782, -4782,
   -4782,  1851,  3004,   220,  3005, 28870,  2545,   220,   220,  2546,
    2858, -4782, -4782, -4782,   225,  2552,  2553, -4782,   201,   201,
   -4782,  2555,  2559, -4782,   219,  2560,  2561,  3018,  3023,   223,
    2564,  2569,  2570,  2070,   220, 28870, -4782,  2572,   201,  2574,
    2575,  2576,  3027,  2579, -4782,  3028,  2583,   279,   306,  2584,
    2585, -4782,  2555, -4782,   235,  2586,  2587,  2588,  2589,  2590,
    2591,  2592,  2594, 28870, 28870, 28870, -4782, 25622,  1176,  1276,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,   238,  6275,
   -4782,  2629, -4782, -4782,  2786, -4782, -4782, 28870, -4782, -4782,
     722, -4782,   239, -4782, -4782, -4782,  1176,  2857,  2595, -4782,
   -4782,   259,  2597, -4782,   356, -4782, -4782, -4782, -4782, -4782,
   -4782, 57736,  3029, -4782,   304,  1276,    98,   301,  2974, 49243,
   49690, -4782, -4782,  2856, -4782, 73381, -4782, -4782, 28870, 47036,
   -4782,  1176,   116, -4782, -4782, -4782, -4782,  1727, -4782, -4782,
   -4782,   -10, 15843,  1748,  2063, 73381, 73381,  3040, -4782, -4782,
   -4782,  2108, -4782, -4782,    50,    50, 28870,    50,   965,  1245,
   27478, 29334,  2923,  2824,   787,  1344,  2931, -4782,  2828,  1753,
    1830, 68017, 73381, 85450,  2742, 28870,  2705,  2710,  2766, 48377,
   -4782,  1176,  2716,  2683,  2721,  2773, 51925,  2642,  2725,  2726,
    2779, -4782,  2894, -4782, -4782,  2731,  2733, 85897, -4782, -4782,
     788, -4782, -4782, -4782,   788, -4782,  2666,  1524,   193,  1236,
    2735,   392,   761,  3041, -4782,  1401, -4782, -4782,  2794, -4782,
    5370, 73381,  2983,  8217,  2866,   200,  2867,  2796, -4782, -4782,
    2918,  2753, 73381,  2754,  2889,   200,   242, 86344, -4782, -4782,
   -4782, -4782, -4782, -4782,  3911, 24755, -4782,  1725,  2771,  2744,
    2782, 73381, 60865,   336,  2896,  2897,  1372,  2034,   231,  2832,
   73381,   845,  2899, 73381,  2699,  2783,  2787,  2988,  2702,  1867,
    3086,  2706, -4782, -4782, -4782,   404,  1017,  2898, -4782,  2990,
    3032,  6816,  2768,  2770, 93021, -4782,  2795,    25, 45693, 73381,
   73381,  2807,  2808,  2798,  2799,   613,  3084,  1571,  2803, -4782,
   -4782, -4782,  1571, 73381,  2804,  2805, 73381, 96052,   200, -4782,
    3141,   200,   200,  1800,  3142,  2809,   391,  2961,  2254,  1288,
    2706,  2043, -4782,  2811,  2815,   967, -4782,  2936,  2820,  2827,
    2873,  1276, -4782, -4782,  2834,  2908,  2842,    28, -4782, -4782,
    1546,  2844, 68017,  2930,  2932,   386,  2407,  2706, -4782,  2843,
    2848,  2702,  2702, 73381, 73381, 73381, 73381, 73381,   189,  3176,
    3177,  2852,   435,  2891,  2755, -4782,  1571, 54607,  2859, -4782,
    1571, 73381,  2861,  2439,  2706,   115,    87, -4782, -4782, -4782,
    1396, -4782, 73381, -4782, 73381, -4782,  3022, 95186,  2965,  3026,
   -4782,  2810, -4782,  3036,   200, -4782, 73381, 73381,  3038,  2987,
    2989,   905, 95186,  2991,  3048, -4782,  3050,  3052,  2874,  2835,
    2872, 48810, -4782,  2414,  2797,  3235,  3127, 73381, 51925, -4782,
    3249,   788, -4782, 95186,  3014,  3136, -4782, 73381,  3037,   581,
   -4782,  3172,  2879, -4782, -4782,    81, 73381,   184,  2868, -4782,
   -4782,  3150, 55501,  1373,  3154,  1276,  2880,  3158,  3039,  1276,
   55501,  3076, 73381, 73381, 73381, 73381, -4782, -4782,  3056,   980,
     180, -4782, 54607,  3058, -4782, 73381,  3062,  2043,  3067,  3284,
     799,  1838, 86791,  3164, -4782, 87238,  2862,  3287, 95186,  3111,
   -4782,  1856, -4782,  2992, -4782, 59524, -4782, -4782, 59524, -4782,
   -4782, -4782, 95186, 73381, -4782,  2871, -4782, -4782, 28870, -4782,
   -4782, -4782,  2290, -4782, 95186,  2521,  2521, -4782, -4782,  3291,
    2942,  2947,  2290, -4782,  2290, -4782, 95186, -4782,  2875,  2876,
    2290,  2951,  2954,  2955, -4782,  2877,  2958,  2290, -4782, -4782,
    1996, -4782, -4782, 59524, 59524, -4782, 55501, 55501,  3199,   289,
    3201,  2937,  3203,  2940, 45693, 45693, -4782,   406, 55501, 73381,
   -4782, 73381, -4782, -4782, -4782, -4782, 95186, 95186, -4782, 55501,
   54607,  3207,  3208,   789, 73381, 73381, -4782, 73381, 73381, -4782,
   73381, 73381,  1758, 87685,  1841, 58183, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, 73381, -4782, 73381, -4782, 73381, -4782,
   73381, -4782, 73381, -4782, -4782, -4782, 73381, -4782, 73381,  1768,
   -4782, -4782,  1773,   149, 73381, 73381,   182, 59524, 73381,  3094,
   73381, 73381, 73381, 73381, 73381,  2968,  2597,   628, -4782,  1201,
     221, 68017,  3101, -4782, -4782,  1786,  1579,   -17, 73381,  1360,
    1949, -4782, -4782, 63994, 63100,  3195,   104, 73381, -4782, -4782,
    5663, 28870,  1176, 26550, -4782, -4782, 15843,  2934, 28870, 28870,
    2901,  2290,  2290, -4782,   324, 28870, 28870, 28870,  2290,  2290,
   15018, 28870, 45693, 28870, 33974, 22925, 28870, 28870, 26086, -4782,
   28870,  3118, 35354, 28870,   301,  3129, 28870,   301, 15018,  3361,
    3361,  1448,  6566,  2903,  1176, -4782,  2290,   824, -4782,   233,
   95186, 28870, 28870, 28870, 28870, 51925,  2993,   244, 73381, 28870,
    2910,  1550, -4782, 28870, -4782,  2914, 28870,  2995,  1257, 28870,
   28870, 28870, 28870, 28870, 28870, 28870, 28870, 28870, -4782, 36701,
     255,  3212,  3221,    12,   372, 71593, 27014,  3225, 21995, -4782,
     287,  3225, -4782, -4782, -4782, 73381,  3029, -4782, -4782,  3001,
   -4782, -4782, -4782, -4782, -4782,   241, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782,  2926, -4782, -4782, -4782, -4782,  2926, -4782,
    2944, 11560,  2928, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,  3226,
    3241,   789, 73381,   274, 64888, -4782, 28870, -4782,  1791,  2959,
   -4782,  3211, -4782,  2950, -4782, 11920,  3211, -4782, -4782, 34432,
    3069,  3214,  3161, -4782, -4782, -4782,  2962, 15843, 29798, 29798,
   -4782,  1901, 15843,  1943, -4782, -4782, -4782, -4782, -4782, -4782,
    1156, -4782, 73381,   936,  2923,  1344,  3019,   974,  3395, 73381,
   -4782, 41643,  1792, 55501, 73381, 73381,  3157, -4782,  3380, -4782,
   96052, -4782,  2967, -4782, 95619, 91708, -4782, -4782,   842, -4782,
     779, 55501, -4782, 73381, 73381, -4782, 51925, 55501, 73381, 73381,
   -4782, 55501, 73381, 73381, -4782, -4782, -4782, -4782, -4782, 50584,
      40, 63100,  3102, 62206, -4782, -4782,  2984, 73381,  3051,  3243,
    3250,  1249, -4782, -4782, 88132, -4782,  3206, 55501, 73381, 73381,
   28870,  3213, 73381, 73381, -4782,   533,  3064,  3080, -4782, 73381,
    3081,  3227, 59524,  3015, 73381, 73381, 95186,  3079,   849, 59524,
    3061, 46141, 73381, 73381, 73381, 73381,  3146,  3323, 95186, 73381,
    3275,  1172, 68017,   329,  2453,  2706,  3232, -4782,  3342,  1199,
   -4782, 55501, -4782, 73381,  3224, -4782, -4782, -4782, 72040,  3449,
    3137, -4782, -4782, 88579, -4782, -4782, -4782,  1797, -4782, 55501,
   55501, 73381,  8431, 89026,  1308,  3246, -4782, -4782, 95186, -4782,
   73381, 73381, 73381,  3352,  3281, 73381, 65335, 89473, 89920,  1001,
    1043,  3282, 73381, 65782,  3286, -4782,  3178, 73381, -4782, -4782,
   52372, 55501, 73381,   954, 51925, -4782, -4782, 73381, -4782,  3244,
     865, -4782, 73381,  7131, -4782, -4782,  3124,  3133, 73381,  3247,
     387,  2600,  2706, 73381, 73381,  3044,  1802, 55501, 73381, 51925,
   -4782,  3251,  1110, 68017, 68017, 55501, 73381, 68017, -4782, 73381,
   81874, -4782, 55501,   839, -4782,  3200, 55501, 73381, 17411, -4782,
   -4782, -4782,   200, -4782, -4782, -4782, -4782, -4782, 73381, 73381,
     200, 73381, 73381,   200,  1379, -4782, 55501, 73381, -4782, -4782,
   -4782, 55501, 73381, 73381, -4782, 55501,  2868, 73381, 51925, -4782,
   73381,  6551, 73381, 73381, 73381, 73381, 73381, 73381, 55501, 73381,
   -4782, -4782,  1084,  1338,  1033,  1356,   204, 73381,  3343, 73381,
   90367, 55501, 73381, 73381,  1276, 73381,  1567, -4782, -4782,  3175,
   -4782, 55501,   839, -4782,  9078, 73381, 73381,  3138,  3139,   327,
    3217, -4782, -4782, -4782, -4782, -4782, -4782,   982,  3492, 90814,
     982, -4782,   982,  3324,  3119,  3121,   982, 73381, 73381, -4782,
   -4782, -4782, -4782,  3320, 73381,   982,   982,   982,  3231,  3270,
     131,  3347,  3082,  1810, -4782, -4782, 28870, 95186, 73381, -4782,
    1821, -4782,  3083,   980, -4782, -4782, 51925, 73381,   750,  1185,
    3391,  3279, 61312,  1364,  3384, 73381,  3120, 73381,  3508,  3167,
   68017,  2414, -4782,  1364, 73381, -4782,  2201, 63100, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, 73381, -4782, -4782,  3387, 73381,
   28870,  3245, -4782,  1276,  2414,  2414,  2414,  2414, -4782, -4782,
   -4782, -4782,  3288,  1834, -4782,  3085,  2414, 73381,  3204,  3402,
    1364,  3087,  3407, -4782,  2043,  3409,  1232, 73381,  3295, 61312,
    1954,  3128,  3309,  3526,  1838,  1276,  3311,  3297, -4782, 25188,
    4052,  3298,  3354, 58630,  3393,  3394,  3414, -4782,   186, -4782,
    3537, -4782, 28870,  1827,  3106,   266, -4782, -4782,  3112,  2876,
    3126,  3130,  3110,  3113, -4782,  2290,   177,  3114,   143,   123,
    3238,  2290,  3344,  3116, -4782,   276, -4782,  2504, -4782, 73381,
   -4782, 73381, 73381, 73381, 73381,   286, -4782, -4782,  2504,   789,
   -4782,  3373,   266,  2504,  3248,  3430, 58630, -4782,   289, -4782,
     401, -4782,  3325,   789, -4782,  3339,  1838, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782,  1836, -4782, 73381, -4782,  3408,
    3410,  3411,  3131,  3132,  3165, 73381,  3135,  3131,   200,  3131,
    2597,  2597,  3131,  3132, 55054,  3574,  3431, -4782,  3220,  3143,
    3437,   173, -4782,   181,   681,  3369, -4782, -4782, -4782, -4782,
   95186, -4782, 55501,  3181, 73381, 73381, -4782,   118,  3345,  3144,
   55054,  3559,   789, -4782, 59524, -4782, -4782, 95186,  3230,  3242,
   59524,  3357,  3216, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   95186, -4782,  3413, 73381, 73381,  1869, -4782, -4782,  1678, -4782,
    1688, 28870,   411, -4782, 13310,  1875, 28870,  3163,  3166, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782,  3168,  3474, -4782,  1900,
    1906,  1910,  3173,  3179,  2689,  3180, 13791,  3182,  3185, 33974,
   33974, 25622,  2624, -4782, 33974,  3186,  3362,  1917, 12389,  3174,
    3187, 14036, 27942, 28870, 27942, 27942, 14162,  3174,  3188,  1923,
   51925,  3356, 14281,  1924, -4782, 28870, 51925,  6208, 28870, -4782,
   28870,  3190, -4782, -4782,  2311,  2311,  2311, 15018, -4782,  3194,
   -4782, 33974, 33974, -4782,  1752, 25622, -4782, -4782,  3483, -4782,
   -4782,  1553, -4782,  3193, -4782, -4782,  3318, 45693, 14452, 28870,
     256, 28870,  2910, 28870,  3261,  2311,  2311,  2311,   307,   307,
     207,   207,   207,  1757,   372, -4782, -4782, -4782,  3196,  3197,
    3209,  3376,  3218, 28870, -4782,  1955,  2168, 73381,  3302,  4471,
    5774, -4782, -4782, -4782, 37600,  3240, 28870, 28870, 28870,  3210,
   -4782,  2296, 15843,   588, -4782,   251,  3240, -4782,  1396,  2290,
     824, 50137, -4782, -4782, 28870, -4782, -4782, -4782,  2108, -4782,
   -4782, -4782, 15843, -4782,  1579, 28870, -4782, -4782,  1290,  3219,
      72,  3406,  2157,  2157,  1901,  3415, -4782, -4782,  3253, -4782,
   28870,  1997, -4782,  2016, -4782, -4782, -4782, -4782,  2597, -4782,
    3455, -4782, -4782, -4782, 37600,  3263,  3258,  1022, 40744,  3420,
   -4782, 73381, -4782, 73381,   340, -4782,  3236, -4782, -4782, -4782,
   -4782, -4782, -4782, 91708,  1714, -4782, 95619, -4782, 95619, -4782,
    1714,  3637, -4782, 91708,  1327, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, 55501, 55501,
    3428, 73381,  3426,  3434, 28870,   209, 73381,  3237,  3239,  1324,
    3513, 73381, -4782,  3551,   789, -4782, -4782,  3315, -4782, 15843,
   -4782, -4782, -4782, -4782, -4782, 55501, 73381, -4782, 58630, -4782,
   73381, -4782, 95186, -4782, -4782, -4782, 73381,  3273, 73381, -4782,
   73381, 73381, 73381, -4782, -4782, -4782, -4782, -4782,   956, 95186,
   -4782, -4782, 73381, 73381,   662,  3321,  3329, 73381, -4782,   818,
    2936,  9780, 73381, 73381, 73381,  3514, 73381, -4782, -4782, -4782,
   -4782,  3467, -4782, -4782, 91708, -4782,  2504,   773,  3337,  2706,
    3460, -4782,  3580,  3456, -4782,   913, -4782, 73381,  3386, -4782,
   -4782, -4782, -4782,  3584,   789,  3587,   789, 73381, 73381, 73381,
   73381,  3392, -4782, -4782, -4782, -4782,  3396,  3518, -4782, 51925,
   51925, 51925,  1929, -4782, -4782,  1276, -4782, -4782, -4782, -4782,
   -4782, -4782,  3552, -4782,  1942, -4782,  1640, -4782, -4782, -4782,
   -4782, -4782, -4782, 55501, 73381, 10312,  3592, 73381, 73381, 73381,
    1742, -4782,  1089, 95186, -4782, 93454, -4782, -4782,  1984, -4782,
    3289, 73381,  3355, 55501,  3331,  3276,  3276, -4782, -4782,  3276,
   -4782, -4782, -4782,  3521,  3458, -4782,  1005,  3461, 55501,  3340,
   -4782,  3363, -4782, -4782,  3368,  2608,  2706,  2043, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782,  1128, -4782, -4782,  1178,   416,  2641,  2706,
   -4782,  3606, -4782,  3377, -4782,  3378, -4782, -4782, -4782,  3517,
    3535,  3540,  3399,  3401,  3445,  3403,  3404,  3446, -4782,  3405,
    3457,  3412,  3459,  3528,  3416,   789, 95186,  3545,  1276,  3448,
    3655,   789, -4782,  3417, -4782,  3418, -4782,  3759, -4782, 73381,
   -4782,  3422,  2793,  2706, -4782, -4782, 55501, 73381, -4782, -4782,
   -4782, -4782, -4782, -4782, 95186, 73381,  3611, -4782, -4782,   982,
   73381, 73381, -4782,  3612,  3615, 73381,  3616, -4782, -4782, -4782,
   -4782,   214, -4782, -4782, -4782,  3231,  3650, 42993, -4782,  3821,
    6586,  3359,   361, -4782, 51925, 42993,  1899,  1813,   707,  1288,
   -4782, 58630, 73381, 58630, -4782,  1185,  3456, 73381, 73381, 73381,
    3360,  3358, -4782, -4782, -4782, -4782, 55501,  1028, 55501,  2290,
   -4782, -4782,  3432, -4782, 73381,  1838,  3827,  3674, -4782,  3276,
   -4782,  3789,  2855,  1373,  3515,  1690,  2507,  3729,  2108,   349,
   51925,  3128, -4782, -4782, -4782, -4782, 73381, 73381,   980,  1276,
   -4782,  3367,  3366, -4782, 73381,  3680, 73381, 73381, 73381, 73381,
    3181,  3372, 73381,  3375, 95186,    46,  3575,  3577,  2702,  3809,
    3700,  1579,  3128,  3463,  3701, 73381, -4782,  1985,   146, -4782,
    1276, 58630, 92588,  3690, -4782,  5924, -4782, -4782,   895, 73381,
    3675, -4782, -4782,  1579, -4782, 95186,  1986, -4782, -4782, -4782,
    2290, -4782, -4782,  1619,  1619,  3389, -4782,  3397, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782,  3398, -4782, -4782, -4782,   289,
    3451,   789,  3453,   789, -4782, -4782, 73381, -4782, 73381, 54607,
     789, -4782, -4782, 73381, -4782,  3713, -4782, -4782,  3523,  3530,
    3531, 73381,  3131, -4782,  3419, 55501,  1383, -4782, -4782,  3599,
   -4782, -4782, 68017,  3525, -4782, -4782, -4782, -4782,  3726,  3730,
   -4782, -4782, -4782,   801, -4782, -4782, -4782, 55501, 63547,   457,
   55501, -4782,  3669,  3671, -4782, -4782,  3676,   200, -4782,  3677,
   -4782,  3678,  3679, -4782, -4782, -4782,  3423, 14654, 28870, -4782,
    3745, 95186, -4782,  6737, -4782, -4782, -4782, 28870, -4782, -4782,
   -4782, -4782, -4782, 28870, -4782, 28870,  3724, -4782, 23390,  3877,
    3877,  3421, 95186, 33974, 33974, 33974, 33974,  1745,  2574, 33974,
   33974, 33974, 33974, 33974, 33974, 33974, 33974, 33974, 34896,   497,
   -4782,  3613, 28870, 28870,  3735,  3724, -4782, 95186,  3429,  3174,
    3433,  3440, 28870, -4782, -4782,  2036, 35803,  3441, 51925, -4782,
   28870, 13132,  2037,  3472, 15312,  1176,  7132,  1276, 28870,   456,
    2948, 28870,  2038, 28870,  3736, -4782, -4782, -4782,  3443, -4782,
   -4782, 95186, 28870,  3447,  3444, 33974, 33974,  4301, -4782,  4455,
   28870, 25622, -4782,  3625,  3484, 42092, -4782, 23855,  3450,  1034,
    1034,  1034,  1034, -4782, 73381, 73381, 73381, 38049,  3749,  3462,
   37150, 72487,  3452,  1783, -4782, 72487, 72934, 72487, -4782,  3464,
   -4782,  3465,  1176, 28870,  3742,   607,   607,  3625, -4782, 28870,
   28870, 28406,  3454, -4782,  3742,    98,  3466, -4782, -4782, 15843,
    3469, -4782,  3470, -4782,  3473, -4782,  3219,  1240, -4782, -4782,
   -4782,  3652, -4782, -4782, -4782, -4782,  3452, 30262,  3598, -4782,
   -4782, -4782,  3502,  2042, -4782, -4782,  3844,  3598, -4782, -4782,
    2051, 41643,  3263, 28870,  1176,  2052,  1691, -4782, -4782, 91708,
   -4782,  3529,  2504,  2504,  1478,  3131,  3770,  1478,  7262, -4782,
   -4782, 38498, 73381, 73381, -4782, 73381,  2053,   854, 73381, -4782,
   73381, -4782, -4782, -4782, -4782,  3894, -4782, 73381, -4782, -4782,
    3534,  3546, 73381, 73381, 73381, 73381,  3733, -4782, -4782,  2142,
   -4782, -4782, 55501, 73381, -4782, -4782, -4782,   424,  2957,  2706,
   -4782,  3549, -4782, -4782, -4782,  3761, -4782,  3885,  3579, 73381,
    3816, 73381,  3497, -4782,   854,  3798,  1516,  2702,   391,  3864,
   -4782,  1169, -4782, -4782,  3568, -4782, -4782, 73381, -4782, 73381,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782,  3629, -4782, -4782,
   -4782, -4782, 52372, -4782, -4782, 73381, -4782, 51925, 42993, 51925,
   -4782,  1218,   431,  3043,  2706, 73381, -4782,  3585, -4782,  3591,
    3593,  3635,   807,  1205,  3594,  3595,  3643,  3516,  3519,  3520,
   -4782, 51925, 43453,  3666, 73381,  2504,  3532,  3560,   240,  1276,
   -4782, -4782,  1276,  2504,  1276, 73381, 73381, 73381, 51925, -4782,
    3939,  3617, 73381, 73381, 73381, 73381,  3578, -4782, 73381, 73381,
    3838,   772,  1889, 55501, 73381, 73381, 55501, 73381, 73381, 73381,
   73381, 73381, 73381,  3850, 73381, -4782,  3930,  3859,  2032,  3901,
    3609, 73381, -4782, 73381,  1276,  2936, 73381, 73381, -4782, -4782,
    3542,  3804,   982, -4782,  3805,  3807,   982,   982,  3810,   982,
   -4782, -4782,  1288, -4782,   214, 73381, -4782,  3473,   404,  1017,
   -4782, -4782, -4782, -4782, -4782, -4782,  3082, -4782, -4782,  2144,
   73381, -4782, -4782, -4782, 73381,  3553, 73381, 73381, 33974, -4782,
    1916,   968,   212, -4782,  3808, 73381,  2868, -4782, -4782, -4782,
    3714, 73381, -4782, -4782, -4782, -4782, -4782,   606,  3372, -4782,
    3826, 61312,  2504, 55501, 55501,  2504, -4782, 95186,  3554,  3128,
   -4782,   408,  3638, 55501,  1373,  1282, 91261,  2880,  3596,  3760,
   37600,  1128, -4782,  3561,  3723, -4782,  3570,  3569, -4782, -4782,
   73381,  3456, 54607,  2060,  2043,  4003,  1087,  1829, -4782, 62653,
    3756,  3372,  3826, -4782, -4782, -4782,  3965,  3664, -4782,  1579,
   73381,  3181,  3664,  1276, 73381,  3051, -4782, 91708, 28870, 28870,
   -4782,  3583, -4782,  3588,  6274, -4782,  3647,  3597, -4782, -4782,
   -4782, -4782, -4782, -4782,  3658,  3589, 73381, -4782,  3582, -4782,
    3600, -4782, -4782, -4782, -4782, -4782, -4782, 73381, -4782, 73381,
   -4782,   789, -4782,  3704, -4782,   789, 73381, 73381, 73381, 73381,
    3131,   200, -4782,  3895, 55054, -4782, -4782,  2061, 73381, -4782,
   -4782, -4782,  3958,   104,  3902, -4782, -4782,  1010,  1010,  1010,
    3860,  1010,  1010,  1010, -4782, 28870, 15843, -4782,  3601, -4782,
   15843,  7590, 15843,  3735, -4782,  2075, 28870, -4782,  1384,  1384,
    1384,  3299,  3909, -4782,  1295,  3604,  1384,  1384,  1384,   441,
     441,   258,   258,   258,  3877,   497, 15843, 15843, -4782, -4782,
    3608, -4782, -4782, -4782,  3174, -4782, 30726,  3762,  4019, -4782,
   -4782, -4782,  3649,  3651,  3614, -4782, 28870, 31190,  3621, 96052,
    3802, -4782,  1628, 28870, 28870,  1009, -4782, 15970, 28870, 95186,
    2076,  1009,   390, 28870,  3260,  3353, 28870, 28870,  4881,  7961,
    3619, 28870, 92141, -4782, -4782, -4782,  2077, 28870, 73381, 73381,
   73381, 73381, -4782, -4782, -4782, 72487, 72934, 72487,  3618, 36252,
   24305,  1783,  3630, 73381, -4782, -4782,  3626, 37600,  3873,  3823,
   -4782, 37600,  3823,  1177,  3823,  3874,  3725, 42541, -4782, -4782,
    3639, -4782,  3831, -4782, 21995,  1725, 15843,  4063,  3943, 28870,
    3653,  3654,  3656, 15843, 15843, 28870, -4782,  1276,  3943,  1276,
   -4782, -4782, 45693, -4782, -4782, -4782, -4782,  3857, 15843, 27014,
   -4782,  1579,  1850, 73381,  1176,    55, -4782,  3667, 73381, -4782,
    3598, 15843, -4782,  3722,  2082, -4782, -4782, -4782, -4782, -4782,
   -4782,  3737, 63100,  3963, -4782, 28870,  2087, -4782,  3697,  4062,
     130,  2089,  2094,   854, -4782,  2868, -4782,  1225,  3944,   434,
   -4782,   789, -4782, 95186, -4782, 73381, 73381, -4782, -4782, -4782,
   -4782, 73381,  2642, -4782, -4782, 73381, 73381, 73381, 73381, -4782,
   55501, 73381, -4782, 73381, -4782, 51925,  1813,  1916,  3957,  3881,
   -4782,   200, -4782,  1916,  3882,   240, 73381, -4782, -4782,  2628,
   -4782, 95186,   789,   789, -4782, -4782, -4782, -4782, -4782,  3684,
    4087,  3763, 73381, 73381, 73381, -4782, 73381, 55501, 73381, 73381,
    2290,  2290, 95186,  3673, -4782,  2290,  2290,  3681, -4782, 55501,
   73381, 73381, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782,  3765, -4782, 28870,  4081, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, 55501, 73381,  3766, -4782,
    3767, -4782,  1721, -4782, -4782, 73381, 73381, 73381, 73381,  4002,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   73381, -4782, 73381, -4782, -4782,  1276,  1276, 95186,   789,   789,
   -4782, -4782, -4782, -4782,  3942,   982, -4782,   982,   982, -4782,
   -4782,   982, -4782,  3683,   144, -4782,   854,   226,  3986, -4782,
    3993, 28870, -4782,  1263,  3299, -4782,  4045,  4122, -4782, -4782,
   -4782, -4782,  2868,  1838,  3750, 59524,   904, -4782,  3974,   750,
    3903, 61312,  3606,   243,  3699,  3820, -4782,  2504,  2504,  3757,
   73381,  4133, -4782, -4782, -4782, -4782, -4782, -4782, 55501,  3331,
   -4782,  3920,  1154,  4013, 73381, 28870,  3452, -4782,  1238,  4017,
   -4782,  1276, -4782, -4782,  3832,  3128, -4782,  1579, 73381,  3916,
   61312,  3181,  2096, -4782, -4782, -4782,  3751,  4130,  1954, -4782,
    3606,  3756,   909, 73381, -4782,  3755,  4151, -4782, -4782,  4026,
    3923,  3731, -4782, 15843, 15843,  1276, 96485,  5924, 95186,  4034,
   73381,   830,  3999,   789, -4782,   789,   789, -4782, 73381, -4782,
    3131,  3131,  3131, -4782,  3926, -4782, -4782,  3992, -4782,   789,
   55054, -4782, -4782, -4782, -4782, -4782,  1010, -4782, -4782, -4782,
   15843, -4782, -4782, -4782, -4782,  8206, 33974,  4036, -4782,  3738,
   95186, -4782,  3739,  2100,  2101, 35354,  3888, -4782, -4782, -4782,
    8715,  3786, 15843,  3840,  3741,  3743,  1009,  1009, 15970,  2145,
   -4782,  1009, 28870, 28870,  1009,  1009, 28870, -4782, -4782,  8792,
    3918, -4782, -4782,  9259, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, 52819,  3740,  3356, 72487,  3746, 73381,  1783, 37600, -4782,
   -4782,  2306, -4782, 37600,  4000, -4782, 37600, 59524, -4782, 73381,
    3752, 73381, -4782,   588, 31654, 28870,  3783, -4782, -4782, -4782,
    3625, -4782,  3783, -4782,  3748, 73381,  2595, -4782,  1022, -4782,
   -4782,  4136, 38498,  4090, 28870, -4782, -4782, -4782, -4782, 55054,
    3954, 55054,   854,  9357,  2868, 38498, 46589, 73381, 73381, 73381,
    3910,  2868,  3750, -4782, -4782, -4782, -4782, -4782, -4782,  3754,
   -4782, -4782, -4782, -4782,  3836, -4782, -4782,   -12,  3101, -4782,
    2150, -4782,  4189,  4080, -4782, -4782, -4782, -4782, -4782, -4782,
    3930, -4782, -4782, 42993, 55501, 73381, -4782,  3839, -4782, -4782,
   -4782, -4782, -4782, 40295, 45693, -4782,   807,  3764,  3772,  1205,
   -4782, -4782, -4782, 73381,  9619,  3773,   584,  3101, 73381, 73381,
    3775,  3776,  1708,  1539,  1482,  3131,  4071, -4782, -4782, -4782,
   -4782,  3930, -4782, -4782,   982, -4782, -4782, -4782, -4782, 51925,
   -4782,  2956, -4782,  1288,  4113, 59524,  4201,  4201, 73381, -4782,
    9821,  3991, -4782, -4782,  4070,  3750,  4018,  4065, -4782,  3788,
   73381,  3955,  3791, 73381,  3792,  3915,  1015,  1015, 73381, 73381,
   73381,  2158,  1579,  2504,  3560,  1373,  4110, 61312,  4158,  3456,
     355, -4782, -4782,  1238, -4782,  1390,  4132,  3841, -4782, 73381,
    4230,  3181,  3372, 73381,  3800, -4782, -4782, 62653,  4001,  1813,
   96918,  3577,  3756,  1954,  3937, -4782,  3940, -4782,   975, -4782,
    1579, 73381, 73381, 38498, -4782, 95619, -4782,  2159, -4782, -4782,
   -4782,  3878,  3240,  3914,  3921,  3811, 73381,    66, -4782, -4782,
   -4782, -4782, -4782, 73381, -4782,   457, -4782, -4782,  5130, 33974,
   95186,  2160, 28870, -4782, 28870, -4782,  4223, -4782, -4782, -4782,
      97, -4782, -4782, -4782,  1009,  1009,  1009, -4782,  4229,  3625,
   -4782, -4782,  2177,  4248, 33046,  4210, -4782, 73381,  2181, -4782,
   28870,  3824, -4782, -4782, 37600,  2306,  3825,  2183, 73381,  2185,
   95186,  3819,  3834,    13,  3835, 22460,  3817, -4782, -4782, -4782,
   -4782, -4782, 15843, 15843, 73381, -4782,  3822, -4782, -4782, -4782,
    3883, 73381,  2187, -4782,    78, 15843,  1383,  1478,   457,  4062,
    3750, -4782,  3842, -4782, -4782, -4782,   330,   330, 73381,  3750,
   -4782, -4782, 73381,  3913, -4782, -4782, 51925,  4115, -4782,  3887,
   -4782,   939,  3101, 73381, 95186, -4782,   111,  4147, -4782, 95186,
   95186, -4782, -4782, -4782, 28870,  3927, -4782, -4782, -4782,   960,
     864, -4782, -4782, 73381, 73381, 73381, 73381, 73381,   789, -4782,
    2191, -4782, 39396, -4782, -4782,  2830,  1276,  2830,  1648, -4782,
   -4782,  2830, -4782,  2830, -4782,  3683,  1276,  4201,   317, -4782,
   -4782, -4782,  1618,  4056,  3848, -4782,  1216,  4050,  3946,  3851,
   -4782, 59524,  4314,  3372,  3826, 73381, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782,  2197,  3456,  4170,  3128,
    3755, -4782, 73381,  3893, -4782, 37600, -4782, -4782, -4782,  2830,
   -4782,  1375,  3861,  4193,  3456,  1579, -4782,  3756,  3372,  3826,
   -4782, -4782, -4782,  3867, -4782,  3664,  1954,  3577, -4782, -4782,
    4274,  4073,  4278,  3181, -4782,  3051,  2202, -4782,  6274, 96485,
   95186,  4218,  3922,  3925, -4782, -4782,  3931, 73381, -4782, -4782,
    3456, -4782,  5130,  2204, -4782,  2206,  2210,  4038,  3932, -4782,
   28870,  1013,  3464, 52819,  3884, -4782, 33974,  2211, -4782,  4789,
   73381,  2223, -4782, 15843, 73381, -4782, -4782, 28870, -4782,  2224,
   -4782, -4782, 28870,  3886, 28870, -4782, 31654,  3889, -4782,  4320,
   -4782,  1579, -4782,  3240, 38498, -4782,  4007, -4782,  4196, -4782,
   73381,  3934, 45693,  3219,  3219,  1838, -4782,   854, -4782, 73381,
   -4782,  3848, 28870, -4782,  3982, -4782, -4782,  2225,   796,  4053,
    4053,  2244,  2248, 10215, 73381, -4782, -4782, -4782, -4782, -4782,
   -4782,  2270, -4782, -4782, -4782, -4782,  2277,  3132,  1482,  3132,
   -4782,  3131, -4782, -4782, 51925, -4782, 53266, -4782, -4782, -4782,
    1276, -4782,  1276,  4107, 73381, 47930,  1276,  1276, -4782, -4782,
   -4782, -4782, -4782,  4233,  4175, -4782,  2043, -4782, -4782, -4782,
   -4782,   766, -4782,  4100,  4102, 73381, -4782,  3904, -4782,  2288,
    3606,  4023,  3456, -4782, -4782, 73381,  4336,  4338, -4782,  1203,
   73381,  3452, 73381, -4782, -4782, -4782, 28870,  4074, -4782,  3755,
    1954,  3606,  3756,  1813, 38947, -4782,  3577,  3664,  4108, -4782,
    4111, -4782,  3917,  3128,  5924, -4782, -4782,   299,  4215,  4217,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,  3174, 32118,
   32118,  3919, -4782, -4782, 73381,  3299,  3912, 33046, 51925,  2326,
   -4782, 93887, -4782,  2330,  2334, -4782,  2336, 31654,  2349, -4782,
   73381,  3924, -4782, -4782, -4782, 41643, 55054,   330,  3928, -4782,
    3933, -4782, -4782,  4018,   854,  3101, -4782, 15843, 73381, 59524,
    4331, -4782, -4782, -4782, -4782, -4782, -4782, -4782,  3101,  4005,
     960, -4782,   864, 73381, -4782, -4782,  2350, -4782, -4782, -4782,
   73381,  3561, -4782,  3561, -4782, -4782,  4057, -4782,   216,  1162,
    1162,  4272, -4782,  3989, -4782, -4782,  3935, -4782,  4393,  4058,
   73381, -4782, -4782,   807,  1579, 61312,  3456, -4782, -4782, 10253,
   59524, -4782,  3577,  3756,  1954, 28870,  2354, -4782,  4062,   130,
    3664, -4782, -4782, -4782, 38498,  3664, -4782, -4782, -4782,  2246,
   59524, 59524, 33510,  4067,   736, 12305, -4782, -4782, -4782, -4782,
    2355, 35354, -4782, -4782, -4782, 73381,  4134,   300, -4782,  4084,
   -4782,  2376, -4782, -4782, -4782,  1393,   457,  3219, 28870,   854,
   -4782,  4050, -4782,  3101, -4782, 73381, -4782,  3945, -4782, -4782,
   -4782, -4782, 53266,  3561,  3841, -4782, -4782,  4384, -4782,   782,
   -4782, -4782, -4782, -4782, 73381,  3456,  3673,  3755, -4782, -4782,
    3948,  3664,  1954,  3577, 10740, -4782, 38947, 73381, 73381, -4782,
    2388,  3240, -4782,  2072, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782,  3936,  3938,  4377, -4782, -4782, -4782, -4782, -4782, -4782,
    3356, -4782, -4782, 33974, 33974,  4156, -4782,   300, -4782,  3949,
   -4782, -4782, -4782, -4782, -4782, 10760, -4782, -4782, -4782,   960,
   -4782,  4273, -4782, -4782, -4782,  3456, -4782, -4782, 51478, -4782,
    3577,  3664,  4062, -4782, -4782, -4782,  3128, -4782,  2122, -4782,
   -4782,  2128,  2113,  4029,  4256, 32582,  4345,  3299,  3299, -4782,
   -4782, 28870, -4782,   854,  2394,  4119, -4782, -4782,  2448, -4782,
   -4782, -4782, -4782,  3664, -4782, 73381,  3664, -4782,  2072,  4068,
    4069, -4782, 73381, 11330, -4782, 59524, -4782, 51478, -4782, -4782,
    3240, -4782,  3994,  3996,  2454, -4782,  3956, -4782, -4782,  4263,
    4267, -4782, 51478, 59524, 59524,  2456, -4782, -4782, -4782
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1620,  1403,   620,  1489,  1488,  1403,   253,     0,  1491,     0,
    1403,   416,  1095,     0,     0,     0,     0,   620,  1403,     0,
    1620,     0,     0,     0,     0,     0,  1633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,  1640,
       0,     0,     0,     0,  1633,     0,  1493,     0,     0,     0,
       0,     0,     2,     4,    71,    72,    31,    30,    91,    54,
      18,    62,   125,   124,   126,    41,    37,    79,    26,    28,
      38,    42,    64,    66,    44,    55,   103,    63,    24,    61,
      86,    67,    89,    49,    12,    13,    50,    14,    51,    15,
      52,    16,    99,    73,    92,    35,    60,    23,    43,    69,
      70,     5,    45,    81,    77,    11,    56,    57,    59,    83,
      84,    85,   108,    87,   120,    40,   117,    96,    97,   114,
      98,   115,     9,   100,    53,    17,   111,   110,   112,    80,
      46,    82,    68,    90,   109,    27,   113,    19,    20,    22,
      21,    58,    29,    65,    32,    88,   116,   106,   102,   121,
     119,   127,   104,    74,     7,     8,    93,     6,    25,    48,
      10,    34,    33,    47,    39,   123,    36,  1491,    95,   107,
      94,    75,   101,    78,   105,   122,    76,   118,  1593,  1592,
    1642,  1596,  1619,     0,  1608,  1402,  1401,  1387,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   619,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1413,  2216,  2231,  2232,  2233,  2234,  2235,  2236,
    2237,  2238,   387,  2239,  2240,  2241,  2242,  2243,  2244,  2245,
    2246,  2247,  2248,  2249,  2513,  2514,  2515,  2516,  2250,  2251,
    2252,  2253,  2254,  2255,  2256,  2517,  2518,  2257,  2258,  2259,
    2260,  2261,  2519,  2262,  2263,  2264,  2265,  2266,  2267,  2268,
    2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,
    2279,  2280,  2281,  2282,  2283,  2284,  2520,  2521,  2285,  2286,
    2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2308,  2309,  2310,  2311,  2522,  2312,  2313,  2314,  2523,
    2315,  2316,  2317,  2524,  2318,  2319,  2320,  2321,  2322,  2323,
    2324,  2325,  2525,  2526,  2326,  2327,  2328,  2329,  2330,  2331,
    2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,
    2342,  2527,  2343,  2344,  2345,  2346,  2528,  2529,  2530,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,  2354,  2531,  2355,  2356,
    2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,  2369,  2370,  2371,  2372,  2373,  2374,  2532,  2533,
    2375,  2376,  2377,  2534,  2378,  2379,  2380,  2535,  2381,  2536,
    2382,  2383,  2384,  2385,  2386,  2387,  2388,  2389,  2390,  2537,
    2391,  2538,  2392,  2393,  2394,  2395,  2396,  2397,  2398,  2399,
    2400,  2401,  2402,  2539,  2403,  2540,  2406,  2404,  2405,  2407,
    2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2541,  2416,
    2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,
    2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,
    2542,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,  2450,  2451,  2452,  2543,  2453,  2454,
    2455,  2456,  2544,  2457,  2458,  2459,  2460,  2461,  2462,  2463,
    2464,  2465,  2466,  2467,  2468,  2469,  2545,  2470,  2471,  2472,
    2473,  2474,  2475,  2476,  2477,  2546,  2547,  2478,  2479,  2548,
    2480,  2549,  2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,
    2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,  2497,  2550,
    2551,  2498,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,
    2507,  2508,  2509,  2552,  2553,  2554,  2555,  2556,  2557,  2558,
    2559,  2560,  2561,  2562,  2510,  2511,  2512,   386,  1583,  2184,
    2217,  2218,  1490,  1470,   620,     0,  1390,   415,  1620,     0,
       0,     0,     0,     0,     0,     0,     0,   848,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,     0,     0,     0,     0,   441,   440,     0,     0,     0,
    1068,   446,     0,     0,     0,     0,     0,   608,  1532,  2404,
    1530,  1584,   254,   257,   258,   255,   256,  2206,     0,  1190,
    1191,  1193,     0,     0,     0,  1203,   888,   889,     0,     0,
       0,   897,     0,     0,     0,   886,     0,     0,     0,   902,
     899,     0,   903,   900,   883,   901,   890,     0,   882,     0,
       0,  1203,   904,     0,     0,   884,     0,     0,     0,     0,
    1391,  1529,   447,  1620,     0,  1507,  1508,  1509,  1491,  1498,
    1510,  1503,  1505,  1504,  1506,  1502,  2205,  2232,  1008,  1008,
    1008,  1008,  1005,  1006,  1008,  1008,  1008,  2423,     0,     0,
     987,     0,   989,  2207,  1008,  1013,   508,   508,   508,     0,
    1012,  1017,   508,     0,  1384,  1422,  2189,  1632,     0,   988,
    1383,  2478,  1521,     0,     0,  1218,  1214,  1216,  1217,  1215,
       0,     0,     0,  2439,  1395,   238,  2450,  2546,  2478,   237,
     232,   233,   206,  2236,     0,     0,  1012,     0,  1392,  1393,
     970,  1639,  1637,     0,  2171,  2255,  2270,  2358,   229,  2434,
    2440,  2450,  2546,  2478,  2509,   185,   195,   190,     0,   247,
    2450,  2546,  2478,   243,  1413,     0,  1609,  1741,  2180,     0,
    1386,  1385,  1492,     0,  1495,     0,  2418,  1613,  1616,  1497,
    1614,  1605,     0,     0,     1,  1620,  1486,  1636,  1636,     0,
    1636,     0,  1597,  1605,  1600,  1604,     0,     0,     0,     0,
    2216,  2563,  2564,  2565,  2566,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,  2578,  2579,  2580,  2581,
    2582,  2583,  2584,  2585,     0,     0,     0,  2190,  2217,  2221,
       0,   907,     0,  1425,  2185,  1054,     0,     0,     0,     0,
       0,     0,     0,  1104,  1103,  2222,  2212,  2213,     0,  2210,
    2211,  2223,  2224,  2225,     0,  2331,     0,     0,     0,  2082,
    2093,  2094,  2095,  2259,  2315,  2090,  2091,  2092,  2084,  2085,
    2086,  2087,  2088,  2089,     0,     0,  1185,  2083,     0,  2331,
       0,     0,   155,     0,   132,     0,     0,  2331,     0,     0,
       0,     0,     0,     0,     0,  2331,     0,     0,     0,     0,
       0,   155,  2363,     0,   132,  2331,     0,     0,  1407,     0,
       0,     0,  1409,  1412,  1388,  1473,     0,  2180,     0,     0,
       0,   941,   934,     0,   942,   949,     0,     0,   951,     0,
       0,   935,     0,     0,     0,     0,   954,   955,     0,   956,
     936,   957,   937,   958,   938,   959,     0,     0,     0,     0,
     939,     0,     0,     0,  1399,     0,  1523,  1525,  1524,  1522,
     508,     0,     0,     0,     0,  2331,     0,     0,   132,  1458,
       0,  2331,   132,     0,     0,   445,   444,   132,  2210,   443,
     442,  2259,  2315,     0,  1094,     0,  1342,   132,  2331,     0,
     178,  2331,   692,  2331,  1497,     0,   623,     0,     0,   803,
    2363,   132,     0,     0,     0,     0,     0,     0,  1071,     0,
       0,     0,   607,   620,  1533,  1531,     0,  1194,   231,   230,
    1192,   895,  2331,  1136,   341,   341,     0,     0,  2331,  1444,
    2219,  1816,  1845,  1823,  1845,  1845,  1812,  1812,  2299,  1825,
    2331,  1813,  1814,  1850,     0,  1845,  1812,  1817,     0,  1815,
    1853,  1853,  1840,   341,   911,  1797,  1798,  1799,  1800,  1826,
    1827,  1801,  1832,  1833,  1837,  1802,  1867,  1812,  2220,   896,
       0,   887,  2331,   341,  1100,  2331,  2214,   165,     0,   885,
    2259,  2315,  2331,   341,  1187,     0,  2331,   161,  2331,   341,
    2331,   624,     0,     0,  2331,   341,  2331,  2363,   163,     0,
    2331,   341,   905,  2331,   341,  2182,  2331,     0,     0,  1526,
       0,  1500,  2550,  1515,     0,  1511,  1518,  1514,  1620,  1008,
    1007,     0,  1008,     0,  1008,     0,  1008,     0,  1008,     0,
       0,     0,  1008,  2208,  2209,   990,     0,  1014,     0,     0,
    1021,  1020,  1019,     0,     0,     0,  1022,     0,  1745,  1560,
       0,  1381,  1398,     0,     0,     0,  1071,  1221,     0,  1219,
    1210,  1211,  1394,   236,   234,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,     0,  2193,  2195,  2196,  2096,
    2166,     0,  2514,  2515,  2516,  2155,     0,  2517,  2518,  2519,
    2565,  1998,  1985,  1994,  1999,  1986,  1988,  1995,  2520,  2521,
    1933,  2522,  2523,  2203,  2524,  2525,  2526,  2528,  2529,  2530,
    2531,  1990,  1992,  2532,  2533,     0,  2204,  2535,  2536,  2387,
    2538,  2539,  2541,  2542,  1996,  2544,  2545,  2546,  2547,  2548,
    2549,  2202,     0,  1997,  2551,  2553,  2554,  2555,  2556,  2558,
    2559,  2560,  2561,     0,     0,     0,  2177,     0,  1965,     0,
    1805,  1806,  1828,  1829,  1807,  1834,  1835,  1808,     0,  2176,
    1870,  2047,  1964,  1981,     0,  1970,  1971,     0,  1963,  1959,
    1622,  2172,     0,  1960,  2192,  2194,  2156,  1622,  2170,   198,
     249,     0,   250,  2178,  2450,   186,   228,   200,   227,   201,
     199,     0,  2257,   187,     0,     0,   188,     0,     0,     0,
       0,   246,   244,     0,  1389,     0,  1743,  1742,  2163,     0,
    2164,  2181,   916,  1485,  1483,  1484,  1482,     0,  1479,  1481,
    1494,  1491,  2106,     0,  1615,     0,     0,     0,  1595,  1594,
       3,  1497,  1634,  1635,     0,     0,     0,     0,     0,     0,
       0,     0,  1690,  1650,  1651,  1653,  1687,  1691,  1699,     0,
    1601,     0,     0,  1747,     0,     0,     0,     0,     0,     0,
    1135,  2191,     0,     0,     0,     0,     0,   908,     0,     0,
       0,  1431,     0,  1433,  1434,  1435,     0,     0,  1436,  1437,
    1425,   240,  1443,  1441,  1424,  1426,  1439,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,   169,   170,     0,   636,
     620,     0,  2331,     0,     0,     0,     0,     0,  1143,  1150,
       0,     0,     0,     0,     0,     0,     0,     0,  1144,  1142,
    1145,   242,  1154,  1171,  1174,     0,  1102,  1105,     0,     0,
       0,     0,     0,  1276,     0,     0,     0,  1276,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   265,   277,   336,   599,     0,     0,     0,   602,     0,
    2331,     0,     0,     0,     0,  1189,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   130,
     131,   136,     0,     0,     0,     0,     0,     0,     0,   585,
     598,     0,     0,     0,     0,     0,   595,     0,     0,   132,
     269,   575,   581,     0,     0,     0,   699,   698,     0,     0,
       0,     0,  1358,  1357,     0,     0,     0,     0,  1448,  1447,
       0,     0,     0,     0,     0,  1276,     0,   259,   261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   379,   380,     0,     0,     0,   136,
       0,     0,     0,     0,   271,     0,     0,  1408,  1405,  1406,
       0,  1411,     0,  1469,     0,   948,     0,     0,     0,     0,
     950,     0,   943,     0,     0,   940,  2259,  2315,     0,     0,
       0,     0,     0,     0,     0,   953,     0,     0,     0,   418,
       0,     0,   800,     0,     0,     0,     0,     0,     0,   811,
       0,  1425,  1457,     0,     0,     0,   629,     0,  2331,     0,
     134,   849,     0,   801,   446,     0,     0,     0,  1166,  1341,
     134,     0,     0,   172,     0,     0,   696,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   741,   740,     0,     0,
       0,   802,     0,     0,   134,     0,  2331,   578,  2331,     0,
     508,   508,     0,     0,  1070,  1073,     0,     0,     0,     0,
    1587,  1589,  1588,     0,  1586,     0,   339,   340,     0,  1177,
     798,  1202,     0,     0,  1844,  1831,  1839,  1838,     0,  1821,
    1820,  1819,     0,  1818,     0,  1845,  1845,  1843,  1822,  1797,
       0,     0,     0,  1849,     0,  1847,     0,   878,  1793,  1789,
       0,  1856,  1857,  1858,  1855,  1868,  1854,     0,  1803,  1859,
    1812,  1809,   898,     0,     0,  1175,     0,     0,  2331,   341,
    2331,     0,  2331,     0,     0,     0,  1179,   341,     0,     0,
    1359,     0,   894,   892,   891,   893,     0,     0,   876,     0,
       0,     0,  2331,   341,     0,     0,   871,     0,     0,   873,
       0,     0,     0,     0,  1620,     0,   217,   218,   216,  1516,
     219,  1517,  1513,  1499,     0,   998,     0,  1002,     0,   993,
       0,   999,     0,   994,   991,   992,     0,   997,     0,     0,
     509,   511,     0,     0,  2282,  2298,     0,  2321,  2351,  2352,
    2440,  2446,     0,  2473,  2483,     0,  1023,  1049,  1018,   710,
       0,     0,  1570,  1382,  2113,     0,  1620,     0,     0,     0,
       0,   235,   207,     0,     0,     0,  1051,  2439,  1397,   969,
     620,     0,  1961,     0,  1968,  1969,  2154,     0,     0,     0,
       0,     0,     0,  1967,  2121,     0,     0,     0,     0,     0,
    1893,     0,     0,     0,  2134,     0,  2140,     0,     0,  1930,
       0,     0,     0,     0,     0,     0,     0,     0,  1894,  1874,
    1875,  1965,  2106,     0,  1966,  2199,     0,  1867,  2175,  2096,
       0,  2093,  2094,  2095,     0,     0,     0,  2169,     0,  2104,
       0,     0,  1908,  2102,  1910,     0,     0,     0,     0,  2090,
    2091,  2092,  2084,  2085,  2086,  2087,  2088,  2089,  2100,  1890,
       0,     0,  2049,     0,  1889,     0,     0,  1703,     0,  2197,
    2157,  1703,   251,   252,   248,     0,     0,   203,   202,     0,
     221,   225,   226,   197,   224,     0,   220,   205,  2038,  2037,
     204,   196,   193,   191,   208,   210,   211,   194,   192,   245,
       0,  2162,     0,  2226,  2586,  2587,  2588,  2589,  2590,  2591,
    2592,  2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,  2601,
    2602,  2603,  2604,  2605,  2606,  2607,  2608,  2609,  2610,  2611,
    2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,
    2622,  2623,  2624,  2625,  2626,  2627,  2628,  2629,  2630,  2631,
    2632,  2633,  2634,  2635,  2636,  2637,  2638,  2639,  2640,  2641,
    2642,  2643,  2644,  2645,  2646,  2647,  2648,  2649,  2650,  2651,
    2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,  2661,
    2662,  2159,  2158,  2187,  2227,  2228,  2229,  2230,  2165,     0,
       0,   341,  1477,     0,  1474,  1700,     0,  1617,     0,     0,
    1487,  1612,  1611,  1643,  1644,  1087,  1610,  1670,  1671,     0,
       0,     0,     0,  1696,  1694,  1661,  1654,  1660,     0,     0,
    1658,     0,  1662,  1870,  1689,  1599,  1648,  1649,  1652,  1598,
       0,  1692,     0,  1573,  1690,  1653,  1557,     0,  1535,     0,
    1748,     0,     0,     0,     0,     0,  1115,  1117,     0,  1116,
       0,  1119,     0,  1128,     0,     0,  1114,  1133,     0,  1122,
    1120,     0,  1446,     0,     0,   909,     0,     0,     0,     0,
    1432,     0,     0,  2473,   239,  1435,  1440,  1427,  1438,     0,
       0,     0,     0,     0,  1053,  1052,     0,     0,  1075,     0,
       0,     0,  1453,   497,     0,   338,     0,     0,     0,     0,
       0,     0,     0,     0,   796,   793,     0,     0,   792,     0,
     634,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,  1276,     0,   704,     0,  1152,     0,     0,
    1151,     0,  1155,     0,     0,  1153,  1148,  1149,  2440,  2450,
    2478,   241,  1173,     0,  1172,  1170,  1097,     0,  1098,     0,
       0,     0,     0,     0,  2308,  2331,   281,   300,     0,  1275,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   323,     0,     0,   326,   325,
       0,     0,     0,     0,     0,   330,   309,     0,   310,     0,
       0,   329,     0,     0,   600,   601,     0,     0,     0,     0,
    1276,     0,   273,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,   727,     0,     0,     0,     0,     0,  1345,     0,
       0,   158,     0,   153,   157,     0,     0,     0,     0,   583,
     584,   597,     0,   588,   589,   586,   590,   591,     0,     0,
       0,     0,     0,     0,     0,   582,     0,     0,   694,   693,
     697,     0,     0,     0,  1354,     0,  1166,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1222,     0,     0,     0,     0,     0,     0,   839,     0,
       0,     0,     0,     0,     0,     0,     0,   160,   714,     0,
     713,     0,   154,   159,     0,     0,     0,     0,     0,     0,
       0,   215,  1404,  1410,  1472,  2188,  1471,     0,     0,     0,
       0,   952,     0,     0,     0,     0,     0,     0,     0,   944,
     945,   946,   947,     0,     0,     0,     0,     0,   393,     0,
       0,     0,  2219,     0,   827,   799,     0,     0,     0,   813,
       0,   816,   819,     0,  1423,   465,     0,     0,   626,   672,
       0,     0,   449,   167,     0,     0,     0,     0,   729,     0,
       0,     0,  1340,   129,   176,   178,   447,     0,   177,   179,
     181,   182,   183,   180,   184,     0,   691,   695,     0,     0,
       0,     0,   622,     0,     0,     0,     0,     0,   742,   746,
     745,   749,   747,     0,   743,     0,     0,  1768,     0,     0,
     152,     0,     0,   573,   577,     0,     0,     0,     0,   449,
     549,   352,  2331,     0,   508,     0,  2331,     0,  1072,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,   341,  1137,
       0,  1445,     0,     0,     0,   341,  1842,  1841,  1794,  1790,
       0,     0,     0,     0,   912,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1810,   341,  1101,   166,  2215,     0,
     880,     0,     0,     0,     0,   341,  1188,   868,   162,   341,
     625,     0,   341,   164,     0,     0,     0,   617,   341,   906,
     341,  2183,     0,   341,  1528,  2331,   508,  1501,  1512,   995,
    1004,  1003,  1001,  1000,   996,     0,  1015,     0,   507,     0,
       0,     0,  1029,  1030,     0,     0,  1028,  1031,     0,  1033,
    1025,  1024,  1034,  1035,     0,     0,  1051,   708,     0,     0,
       0,     0,  1567,     0,  1565,     0,  1746,  1569,  1558,  1520,
       0,  1519,     0,   566,     0,     0,  1220,     0,     0,  1012,
       0,     0,   341,  1396,     0,   971,   977,     0,     0,     0,
       0,     0,     0,   980,   981,   982,   973,   983,   974,   984,
       0,   975,     0,     0,     0,     0,  2167,  2117,     0,  2118,
       0,     0,  2153,  2149,     0,     0,     0,     0,     0,  2122,
    2125,  2126,  2127,  2124,  2128,  2123,     0,     0,  2129,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2542,     0,
       0,     0,     0,  1934,     0,     0,  2077,     0,  2106,  2139,
       0,     0,     0,     0,     0,     0,  2106,  2145,     0,     0,
       0,     0,  2036,     0,  2033,     0,     0,     0,     0,  2166,
       0,     0,  2200,  1871,  1885,  1886,  1887,  1891,  2174,     0,
    2168,     0,     0,  1872,  1899,     0,  2146,  1926,     0,  1931,
    1914,     0,  1907,     0,  1912,  1916,  1895,     0,  1892,     0,
    2169,  2105,     0,  2103,     0,  1882,  1883,  1884,  1876,  1877,
    1878,  1879,  1880,  1881,  1888,  2081,  2079,  2080,     0,     0,
       0,  2057,     0,     0,  1911,  2324,  2358,     0,  1633,  1633,
    1633,  1621,  1631,  2173,     0,  1763,     0,     0,     0,     0,
    1973,     0,  2110,  1642,  2108,  1120,  1763,  2179,     0,     0,
    1867,     0,  1744,  2160,  2163,   914,   915,   913,  1497,  1480,
    1476,  1475,  2107,  1496,  1620,     0,  1085,  1086,     0,  1090,
    2542,  2437,     0,     0,     0,     0,  1663,  1697,     0,  1688,
       0,  2193,  1664,  2192,  1665,  1668,  1669,  1659,  1698,  1571,
       0,  1693,  1603,  1602,     0,  1766,     0,     0,     0,  1549,
    1537,     0,  1749,     0,  1703,  1575,     0,  2166,  1701,  1318,
    1224,  1283,  1118,     0,  1812,  1129,     0,  1113,     0,  1112,
    1812,     0,  1130,     0,  1812,  1319,  1225,  1284,   910,  1320,
    1226,  1285,  1321,  1227,  1442,  1430,  1429,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   777,  2331,   341,  1451,  1322,     0,  1228,   337,
    1452,  1286,  1456,   795,   794,     0,     0,  1287,     0,   635,
       0,   639,     0,   641,   642,   643,     0,     0,     0,   644,
       0,  2259,  2315,   646,   649,   656,   661,   651,     0,     0,
     663,   657,     0,     0,     0,     0,     0,     0,   669,   674,
       0,     0,     0,     0,     0,     0,     0,  1146,  1147,  1323,
    1231,     0,  1288,  1096,     0,  1232,   168,     0,     0,   266,
    2331,   283,     0,   676,   777,  1278,   307,     0,     0,   322,
     317,   318,   316,  2331,   341,  2331,   341,     0,     0,     0,
       0,     0,   319,   314,   315,   311,     0,     0,   324,  2235,
    2300,  2451,     0,   680,   682,     0,   687,   327,  1250,   348,
     347,   346,     0,   331,     0,   353,   356,   328,   305,   308,
     306,   302,   278,     0,     0,     0,     0,     0,     0,     0,
       0,  2186,     0,     0,  1181,     0,  1326,  1289,     0,  1309,
       0,     0,     0,     0,   721,  1346,  1348,  1338,  1238,  1347,
     156,  1265,   145,     0,     0,   141,     0,     0,     0,     0,
     135,     0,  1329,  1239,     0,     0,   270,   576,   587,   592,
    1244,   596,   593,  1299,   594,  1336,  1240,  1332,  1268,  1294,
    1339,  1355,  1241,  1166,  1350,  1352,     0,  1276,     0,   260,
     262,     0,   280,     0,  1242,     0,  1292,  1331,  1267,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1459,     0,
       0,     0,     0,     0,     0,   341,     0,     0,     0,  1278,
    2331,   341,  1330,     0,  1273,     0,  1307,     0,   381,     0,
    1266,     0,     0,   272,  1246,  1301,     0,     0,   213,   212,
     214,   961,   921,   960,     0,  2298,     0,   920,   922,     0,
       0,     0,   923,     0,     0,     0,     0,   919,   917,   918,
     392,     0,   417,   390,   391,   393,     0,     0,   826,     0,
       0,     0,     0,   815,     0,     0,     0,  1449,     0,   132,
     633,     0,     0,     0,   628,   671,   676,     0,     0,     0,
       0,   448,   452,   456,   457,   458,     0,     0,     0,     0,
     146,   133,     0,   857,     0,   508,     0,   731,  1344,  1343,
    1165,     0,   178,   171,     0,     0,   692,     0,  1497,     0,
       0,   352,   810,   808,   807,   809,     0,     0,     0,   831,
     806,     0,  1767,  1769,     0,     0,     0,     0,     0,     0,
     566,   451,     0,     0,   511,     0,     0,   553,     0,     0,
       0,     0,   352,     0,     0,     0,  1107,     0,  1125,  1108,
       0,     0,     0,     0,  1159,  1166,  1160,  1138,     0,     0,
     605,  1590,  1591,     0,  1178,     0,     0,  1811,  1824,   879,
       0,  1852,  1851,  1853,  1853,     0,  1795,     0,  1836,  1861,
    1862,  1863,  1864,  1865,  1866,     0,  1860,  1804,  1176,   341,
       0,   341,     0,   341,  1180,  1360,     0,   877,     0,     0,
     341,   870,   872,     0,   874,     0,  1016,   510,     0,     0,
       0,     0,  1027,   603,  1032,     0,  1044,  1039,  1041,     0,
    1045,   707,     0,     0,  1568,  1561,  1563,  1562,     0,     0,
    1559,  2114,   869,     0,   572,  1212,  1213,     0,     0,   341,
       0,  1046,     0,     0,   978,   972,     0,     0,   976,     0,
     979,     0,     0,  1638,  2115,  2116,     0,     0,     0,  2150,
       0,     0,  2011,     0,  1987,  1989,  2001,     0,  2012,  1972,
    2013,  1991,  1993,     0,  2097,     0,     0,  2002,     0,  1936,
    1937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1952,  1951,
    2003,  2076,     0,     0,  2137,  2138,  2004,     0,     0,  2144,
       0,     0,     0,  2009,  2014,     0,     0,     0,     0,  2020,
       0,  2041,     0,     0,     0,  1962,  2107,     0,     0,     0,
       0,     0,     0,     0,     0,  1932,  1915,  1909,     0,  1913,
    1917,     0,     0,     0,  1903,     0,     0,  1901,  1927,  1897,
       0,     0,  1928,     0,     0,     0,  1980,     0,     0,  1633,
    1633,  1633,  1633,  1630,     0,     0,     0,     0,  2437,  2562,
       0,  1727,  1702,  1704,  1714,  1727,  1732,  1727,  1982,  1761,
    1983,     0,  2180,     0,  1673,  1642,  1642,  1642,  1979,     0,
       0,     0,     0,  1641,  1673,   189,     0,   222,   209,  2162,
       0,  1478,     0,  1645,     0,  2098,  1090,     0,  1647,  1667,
    1666,     0,  1657,  1695,  1655,  1572,  1556,     0,  1554,  1541,
    1543,  1542,     0,     0,  1544,  2166,     0,  1554,  1536,  1580,
       0,     0,  1766,     0,  1579,     0,  1812,  1110,  1111,     0,
    1134,     0,  1056,  1057,     0,  1055,     0,     0,     0,   496,
    1074,     0,     0,     0,   777,     0,     0,   500,     0,  1454,
       0,  1337,  1264,   637,   638,     0,   650,     0,   659,   658,
       0,     0,     0,     0,     0,     0,     0,   645,   665,   609,
     666,   668,     0,     0,   667,   670,   673,  1276,     0,   705,
    1252,     0,  1305,  1140,  1279,     0,  1099,     0,     0,     0,
       0,     0,     0,   465,   301,     0,     0,     0,   361,     0,
     285,   293,   359,   299,     0,  1282,   333,     0,   304,     0,
     297,   320,   312,   321,   313,   332,   334,     0,   684,   685,
     683,   679,     0,   686,   688,     0,   350,     0,     0,     0,
    1325,     0,  1276,     0,   274,     0,  1248,     0,  1303,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1308,     0,     0,     0,     0,   726,     0,   723,     0,     0,
     138,   137,     0,   144,     0,     0,     0,     0,     0,  1356,
       0,     0,     0,     0,     0,     0,     0,   279,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   382,   343,     0,   834,     0,
       0,     0,   384,     0,     0,     0,     0,     0,  1324,  1233,
       0,     0,     0,   932,     0,     0,     0,     0,     0,     0,
     395,   396,   132,   394,     0,     0,   825,  2387,  2084,  2085,
     823,   829,   820,   822,   824,   821,     0,   828,   777,     0,
       0,   812,   817,   818,     0,     0,     0,     0,     0,   480,
       0,     0,     0,   471,     0,     0,  1166,   464,   467,   468,
       0,     0,   629,   632,   630,   631,   664,     0,   451,   487,
     535,     0,   148,     0,     0,   149,   147,     0,     0,   352,
     728,     0,   725,     0,   174,   447,     0,   696,     0,     0,
       0,  1166,   621,   748,   751,   744,     0,   830,   832,   804,
       0,   676,     0,     0,   578,     0,   508,  1529,   561,     0,
     537,   451,   535,   547,   546,   548,     0,   555,   351,     0,
       0,   566,   555,     0,     0,  1075,  1106,     0,     0,     0,
    1156,  1161,  1157,     0,     0,  1121,     0,  1158,  1139,  1093,
    1376,  1377,  1374,  1375,     0,     0,     0,  1582,     0,  1830,
       0,  1848,  1846,  1791,  1796,  1869,   881,     0,   864,     0,
     866,   341,   715,     0,   618,   341,     0,     0,     0,     0,
    1026,     0,  1042,     0,     0,  1009,  1048,     0,     0,  1566,
    1564,   564,     0,  1051,     0,  1010,  1050,     0,     0,     0,
       0,     0,     0,     0,  2119,     0,  2152,  2148,     0,  1984,
    2120,     0,  2132,  2131,  2077,     0,     0,  1935,  1947,  1948,
    1949,  2133,     0,  1957,     0,     0,  1944,  1945,  1946,  1938,
    1939,  1940,  1941,  1942,  1943,  1950,  2142,  2141,  2135,  2136,
       0,  2006,  2007,  2008,  2143,  2015,     0,  2250,  2042,  2019,
    2035,  2034,     0,     0,     0,  2022,     0,     0,  2031,     0,
    2078,  2201,  1873,     0,     0,  1900,  2147,  1918,     0,     0,
       0,  1896,  2097,     0,     0,     0,     0,     0,  1905,     0,
       0,     0,  2060,  2055,  2056,  2074,     0,     0,     0,     0,
       0,     0,  1624,  1623,  1629,  1727,  1732,  1727,     0,     0,
    1605,     0,  1714,     0,  1726,  1712,  1725,     0,     0,  1738,
    1736,     0,  1738,     0,  1738,     0,  1706,     0,  1728,  1708,
    1725,  1710,     0,  1753,     0,  2181,  1762,     0,  1686,     0,
       0,     0,     0,  2111,  2112,     0,  2109,  1974,  1686,     0,
    2161,  1618,     0,  1646,  1088,  1089,  1656,  2278,  1764,     0,
    1555,     0,     0,     0,  1546,  1552,  1534,     0,     0,  1576,
    1554,  1577,  1131,     0,     0,  1123,  1062,  1065,  1063,  1061,
    1064,     0,     0,     0,   777,     0,     0,   516,     0,  1082,
    1082,     0,     0,   502,   558,  1166,   780,     0,     0,     0,
     778,   341,  1229,     0,   660,     0,     0,   655,   653,   652,
     654,     0,   610,  1335,  1230,     0,     0,     0,     0,  1141,
       0,     0,  1251,     0,   282,     0,   461,     0,   294,     0,
     290,     0,  1277,     0,     0,     0,     0,   289,   363,     0,
     360,     0,   341,   341,   335,   681,   349,   354,   355,   358,
       0,     0,     0,     0,     0,  1281,     0,     0,     0,     0,
       0,     0,     0,   858,   841,     0,     0,   859,   860,     0,
       0,     0,  1183,  1184,  1182,  1310,  1311,  1316,  1313,  1312,
    1315,  1317,  1314,     0,  1236,     0,     0,   719,   142,   139,
     140,   143,  1262,  1245,  1300,  1351,     0,     0,     0,  1243,
       0,  1293,     0,  1258,  1254,     0,     0,     0,     0,     0,
    1334,  1272,  1298,  1333,  1270,  1296,  1269,  1295,  1271,  1297,
       0,  1263,     0,  1771,   838,     0,     0,     0,   341,   341,
     837,   717,  1247,  1302,     0,     0,   924,     0,     0,   926,
     927,     0,   929,   400,   420,   737,   797,     0,     0,   814,
     776,     0,   469,     0,   475,   478,     0,     0,   482,   483,
     481,   470,  1166,   508,   557,     0,     0,   787,     0,   627,
       0,   449,     0,   484,     0,     0,   453,   151,   150,     0,
       0,     0,   732,   736,   734,   733,   735,   730,     0,   721,
     178,  2331,     0,     0,     0,     0,   559,  1349,     0,   761,
     805,     0,  1770,   711,     0,   352,   574,     0,     0,     0,
     449,   566,     0,   454,   459,   460,   465,     0,   549,   536,
       0,   537,     0,     0,   563,  1421,     0,   567,   569,     0,
       0,     0,  1109,  1126,  1127,     0,     0,  1166,     0,     0,
       0,     0,   612,   341,  1792,   341,   341,  1209,     0,   875,
    1038,  1037,  1036,   604,     0,  1040,   709,     0,   565,   341,
       0,   986,   966,   985,   965,   967,     0,   964,   962,   963,
    2151,  2000,  2010,  2130,  2076,  2107,     0,     0,  1958,     0,
       0,  2005,  2552,     0,     0,     0,     0,  2039,  2040,  2021,
       0,  2377,  2026,     0,     0,     0,  1924,  1922,  1919,     0,
    1920,  1904,     0,     0,  1902,  1898,     0,  1929,  2046,     0,
    2062,  2059,  2073,  2107,  1628,  1627,  1626,  1625,  1713,  1709,
    1711,     0,  2557,     0,  1716,  1723,     0,  1705,     0,  1737,
    1733,     0,  1734,     0,     0,  1735,     0,     0,  1707,     0,
    1723,     0,  1760,  1642,     0,     0,  2051,  1977,  1978,  1975,
    1642,  2198,  2051,   223,     0,     0,  1553,  1538,     0,  1539,
    1545,     0,     0,     0,     0,  1581,  1574,  1124,  1132,     0,
       0,     0,   498,     0,  1166,     0,     0,     0,  1084,  1084,
       0,  1166,   557,   782,   781,   784,   779,   783,  1455,     0,
     647,   648,   662,  1253,     0,  1306,  1260,     0,  1570,   284,
       0,   677,     0,     0,   286,   362,   364,   287,   288,   291,
     343,   303,   296,     0,     0,     0,  1249,     0,  1304,  1256,
    1327,  1234,  1290,     0,     0,   847,     0,     0,     0,     0,
    1328,  1235,  1291,     0,     0,     0,     0,  1570,     0,     0,
       0,     0,     0,     0,     0,  1464,     0,  1280,   342,   836,
     835,   343,   383,  1274,     0,   925,   930,   931,   928,     0,
     389,   397,   421,   132,     0,     0,  1200,  1200,     0,   777,
       0,     0,   466,   479,     0,   557,   515,     0,   472,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   724,   723,   173,     0,   449,     0,   676,
       0,   755,   756,   750,   752,     0,   763,   767,   833,     0,
       0,   566,   451,     0,     0,  1527,   450,     0,     0,   462,
       0,   553,   537,   549,     0,   550,     0,   554,     0,  1414,
       0,     0,     0,     0,  1162,     0,  1168,     0,  1120,  1091,
    1163,     0,  1763,     0,     0,     0,     0,   616,  1201,   865,
     867,   716,  1043,     0,  1047,   341,   968,  2078,  1953,     0,
       0,     0,     0,  2016,     0,  2017,  2044,  2043,  2023,  2027,
       0,  2024,  2025,  1921,  1925,  1923,  1906,  2048,     0,  1642,
    2075,  1756,     0,  1759,     0,     0,  1715,     0,     0,  1717,
       0,     0,  1719,  1721,     0,     0,     0,     0,     0,     0,
    2184,     0,  2277,  2526,  2436,     0,  1672,  1674,  1677,  1679,
    1678,  1680,  1676,  1685,     0,  1607,     0,  1606,  2099,  1765,
       0,     0,     0,  1076,     0,  1578,  1044,     0,   341,  1082,
     557,   517,  2387,   518,  1081,  1083,  1087,  1087,     0,   557,
     777,   640,     0,     0,   267,   675,     0,     0,   295,   345,
     357,     0,  1570,     0,     0,   845,   854,   854,   842,     0,
       0,   861,  1237,   720,     0,     0,   263,  1259,  1255,     0,
       0,  1466,  1467,     0,     0,     0,     0,     0,   341,   933,
       0,   423,   430,   401,   406,  1458,     0,  1458,     0,   403,
     407,  1458,   402,  1458,   399,   400,     0,  1200,     0,  1197,
    1196,   775,     0,   506,   580,   473,     0,   526,     0,     0,
     788,     0,     0,   451,   535,     0,   495,   488,   489,   490,
     491,   492,   493,   494,   486,   485,     0,   676,   851,   352,
    1421,   718,     0,     0,   689,     0,   753,   758,   757,  1458,
     762,     0,     0,     0,   676,     0,   562,   537,   451,   535,
     455,   465,   539,     0,   540,   555,   549,   553,   551,   552,
       0,     0,     0,   566,  1468,  1075,     0,  1167,     0,     0,
       0,     0,     0,     0,  1204,   611,     0,     0,   615,   606,
     676,  1011,  1954,     0,  1955,     0,     0,     0,  2029,  2028,
       0,  2065,  1761,     0,     0,  1755,     0,     0,  1785,     0,
       0,     0,  1724,  1740,     0,  1720,  1718,     0,  1729,     0,
    1731,  1974,     0,     0,     0,  1681,     0,  2050,  2052,     0,
    1976,     0,  1551,  1763,     0,  1548,     0,  1058,     0,  1059,
    1084,   521,     0,  1090,  1090,   508,   777,   499,  1261,     0,
     678,   580,     0,   298,     0,   275,  1257,     0,     0,   856,
     856,     0,     0,     0,     0,   370,   377,   376,   371,   369,
     378,     0,   374,   368,   367,   372,     0,  1460,     0,  1461,
    1462,  1465,   385,   398,     0,   428,     0,   426,   425,   427,
       0,   414,     0,     0,     0,     0,     0,     0,   388,   419,
    1195,  1199,  1198,     0,     0,   474,     0,   476,   512,   513,
     514,     0,   477,   522,   523,     0,   785,     0,   790,     0,
       0,     0,   676,   534,   700,     0,     0,     0,  1415,     0,
       0,   560,     0,   764,   765,   760,     0,     0,   712,  1421,
     549,     0,   537,   463,     0,   436,   553,   555,     0,  1418,
       0,   568,     0,   352,  1166,  1169,  1164,  1380,     0,     0,
     614,   613,   706,  1956,  2032,  2018,  2045,  2030,  2061,     0,
       0,     0,  1754,  1757,     0,  1788,     0,     0,     0,     0,
    1774,     0,  1722,     0,     0,  1730,     0,     0,     0,  1675,
       0,     0,  1540,  1550,  1077,     0,     0,  1087,     0,   777,
       0,  1079,  1078,   515,   501,  1570,   292,   344,     0,     0,
       0,   852,   855,   843,   844,   863,   862,   722,  1570,     0,
       0,   365,     0,     0,   424,   433,     0,   431,   404,   409,
       0,   413,   411,   410,   405,   408,     0,   505,     0,     0,
       0,     0,   524,     0,   525,   556,     0,   789,     0,     0,
       0,   702,   850,     0,     0,   449,   676,   754,   759,     0,
       0,  1416,   553,   537,   549,     0,     0,   541,  1082,  1082,
     555,   434,  1419,  1420,     0,   555,  1092,  1379,  1378,  1620,
       0,     0,  2513,  2278,  2485,     0,  2063,  2066,  2064,  2058,
       0,     0,  1786,  1787,  1772,     0,     0,  1776,  1739,  1752,
    1683,     0,  1682,  2053,  2054,  1763,   341,  1090,     0,   503,
     519,   526,   268,  1570,   846,     0,   264,     0,   375,   373,
    1463,   429,     0,   412,   767,   579,   531,     0,   530,     0,
     528,   527,   786,   791,     0,   676,   840,  1421,   690,   766,
       0,   555,   549,   553,     0,   538,     0,  1084,  1084,   438,
       0,  1763,  1362,  1620,  1361,  1363,  1371,  1368,  1370,  1369,
    1367,  1207,  1208,     0,  2070,  2069,  2068,  2072,  2071,  1758,
       0,  1775,  1778,     0,     0,     0,  1784,  1777,  1779,     0,
    1750,  1684,  1547,  1060,  1080,     0,   777,   276,   853,     0,
     432,     0,   529,   533,   532,   676,   701,  1417,   770,   437,
     553,   555,  1082,   542,   544,   543,   352,  1066,     0,  1372,
    1366,  1605,  1592,     0,     0,     0,     0,  1781,  1782,  1783,
    1780,     0,   520,   504,     0,     0,   703,   772,     0,   768,
     771,   773,   774,   555,   435,  1084,   555,  1364,  1620,     0,
       0,  2067,     0,     0,   366,     0,   738,     0,   439,   545,
    1763,  1365,     0,     0,     0,  1751,     0,   769,  1067,     0,
       0,  1773,   770,     0,     0,     0,  1205,  1206,   739
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4782, -4782, -4782,  3659, -4782,  -865,   377,  2883, -1898, -4782,
   -4782, -4782,  1183, -4782, -4782, -4782, -4782,  3586, -4782,  2020,
   -2349, -4782, -4782,   134,  3543, -1248,   103,  3145,  1676, -4782,
   -1111, -4782, -4782,  -565,    95, -4782,  3555,   501, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782,  -621,  2130,  2195,  1508,
    3605, -2581, -4782, -4782, -1381, -3126, -4782,   841, -4782,   873,
   -4066, -4477, -4782,  -793,  -619, -4782, -4782,  2117, -4782, -4782,
   -4782,  1330,   745,  -299, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782,  -475, -4782, -4782,  -712,   153,    34, -2370, -3621, -4782,
   -4782,   710,  -113, -1394, -4782, -3462, -4782,   257, -2144, -4782,
   -4782, -4782,   -79, -1351,  1614, -4782,  -678, -1104,  1931,  -579,
   -4782,    44, -4782,  -684,  -482,  -480,  -606, -3672, -4127, -4782,
   -4782, -4782,  -711, -4137, -4403, -3668, -3215,  1629, -4782,   155,
   -3022, -3111,   156,   687, -4782,   157,   158, -4782,   705,  -411,
    -887, -1475, -4782,  -780, -4782, -4782, -4782, -2822, -4782, -4782,
   -4782, -4782,    74, -4782, -4782, -4782, -4782,   751, -4782, -4782,
   -4782, -4782, -4782, -4782, -2618,  2093,  2097, -4782, -3058, -4782,
    -856, -4782,   892, -2877,  1540, -4782, -4782,  1323,  3620,   734,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -1597, -4782, -4782,
   -4782, -4782,   262,   -50, -4782, -4782, -4782, -4782, -4782, -4782,
     159, -4782,  2112,  1318, -4782, -4782,   -56, -4782, -4782, -4782,
   -4782, -4782, -4782,  -666,  -800,  -782, -4782, -2874, -4782, -4782,
   -4782,   -24, -4782, -4782, -4782, -4782, -4782, -4782,  -891, -4782,
    1385, -3037, -4782, -4782,  1388, -4782, -4782, -4782, -4782, -4782,
    -585,    37,  2913, -4782,  -190,  -381, -4782, -4782, -4782,    43,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -1066,  4106,
    -795,  -530, -4782, -4782, -4782, -4782, -4782, -2112, -4782, -4782,
   -4782, -4782, -3572, -4782,  4504,  2120,  -144,   161, -4782,    -7,
      52,  3390, -1120, -2549,   682,  -149, -4782, -4782, -4782, -2465,
   -4782, -4782, -4782, -4782, -3400,   162, -4782,  3385, -4782, -3666,
   -4410, -3428, -3937, -4291, -4325, -3361, -4782, -4782, -4782, -4782,
    -222,  -189, -4782, -4782, -1362,  2445, -1860, -4782, -2026,   742,
    1709,  3581, -2646,  -126,  2885, -3695,  -661, -3142, -4782, -4782,
   -2255,  -278, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
    -572,  2847,  -199, -4782, -4782,  3947, -4782, -4225, -4782,  3907,
   -4782, -4782, -4782, -4782,  2746,  2761, -4782,  2749, -4782, -4782,
   -1376,  1483, -4782, -4782, -4782, -4782,   932, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782,  1387,   924, -4782, -4782, -4782, -4782,
   -4782,  -556,  -713, -4782, -4782,   163, -4782, -4782, -4782, -4782,
    2007,  -878,  -699,  3812,   164, -4582, -4782, -4782, -1086, -4782,
    3198, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -2657, -4782, -4782, -4283, -4782, -4782, -4782, -4782, -4782,  2544,
    2549,    39,   -32, -4782, -4782,  -947, -4782,  -542, -4782,  2829,
   -4782, -4782, -4782, -4782, -1680,   165,   791, -4782,     2, -4782,
   -4782,   169, -4782,   556, -4782, -4782, -3312,    10, -4782, -4782,
   -4782, -4782, -4285, -4782,    14,  -465,  1090, -2704, -4782,   167,
      15, -4782, -4782,    73,    79,   -46,   -44,   -35,     7,   122,
    3269, -4782,  3308, -4782,   -14,  1913, -4782, -4782,  -769,  -157,
   -4782,  1820,  -609,  2513,  3254,  3257, -4782,  1811,  2554, -1884,
   -1889, -4782,  1138,  -433,  -271, -4782, -4782, -4782, -4782,   599,
    -602,  2534, -4782,  3266, -4782, -4782, -4782, -1780, -2746, -3322,
    1173, -3314, -3252,   643,   631, -1231,   -39,    57,  -727,  3267,
   -4782, -4782,  1189,  -233, -4782, -4782,  -230, -2684,  1125, -4782,
   -4220, -2230,  1197,  -656,  -508, -4782,  -589, -4782,  -386,  4854,
    2970, -1017, -4782, -4782,  -966, 13495, -4782, -4782, -4782, 14236,
   14247, -4782, -4782, 14703, 15549, -4782,  -847, 15896, 12736,  -999,
   -1727,  -251, 11850, -1730,  2479, -2680, -4782, -3391, -1487, -4782,
   -4782, -4782,    21,  1254,   370, -4782, -4237, -4782, -4782,   234,
   -4782,  -393, -4782,  -392, -4782, -4782, -4782,  -372, -4781,  2747,
   -4782, -4782, -4782,  -196, -4782, 16741, -2633, -4782,   763, -2641,
   -2644, -3295, -1733, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -1439, -3184,  -457,  1939, -4782, -4782,  2035, -4782, -4782, -4782,
   -1267,  1892,  -718, -2527,  1944, -4782,  -728,  2756,  -729,  7350,
    -562,  5207,  -500, -2179, -1198, -1522, -4782,   640, -4782,  2758,
     -16,    -6,  -141,  3908,  -598,   587, 12170,  -607, -1054,  8309,
   11833, 10970, -3025
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    51,    52,    53,    54,  1481,  2403,  2273,  3160,  3161,
      55,    56,  1477,    57,    58,    59,    60,  1400,    61,   989,
    1623,  2418,    62,  2114,   756,   757,   758,  1933,  1934,  2352,
    1935,  1923,  1287,  1760,  1421,   730,   731,  1382,  1422,    64,
      65,  1281,  1914,    66,    67,    68,  1451,  1528,  1452,  1394,
    1669,  4183,  4903,  2973,  2241,  3209,  2974,  2975,  3581,  3582,
    3657,  4920,  4926,  4921,  4922,    69,  1544,  1545,    70,    71,
    3125,  3121,  3702,  4520,  4521,  4754,   569,  2380,  4523,  4524,
    4740,  4741,  4938,  5076,  5077,  2419,  1615,  3203,  3790,  3151,
    4272,  3152,  4273,  3153,  4274,  3137,  3737,  3738,  4217,  3739,
    3154,  4233,  4784,  3155,  2133,  4955,  2460,  1782,  1780,  4767,
    4046,  4047,  5049,  4962,  4963,  4964,  5180,  4235,  4278,  4279,
    4813,  5116,  5117,  3207,  3797,  4284,  4538,  2862,    73,   665,
    1649,  3304,   666,  2463,   604,   667,  2420,    78,  2453,  4957,
    2454,  1502,  2282,  4923,  3284,    79,  1013,  3548,  4607,  4838,
    4839,    80,   221,    81,  1631,    82,    83,  2398,  3144,    84,
    2150,  2879,    85,    86,  2908,  2909,  2910,    87,  3573,  4460,
    1453,  2962,  2963,  2964,  2965,  3603,    88,  1626,  2427,  2428,
      89,    90,    91,    92,  2569,  2570,    93,  2339,    94,    95,
      96,    97,  3637,  4147,  4249,  3004,  3167,  3762,  4247,    98,
    2421,  1639,  2443,  2444,  4259,  4563,  4564,  4565,  4799,  5107,
    4567,  4801,  4985,  4803,  5278,  5279,  4529,  3527,  4060,   100,
    4226,  4227,  4969,   101,  2148,   102,   103,   104,  1599,  2390,
    2391,  3711,  1592,  2383,  2384,  3776,  3777,   105,  3078,   106,
    4123,  4124,   605,  4976,  4909,  5063,   107,   108,  4127,  4128,
     109,   110,   111,   112,   113,   657,   658,   659,  1101,  1102,
    2834,  1053,   114,  2031,   115,   952,   953,  3102,   116,  1174,
    2613,  2614,  4322,   117,   690,  1120,  1121,  2422,   119,   699,
    2589,   701,  1795,  3286,  3287,  3855,   120,   121,  2566,  2592,
     122,  1387,  2124,  2125,  4041,  2423,   606,  1655,  2467,  2857,
    4682,  4683,  4438,  4696,  2779,  3478,   124,   607,  1426,  2197,
    1073,  1074,  2470,  3217,  2093,  2094,  2095,  3814,  2096,  3219,
    2097,  1360,  2098,  1023,  1024,  3225,  3226,  3227,  3810,  3817,
    2412,  4596,  4597,   125,  1424,  2195,   126,   127,   128,  1465,
     874,  1083,  1084,   129,   619,   620,   130,  4759,   131,  1027,
     132,  4605,   133,   134,   721,   722,  1158,  1159,   135,   136,
    2211,  3584,   137,   138,   139,  2998,  2999,  4139,   140,   141,
    1618,  1619,   142,   143,  3043,  3044,   144,   145,   146,  5204,
    5258,  5259,  5260,  3824,  5129,  5206,  1151,   148,   149,   150,
     187,   912,   913,   914,  2424,  4589,   152,   153,  1383,  1384,
    1385,  1386,  2119,   154,   155,   156,   157,   158,   159,   160,
    1603,   161,   162,  4733,   163,   164,  1563,   165,  1317,  1318,
     166,   167,   563,   774,  1321,  1327,   168,   669,  1114,  1115,
    1116,  1762,   169,  1154,   955,   670,  1109,   171,   671,  2077,
    2809,  3492,  3493,  3494,  3497,  4423,  4020,   672,  2805,   174,
    1802,  2575,  2578,  2801,   673,  2814,  2815,  2816,  3500,   674,
     692,  1016,  2476,   675,  1248,   179,   180,   181,   783,   777,
     778,   183,  1907,  2741,   708,  1334,   743,   744,   791,  3463,
    2043,  2044,  2068,  2069,  1343,  1344,  2056,  2060,  2061,  2792,
    2785,  2049,  3998,  4666,  4667,  4668,  4669,  4670,  4671,  4406,
    2064,  2065,  1346,  1347,  1348,  2073,   184,  2745,  3442,  3443,
    3444,  3974,  3975,  3989,  3985,  4390,  4652,  3445,  1149,  1354,
    4398,  5230,  3446,  4641,  4642,  4855,  3993,  3454,  3488,  3191,
    3192,  3193,  3447,  5029,  5030,  5227,  5228,  4857,  4858,  2099,
    1699,  1055,  1249,  1056,  1711,  1250,  1683,  1058,  1251,  1252,
    1253,  1061,  1254,  1255,  1256,  1064,  1675,  1257,  1258,  1693,
    1708,  1709,  1322,  4859,  1260,  1261,  1262,  3449,  1263,  3928,
    4354,  4343,  2673,  2674,  1930,  3924,  3387,  1902,  2731,  4675,
    4877,  4878,  3426,  3953,  4370,  4639,  5021,  5136,  5137,  1264,
    1265,  1266,  2728,  1898,   877,  1267,  3713,  1900,  2667,  2753,
    2754,  1805,  1825,  2620,  2636,  2637,  2647,  3346,  2655,  2660,
    3374,  3375,  2668,  2697,  1268,  2622,  2623,  3330,  1827,  1269,
    1310,  1942,  1361,  1822,  2692,  1277,  1270,  1271,  1796,   767,
    4648,  1105,   833,  2990,  2022,   916,   705,  1272,  1273,  1274,
    1275,  1458,   848,  1076,  1077,   559,   827,   850,  2966,   560,
     561,   829,  2027
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     621,  1501,   172,   875,   782,  1759,   876,   182,   841,   706,
     173,  1019,  1719,   983,   175,   694,  1278,  1282,  1140,  1141,
    1142,   694,   557,   792,  1146,  1349,  2295,   182,   735,   611,
     769,  1689,  3150,  1506,  1779,  1561,  1367,  2132,  2206,  1549,
    2354,  3309,  1312,  1087,  2028,  2448,   603,  1628,  2751,  1815,
    1311,  3041,  1695,  1017,  1296,  3772,  1098,  1117,  3486,   668,
    3574,  2218,   824,  2198,  3448,   883,  3173,  2235,  2827,  2829,
    1679,  1680,  3464,   177,   700,  2992,   968,  1457,   903,   178,
    1688,  2207,  3598,  3818,  3600,  3554,  3802,   736,  3746,  3788,
    2619,   656,  1613,  4048,  2028,    63,  1104,  3075,  3723,   178,
     766,  3290,  3715,  1601,  3457,  3455,  3456,  1606,  1641,  3499,
    3715,  4086,  1610,  4439,  2652,  4013,  3940,  4043,  3971,  4297,
    4281,  1111,  1620,  1095,  3448,  1427,  2581,  4232,  1029,   781,
    4049,  2756,  3988,  2468,  4288,   786,  1644,   729,   794,  4291,
    2682,  4581,  1019,  2524,   763,  3476,  4645,   795,  4697,  2316,
    2320,  2321,  3395,    72,  4583,    74,    75,    76,    77,    99,
    2028,   118,   123,   147,   151,   170,  4545,   176,  2105,  2191,
    4280,   780,  2797,  4704,   755,  2794,  3785,  3505,  4815,  4657,
    1423,  4659,  1342,  4826,  1289,  4026,   676,  1676,  1677,  1345,
    3908, -2247, -2317,  3986, -2353,  3991, -2320, -2376,  1687,  1311,
     676,  4437,  2029, -2407,  1454,   676, -1812, -2219,  4978,   676,
    2409,   908,  4726,   612,  4582, -2219, -2219,  1122,  1870,   617,
    4735,  4736,  1126,   567, -1825, -1845,  3163, -2220, -1850,  1695,
   -2568,  2327,  1679,  1680,  2826, -2220, -2220,   617, -2568, -2568,
   -1840,  2571,  1666,   617,   617,  1640,   617,  1876,  3107,   676,
    3108,  1487,  1688,  4925,  3112,  2023, -2190,  3808,  2126, -2082,
    2219,   793,  -422,  3117,  3118,  3119, -2082,  1500,  4908,  3352,
    1488,   896,  1710,  2591,  2126,  1527,  2127,  1313,  1878,  1170,
    3307,  2725,  1589,  2690, -1853,  1554,  2554,  1597,  2726,  1471,
    3504,  3555, -2191,  3123,  2116,  2690,  4324,  4325,   617,  4327,
    4328,  4329,  4760,  5223,     3,     4,   909,  1920,  1454,   617,
    3793, -1853,  2023,   676,  2549,  4836,  3294,  2445,  1870,  1489,
    3249,  4421,  1666,  3073,  3296,  4220,  5127,  2629,  1137,   617,
    4885,  2308,  1666,  3261,  2128,  3263,  1761,  4703,   565, -1668,
    1676,  1677,  1666,  1286,  2732,  1666,  4848,  1876,  1396,   910,
    2128,  5213,  2129,   682,   682,  4951,   682,  2186,   682,   682,
    3252,  2258,  1144,  4873,  2572,   682,  2776,  1687,  2129,  2848,
    2582,  4893,  4894,  1912,   185,  3020,   683,   683,  1878,   683,
    3250,   683,   683,  1870,  2040,  4546,  1928,  1484,   683,   876,
    4525,  2406,    39,  2349, -2374,  -132,  2347,  1472,   892,  1291,
    -132,  1690,  2209,  1490,   911,  3098,  2350,  5111,  2244,  2209,
     562,  5224,  1876,   676,  4997,  1921, -2101,   186,  1561,  2210,
    1916,  4526,  1691, -2101,  1485,   893,    43,  4905,  1929,  4547,
    2630,   185,  2351,  2348,  4242,  1314,  1692,  1315,  4869,  2030,
    1913,   876,   977,  1878,  3020,  1145,  4817,  2187,   987,  2849,
    2777,  1491,  3352,  1717,  1492,  4816,  1397,  1666,  1717,  2209,
    2209,  1001,  1666,  1705,  1179,  2294,    47,  3352,  4221,  2314,
    2279,  3353,  3354,  3355,   186,  2138,   613,  2332,  2733,  1836,
    4837,  1396,   772,  1705,  5291,  2446,  4886,  1727,  3933,  2209,
    2130,  2259,  1019,  2550,  1598,  1138,  1494,  2209,  5128,  3652,
    4952,  2631,  2744,  2407,  2209,   618,  2130,  1043,  3352,  1019,
    1667,  3770,  2234,  1666,  1924,  2394,    50,  4795,  3124,  1936,
    1936,  4422,  3074,  3720,  4243,  3295,  2551,  3555,  2555,  1922,
    1864,   614,  4950,  3297,  1743,  1123,  1125,  1127,  3348,  1496,
    1129,  1130,  1131,  3328,  2392,  4849,  1797,  4446,  1473,   954,
    1136,  5225,  2220,  2573,  4522,  2616,  5226,  1807,  1910,  1497,
    2410,  2632,  2873,  2221,  2633,  2222,  1019,   615,  1560,   616,
     956,  4108,  1816,  2574,  1717,   182,  1763,  1464,   957,  1499,
    3700,  3701,   958,  3715,  2268,  1474,  1801,  1145,  1145,  1397,
    1667,  1598, -2082,  5120,  1308,  5169,  2131,  2028,  1309,  5047,
    1667,  3809,  1018,   621,  2328,  5247,  4244,  4142,  1819,   702,
    1667,   704,  2131,  1667,  2727,   710,  1475,  2691,   782, -2374,
     724,   732,   702,  2223,   739,  2177,  2309,   732,   732,  3415,
     768,  2290,   771,  4241,  2293,  2185,  1118,  1350,   951,  1674,
     568,   959,  3246,  2028,  4359,  5073,  2447,   178,   688,   689,
    4053,  2300,  3988,   688,   689,  4387,  1668,  1455,  1456,  4391,
   -2247, -2317,  3357, -2353,  2634, -2320, -2376,  1678, -2219,  1897,
     182,  1119, -2407,  1124,  2545,  1128,  1598,  3520,  2528,  4996,
    4990,  1132,  2353,  5175,  1019,  1682, -1845, -2374, -2220, -1850,
    4287, -2568,  1019,  1019,  1316,  1152,  1110,   688,   689,  4333,
   -2374, -1840,  2385,  1113,  1866,  1908,  1135,  2759,  2280,  5191,
    1690,  2283,  2284,  4378,  5200,  4380,  2912, -2190,  4426,  2553,
    3367,  1171,  5157,  4263,  3358,  1667,  1918,  3099,  2563,  1279,
    1667,  1691,  1288,  1018,  1290,  1578,  1696,  1690,   876,   794,
    2074,  1573,   178,   781,  2504,  1692,  1714,  2075,   795, -2101,
    4245,  1308,  4890, -2191,  4616,  1309,  1725,  3448,  1691,  1745,
    3448,  1455,  1456,  2194,  2038,  1148,  1894,  1895,  1896,  1897,
    5162,  2635,  1694,  2315,  2987,   826,   831,   831,   834,  2139,
     831,  1667,  2175,  5166,   843,   773,   768,   172,  3649,   878,
    5251,  1371,   182,  1566,  2363,   173,   768,  2913,   831,   175,
    3507,   768,  3508,  3653,  5140,   831,  3140,   768,  1398,  2931,
    3501,  4075,  1319, -1812,  4579,  1533,  4246,  4006,  4112,  2036,
    1479,  2688,  2333,  3764,  3785,  2036,  1148,  1598,   825,  1892,
    1893,  1894,  1895,  1896,  1897,  3550,  2621,   842,  2486,  2487,
    2252,  3448,  3012,  1480,  4206,  1666,  4447,  5283,  -132,  -132,
    2334,  3740,   839,  5112,  2874,  1353,   973,  1534,   177,  1070,
     789,   787,   793,  4034,   178,  5114,  2401,  1399,  1454,   617,
    1372,  1748,  2140,   676,  2988,  1558,  1717,  1800,  5237,   789,
      63,  1285,  5089,  4205,   796,  1293,  2751,  2751,  2751,  1009,
   -1812,  4230,  5215,  5243,  1388,  3481,  2260,  1403,  1324,  2794,
    3364,  3365,  3366,  3367,  5099,  3861,  5254,  5255,  2838,  3359,
    3360,  3361,  3141,  3362,  3363,  3364,  3365,  3366,  3367,  3349,
    3350,  3013,  1373,   788,  3369,  5113,  1905,  3854,  1381,  4166,
    1701,  3694,  3695,  4725,  2979,  3575,  4540,  1571,    72,  1338,
      74,    75,    76,    77,    99,  2191,   118,   123,   147,   151,
     170,  4807,   176,  2887,  3362,  3363,  3364,  3365,  3366,  3367,
     564,  3399,  3400,  1632,  1454,   617,   797,  4056,  4024,   676,
    3819,  4120,   617,  2461,  3014,  1764,   703,  5193,  1766,  2295,
    1768,  1732,  1770,  5266,  1772,  2369,  5192,   617,  1776,  2267,
    4643,  2903,  4603,   789,  5299,   729,  1520,  3693,   715,  4140,
    1538,  1702,  1389,  2226,  4302,  1633,  1539,  4048,  2846,  1340,
     617,  3820,  2141,  3298,  4915,   617,  1374,  1869,  1535,  1754,
    1870,  2245,  1755,  1733,  4256,  4584,   676,  2370,  5216,  3015,
    1298,  4049,  4820,  3467,  3502,  2227,  3542,   582,  5244,  4585,
    4821,  4776,  1559,  3576,  4049,  4621,  4057,  2402,  4541,  1876,
    3862, -1812,  2023,  3567,  1717,  5250, -2569,  2565,  3461,  1010,
    2457,  1703,  2560,  2561,  1704,  2969,  4649,  2904,  5060,  2115,
    4646,  4653,  4231,  1689,  4655,  4121,  3551,  3999,  3543,  1598,
    1878,   716,  4218,  1018,  2458,  2806,  3142,  1659,  -671,  3299,
    3448,  4777,  4167,  3821,  3472,   584,  2439,  2142,  1717,  4778,
    1018,  3712,  4971,  4058,  -571,  4059,  3059,  3218,  1540,  3712,
    4915,  3622,  3060,  1667,  2831,  1011,  1536,  2970,  2507,  2047,
    4918,  1012,  3568,   790,   840,   182,  3016,  4779,   974,  2980,
    2518,  1071,  3741,  5004,  1803,  5061,  1765,  4992,  1767,  4570,
    1769,  2523,  1771,  1864,  1773,  1774,  1775,  4995,  1117,  4219,
     917,  1777,  4970,  1390,  2485,  3818,   768,  1018,   826,  5002,
    4575,   831,  1801,   834,  1705,   831,  1634,  1378,   741,  1379,
    4432,  3143,   878,  2481,  5090,  4122,   798,   990,  2440,   831,
    2976,  5197,  5198,  1444,  1734,  2530,   831,  4991,  2371, -2569,
    1391,  2799,  1906,  4780, -2569,  4916,  3815,   178,  4917,  3753,
    4822,   782,  4049,  4586,  4781,  3000,  2971,  2522,  4461,  1572,
     826,   962,  2537,  2048,  3061,   834,  4918,  4604,  5176,  3623,
     843,  1392,  2552,  2298,   878,  2888,  2557,  4700,  2559,   717,
   -2569,  2562,  2907,  1865, -1812,  3577,  3578,  3822,  3101,  3544,
    3017,  1660,  1867, -1812,   831,  1678, -1812,  1366,  3018, -1812,
     595,  3019,   596,  2807,  3045,  1299,  1909,  3450,  4919,  1541,
    1824,  3640,  3579,   825,  1635,  2459,  4321,   742,   718,   719,
    2645,  1706,   876,   842, -2188,  1018,   601,  1885,  1926,  1927,
    1833,   617,  1735,  1018,  1018,  1393,  2372,  4888,  4904,  2034,
    2041,  2042,  2800,  2046,  1661,   768,  1542,  3448,   859,   795,
     795,  3448,   795,  3823,  2710,   860,   861,   862,   768,  2832,
    1162,  1849,  2833,  1701,  2917,  5285,    39,  3450,  5019,  2134,
    4765,  1455,  1456,  1300,  4425,  4843,  1861,  1543,  3725,  5121,
    1276,  1276,  4865,   768,   732,  2947,  1166,  3545,   732,  4443,
    3979,  2567,  3138,  2798,  1466,  2903,  5020,  2135,  4268,  4993,
      43,  3069,   768,  4403,  4919,  4006,   768,  3754,  2903,   720,
    1636,  4410,  1276, -2569,  2972,  3062,  2050,  3012,   737,  4125,
    3624,  3980,  4269,   768,  3728,  2441,  3199,  2949,  1332,  4958,
    4782,  1637,  3070,  4783,  1702,   768,  4393,  3156,  2442,  1662,
      47,  3027,  1179,  2948,  4014,  3352,  3982,  3490,  4319, -2569,
   -2569, -2569,  3063,    48,  2918,  2051,  4444,  3625,  1353,  1717,
     707,  5177,  1467,   793,   793,  2457,   793,  1455,  1456,  4907,
    4337,  2904,  4338,  2568,  4911,  4912,    49,   768,  3002,  3730,
     713,  3491,  3068,  3064,  2904,  2950,  4710,  2711,  3626,  2458,
    2808,  1663,  2712,  3259,  1703,   768,  3013,  1704,  3715,   582,
     831,   831,  5199,  2905,  4015,  2050,  5044,  5201,  3650, -2569,
    4806,   185,  4643,  2416,  4268,   715,  1892,  1893,  1894,  1895,
    1896,  1897,  1308,  4126,  2170,  4891,  1309,  1333,  2713,   732,
     732,  4224,  2285,   908,  4896,  4561,  5178,  2136,  4269,  2299,
    2906,  2505,  3578,  4049,  2051,  2304,  1338,  3003,  4110,  3014,
    4959,  4794,  3028,  4562,   186,  3984,   826,   584,  2053,   908,
    3031,  5179,  1019,  3034,  4531,   714,  4257,   843,  4099,  3733,
    3170,   878,  1511,  5249,  2144,  2506,  2516,  3651,   876,   876,
    1664,   740,  5051,  5052,  2145,  1638,  3005,  3006,  1323,   831,
    3009,  2417,  2479,  3182,  3183,  3184,  3185,  1705,   716,  3157,
    4262,  2052,  2295,  4270,  3015,  3190,  4339,  2411,  3474,   825,
    3734,   768,  3566,  1512,  2054,  2556,  1340,  4111,   831,   831,
     842,  4960,  1381,  1513,    39,  3735,   764,  1381,   909,  2311,
    4196,  2929,  3712,  5284,  4199,  4200,  2907,  4202, -1605,  3087,
     768,   768,   768,  3874,   831,  1539,   826,  2053,  3648,  2907,
   -1605,  2751,  2926,  5118,   909, -1605,  4138,  1341,    43,  2426,
    1371,  2714,  2843,  2431,  2286,  5298,  3385,  2287,  5300,  3065,
    4557,   910,  3392,  3888,  3889,  3890,  3891,  2135,   785,  3896,
    3897,  3898,  3899,  3900,  3901,  3902,  3903,  3904,  3905,  1870,
    1308,  1381,  1356,  4036,  1309,  1381,   876,   910,    47,  1656,
   -1605,  3016,  3358,  2054,  1706,  4762,  3066,  3026,  4305,  2860,
    4306,    48,   595,  4977,   596,   831,  3736,   831,   831,  5105,
   -1605,  3654,  3843,  1707,  3071,  2698,   911,  2699,  3404,  1357,
    3405,  2120,  2146,  3169,    49,  3944,  3945,  3067,  1614,  1372,
    3049,   682,  2121,  3158,  4088,  1276,   717,  1540,    50,  1878,
    2700,  3448,   911,  3406,  2214,  3072,  2215,  4983,  3448,  2122,
    1358, -1605,  5001,  3448,   683,  2861,  3448,  1479,  2856,  2147,
   -1605,  1514,  4797,  3093,   775,  1781,  1781,  1476,  1295,  4974,
     768,  4056,   702,  4049,  2860,   718,   719,  1002,  3159,  4984,
    1480,  1373,  3448,   865,   866,   867,  4988,   868,   869,   870,
     871,   872,   873,  1812,  1515,  3448,   768,  3526,  1516,  1818,
    1869,   182,   784,  1870,  2216,  3017,  4798,  4089,  1870,  3010,
    1003,  4615,  1276,  3018, -1075,  4953,  3019,   799,  3283,  2539,
    1368,  2540,  5012,  2541,  4835,  2542,  3212,  2543,  3511,  1517,
    3523,  2544,  1876,  1678,  1113,  2106,  5234,  1876,   582, -2569,
    4442,  2701,  1276,  1004,  1598,  5118,  2702,  2588,   956,  3407,
    4057,  2703,  3853,   182,  3408,  4037,   957,  1369,  2638,  3453,
     958,  3471,  4038,  1878,  3794,  1444,  4897,  3798,  1878,  4900,
    1276,  1276,  1276,   178,  1276,  1374,  1503, -2569, -2569, -2569,
   -1605,  3362,  3363,  3364,  3365,  3366,  3367,   835,  1370,  1005,
   -1605,  2123, -1605,  3854,  1276,  4039,   584, -1605,  2576,  4734,
   -2210,  4544,  3818,  3501,  -155,  2587,  1019,  4058,  2504,  4059,
    3892,  1752,  3893,  1504,  3978,  1642,  4040,  5125,  3725,   959,
    4686,   837,  4688,  4500,  3726,   178,  4450,  4451,  1375,  4709,
    3401,  -155,   768,    34,  2612,  1276,  3727,  1643,  1508,  4943,
    4574,  4555, -1605,  2285,  4944,  1338,  4501,  3883,  3230,  2760,
    1339,  4731,  1308,  3448,  5101,  1328,  1309,   857,  4831,  1019,
    2270,    39, -1605,  1276,  3728,  1376,  3729,  1276,  1276,    34,
    4738,   662, -2569,  1299,  4732,  1509,  3909, -2569,   768,   768,
    2080,  -447,  1276,  4462,  2704,  4215,  3979,  3409,   858,  4466,
    3450,    14,  4945,  3450,  2705,    43,  1377,  3410,  2226,  2696,
     898,  3270,  2893, -1605,   732,   876,  1510,  4535,  4731,  4216,
    2889,  1479, -1605, -2569,  3448,  1340,  1505,  3980,  2271,  3730,
     961,  1936, -1641,  2274,  3462,    19,  1378, -1641,  1379,   907,
    2227,  4732,  3981,  3282,  1480,    47,  3894,  2413,  4214,  2182,
    1002,  1300,  3982,  4054,   732,  3731,  3895,  1362,    48,  1748,
    1863,   595,   222,   596,  1166,  5011,  1341,   566,   768,  2208,
    1885,  2450,  5054,  3619,   964,   660,  2881,   768,  3983,  3506,
     831,    49,   984,  1003,  3450,  2286,  1380,  1614,  2287,  1740,
    1363,  1690,  4599,   738,  1364,    50,  4168,  2337,  5188,  4981,
    1690,  2343, -1641,  -447,  3556,   878,  4185,   768,  2925,  3465,
    3620,  1741,  1691,   975,  3732,   976,  3766,  1482,  4169,  3733,
     768,  1691,  1319,   768,   967,  1365,  1694,  4186,  1487,  3583,
    2392,   970,  3773,  4515,  1546,  4516,  4517,  1550,  4940,  4518,
    4942,  3621,  3783, -1641,  4946,  3608,  4947,  1488,  2236,  1529,
    3187,  1007, -1605,  1018,  4098,  3188, -2569,  2209,  3609,   768,
    3734,  3984,  1005,  2847,  2850,  3448,  2853,  2217,  2082,   997,
     831,   831,   831,   831,   768,  3735,  3045,  5246,  2616,  4418,
    5286,  3011,  1685,  1686,  2751,  3413,  1530,  4731,   768,  2751,
    1531,   691,  4982,  3324,  1008,  2751,  1489,   691,  2036,  2355,
    2810,   768,  4033,  3325,  1019,    31,   178,  1678,  3326,  2106,
    4732,  3479,  -570,   831,   831,  3724,   676,  1532,  1809,  1006,
    3188,  1810,  1290,  3448,   979,  5159,   980,  4084,  1748,  4690,
    1678,  4076,  1366,    39,   831,  4264,  4699,  5276,  3864,  1308,
    1026, -2191,    39,  1309,  2032,  1021,  4090,  2033,  4097,  5043,
    3090,  1069, -2569,   768,  3448,  3378,  1078,  3380,  3381,  1892,
    1893,  1894,  1895,  1896,  1897,  2035,  3736,    43,  2036,   831,
     831,   831,   831,  1079,  2675,  2534,    43,  2678,  2036,  2911,
    1490,  3769,   768,  2795,  2796,  2546,  4113,  2616,  2547,   768,
    2548,  3721,  2355,  2547,  3831,  3832,  2237,  3251,  3253,  3254,
    3512,  3513,   826,  2579,  1092,   826,  2580,    47,  2773,  2818,
     834,  1748,  2036,  1147,  2923,  1276,    47,  2924,  1085,  2994,
      48,  1019,  2995,  2238,  3742, -1663, -1663,  3128,  1491,    48,
    3129,  1492,  4290,  3450,   575,  2474,  1099,  2475,  3133,  3515,
    3559,  3134,  2294,    49,  3237,  1108,  2239,  2036,  2240,   676,
     843,   843,    49,  3276,  1139,   825,  2547,    50,   825,  3459,
    3460,   878,   878,  3533,  3448,  1823,    50,    50,  3085,  1869,
    1148,  1148,  1870,  1494,  1148,    28, -2569, -2569, -2569, -1667,
   -1667,   831,   831,  2234,  3920,  3429,  3323,  3430,   831,  2036,
     768,  3103,  3332,  1150,  3103,  2036,  3103,  3710, -1666, -1666,
    3103,  1876,  1143,   842,   842,  3710,  1153,  1155,  1877,  3103,
    3103,  3103,  5273,  1156,  3614,  1781,  1496,  3338,   582,  1157,
    2036,  4788,   831,  3339,   843,  1163,  2036,  3340,   768,   768,
    2036,   831,  1878,  3205,  3371,  3206,  1497,  2036,   768, -1069,
    3384,  3389,  1165,  2036,  3390,   768,  3601,  3978,  1166,  3602,
     702,   702,  4739,  1167,  2593,  3635,  1499,  1164,  1276,  3606,
    1276,  3316,  3607,  1169,    39,  1276,  1276,  3181,  4051,  4052,
    3643,  1168,  1276,  1276,  1276,  1173,   584,   842,  1276,   878,
    1276,  1276,  1276,  1276,  1276,  1276,  4595,  1276,  4275,  1276,
    1276,  2483,  1172,  1276,  3448,  3218,  1175,  3712,    43,  3213,
    3175,  3630,  3806,  3829,  3631,  3807,  2036,  1018,  1276,  1276,
    1276,  1276,  1678,  1297,  2106,   831,  1276,  1148,  3312,  3979,
    1276,  5232,  3174,  1276,  1294,  1301,  1276,  1276,  1276,  1276,
    1276,  1276,  1276,  1276,  1276,  2236,  1276,  3759,    47,  1302,
    3450,  1879,   768,  1276,  3450,  1276,  1880,  5156,  5202,    28,
    3980,    48,   768,  3915,  3925,  3936,  3916,  3926,  2036,  4022,
    1018,   876,  4023,  1303,  1320,  3981,  3448,  5257,  4027,  4032,
    4055,  4028,  2833,  2547,    49,  3982,  1307,  4265,  4316,  3200,
    2547,  1801,  1883,  1325,  1019,   178,  1019,  3870,    50, -1373,
    2504, -1373,  4334,  4360,  4372,  2036,  2580,  2036,  3431,  4428,
    3432,  3983,  2833,  2976,  4434,  4109,  4440,  4435,  3752,  2547,
    3755,  4441,  1328,  4576,  2547,  3857,  4577,  4623,  4625,  4827,
    4624,  2036,  4650,  4207,  1326,  4208,  3743,  3000,  3745,  1885,
    1329,   595,  3475,   596,  2615,  1336,  2618,  1561,    39,  5287,
    2292,  5288,  2625,   598,  3045,  1328,  1351, -1593,  2639,  2640,
    2641,  1352,  1355,  1359,   600,   782,  4618,  1614,  2657,  2659,
    1366,  1401,  4633,  2669,  1019,  2580,  5308,  4705,  1428,   768,
    4706,   768,    43,  1276,  4098,  4789,  4828,  4844,  2547,  4829,
    2580,  1425,  1179,  2237,  3984,  3352,  1276, -2221,  2236,  3353,
    3354,  3355,  1430,  1431,  4852,  1276,  1276,  4853,  4862,   782,
    4868,  1748,  4870,  3780,  4883,  3780,  3812,  4884,  4933,   768,
    2238,  4934,    47,  1487,  4973,  1887,  2812,  1915,  2817,  5003,
    2236,  5013,  4884,  5014,  2580,    48,  3390,  5015,  5026,  1464,
    2036,  5027,  1488,  2239,  2236,  2240,  4000,  4001,  4002,  4459,
    5032,  5035,  5059,  1748,  3780,  2580,  1468,  1869,    49,   834,
    1870,  1335,  1469,  1337,  1871,  1872,  1873,  1470,   702,  3863,
     702,  5065,  5203,  4091,  2580,  5066,  4651,  1478,  2580,  3850,
    2234,  1874,  1476,  1486,  3434,  3435,  3436,  1276,  2028,  1876,
    1861,  1489,  1483,  1521,  3995,  4574,  1877,  5069,  1522,   826,
    5070,   831,   831,  2317,  5071,  1018,   843,  5072,   878,  5126,
     831,  4392,   831,  4395,  4072,  5097,   831,  2616,  5098,   768,
    1878,  1888,   782,  1537, -2569, -2569, -2569,  1547,  1892,  1893,
    1894,  1895,  1896,  1897,  1861,  2346,   956,  1548,  1551,   693,
     732,   182,  1556,  1557,   957,   693,  2237,  1562,   958,  2914,
    2208,  2696,   825,  5144,  4093,  1564,  5145,  5148,  2935,   842,
    1748,  5149,  1565,  5150,  2036,  2946,  2036,  3422,  1567,  3356,
    1570,     3,     4,  2238,   768,  1490,  5152,  5171,  2237,  2036,
    5172,  5195,  5219,  3441,  5196,  3780,  1575,  1574,  3710,  4191,
    3357,  2236,  2237,  1581,  1582,   768,  2239,  4203,  2240,  2236,
    2991,  2991,  1585,  5231,  1591,  2238,  4876,   959,  1588,  1594,
     768,   768,  4137,   178,   768,  5256,   834,   732,  4884,  2238,
    1596,  5294,  1018,  1491,  5070,  1602,  1492,  1605,  2239,  1879,
    2240,   662,  2236,  2234,  1880,   831, -1604,  2294,   831,  1607,
    1598,  1616,  2239,  3441,  2240,  1617,  1621,   781, -1604,  4842,
     787,    14,  3358, -1604,  3450,  1881,  1882,  1622,  -175,   768,
     768,  3450, -1642,  1624,  1625,  2234,  3450, -1642,  1494,  3450,
    1883,  1627,  4355,  1629,  3076,  5296,  3079,  3081,  5297,  2234,
    1630,  5311,  1645,  5318,  5145,    19,  5297,  1652,  1654,  1658,
    1665,  3475,   204,  1671,  1672,  3450,  2989,  1673, -1604,  3475,
    1674,  1678,  1681,  1884,  3647,  1684,   831,  1682,  3450,  3604,
    1698,  1496,   788,  1700,   831,   831,  1179,  1885, -1604,  3352,
    1886,   831,  1713,  3353,  3354,  3355,  1712,  1716,  1724,  4595,
    1728,  1497, -1642,  1276,  1717,   831,  1736,  3655,  1729,  2237,
    3934,  1731,  1737,  1739,  1744,  1747,  1750,  2237,  1751,  2208,
    1753,  1499,  2991,  1778,   768,  1806,  1811,   768,  1820, -1604,
    3641,  3172,  1813,  1814,   702,  4743,  2238,  1821, -1604, -1816,
   -1823,  1828,  1829, -1642,  2238,  1830,   831,  1276,  1831,  1832,
    2237,    50,   789, -1813,  2236,  1834,  1835,  1836, -1814,  2239,
    1837,  2240, -1817, -1815,  3076,  1838,  1839,  2239,  1841,  2240,
    1842,  1843,  1844,  1887,   831,  1845,  3204,  2238,  4744,  1846,
    1847,  1848,  1850,  1851,  1852,  1853,  1854,  1855,  1856,  1901,
    1857,  1905,  3678,  1903,  1919,  1906,  2234,  1915,  1931,  1276,
    2239,  4313,  2240,  4745,  2234,  2039,  1939,  3359,  3360,  3361,
    1339,  3362,  3363,  3364,  3365,  3366,  3367,  1341,  2070,  2072,
    4746,  2081,  2083,  3103,  4747,    31,   831,  2084,   831,  2991,
     831,  2991,  2085,  2101,  2102,  3703,  3450,  2234,  2103,  2104,
    2106,  3714,  2107,  2108,  4748,  2109,  2110,  4749,  2111,  3714,
    2112,  2118,  2137,    39,  2143,  1018,  5025,  1018,  2172,  3687,
    2149,  4750,  2176,  2178,  1781,  2180,  4551,  2179, -1604,  1888,
    2181,  2183,  1889,  1890,  1891,  2184,  1892,  1893,  1894,  1895,
    1896,  1897,   790,  2200,  3357,  4237,  4238,    43,  2199,  3343,
    2228,  2201,  2212,  2213,  2224,  2230,  2233,  3450,  2234,  2242,
    2231,   768,  2237,  3778,  2232,  2247,  2243,  2248,  2253,  2246,
    2254,   826,  2257,  2263,  2264,  2265,  2266,   843,  2236,  2269,
    2272,  2276,  2277,  3179,  2281,  2288,  2289,    47,  2296,  2238,
     831,   663,  2297,  2291,  3811,  1018,  1444,  2301,  1276,  2303,
      48,  2306,  4751,  1276,  2302,  2312,  3358,  2313,  2329,  2330,
    4752,  2305,  2239,  2310,  2240,  2336,  4275,  2335,  2357,  2307,
    2318,  2359,  2360,    49,   825,  2319,  1276,  1276,  1276,  2331,
     842,  1276,  2362,  2361,  2366,  3236,  2341,   664,  2345,  1276,
    1276,  1276,  1276,  2367,  2375,  2368,  2376,  2374,  2377,  2234,
    4753,  2378,  1276,  2386,  2379,  1276,  3950,  1276,  1179,  2381,
    2387,  3352,  2388,  2393,  2236,  3353,  3354,  3355,  1276,  1276,
    2396,  2397,  1276,   577,  3801,  4310,  4311,  4312,  2400,  2405,
     178,  4416,  4362,  4077,   878,  2414,  1276,  2411,  1276,  2425,
    1276,  1505, -2474,  2429,  2433,  2430,  3827,  1179,  3450,  2449,
    3352,  4465,   178,  2452,  3353,  3354,  3355,  2438,  2455,  2456,
    1276,  2465,  2471,  2473,   768,  2488,  1869,  2490,  2469,  1870,
    2477,  3452,  2491,  1276,  1276,  1276,  2237,  2482,  2498,  2495,
    2496,  2499,  2500,  2501,  2509,  2502,  2511,  2512,  2513,  1148,
    2514,  1276,  2525,  2526,  2558,  2564,  2577,  2590,  1876,  2621,
    2670,  1179,  1276,  2238,  3352, -2569,  3450,  2626,  3353,  3354,
    3355,  2676,  1870,  2680,  2730,   782,  2695,  1276,  2689,  4114,
    2707,  3931,  2709,  2729,  3451,  4363,  2239,  2744,  2240,  1878,
    2758,  3452, -2474,  1404,   782,  3495,  2761,  3450,  3498,  2764,
    2817,  3359,  3360,  3361,  2765,  3362,  3363,  3364,  3365,  3366,
    3367,  2762,  3475,   788,  3351,  3958,  3959,  3960,  3961,  2766,
    2775,  2787,  2237,  2234,  2788,  2774,  3379,  1405,  2789,  2804,
    2811,  2822,  2790,  2823,  2825,   693,  3475,   693,  2851,   693,
    4414,  1276, -2474,  2991,  3451,   693,  1133,  1134,  1781,  2238,
    2854,  2875,  1869,  2858, -2474,  1870,  3412,  1406,  3402, -2474,
    2859,  2856,  2865,  2880, -2474,  4742,  3357,  2876,  2878,  2870,
   -2474,  2886,  2239, -2474,  2240,   831, -2474,   831,   831,   831,
    2899,  2882,  4457,  2890,  1876,  2898,  1407,  2902,  2915,  2916,
    2921, -2569,  1291,  5267,  5268,  1295,  3428,  2932, -2569,  2937,
    1861,  2938,  2951, -2569, -2474,  3357,  2956,  3450,  2978,  2234,
    2957,  2983,  2984,  2986,  2993,  1878,  3965,  3001,  3021,  3970,
    1408,  3089,  3077,  3100, -2474,  3096,  3097,  3104,  3358,  3110,
    3109,  3111,  3115,  3120,  3122,  3126,  3147,  3127,  3135, -2569,
    3148,  3162,  3164,  3166,  3168,  4536,  3177,  3195,  3180,  3186,
    3194,  3189,  3197,  3196,  3198,  1409,  3202,  3208,  4496,  3357,
    3210,  3211,  3214,  3215,  3228, -2474,  3229,  3358, -2474,  3231,
    3232,  3233,  3235,  3238, -2474,  3241,  3240,  3243,  1705,  3242,
    3244,  3248,  3943,  3257,  3256,  3266,  1885,  3269,   768,  1410,
    3275,  3273,  3714,  3278,  3268,  3279,  3280,  3289,  3281,  3293,
    2591,  1748,  1745,  4502,  4503,  1714,  4505,  3291,  3300,  3292,
    3303,  3308,  3310,  2295,  1145,   693,  4141,  3317,  3315,  1411,
    1412,  3358,  3314,  4149, -2569,  3320,  4150, -2474,  4151, -2569,
    3334,  4937,  4148,  3335,  4661,  3336,  3337,  3450,  3318, -2074,
    3341,  4676,  3386,  3398,  2036,  3403,  3342,  3344,  3420,  3347,
    4553,  3348,  3425,  3370,  3376,  3383,  1413,  3397,  4755,  3411,
      34,  3483,  3421,  3423,  1414, -2569,  3453,  4927,  4190,  4929,
    3477,  1415, -2569, -1669,  3489,  3424,  3103,  3458,   707,  1416,
    3103,  3103,  3482,  3103,  3427,  3485,  3496,  1417,  3703,  3487,
    3509,  3503,   831,  3710,  3514,  3516,  3528,  2991,  2991,  1418,
    3517,  3525,  3530,  3521, -2474,  3522,  3537,  1419,  3552,  3450,
    3563,  3570,  1885,  3359,  3360,  3361,  3553,  3362,  3363,  3364,
    3365,  3366,  3367,  3565,  3569,  3571,  3572,  3586, -2474,  3587,
   -2474, -2474,  3589,  3595,   768,   768,   768,  3596,  3597,  3615,
    3605,  3636,  3634,  3638,  3632,  3639,  1801,  3644,  3642,  3660,
    3645,   768,  3359,  3360,  3361,  3646,  3362,  3363,  3364,  3365,
    3366,  3367,  1420,  3656,  3658,  3659, -2474,  3661, -2569, -2474,
   -2474, -2474,  3662,  1781,   768,  1892,  1893,  1894,  1895,  1896,
    1897,  3665,  3668,  1781,   768,   768,  3663,  4289,  3664,   768,
    3666,  3667,  3669,  3670,  3673,  3672,  3677,  3679, -2569,  3671,
    3681,  2327,   768,  3674,  3683,  3684,  3359,  3360,  3361,  3686,
    3362,  3363,  3364,  3365,  3366,  3367,   876,  3692,  3696,  4786,
    2063,  3697,  3699,  3705,  3716,  5075,  3719,  3750,  3751,  3757,
    3760,  3761,  3763,  3768,  3779,  3765,  3780,  3782,  3789,  3795,
    5081,  5083,  3792,  3796,  3799,  3800,  3804,  3816,  3826,  3441,
    3803,  4323,  4323,  4323,  3833,  4323,  4323,  4323,  3846,  3847,
     831,  3837,  3834,  3839,  4693,  3835,  3848,  3849,  3856,  3859,
    4851,  3858,  4285,  3860,   693,  3867,  4711,  3868,   178,   768,
    4742,  3877,  3869,  3871,  3872,  3873,  3373,  1823,  3352,  3851,
   -2073,  3886,  3372,  3927, -2569,   768,  3911,   789,  3938,  1487,
    3912,  1892,  1893,  1894,  1895,  1896,  1897,  3913,  3919,  3939,
    3951,  3968,  4716,  3997,  3942,  1276,  3992,  4021,  1488,  4016,
    3957,  4007,  3977,  4019,  1276,  4025,  4035,  4042,  3969,  4063,
    1276,  3994,  1276,  4009,  4010,  1276,  4078,  4011,  4080,  4012,
    1276,  1276,  1276,  1276,  4065,  4071,  1276,  1276,  1276,  1276,
    1276,  1276,  1276,  1276,  1276,  1276,  4066,  4079,  4081,  1276,
    1276,  4083,  4939,  4085,  4087,  4101,  1404,  1489,  4092,  1276,
    4104,  4119,  4116,  1276,  5143,  2140,  5173,  1276,  4117,  4131,
    4118,  4129,  4130,  4132,  4143,  1276,  4133,  4134,  1276,  4146,
    1276,  4411,  4156,  4413,  4162,  4165,  4157,  4180,  4145,  1276,
    1405,  4182,  1276,  1276,  4184,  4092,  4187,  1276,  1276,  4194,
    4195,  4197,  3954,  4198,  1276,  4225,  4201,  4234,  4222,  4211,
    4240,   768,   768,   768,   826,  4248,  4255,  3452,  3976,  4254,
    4093,  2547,  3976,  3990,  3976,  4430,  4258,  4260,  4267,  4261,
    1276,  4277,  4282,  4283,  4298,  4300,  1276,  1276,  1276,  4303,
    4308,  1490,   693,  4295,  4296,  4301,  3441,   693,   693,  1407,
    3441,  5075,  4318,  4314,  4320,  4304,  4326,  4299,  4331,  5088,
    4340,  4336,  4346,  4345,  1276,  4341,  4347,  3451,  4348, -2075,
    3451,  4349,  4388,  4396,  4381,  4861,  4368,  3220,  2817,  4468,
    1276,  4353,  4386,  1408,  4417,  4419,  4861,  4384,  4389,  1491,
     178,   178,  1492,  4397,  4402,  4401,   849,  1404,  4050,  1781,
    1781,  3885,  2355,  2294,   884,  4094,  4404,  4405,  4415,  4427,
    4407,  4408,  4424,  4409,  4429,  4431,  4436,   904,  1409,   831,
     831,   831,   831,  4437,  4445,  1019,  4463,  4464,  4467,  4473,
    4474,  1405,  4475,  4486,  1494,  3914,  4495,  4506,  4514,  4519,
    4527,  4489,  4493,  4498,  4499,  4528,  4533,  4534,  2208,  4542,
    4537,  3451,  1410,   693,  4543,  4548,  4549,  4550,  4552,  4509,
    4510,  4556,  4558,   693,  4566,  4931,  4103,  4573,  4569,  3103,
    4578,  3103,  3103,  4580,  4588,  3103,  4590,  1496,  4591,  4592,
    3956,  4601,  4606,  1412,  5282,  4612,  4613,  4593,  4619,  4627,
    1407,  4629,  4630,  4638,  4620,  4622,  4644,  1497,  4631,  4654,
    4632,  4674,  4647,  1133,  1134,  4678,  4684,  5053,  4658,  4681,
    4687,  4701,  4698,  4702,  4707,  4708,  4713,  1499,  4737,  4095,
    4719,  4756,  4096,    34,  1408,  2192,  4758,  1414,  4720,  4724,
     876,  4729,  4730,  5282,  1415,  4568,   693,  4221,  4764,   693,
     693,  4766,  1416,  4768,  4769,  4792,  4771,  4772,  5282,  4774,
    2193,  4775,  4793,  4800,  3221,  4805,  4802,  4809,  4188,  1409,
    4818,  4811,  1418,  4819,  4832,  4830,  4847,  3475,  4834,  4594,
    1419,  4833,  4850,  4854,  4860,  4717,  4871,  4876,   876,  4880,
    4864,  4867,  4899,  4901,  4715,   830,   832,  4902,  4881,   836,
    4872,  4874,  5033,  1410,  4908,  4954,  4914,   831,  4892,  1869,
    4323,   768,  1870,   831,  4956,  1276,  4961,   890,  4966,  4968,
    5050,  4975,   768,  2653,   900,  4965,  4980,  4986,  4228,  1019,
    2234,  2671,   693,  4994,  1412,  1420,  4757,  4987,  2208,  4998,
    4571,  1876,  4999,  5000,  5007,  5010,   178,  5017, -2569,  5016,
    5024,  5008,  5037,   768,  5009,  5041,  5045,  3452,  5046,  5040,
    5048,  5058,  5062,  5080,  5086,  5087,  5091,  3076,  5093,  5100,
    5096,  5103,  1878,  5104,    34,  5110,  4276,  5122,  3222,  5130,
    5123,  5131,  5141,  5124,  5165,  1415,  5139,   768,  5089,  5174,
    3952,  2355,  5167,  1416,  5158,  1276,  1276,  5090,  5183,  5214,
    5160,  2193,  5182,  5229,  5184,  5242,  5263,  5222,  5264,  5265,
    3451,  5239,  5269,  1418,  5248,  5271,  5289,  5275,  5290,  5292,
    5295,  1419,  5312,  5309,  2991,  5310,  2991,  5313,  5302,  5303,
    4679,  5314,  2342,   768,  3171,  1429,  1519,  3468,  2982,  3946,
    2484,  3050,  3223,  3580,  1330,  1938,  5274,  1518,  4107,  4204,
    2492,  5168,  2493,  3088,  4100,  3704,  4948,  3714,  2497,  5074,
    5240,  4236,  1276,  1869,  4810,  2503,  1870,  3441,  4785,  3519,
    4532, -2476,  3441,  1276,  5161,  3441,  1420,  5236,  3277,  4691,
    3224, -2569,  5094,  5092,  5181,  5253, -2569,  4286,  3524,  4266,
    5056,   978,  3145,  4229,  4105,  1876,  3146,   978,  3103,  3767,
    3599,  4253, -2569,  1276,  4791,  3136,  3775,  4796,  5241,  1507,
     978,  4554,  5315,  1276,  1276,  5307,  4770,  3717,  5186,  3722,
    1276,  1276, -2569,  4718,  2404,  1276,  1878,  4910,  2786,  5064,
    1276,   709,  4721,  1276,  1276,  1798,  4315,  4887,  1276,  4371,
    2828,  1808,  3510,  1593,  1276,   768,   768,   768,   768,  4292,
    2478,  5005,  3976,  3990,  3976,  2584,  1276,  3976,  1093,  2586,
    4385, -2476,  3680,  4135,  3452,  1019,  1020,  3771,  3452,  1885,
    2585,  2515,  4155,  5205,  4400,  5301,  1304,  2769,  4271,  4420,
    5155,  1276,  2117,  2770,  2538,  1911,  1276,  4680,  2803,  2627,
    2628,  4029,  1276,  3947,  2037,  3473,  2642,  2643,  2067,   878,
    2066,  3484,  4008,  2784,  5151,  5039,  1276,  4412,  2802,  4379,
    3495, -2476,  2071,  3972,  4394,  2817,  4866,  3451,  2076,   782,
    5023,  3451,  5022, -2476,  2681,  4790,  3966,  4030, -2476,   702,
    1670,   178,  1276, -2476,  3967, -2569,  5304,  5221,  5270, -2476,
   -2569,  5142, -2476,  4845,  3921, -2476,  4677,  5153,  5138,  5154,
    2734,  3418,  2991,  2991,  3416, -2569,  3470,  3329,  1697,  2489,
       0,     0,  2743,  4823,     0,     0,     0,     0,     0,   178,
    2208,     0,     0, -2476,     0,     0, -2569,     0,  1715,  4344,
     966,     0,     0,  4469,   969,     0,     0,     0,  1726,     0,
       0,     0,     0, -2476,  1730,     0,   876,     0,   994,     0,
    1738,     0,     0,     0,     0,   999,  1746,     0,     0,  1749,
       0,     0,     0,  4924,  4924,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,     0,  1018,     0,     0,     0,
    4941,     0,  1276,  3441, -2476,     0,     0, -2476,     0,     0,
    4949,     0,     0, -2476,  1861,     0,     0,     0,     0,     0,
       0, -2569,     0,     0,   831,     0,     0,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,     0,     0,     0,     0,   831,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2476,  1179,  1276,     0,
    3352,     0,     0,     0,  3353,  3354,  3355,     0,     0, -2569,
       0,     0,   826,     0,     0,     0,  2793,  2793,  2208,     0,
       0,     0,     0,     0,  5028,     0,     0,  1781,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1276,     0,     0,     0,     0,   707,     0,     0,
       0,     0,     0,     0,     0,   831,     0,  3204,     0,     0,
       0,     0,     0,     0,     0,  4539,     0,     0,     0,     0,
    5164,     0,     0, -2476,  3441,     0,     0,   693,  4989,     0,
       0,     0,     0,     0,   178,     0,     0,   768,     0,  1869,
       0,     0,  1870,     0,     0,     0,     0, -2476,     0, -2476,
   -2476,     0,     0,     0,     0, -2569,     0,     0,     0,     0,
       0,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,     0,
    1018,  1876,     0,  1276,  5078,     0,  5079,     0, -2569,     0,
    5084,  5085,  1276,     0,     0, -2476,     0,     0, -2476, -2476,
   -2476,  5211,  5212,     0,     0,     0,     0,     0,     0,  1276,
    1276,     0,  1878,  1276,  5042,     0,     0,     0,     0,     0,
     178,     0,     0,     0,     0,     0,     0,     0,   826,  1462,
    1463,  3976,     0,     0,     0,  3452,     0,     0,     0,     0,
    3452,     0,     0,  3452,   826,     0,  3076,     0,  4660,     0,
       0,  1276,  1276,     0,     0,  3357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4050,
       0,  1276,     0,     0,     0,     0,     0,     0,  4560,  4366,
       0,  3451,  4050,   878,   831,   831,   831,     0,  3451,     0,
       0,     0,     0,  3451,     0,     0,  3451,  4656,     0,     0,
     693,     0,     0,     0,     0,     0,     0,     0,   693,     0,
       0,   693,     0,     0,  4924,     0,  4924,  3358,  1586,     0,
       0, -2569,  3451,     0,     0,     0, -2569,     0,     0,     0,
     843,   878,     0,     0,     0,  3451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1611,  1612,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2569,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   843,  1653,     0,   768,     0,     0,     0,     0,
       0,     0,     0,   842,  5316,  5317,     0,  4228,  2653,  2653,
     768,  5207,     0,  2653,     0,   768,   182,  2991,  1179,  5208,
       0,  3352,     0,  5209,  2208,  3353,  3354,  3355,     0,  1885,
       0,     0,     0,     0,     0,     0,  1018,  5262,     0,     0,
     768,     0,     0,     0,  4276,   842,     0,     0,     0,     0,
    2653,  2653,     0,     0,     0,     0,     0,  5187,   831,   768,
    4050,     0,     0,   178,     0,     0,  1721,  1723,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5210,     0,     0,  5207,  1276,     0,   178,  1276,
     182,  1276,     0,  5208,   558,     0,     0,  5209,     0,     0,
     610,   558,     0,  4924,     0,     0,   661,     0,   558,     0,
       0,  1276,  5281,  3451,   558, -2569,   712,  1276,     0,     0,
       0,  3452,  3359,  3360,  3361,  4660,  3362,  3363,  3364,  3365,
    3366,  3367,  1276,  3245,  3247,   779,   779,     0,     0,  3255,
       0,  4879,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5210,     0,     0,     0,
       0,  5281,  5261,     0,     0,   768,     0,     0,     0,     0,
    5207,     0,     0,     0,  3451,   182,  5281,     0,  5208,     0,
       0,     0,  5209,     0,     0,     0,     0,     0,     0,     0,
       0,  1276,     0,     0,     0,     0,   693,     0,     0,     0,
     831,   831,   831,   831,  2510,     0,     0,     0,     0,     0,
       0, -2569,  2517,     0,     0,     0, -2569,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,     0,     0,     0,  2527,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   826,     0,
       0,  5210,     0,     0,     0,     0,     0,   178,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   768,
       0,     0,  3452,     0,     0,     0,     0,  4846,     0,     0,
    2151,     0,     0,     0,     0,  2152,     0,     0,  3358,     0,
       0,     0,   838,     0,     0,     0,     0,     0,     0,     0,
     880,  4967,   881,     0,   885,   886,     0,   889,     0,   891,
       0,     0,   897,     0,   899,     0,     0,     0,  1863,  2153,
       0,     0,     0,     0,     0,  3451,     0,  1276,     0,     0,
     826,     0,  2154,  1276,     0,     0,     0,  5031,     0,     0,
       0,     0,     0,     0,  1276,  2340,     0,  2155,     0,  1276,
       0,  1276,     0,  1276,     0,     0,     0,     0,     0,     0,
       0,  4050,     0,     0,     0,     0,     0,   831,     0,   878,
       0,     0,     0,  1054,     0,     0,     0,     0,     0,  1276,
       0,     0,     0,  3451,     0,     0,     0,     0,  2156,     0,
       0,     0,     0,     0,     0,     0,     0,  1054,     0,  2157,
       0,     0,     0,     0,     0,     0,     0,  3466,     0,   693,
       0,     0,     0,     0,  3451,     0,     0,     0,     0,  2158,
    2415,  1781,  1781,     0,  2159,     0,     0,     0,  2432,     0,
    3480,  3480,     0,     0,     0,     0,     0,     0,     0,  2229,
    2340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   831,     0,     0,     0,     0,     0,     0,  5108,
       0,     0,     0,  1276,     0,     0,     0,     0,     0,     0,
       0,  5119,     0,  3359,  3360,  3361,     0,  3362,  3363,  3364,
    3365,  3366,  3367,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2160,     0,  1276,  1276,     0,     0,
       0,  3076,     0,  5018,  1276,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1276,  2508,     0,  4879,     0,     0,
    5034,     0,  2817,     0,  3451,  5036,  2767,  5038,  2161,  2322,
    2323,  2324,  2325,     0,     0,     0,   843,     0,  2340,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     831,     0,     0,     0,     0,     0,     0,  1781,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2364,  2365,     0,     0,     0,     0,  2594,     0,
       0,     0,  2208,     0,     0,     0,     0,   826,     0,   842,
       0,     0,  1276,  2389,     0,     0,  2162,     0,     0,     0,
       0,  4050,     0,  2163,     0,     0,  2164,   843,   843,  1276,
       0,     0,     0,     0,     0,     0,     0,     0,  1276,     0,
       0,     0,  5031,     0,     0,     0,  2595,     0,  2434,  2435,
    2436,  2437,     0,     0,     0,  1276,  2165,     0,     0,     0,
    5190,     0,   831,  2166,     0,     0,     0,     0,     0,     0,
    2167,     0,     0,     0,  3451,     0,  1432,  2168,  2596,     0,
     842,   842,  1433,     0, -2490,     0,     0,     0,     0,   963,
    1569,     0,     0,  5119,   831,   831,     0,   972,     0,     0,
       0,  2597,  2169,     0,   985,   986,     0,     0,   992,     0,
     995,   996,  2598,  1584,     0,   998,     0,     0,     0,     0,
    1276,  1276,     0,  1434,     0,     0,  1015,     0,  1595,     0,
       0,     0,  2599,     0,     0,     0,     0,  2600,     0,     0,
       0,  1025,  2653,  2653,  2653,  2653,  3451,     0,  2653,  2653,
    2653,  2653,  2653,  2653,  2653,  2653,  2653,  2653,     0,     0,
       0,  2529,  1276,     0,  1089,     0,  1091,  2533,  1276,     0,
       0,     0,     0,  1435, -2490,  3918,  1107,  1436,     0,     0,
       0,     0,   831,     0,  1437,     0,  2601,  1438,     0,  5031,
       0,     0,   826,     0,     0,   693,     0,     0,     0,     0,
       0,     0,     0,   693,  2653,  2653,     0,  2602,   558,     0,
     843,   843,  1439,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2490,     0,     0,  3756,     0,     0,
       0,     0,     0,     0,     0,     0, -2490,     0,     0,  1161,
       0, -2490,     0,     0,  1440,  5306, -2490,     0,     0,     0,
       0,     0, -2490,     0,     0, -2490,     0,     0, -2490,     0,
       0,     0,     0,   842,   842,     0,     0,     0,     0,  3220,
       0,     0,     0,   204,     0,     0,  2603,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2490,     0,     0,  1404,
       0,     0,     0,   779,  2693,     0,     0,     0,     0,     0,
       0,  2819,  2604,  1441,     0,  1442, -2490,     0,  3830,  2605,
       0,     0,     0,     0,     0,  1443,  2606,  1804,     0,  2835,
       0,     0,     0,  1405,  1444,  2839,     0,     0,     0,  2842,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,  2607,     0,     0, -2490,     0,  2608,
   -2490,     0,  2609,     0,  1395,  2866, -2490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2610,     0,  1446,     0,     0,  1447,  1448,     0,     0,     0,
       0,     0,  1407,     0,     0,   693,     0,     0,     0,     0,
       0,     0,     0,  3234,     0,  2611,     0,     0,     0,  2919,
    3239,     0,     0,  1449,     0,     0,     0,     0,     0, -2490,
       0,     0,     0,     0,     0,     0,  1408,   978,     0,     0,
    3258,     0,     0,     0,  1555,     0,     0,     0,     0,     0,
    3264,     0,     0,     0,  3265,     0,     0,  3267,     0,     0,
    1568,     0,     0,  3271,     0,  3272,  3221,     0,  3274,  2967,
       0,  1409,  1579,     0,     0,  1580,     0,     0,     0,     0,
     707,     0,     0,     0,     0,  1583,     0,  1450,     0,     0,
    1587,     0,     0,     0,     0,  2996,     0,     0,  1590,     0,
       0,     0,     0,  3007,  1600,  1410, -2490,  1604,     0,     0,
     978,     0,     0,     0,  3022,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3311,     0,     0,
   -2490,     0, -2490, -2490,  3035,     0,  1412,  2653,     0,  3037,
       0,     0,     0,  3040,     0,     0,  1869,  1657,     0,  1870,
       0,     0,     0,  1871,  1872,  1873,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2490,  3082,
    1874, -2490, -2490, -2490,     0,     0,    34,     0,  1876,   978,
    1414,     0,     0,     0,     0,  1877,     0,  1415,     0,     0,
    2883,  2884,     0,     0,     0,  1416,     0,     0,     0,  2895,
       0,  2897,     0,  2193,     0,  2901,     0,     0,  1868,  1878,
       0,     0,     0,  1869,     0,  1418,  1870,     0,     0,     0,
    1871,  1872,  1873,  1419,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1874,     0,  3220,
    1875,     0,     0,     0,  3223,  1876,     0,     0,  2256,     0,
       0,     0,  1877,     0,     0,     0,     0,     0,   558,  1404,
     558,     0,   558,     0,   558,     0,   558,   558,   558,     0,
       0,     0,     0,   558,     0,     0,  1878,     0,  1420,     0,
       0,     0,  3224,  2411,  1799,     0,     0,     0,     0,     0,
       0,     0,     0,  1405,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
     693,     0,     0,  1880,  3029,     0,   693,  3032,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1432,     0,  1881,  1882,     0,     0,  1433,     0,
       0,  2358,  1407,     0,     0,     0,     0,     0,     0,  1883,
       0,  1523,     0,     0,     0,     0,  2373,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4383,     0,
       0,     0,     0,     0,     0,  1879,  1408,  2395,     0,  1434,
    1880,     0,  1884,     0,     0,  3106,  1133,  1134,     0,  3529,
       0,     0,  3288,  3113,  3114,     0,  1885,     0,     0,  1886,
    3116,  1881,  1882,     0,     0,     0,  3221,     0,     0,     0,
    3302,  1409,     0,     0,  3132,     0,  1883,     0,  3288,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1524,  2472,  1436,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,  1438,     0,  1410,  2480,     0,     0,  1884,
       0,     0,   779,     0,     0,  3178,     0,     0,  1054,     0,
       0,     0,     0,  1885,     0,     0,  1886,     0,  1439,  3588,
    2494,  3590,     0,     0,     0,     0,  1412,     0,     0,     0,
       0,     0,  1887,  3201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,  1869,     0,     0,  1870,     0,  1433,
    1440,  1871,  1872,  1873,     0,     0,     0,     0,     0,     0,
    2521,  1054,  1523,     0,  1869,     0,    34,  1870,  1874,     0,
    1414,  1871,  1872,  1873,     0,     0,  1876,  1415,  2171,   693,
       0,     0,     0,  1877,     0,  1416,     0,  3260,  1874,  3262,
    1434,     0,     0,  2193,     0,     0,  1876,     0,     0,  1887,
       0,     0,     0,  1877,     0,  1418,     0,  1878,     0,  1441,
       0,  1442,     0,  1419,     0,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,  1878,  1888,     0,
    1444,  1889,  1890,  1891,  3223,  1892,  1893,  1894,  1895,  1896,
    1897,  1445,  1524,     0,  1436,     0,  2261,     0,  3393,     0,
    3675,  1437,     0,     0,  1438,     0,  3682,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1420,     0,
       0,     0,  3224,     0,     0,     0,     0,     0,  1525,  1439,
       0,  1447,  1448,     0,     0,     0,     0,     0,     0,  3321,
       0,     0,     0,     0,  2683,  1888,     0,     0,  1889,  1890,
    1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,  1526,
       0,  1440,     0,     0,     0,  1869,  1879,     0,  1870,     0,
       0,  1880,  1871,  1872,  1873,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1879,     0,     0,  1874,
       0,  1880,  1881,  1882,     0,     0,     0,  1876,     0,     0,
       0,     0,     0,  3531,  1877,     0,     0,  1883,     0,     0,
       0,     0,  1881,  1882,     0,     0,     0,     0,     0,     0,
    1441,     0,  1442,  1450,     0,     0,     0,  1883,  1878,     0,
       0,     0,  1443,     0,  2399,  2653,     0,     0,     0,     0,
    1884,  1444,     0,     0,  4626,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,  1885,     0,     0,  1886,  1432,     0,
    1884,     0,     0,     0,  1433,     0,     0,     0,     0,   693,
       0,     0,     0,   693,  1885,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,  3836,     0,  3838,     0,  3840,  3047,
       0,     0,  1447,  1448,     0,  3844,     0,     0,  4483,  4484,
       0,     0,     0,  4487,  4488,  1434,     0,     0,     0,     0,
       0,  3610,     0,     0,     0,     0,     0,     0,     0,     0,
    3048,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3865,     0,     0,  1879,     0,     0,
    1887,     0,  1880,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2249,  2519,     0,  2520,  1436,
    1887,     0,     0,  1881,  1882,     0,  1437,     0,     0,  1438,
       0,     0,     0,     0,     0,  2531,     0,  2532,  1883,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,   558,     0,   558,  1439,   558,     0,   558,     0,   558,
       0,     0,     0,   558,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,  3538,     0,  3539,  3540,  3541,     0,
       0,     0,     0,     0,  3688,  1885,  1440,     0,  1886,     0,
    2885,     0,     0,     0,     0,     0,  1888,     0,     0,  1889,
    1890,  1891,  2900,  1892,  1893,  1894,  1895,  1896,  1897,     0,
       0,     0,     0,  2679,     0,     0,  1888,     0,     0,  1889,
    1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,
       0,     0,     0,  3718,     0,     0,     0,     0,     0,     0,
       0,     0,  2933,     0,     0,  1441,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,     0,     0,
       0,  1887,     0,     0,     0,     0,     0,  1445,  2653,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2653,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2250,     0,     0,  1447,  1448,     0,
    1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,  1433,
       0,     0,     0,     0,  1874,  2251,     0,     0,     0,     0,
       0,     0,  1876,     0,     0,     0,     0,  2340,     0,  1877,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
    1889,  1890,  1891,  3852,  1892,  1893,  1894,  1895,  1896,  1897,
    1434,     0,     0,  1878,  3879,     0,     0,     0,     0,     0,
       0,  3691,     0,     0,     0,     0,     0,     0,  3866,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1450,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3131,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1436,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,  1438,     0,     0,     0,     0,     0,
    1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1439,
       0,  2820,  2821,     0,  1874,     0,     0,     0,     0,     0,
       0,     0,  1876,     0,     0,     0,     0,     0,     0,  1877,
    2836,  2837,  1879,     0,     0,  2840,  2841,  1880,     0,     0,
    2844,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1878,  2855,  2653,     0,     0,  1881,  1882,
       0,  2864,     0,     0,     0,  2867,  2868,     0,     0,  2871,
    2872,     0,     0,  1883,     0,     0,  2877,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2894,
       0,  2896,     0,     0,     0,     0,     0,     0,     0,  3845,
    1441,     0,  1442,     0,     0,     0,  1884,     0,     0,     0,
    2920,     0,  1443,     0,     0,  2922,     0,     0,     0,     0,
    1885,  1444,     0,  1886,     0,     0,     0,     0,  2927,     0,
       0,     0,  1445,     0,     0,     0,     0,  2934,     0,  2936,
       0,     0,  2939,  2942,  2944,     0,     0,     0,     0,  2952,
    2955,     0,     0,     0,  3301,     0,     0,     0,     0,  2968,
       0,     0,  1879,     0,  2977,     0,  4307,  1880,     0,  2981,
    4309,  3313,  1447,  1448,     0,     0,     0,     0,     0,     0,
    4073,     0,     0,     0,  3319,  2997,     0,     0,  1881,  1882,
       0,     0,     0,  3008,     0,     0,     0,     0,     0,     0,
    1449,     0,     0,  1883,  3023,     0,  1887,   693,   693,     0,
       0,     0,     0,     0,     0,     0,  3030,     0,     0,  3033,
     693,     0,     0,     0,  3036,     0,  2653,     0,     0,  3038,
    3039,     0,     0,     0,  3042,     0,  1884,  3046,     0,     0,
       0,  3053,  3054,  3055,  3056,     0,  3058,     0,     0,     0,
    1885,     0,     0,  1886,     0,     0,     0,     0,     0,  3083,
    3084,     0,  3086,     0,  1450,     0,     0,     0,     0,   856,
       0,     0,  3094,  3095,     0,     0,     0,     0,     0,   888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     906,  4170,     0,     0,  4173,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,  1869,  3930,
       0,  1870,     0,     0,  3139,  1871,  1872,  1873,     0,     0,
       0,     0,     0,     0,     0,     0,  1887,     0,     0,     0,
    5220,     0,  1874,     0,     0,     0,     0,     0,     0,     0,
    1876,     0,  3176,     0,     0,     0,     0,  1877,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1432,  4067,  4068,
    4069,  4070,     0,  1433,     0,     0,     0,     0,     0,     0,
    1487,  1878,     0,     0,     0,     0,  4448,     0,     0,     0,
       0,  4250,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2340,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,  2653,  2653,     0,     0,     0,  4471,  4472,     0,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,  1489,  4044,
       0,     0,     0,     0,     0,     0,  3535,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1436,     0,
       0,     0,     0,  3546,     0,  1437,     0,     0,  1438,     0,
       0,     0,  3288,     0,     0,     0,     0,     0,     0,     0,
    1879,     0,     0,     0,     0,  1880,     0,     0,     0,     0,
       0,     0,     0,  1439,     0,     0,     0,     0,     0,     0,
       0,     0,  3306,  4512,  4513,     0,  1881,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1883,  1490,     0,     0,  1440,     0,     0,     0,     0,
       0,  3322,     0,     0,     0,     0,  4209,     0,   693,     0,
     693,     0,  4212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,  3627,     0,  3629,
       0,     0,     0,  1432,     0,     0,     0,     0,  1885,  1433,
    1491,  1886,     0,  1492,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,  1494,  1445,     0,  4608,     0,
    4609,  4610,     0,   915,     0,     0,     0,     0,     0,   960,
       0,     0,     0,     0,  4614,     0,     0,     0,     0,     0,
    3676,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,  1887,     0,  1447,  1448,  1496,     0,
       0,     0,     0,     0,  1436,     0,     0,     0,  3690,     0,
       0,  1437,     0,     0,  1438,     0,     0,     0,  1497,  1869,
       0,     0,  1870,     0,  1498,     0,  1871,  1872,  1873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1499,  1439,
       0,     0,     0,  1874,     0,     0,     0,   693,     0,     0,
       0,  1876,     0,     0,     0,     0,  5280,     0,  1877,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,  4480,     0,     0,     0,     0,
       0,     0,  1878,     0,     0,     0,     0,  4490,  1450,     0,
    1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,  5280,     0,  4332,  2933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5280,  1160,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,  1442,  3532,     0,     0,     0,  3534,     0,  3828,
       0,     0,  1443,  3536,     0,     0,  1283,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,  3547,
    3549,     0,  1445,     0,  3549,  1306,     0,     0,     0,  3560,
    3561,  3562,     0,  3564,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1331,     0,     0,     0,
       0,  1879,     0,     0,  3585,     0,  1880,     0,     0,  1552,
       0,     0,  1447,  1448,  3591,  3592,  3593,  3594,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1881,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1553,     0,  1883,     0,     0,  3878,     0,     0,     0,     0,
       0,  3611,     0,     0,  3616,  3617,  3618,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3887,     0,  1461,     0,
       0,     0,     0,     0,  1869,  1884,     0,  1870,     0,     0,
    4841,  1871,  1872,  1873,     0,     0,     0,     0,  3288,  1885,
       0,  3910,  1886,     0,     0,     0,     0,     0,  1874,  1432,
       0,  -128,     0,     0,  1450,  1433,  1876,     0,     0,     0,
       0,     0,     0,  1877,     0,     0,     0,     0,     0,     1,
       0,     0,     0,     0,     0,  1804,     0,     0,     0,     2,
       0,     3,     4,  4504,     0,     0,     0,  1878,     0,     0,
       0,     0,     0,     0,     0,     0,  1434,     5,  4508,     0,
       0,     0,     0,  4889,     0,     0,  3685,     0,     0,     0,
       0,     0,     0,     0,  3689,     0,     0,     6,     0,     7,
       8,     0,     0,     0,     0,  1887,     9,     0,    10,     0,
       0,     0,  3698,     0,  1609,     0,     0,     0,     0,    11,
       0,    12,     0,     0,     0,     0,     0,  3288,     0,  3288,
    1436,     0,     0,  4932,     0,     0,     0,  1437,    13,  3744,
    1438,    14,     0,  1647,  1650,  1651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    15,     0,    16,     0,     0,
       0,    17,     0,     0,  4572,  1439,     0,    18,     0,     0,
       0,     0,     0,     0,     0,    19,  1879,    20,     0,     0,
       0,  1880,     0,    21,     0,     0,     0,     0,     0,     0,
       0,  3781,     0,     0,     0,     0,  3787,  1440,     0,    22,
       0,  1888,  1881,  1882,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,    23,     0,  1883,  4367,     0,
       0,     0,     0,     0,     0,     0,  3825,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,  1433,
    1884,     0,     0,     0,    24,    25,  1441,     0,  1442,     0,
      26,     0,     0,  3841,  1885,  3842,     0,  1886,  1443,     0,
       0,     0,    27,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,  1283,    28,     0,     0,   828,  1445,     0,
    1434,     0,     0,     0,     0,     0,   828,   851,     0,     0,
       0,     0,     0,     0,     0,   851,     0,     0,     0,  1283,
       0,     0,     0,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,     0,     0,  2173,    29,     0,  1447,  1448,
       0,     0,     0,  4694,  4695,  4695,     0,     0,     0,    30,
       0,     0,     0,     0,  1436,    31,    32,     0,    33,     0,
    1887,  1437,     0,    34,  1438,     0,  2174,     0,    35,     0,
       0,    36,     0,     0,     0,     0,    37,     0,     0,     0,
       0,     0,    38,    39,     0,     0,     0,     0,     0,  1439,
      40,     0,     0,     0,    41,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    42,     0,     0,     0,     0,     0,
       0,  4239,     0,     0,     0,     0,     0,    43,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,     0,    46,     0,     0,  1940,  1888,    47,     0,  1889,
    1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,
      48,     0,     0,  4617,     0,     0,     0,     0,     0,     0,
    1441,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,    49,     0,     0,     0,  4824,     0,     0,
       0,  1444,  2078,     0,     0,     0,     0,    50,     0,     0,
    -128,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1869,     0,     0,  1870,     0,     0,     0,
    1871,  1872,  1873,     0,     0,  4061,     0,  4062,     0,     0,
       0,     0,     0,     0,  4064,     0,     0,  1874,     0,  2928,
       0,     0,  1447,  1448,     0,  1876,     0,     0,     0,     0,
    4074,  5233,  1877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4082,     0,     0,     0,
    1449,  2202,     0,     0,     0,     0,  1878,     0,     0,     0,
    2225,     0,     0,  1804,  4102,     0,     0,     0,     0,     0,
    1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,
       0,     0,  4106,     0,     0,     0,     0,     0,     0,     0,
    2262,     0,  4115,     0,  1874,     0,     0,     0,     0,     0,
       0,     0,  1876,  2275,     0,     0,  2278,     0,     0,  1877,
    4928,  4144,  4930,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,  4152,  4153,  4154,     0,     0,     0,     0,  4158,
    4159,  4160,  4161,  1878,     0,  4163,  4164,     0,     0,     0,
       0,  4171,  4172,     0,  4174,  4175,  4176,  4177,  4178,  4179,
     828,  4181,     0,     0,     0,     0,     0,  2326,     0,     0,
    4189,     0,   851,  4192,  4193,  1879,     0,     0,   851,     0,
    1880,  2344,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,  3549,     0,  2356,     0,     0,  4449,     0,     0,
       0,  1881,  1882,     0,     0,     0,     0,   851,     0,     0,
       0,     0,   828,     0,  4213,     0,  1883,     0,  1068,     0,
       0,     0,   828,   851,     0,     0,     0,     0,     0,     0,
     851,     0,     0,     0,  3288,  4470,     0,     0,     0,     0,
       0,     0,  1068,   851,     0,     0,  2408,     0,     0,  1884,
       0,     0,  1879,   851,     0,     0,  4485,  1880,     0,     0,
       0,     0,     0,  1885,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,     0,     0,  2451,  4695,     0,  1881,  1882,
       0,     0,  2464,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3549,     0,     0,     0,     0,     0,     0,
       0,  4511,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,   828,   828,     0,     0,     0,     0,   851,     0,
    1885,     0,     0,  1886,     0,  4317,     0,     0,     0,  1887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5102,     0,     0,   828,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1432,     0,     0,  2536,     0,     0,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1283,  1283,     0,     0,     0,  1887,  1434,     0,     0,
       0,     0,  4600,     0,     0,     0,     0,     0,  2583,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,  1889,  1890,
    1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,  5170,
       0,     0,  4628,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1804,     0,     0,     0,     0,     0,
       0,  1436,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   828,     0,
       0,     0,     0,     0,     0,  1068,  1439,     0,     0,   828,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,  2742,     0,     0,  1068,  4637,
       0,     0,     0,     0,     0,  2757,     0,  1869,  1440,     0,
    1870,  5238,     0,  1068,  1871,  1872,  1873,     0,  4452,     0,
       0,     0,  4453,  4454,  4455,  4456,     0,     0,  4458,     0,
       0,  1874,     0,     0,     0,     0,     0,     0,     0,  1876,
       0,     0,     0,  4695,  4695,     0,  1877,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   828,  4476,
    4477,  4478,     0,  4479,     0,  4481,  4482,  1441,     0,  1442,
    1878,     0,     0,     0,     0,     0,     0,  4491,  4492,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,  1068,     0,  1445,
       0,     0,     0,     0,  4497,  1869,     0,     0,  1870,     0,
       0,     0,  1871,  1872,  1873,     0,     0,     0,     0,     0,
       0,     0,  2768,     0,  2771,     0,     0,  4507,     0,  1874,
       0,  4695,     0,     0,   851,     0,  3091,  1876,     0,  1447,
    1448,     0,     0,     0,  1877,     0,     0,     0,   851,     0,
       0,     0,     0,     0,     0,     0,     0,   828,     0,     0,
       0,     0,  1283,     0,     0,   851,     0,  3092,  1878,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,     0,     0,     0,  1880,     0,     0,     0,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,     0,     0,
       0,  4559,  1068,     0,   851,  1881,  1882,     0,     0,     0,
       0,     0,     0,     0,  1804,     0,     0,     0,     0,   851,
    1883,     0,   851,     0,     0,     0,     0,     0,     0,     0,
    4587,  1450,     0,     0,   828,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,  3676,  4611,     0,     0,     0,     0,
       0,     0,     0,     0,   828,     0,     0,  1885,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,  1879,     0,     0,
       0,     0,  1880,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   828,   828,   828,     0,   828,     0,     0,     0,
       0,     0,     0,  1881,  1882,     0,     0,     0,  1804,     0,
       0,     0,     0,  1804,  1804,     0,   828,  2958,  1883,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2985,     0,
     851,     0,     0,     0,     0,     0,     0,     0,   851,   851,
       0,  1884,     0,  1887,     0,     0,     0,   828,  2024,     0,
       0,     0,   558,     0,     0,  1885,     0,  1869,  1886,     0,
    1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,     0,
       0,     0,     0,     0,     0,   828,     0,     0,     0,   828,
     828,  1874,     0,     0,     0,     0,     0,     0,     0,  1876,
       0,     0,  3051,  3052,   828,     0,  1877,     0,  1068,     0,
       0,     0,     0,     0,     0,  2024,     0,     0,     0,     0,
       0,     0,  4712,     0,  5006,     0,     0,     0,     0,     0,
    1878,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4722,     0,     0,     0,     0,  4727,  4728,     0,     0,  1888,
       0,  1887,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,
    1896,  1897,     0,     0,     0,     0,  4640,     0,     0,     0,
       0,     0,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4787,  3165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1068,     0,     0,  4804,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1068,     0,     0,  1879,
       0,     0,  1432,     0,  1880,     0,     0,  1888,  1433,     0,
    1889,  1890,  1891,  3549,  1892,  1893,  1894,  1895,  1896,  1897,
    4840,     0,     0,     0,  4689,  1881,  1882,     0,     0,  1869,
       0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,
    1883,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,  1874,     0,     0,   851,     0,     0,     0,
       0,  1876,     0,     0,     0,     0,     0,     0,  1877,     0,
       0,     0,     0,  1884,     0,     0,  1068,     0,     0,     0,
       0,     0,     0,     0,     0,  5147,     0,  1885,  4882,     0,
    1886,  1068,  1878,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,  1436,     0,     0,     0,  2024,     0,  4898,
    1437,     0,  1068,  1438,     0,     0,     0,     0,     0,     0,
    4906,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,     0,     0,  3305,     0,     0,     0,  1439,   851,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1068,     0,     0,
    1440,     0,     0,  1887,   828,     0,     0,   828,     0,     0,
     622,  1068,  4972,     0,     0,   623,     0,   828,     0,     0,
       0,     0,     0,  1068,     0,     0,     0,   624,     0,     0,
       0,  1879,     0,     0,     0,  1068,  1880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   625,
       0,     0,   828,   828,     0,   851,   851,  1881,  1882,  1441,
       0,  1442,   626,     0,     0,     0,     0,   851,     0,     0,
       0,  1443,  1883,     0,  3549,  1068,  1068,   627,   851,   851,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,   851,   628,     0,     0,     0,  1888,
       0,     0,  1889,  1890,  1891,  1884,  1892,  1893,  1894,  1895,
    1896,  1897,     0,     0,     0,     0,  4723,  3433,   629,  1885,
       0,     0,  1886,     0,     0,     0,   828,     0,  3557,   630,
       0,  1447,  1448,     0,     0,     0,  5055,   631,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   632,
       0,  5068,     0,     0,   633,     0,     0,     0,     0,  3558,
     828,   634,   828,     0,     0,     0,     0,   828,   828,     0,
       0,     0,     0,     0,   828,   828,   828,     0,   635,     0,
     828,     0,   828,   828,   828,   828,   828,   828,     0,   828,
       0,   828,   828,     0,     0,   828,     0,     0,     0,     0,
       0,     0,  5095,     0,     0,  1887,     0,     0,     0,  1068,
     828,   828,   828,   828,  2024,     0,     0,  5106,   828,     0,
       0,     0,   828,  1450,   636,   828,     0,     0,   828,   828,
     828,   828,   828,   828,   828,   828,   828,     0,   828,     0,
       0,     0,     0,     0,     0,   828,     0,   828,     0,     0,
       0,     0,     0,  1869,     0,     0,  1870,     0,   637,     0,
    1871,  1872,  1873,     0,     0,     0,     0,     0,     0,     0,
     638,     0,     0,     0,     0,     0,     0,  1874,     0,     0,
     639,     0,     0,     0,     0,  1876,     0,     0,     0,     0,
     204,  1869,  1877,   640,  1870,  5163,     0,     0,  1871,  1872,
    1873,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,  1874,  1878,     0,  4763,   641,
       0,     0,     0,  1876,   642,     0,   643,     0,     0,     0,
    1877,     0,     0,   644,     0,     0,   645,  5185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1878,   646,     0,     0,     0,     0,
       0,   647,     0,     0,  1432,     0,   648,     0,     0,   649,
    1433,     0,     0,   650,     0,   828,     0,     0,     0,     0,
     651,  3633,   652,     0,     0,     0,     0,   653,   828,     0,
       0,     0,     0,     0,     0,     0,     0,   828,   828,   654,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1434,   655,     0,     0,     0,     0,     0,     0,     0,
       0,  5245,   851,     0,     0,  1879,     0,     0,     0,  1068,
    1880,     0,     0,  1068,  1068,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,  2024,   851,     0,     0,     0,
     851,  1881,  1882,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,  1879,     0,  1436,  1883,     0,  1880,     0,
       0,     0,  1437,     0,     0,  1438,   851,     0,     0,   828,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
    1882,   828,     0,     0,     0,  1068,     0,     0,   828,  1884,
    1439,     0,     0,     0,  1883,     0,     0,  1068,     0,     0,
       0,     0,     0,  1885,     0,     0,  1886,     0,     0,     0,
     851,     0,     0,     0,     0,     0,     0,  3747,  3748,  3749,
       0,     0,  1440,     0,     0,     0,     0,  1884,   851,   851,
       0,     0,     0,     0,  3758,     0,     0,  1068,     0,     0,
       0,  1885,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3774,     0,  2024,
     851,     0,     0,  2024,     0,     0,     0,  3784,  3786,     0,
       0,     0,  3791,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,  1442,     0,  3805,   851,     0,  2024,  1887,
       0,     0,     0,  1443,   851,     0,     0,     0,     0,     0,
       0,   851,  1444,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   851,     0,  1887,     0,     0,
     851,     0,     0,     0,   851,     0,     0,  2024,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,     0,     0,
    3612,     0,     0,  1447,  1448,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,     0,     0,     0,  1283,     0,
       0,  3613,     0,     0,     0,  1888,     0,     0,  1889,  1890,
    1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,     0,
       0,     0,  5067,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   828,  1068,     0,     0,     0,
       0,     0,     0,  1888,     0,  2024,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,
    5189,     0,     0,     0,     0,  1450,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   828,
       0,     0,     0,     0,     0,     0,     0,     0,  1869,     0,
       0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1869,     0,
       0,  1870,  1874,     0,     0,  1871,  1872,  1873,  1068,     0,
    1876,     0,   851,     0,  3962,  3963,  3964,  1877,     0,     0,
       0,   828,  1874,     0,     0,     0,     0,     0,     0,     0,
    1876,     0,     0,     0,     0,     0,     0,  1877,     0,     0,
       0,  1878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1878,     0,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1068,
       0,   851,     0,     0,     0,     0,     0,     0,     0,   851,
       0,     0,     0,   828,     0,     0,  1068,     0,     0,   828,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1068,
    1879,     0,     0,     0,     0,  1880,     0,     0,     0,     0,
     828,     0,     0,     0,     0,   828,     0,     0,     0,     0,
    1879,     0,     0,     0,     0,  1880,  1881,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   828,   828,
     828,  1883,     0,   828,     0,     0,  1881,  1882,     0,     0,
       0,   828,   828,   828,   828,     0,     0,     0,     0,  2024,
       0,  1883,     0,     0,   828,  2024,     0,   828,     0,   828,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
     828,   828,     0,     0,   828,     0,     0,     0,  1885,     0,
       0,  1886,     0,     0,  1884,     0,     0,     0,   828,     0,
     828,     0,   828,     0,     0,     0,     0,     0,  1885,     0,
       0,  1886,     0,     0,     0,     0,     0,     0,     0,     0,
     188,     0,   828,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   828,     0,   828,   828,   828,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     851,     0,     0,   828,  4210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   828,  4223,     0,   189,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,   828,
       0,     0,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   828,  1887,     0,  4252,     0,     0,     0,
     191,     0,     0,     0,     0,     0,   192,     0,     0,     0,
       0,     0,  1068,     0,     0,  1068,     0,  1068,     0,     0,
       0,     0,  1068,   193,     0,     0,     0,     0,     0,     0,
    2464,     0,     0,     0,   194,     0,     0,   851,   851,     0,
       0,     0,   195,   828,     0,     0,     0,   844,   853,     0,
       0,     0,     0,     0,   196,     0,   853,     0,     0,   197,
       0,     0,     0,     0,   851,     0,   198,   851,     0,   853,
    1888,  1068,     0,  1889,  1890,  1891,  2536,  1892,  1893,  1894,
    1895,  1896,  1897,   199,     0,     0,     0,  5252,  1068,     0,
    1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,     0,     0,  5272,   200,     0,
       0,     0,     0,  1068,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2024,  2024,
    2024,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,   851,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,  1068,   203,     0,     0,  4374,  4375,
    4376,  4377,   851,     0,     0,   204,     0,     0,   205,     0,
       0,     0,     0,     0,     0,     0,     0,   851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1869,     0,
       0,  1870,     0,     0,   206,  1871,  1872,  1873,     0,   207,
       0,   208,     0,     0,     0,     0,     0,     0,   209,     0,
       0,   210,  1874,     0,     0,     0,     0,     0,     0,     0,
    1876,     0,     0,     0,     0,     0,     0,  1877,     0,     0,
     211,     0,     0,     0,     0,  1068,   212,     0,     0,     0,
     213,   214,     0,     0,   215,     0,     0,     0,   216,     0,
       0,  1878,     0,     0,     0,   851,     0,   217,     0,     0,
       0,     0,   218,  1068,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1068,   220,     0,     0,
       0,     0,     0,  2024,  1068,     0,     0,     0,     0,     0,
     851,     0,   851,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   851,     0,   851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1879,     0,     0,  1068,     0,  1880,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     851,  1068,     0,     0,     0,     0,  1881,  1882,     0,     0,
       0,     0,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,  1883,     0,   853,     0,     0,     0,     0,     0,   853,
       0,     0,     0,     0,     0,     0,     0,     0,  1869,     0,
       0,  1870,   853,     0,     0,  1871,  1872,  1873,   851,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,   853,     0,
       0,     0,  1874,     0,   851,     0,     0,     0,  1885,     0,
    1876,  1886,     0,   844,   853,     0,     0,  1877,     0,     0,
       0,   853,     0,     0,     0,     0,   851,     0,     0,   851,
       0,     0,     0,     0,   853,     0,     0,     0,     0,     0,
       0,  1878,     0,     0,   853,     0,     0,   828,     0,     0,
    1068,     0,     0,     0,     0,     0,   828,     0,     0,     0,
    4602,     0,   828,     0,   828,     0,     0,   828,     0,     0,
       0,  1068,   828,   828,   828,   828,     0,     0,   828,   828,
     828,   828,   828,   828,   828,   828,   828,   828,     0,     0,
       0,   828,   828,     0,  1887,     0,  1068,     0,     0,     0,
       0,   828,     0,     0,     0,   828,     0,  2024,     0,   828,
       0,     0,     0,     0,     0,     0,     0,   828,     0,     0,
     828,     0,   828,     0,     0,     0,     0,     0,     0,   853,
    1068,   828,     0,     0,   828,   828,     0,     0,     0,   828,
     828,     0,     0,     0,     0,     0,   828,     0,     0,     0,
    1879,     0,     0,     0,     0,  1880,   828,     0,     0,   828,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   828,     0,     0,     0,  1881,  1882,   828,   828,
     828,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,  1883,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,     0,   828,  5305,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   828,     0,  1884,     0,     0,     0,  1068,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1885,     0,
     828,  1886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4761,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4773,     0,     0,     0,     0,  1283,     0,
     844,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2024,     0,     0,  1887,     0,  2024,  1068,  2024,     0,
       0,     0,     0,  4808,     0,     0,     0,     0,  1869,     0,
       0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,
    2024,  1068,  4825,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1874,     0,     0,     0,  2776,  2024,     0,     0,
    1876,     0,     0,     0,     0,     0,     0,  1877,     0,     0,
       0,     0,   851,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,  2763,     0,     0,     0,     0,
       0,   852,     0,     0,     0,     0,     0,   828,     0,   852,
    2777,     0,     0,     0,     0,     0,     0,     0,  4895,     0,
       0,     0,   852,     0,     0,   853,     0,     0,     0,     0,
       0,     0,   851,   851,     0,     0,  1068,     0,     0,   853,
       0,     0,   851,     0,     0,     0,     0,     0,     0,   828,
       0,     0,     0,     0,     0,     0,   853,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,     0,     0,     0,
    1879,     0,     0,     0,     0,  1880,     0,     0,     0,     0,
       0,     0,     0,     0,   853,     0,  1068,   828,   828,     0,
       0,     0,     0,     0,     0,   853,  1881,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     853,  1883,  4979,   853,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   828,     0,     0,     0,  1885,     0,
       0,  1886,     0,     0,     0,   828,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   828,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   828,   828,     0,  1068,     0,
       0,     0,   828,   828,     0,     0,     0,   828,  1068,     0,
       0,     0,   828,     0,     0,   828,   828,     0,     0,     0,
     828,   853,     0,     0,     0,     0,   828,     0,     0,   853,
     853,     0,     0,     0,  1887,     0,     0,     0,   828,  2026,
       0,     0,     0,     0,     0,     0,   828,     0,     0,     0,
     828,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   828,     0,     0,     0,     0,   828,     0,
       0,     0,     0,  1869,   828,     0,  1870,     0,     0,     0,
    1871,  1872,  1873,     0,     0,     0,     0,     0,   828,     0,
    2778,     0,     0,     0,     0,     0,  2026,  1874,     0,     0,
       0,     0,     0,     0,     0,  1876,     0,     0,     0,     0,
       0,     0,  1877,     0,   828,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,  1068,  1889,  1890,  1891,  1878,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,     0,     0,     0,     0,   851,
       0,     0,     0,     0,  2024,     0,     0,  1869,     0,     0,
    1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,   852,     0,     0,     0,
       0,  1874,   852,     0,     0,     0,   851,     0,     0,  1876,
       0,  1068,     0,     0,     0,   852,  1877,     0,   851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   852,     0,     0,   828,     0,     0,     0,     0,     0,
    1878,  5217,     0,     0,     0,   851,     0,   852,     0,     0,
       0,     0,     0,     0,   852,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1879,     0,   852,     0,     0,
    1880,     0,     0,     0,     0,     0,  1068,   852,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,  1882,     0,     0,     0,     0,   853,     0,     0,
     828,     0,     0,     0,     0,     0,  1883,     0,     0,     0,
       0,     0,     0,     0,   828,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3372,     0,     0,     0,
       0,  3373,     0,     0,     0,     0,     0,   851,     0,  1884,
       0,     0,     0,     0,   828,     0,     0,     0,  2026,  1879,
       0,     0,     0,  1885,  1880,     0,  1886,     0,     0,     0,
       0,     0,   852,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   853,  1259,  1259,  1881,  1882,  5218,     0,     0,
     853,     0,     0,     0,     0,  1068,     0,  1068,     0,     0,
    1883,     0,   853,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   851,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,   828,     0,     0,     0,  1068,
       0,     0,     0,     0,   828,     0,     0,  1885,     0,  1887,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   828,   828,     0,     0,   828,     0,     0,     0,     0,
       0,     0,     0,   844,   844,     0,   853,   853,     0,     0,
     828,     0,     0,     0,     0,     0,     0,   828,   853,     0,
       0,     0,   828,     0,     0,   828,   828,     0,     0,   853,
     853,     0,     0,   828,   828,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   853,     0,     0,     0,     0,
       0,   828,     0,   828,     0,     0,     0,     0,   851,     0,
     851,     0,     0,  1887,   828,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,   844,  1889,  1890,
    1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,   851,     0,     0,     0,     0,     0,     0,
       0,     0,   828,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,  2024,     0,
       0,     0,     0,     0,   828,     0,     0,     0,     0,  1888,
       0,     0,  1889,  1890,  1891,  2026,  1892,  1893,  1894,  1895,
    1896,  1897,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4814,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   828,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   828,  1068,
       0,   828,   852,   828,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   852,
       0,     0,     0,   828,     0,     0,     0,     0,     0,   828,
       0,     0,     0,   828,     0,     0,     0,     0,     0,  1068,
       0,     0,     0,     0,   828,     0,     0,   852,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   852,     0,     0,   852,     0,     0,     0,
       0,     0,     0,     0,     0,  2024,     0,     0,     0,     0,
       0,     0,     0,  1068,     0,     0,     0,     0,  1068,  1068,
       0,     0,     0,   828,     0,  1826,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,     0,   853,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1840,     0,     0,     0,     0,
       0,   853,     0,     0,     0,     0,  2026,   853,     0,     0,
     828,   853,     0,     0,     0,     0,     0,     0,     0,   853,
       0,     0,     0,  1858,  1859,  1860,  1067,  1862,     0,     0,
       0,     0,     0,     0,   828,     0,     0,   853,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1904,     0,  1067,
       0,     0,     0,     0,   852,     0,     0,     0,     0,   844,
       0,     0,   852,   852,  1067,     0,     0,     0,  1068,  1068,
    1869,     0,  2025,  1870,     0,     0,     0,  1871,  1872,  1873,
       0,   853,     0,     0,     0,     0,     0,     0,  1941,   828,
       0,     0,   828,     0,  1874,   828,     0,     0,     0,   853,
     853,     0,  1876,     0,     0,     0,   828,     0,     0,  1877,
       0,   828,     0,   828,     0,   828,  2045,     0,     0,     0,
    2057,  2062,     0,   828,     0,     0,     0,     0,     0,  2025,
    2026,   853,     0,  1878,  2026,     0,     0,     0,     0,     0,
       0,   828,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,   853,     0,  2026,
       0,     0,     0,     0,     0,   853,     0,     0,     0,     0,
       0,     0,   853,  2024,     0,   851,   853,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   853,     0,     0,     0,
       0,   853,     0,     0,     0,   853,     0,     0,  2026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   853,     0,
       0,     0,     0,     0,     0,   828,     0,     0,     0,     0,
       0,   853,     0,   828,     0,     0,     0,     0,     0,     0,
       0,   853,  1879,     0,     0,     0,     0,  1880,  1869,     0,
       0,  1870,     0,  1067,     0,  1871,  1872,  1873,   828,   828,
       0,     0,     0,     0,     0,     0,   828,  2024,  1881,  1882,
    1068,     0,  1874,     0,     0,  3331,   828,     0,     0,     0,
    1876,     0,     0,  1883,     0,   851,     0,  1877,     0,     0,
       0,     0,     0,     0,     0,  1066,  2026,     0,   828,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     852,  1878,     0,     0,     0,     0,  1884,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1885,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   828,
       0,     0,     0,     0,   828,     0,  3922,     0,     0,     0,
       0,  2025,     0,   828,     0,     0,     0,     0,     0,   828,
     828,   828,     0,   853,     0,     0,     0,     0,     0,     0,
     828,     0,     0,     0,     0,   852,     0,     0,     0,     0,
       0,     0,     0,   852,     0,     0,     0,   828,     0,     0,
       0,     0,     0,     0,     0,   852,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,  1887,     0,     0,     0,
    1879,     0,     0,     0,     0,  1880,   853,     0,     0,     0,
       0,     0,  3923,     0,     0,   828,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2100,
       0,  1883,   828,   828,   853,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   852,
     852,     0,   853,     0,     0,     0,     0,  2024,     0,     0,
     853,   852,     0,     0,  1884,     0,     0,     0,     0,     0,
     844,     0,   852,   852,   828,     0,     0,     0,  1885,     0,
     828,  1886,  1888,     0,     0,  1889,  1890,  1891,   852,  1892,
    1893,  1894,  1895,  1896,  1897,  2100,     0,     0,     0,     0,
       0,     0,     0,     0,   828,     0,  2024,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2024,   828,   828,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1067,     0,     0,     0,     0,     0,
    2026,     0,     0,     0,     0,     0,  2026,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,  1066,     0,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2624,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,  2644,     0,  2646,     0,     0,  2658,  2661,  2666,     0,
    1066,     0,     0,  2672,     0,     0,  2677,     0,  2025,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2684,  2685,  2686,  2687,     0,     0,     0,     0,  2694,
       0,   853,     0,  2706,     0,     0,  2708,  1067,     0,  2715,
    2716,  2717,  2718,  2719,  2720,  2721,  2722,  2723,     0,  2724,
       0,     0,  1067,     0,     0,     0,  1259,     0,  2752,     0,
    1888,  2100,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1869,
       0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   853,   853,
       0,     0,     0,  1874,     0,     0,     0,     0,  1067,     0,
       0,  1876,     0,     0,     0,     0,     0,     0,  1877,     0,
       0,     0,  1067,     0,     0,   853,     0,     0,   853,     0,
       0,     0,     0,     0,  1067,     0,     0,     0,     0,     0,
       0,     0,  1878,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2772,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,  1067,  1859,  1860,
       0,     0,     0,     0,     0,     0,   852,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2026,
    2026,  2026,     0,     0,   852,     0,     0,     0,     0,  2025,
     852,     0,     0,     0,   852,     0,     0,     0,     0,     0,
       0,     0,   852,   853,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     852,  1879,     0,   853,     0,     0,  1880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   853,     0,
    2869,     0,     0,     0,     0,     0,     0,  1881,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1883,     0,   852,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1925,     0,   852,   852,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,  1869,  1884,     0,  1870,     0,     0,
       0,  1871,  1872,  1873,     0,     0,     0,     0,     0,  1885,
       0,     0,  1886,  2025,   852,     0,   853,  2025,  1874,     0,
       0,  3377,     0,     0,     0,     0,  1876,     0,  2755,  3345,
       0,     0,     0,  1877,     0,     0,     0,     0,     0,     0,
     852,     0,  2025,     0,     0,  1066,     0,     0,   852,     0,
       0,     0,     0,     0,  2026,   852,     0,  1878,     0,   852,
       0,   853,     0,   853,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1057,     0,   853,     0,   853,   852,
       0,     0,     0,     0,   852,     0,     0,     0,   852,     0,
       0,  2025,     0,     0,     0,  1887,     0,     0,  1057,     0,
    2026,   852,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,   852,     0,     0,     0,     0,     0,
    1869,     0,     0,  1870,   852,     0,     0,  1871,  1872,  1873,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   853,     0,     0,  1874,     0,     0,     0,     0,     0,
    1066,     0,  1876,     0,     0,     0,     0,     0,     0,  1877,
       0,     0,     0,     0,     0,     0,  1879,     0,     0,     0,
       0,  1880,     0,  1066,     0,     0,     0,     0,     0,  2025,
       0,     0,     0,  1878,     0,     0,  3130,     0,     0,   853,
       0,  1888,  1881,  1882,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,   853,     0,  1883,     0,     0,
    2824,     0,     0,     0,  2100,  2830,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   853,     0,     0,
     853,     0,     0,     0,     0,     0,     0,     0,     0,  1869,
    1884,     0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,
       0,     0,     0,  1066,  1885,     0,   852,  1886,     0,     0,
       0,     0,     0,  1874,     0,     0,  3388,     0,  1066,     0,
       0,  1876,     0,     0,  3382,     0,  1067,  1066,  1877,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1067,  1066,
       0,     0,  1879,     0,     0,     0,     0,  1880,     0,     0,
       0,     0,  1878,     0,     0,     0,     0,     0,  2026,   852,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,  1883,     0,     0,     0,     0,     0,     0,
    1887,     0,     0,     0,  1066,     0,     0,   852,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,   852,  1884,     0,     0,     0,
    1066,  1057,     0,   852,     0,     0,     0,     0,     0,     0,
    1885,     0,  1066,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1057,
    1869,  1879,     0,  1870,     0,     0,  1880,  1871,  1872,  1873,
       0,  3327,  1066,  1066,     0,     0,  3333,     0,     0,     0,
       0,     0,     0,     0,  1874,     0,  1888,  1881,  1882,  1889,
    1890,  1891,  1876,  1892,  1893,  1894,  1895,  1896,  1897,  1877,
       0,  1862,  1883,  2025,     0,     0,     0,     0,     0,  2025,
       0,     0,  2666,     0,  2666,  2666,  1887,     0,     0,     0,
       0,     0,   853,  1878,     0,  3391,     0,     0,  3394,     0,
    3396,     0,     0,     0,     0,  1884,     0,     0,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,  1885,
       0,     0,  1886,     0,     0,     0,     0,  1067,     0,  3414,
       0,  3417,     0,  3419,     0,     0,     0,     0,     0,     0,
       0,     0,  2026,     0,     0,     0,     0,  2026,     0,  2026,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   852,     0,  2752,  2752,  2752,     0,
       0,  2026,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,  1888,     0,  3469,  1889,  1890,  1891,  2026,  1892,
    1893,  1894,  1895,  1896,  1897,  2045,     0,     0,     0,     0,
       0,     0,  1879,   853,     0,  1887,   853,  1880,     0,  2100,
    2062,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,  1882,
       0,     0,  1869,     0,     0,  1870,     0,     0,     0,  1871,
    1872,  1873,     0,  1883,     0,     0,     0,     0,     0,     0,
       0,   852,   852,     0,     0,     0,  1874,     0,     0,     0,
       0,     0,     0,     0,  1876,     0,     0,     0,     0,     0,
       0,  1877,     0,     0,  3518,     0,  1884,     0,   852,     0,
       0,   852,     0,     0,     0,     0,     0,     0,     0,     0,
    1885,     0,     0,   853,   853,  1878,     0,     0,     0,     0,
       0,  1888,     0,   853,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,     0,     0,     0,     0,     0,
    1067,     0,   853,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2025,  2025,  2025,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   852,     0,     0,     0,
       0,     0,     0,     0,   853,     0,  1066,     0,     0,     0,
    1066,  1066,     0,     0,  1879,     0,   852,     0,     0,  1880,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   852,     0,     0,  1057,     0,     0,     0,     0,     0,
    1881,  1882,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1883,  1060,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
    1060,     0,  1888,     0,  1066,  1889,  1890,  1891,  1884,  1892,
    1893,  1894,  1895,  1896,  1897,     0,  2755,  2755,  2755,     0,
    1057,     0,  1885,     0,     0,  1886,     0,     0,     0,   852,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1057,
       0,     0,     0,     0,     0,     0,     0,  2025,     0,     0,
       0,     0,     0,     0,   852,     0,   852,     0,     0,     0,
       0,     0,  1057,     0,     0,     0,     0,     0,     0,   852,
       0,   852,     0,  2100,     0,     0,  2830,     0,  2830,     0,
       0,     0,     0,  2100,     0,     0,     0,     0,  1887,     0,
       0,     0,     0,  2025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1869,     0,     0,  1870,
       0,     0,     0,  1871,  1872,  1873,     0,     0,  3875,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     853,     0,  1067,     0,   852,  2026,     0,     0,  1876,     0,
       0,     0,  1057,     0,     0,  1877,     0,     0,     0,  1067,
       0,     0,     0,     0,     0,     0,     0,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,  1057,   853,     0,  1878,
       0,     0,     0,     0,  2100,     0,     0,     0,  1057,   853,
       0,     0,   852,     0,  1888,     0,     0,  1889,  1890,  1891,
       0,  1892,  1893,  1894,  1895,  1896,  1897,     0,   852,     0,
       0,     0,     0,  1066,     0,     0,   853,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     852,     0,     0,   852,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,  1059,  1067,     0,  1067,     0,  1057,     0,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,  3876,  1057,
       0,     0,     0,     0,     0,  1059,     0,  3880,     0,     0,
       0,  1057,     0,  3881,     0,  3882,  1060,     0,  1879,     0,
    1059,     0,     0,  1880,     0,  1066,     0,     0,     0,     0,
       0,  1060,     0,     0,     0,     0,     0,     0,   853,     0,
       0,  2025,  3906,  3907,  1881,  1882,     0,     0,     0,     0,
       0,  1057,  1057,     0,     0,     0,     0,     0,     0,  1883,
    2672,     0,     0,     0,     0,     0,  1067,     0,  3932,     0,
       0,  3935,     0,  3937,     0,     0,     0,     0,     0,     0,
       0,     0,  3941,     0,     0,     0,     0,     0,     0,     0,
    3948,  3949,  1884,     0,  1067,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1059,     0,  1885,     0,     0,     0,
     853,     0,     0,     0,     0,  1060,     0,  2830,     0,     0,
       0,     0,     0,  3996,     0,  2830,     0,     0,     0,  4003,
    4004,  2752,     0,     0,     0,     0,  1066,     0,     0,     0,
    1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,
       0,     0,  1062,  1066,     0,     0,     0,  4018,     0,     0,
       0,     0,     0,     0,  1874,     0,  1066,  3929,     0,     0,
       0,     0,  1876,  4031,     0,     0,  1062,     0,     0,  1877,
       0,     0,     0,     0,     0,  1057,     0,     0,     0,     0,
       0,     0,  1887,     0,  1067,     0,     0,     0,     0,     0,
       0,     0,     0,  1878,     0,   852,     0,     0,     0,  1059,
       0,     0,  2830,     0,     0,     0,     0,     0,     0,   853,
    1060,   853,     0,     0,     0,  1067,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2025,     0,     0,     0,     0,
    2025,     0,  2025,     0,   853,     0,     0,     0,     0,     0,
       0,     0,     0,   844,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2025,     0,     0,     0,  1888,     0,
       0,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,
    1897,  2025,     0,     0,     0,     0,     0,     0,     0,  2026,
       0,     0,  1879,     0,     0,   844,   852,  1880,     0,   852,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,  1882,
       0,     0,  1067,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,  1066,     0,  1066,     0,  1884,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1885,  1067,     0,  1886,     0,  1057,   852,   852,     0,  1057,
    1057,     0,     0,     0,     0,  1059,   852,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,     0,     0,     0,
       0,     0,     0,     0,     0,   852,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
       0,  2755,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1057,  1062,     0,     0,     0,     0,     0,  4293,  4294,
    1066,  1059,     0,  1057,     0,     0,  1887,  1062,     0,     0,
       0,     0,  1060,     0,     0,     0,  2026,     0,     0,  2100,
       0,     0,     0,     0,     0,     0,     0,   852,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1059,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,  1060,   853,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1059,     0,  4330,     0,     0,     0,  1066,
       0,  1066,     0,     0,  1060,     0,  4335,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,  4350,  4352,  2830,     0,
       0,     0,     0,  4356,  4357,     0,     0,     0,  4358,     0,
       0,     0,     0,  4361,     0,     0,  4364,  4365,     0,     0,
       0,  4369,  2830,  1059,     0,     0,     0,  4373,     0,     0,
       0,     0,  1066,     0,  1060,     0,     0,     0,  1059,     0,
       0,     0,     0,     0,     0,     0,     0,  1059,     0,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,  1060,  1059,
    1066,     0,     0,     0,  2752,     0,     0,     0,     0,  2752,
    1060,  1869,     0,     0,  1870,  2752,  1062,     0,  1871,  1872,
    1873,     0,     0,  1066,     0,     0,     0,     0,     0,  1259,
       0,  1066,     0,     0,     0,  1874,     0,     0,     0,     0,
       0,     0,  1057,  1876,     0,     0,     0,     0,     0,     0,
    1877,     0,     0,     0,  1059,  4433,     0,     0,     0,     0,
       0,     0,     0,     0,  2026,  1060,   853,     0,  1059,     0,
       0,     0,     0,   852,  1878,     0,     0,     0,  2025,  1060,
    1059,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,  1060,  1059,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,  1060,     0,     0,     0,     0,     0,     0,
     852,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,   852,     0,  1057,     0,     0,     0,     0,     0,
       0,  1066,  1059,  1059,     0,     0,     0,  2100,  1869,     0,
       0,  1870,     0,  1060,  1060,  1871,  1872,  1873,     0,   852,
       0,     0,     0,     0,     0,  4494,     0,     0,  2026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1876,     0,     0,     0,     0,     0,   853,  1877,     0,     0,
       0,     0,     0,  1879,     0,     0,     0,     0,  1880,   844,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1878,     0,     0,     0,     0,     0,     0,     0,  1881,
    1882,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4530,  1062,     0,  1883,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,  1057,     0,     0,     0,     0,
       0,   852,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,  1057,     0,     0,     0,     0,  1884,     0,  1067,
     844,   844,     0,     0,     0,  1057,  1059,     0,     0,  1067,
       0,  1885,     0,  1066,  1886,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   853,     0,     0,     0,     0,  1066,     0,     0,
    1879,     0,     0,   852,     0,  1880,     0,     0,     0,     0,
       0,     0,     0,     0,  2755,     0,     0,  1062,     0,  2755,
       0,     0,     0,     0,     0,  2755, -2569, -2569,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,  1883,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4634,  4635,     0,     0,  4636,     0,  2026,     0,
       0,     0,     0,     0, -2569,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,  1885,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,  4672,  4673,     0,     0,     0,     0,
       0,     0,   852,     0,   852,     0,     0,  2026,     0,     0,
    1062,  1067,     0,     0,  4685,     0,     0,     0,     0,     0,
       0,     0,  2026,   844,   844,  1062,     0,     0,     0,     0,
       0,     0,  1067,  1888,  1062,     0,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,  1062,   852,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
       0,  1057,     0,  1057,  1887,     0,  1059,     0,  1057,     0,
    1059,  1059,     0,     0,     0,     0,     0,  1060,     0,     0,
       0,  1060,  1060,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,  2025,     0,     0,     0,     0,  1067,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,  1062,     0,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,  1059,     0,  1057,     0,     0,     0,     0,  1062,
       0,     0,     0,  1060,  1059,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,     0,  1057,
    1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,     0,     0,     0,     0,  1062,
    1062,     0,     0,     0,  1059,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4598,     0,  1067,     0,
       0,     0,  2672,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
    1057,     0,     0,  1066,     0,     0,     0,     0,  1063,     0,
    4863,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,  1063,     0,  1862,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2025,
     918,     0,     0,  1066,     0,   919,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1057,     0,  1062,  4913,   852,     0,     0,     0,   920,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   921,   922,     0,     0,     0,  1063,     0,  1057,
       0,     0,     0,   923,     0,     0,     0,   924,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1057,  1059,     0,   925,     0,     0,     0,     0,
    1057,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,     0,  2830,     0,     0,     0,     0,   926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   927,
       0,     0,     0,     0,     0,  1066,     0,   928,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,   929,
       0,     0,     0,     0,   930,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1057,
       0,     0,  1063,     0,     0,  1059,     0,     0,   931,     0,
       0,     0,     0,     0,     0,     0,  1060,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,  4672,     0,     0,     0,
    1057,     0,     0,   932,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5057,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2830,     0,  2025,     0,   852,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   934,     0,
    1067,     0,     0,  1062,     0,     0,     0,  1062,  1062,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     935,     0,     0,     0,     0,     0,  1059,     0,     0,     0,
     204,     0,  1065,   936,     0,     0,  1057,  1060,     0,     0,
    1067,     0,     0,  1059,     0,     0,  5109,  1066,     0,     0,
       0,     0,     0,     0,  1060,  1065,  1059,  1057,     0,   937,
       0,     0,     0,     0,   938,     0,   939,  1060,  1066,  1062,
    1065,  2025,     0,   940,     0,     0,   941,     0,     0,  5135,
    5135,  1062,  1057,     0,     0,     0,     0,     0,     0,   852,
       0,     0,     0,     0,  1067,   942,     0,  4672,     0,  1067,
    1067,   943,     0,     0,     0,     0,   944,     0,     0,   945,
       0,     0,     0,   946,     0,     0,  1057,     0,  1063,     0,
     947,  1062,   948,     0,     0,     0,     0,   949,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   950,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5194,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,  5135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4598,
    1067,     0,     0,     0,  1057,   852,     0,     0,  5235,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,  1059,     0,  1059,     0,     0,     0,     0,  1059,
    1060,     0,     0,  1060,     0,  1060,  1066,     0,     0,     0,
    1060,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5135,  1063,     0,  1059,     0,
       0,  5293,     0,     0,     0,     0,     0,  1057,     0,  1060,
    2025,  1063,     0,     0,     0,  1059,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,  2025,  1060,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
    1059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1060,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   570,     0,     0,
       0,     0,   571,     0,     0,     0,     0,     0,     0,     0,
       0,  1067,     0,     0,   572,     0,     0,  1063,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,   573,     0,     0,  1059,
       0,  1059,     0,  1063,     0,     0,     0,     0,     0,   574,
    1060,     0,  1060,     0,     0,  1063,     0,     0,     0,     0,
     575,     0,  1057,     0,  -849,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   576,     0,     0,     0,     0,     0,   577,     0,
       0,     0,     0,  1062,     0,  1063,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,   578,     0,     0,     0,     0,
    1062,     0,  1057,     0,     0,     0,   579,     0,     0,     0,
       0,     0,  1059,  1062,   580,     0,     0,     0,     0,     0,
       0,  1065,     0,  1060,     0,     0,   581,     0,     0,     0,
       0,  1066,     0,     0,   582,     0,     0,     0,   583,     0,
    1059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1060,     0,     0,     0, -1069,  1066,     0,     0,     0,
    1065,     0,     0,  1059,     0,     0,     0,     0,     0,     0,
       0,  1059,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,  1060,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,   584,     0,     0,     0,  1066,     0,     0,     0,
       0,  -571,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,  1057,   585,     0,     0,   586,  1433,
    1059,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
    1066,  1060,     0,     0,     0,  1066,  1066,   587,  1059,     0,
       0,     0,     0,  1065,     0,  1488,     0,     0,     0,  1060,
     588,  1059,     0,     0,     0,     0,     0,  -447,  1065,     0,
    1434,     0,  1060,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,   589,     0,     0,  1065,
       0,     0,     0,   590,     0,     0,     0,     0,     0,     0,
    -447,     0,     0,   591,  1489,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,  1062,
       0,  1062,   592,     0,  1436,     0,  1062,     0,   593,     0,
       0,  1437,     0,  -447,  1438,     0,   594,   595,     0,   596,
     597,     0,     0,     0,  1065,     0,     0,     0,  1057,   598,
       0,     0,     0,     0,   599,     0,  1066,  1059,  1065,  1439,
     600,     0,     0,   601,     0,     0,   602,     0,  1060,     0,
    1065,     0,     0,     0,     0,  1062,     0,     0,  1059,  -447,
       0,     0,  1065,     0,     0,     0,  1057,     0,  1490,  1060,
       0,  1440,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,  1057,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,  1062,     0,     0,
       0,     0,  1065,  1065,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,  1063,  1063,     0,  1491,  1059,     0,  1492,
       0,     0,     0,     0,     0,     0,     0,     0,  1060,     0,
    1493,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,  1445,     0,     0,     0,  1062,     0,  1062,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3024,
       0,     0,  1447,  1448,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,  1060,  1063,     0,     0,
    3025,     0,     0,     0,     0,     0,  1065,  1066,     0,     0,
       0,     0,     0,     0,  1499,     0,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,  1057,     0,     0,  1062,     0,
       0,     0,     0,     0,  1059,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1059,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
    1065,  1065,     0,  1059,     0,     0,     0,     0,     0,     0,
    1899,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,  1060,  1062,     0,     0,     0,     0,
       0,     0,     0,  1899,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1062,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,  1057,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1059,  1060,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1057,
       0,     0,  1062,     0,  1057,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1060,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,  1059,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1059,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,     0,  1060,
       0,     0,  1063,     0,     0,  1063,     0,  1063,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,  1059,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,  1063,  1060,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,     0,
       0,     0,     0,     0,     0,     0,  1059,     0,     0,     0,
       0,  1899,     0,     0,     0,  2654,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
    1899,  1899,     0,  1899,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,  1899,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,  1899,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
    1060,     0,  1065,     0,  1065,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,  1063,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,  1899,     0,
       0,     0,     0,  1899,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,  1059,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1059,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
    1062,  1065,     0,     0,     0,     0,  1059,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1059,     0,     0,     0,     0,  1059,  1059,     0,     0,     0,
    1063,  1060,     0,     0,     0,     0,  1060,  1060,     0,     0,
       0,     0,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,  1059,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,  1063,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,  1062,     0,  1899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1899,     0,  1899,     0,     0,
    2654,  2654,     0,  3368,     0,  2654,     0,     0,     0,  1899,
       0,     0,  1899,     0,     0,  1065,     0,  1899,     0,     0,
       0,     0,     0,  1899,     0,     0,     0,  1062,  1899,     0,
       0,     0,  1062,  1062,     0,  1899,  1899,  1899,  1899,     0,
       0,     0,  2654,  2654,     0,  1899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,  1899,
       0,     0,     0,     0,     0,     0,  1899,  1899,  1899,  1899,
    1899,  1899,  1899,  1899,  1899,  1899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,  1899,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1899,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1062,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
    3368,  3368,     0,     0,  2654,  2654,  2654,  2654,     0,     0,
    2654,  2654,  2654,  2654,  2654,  2654,  2654,  2654,  2654,  2654,
    3368,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1899,     0,     0,  1899,     0,  1899,     0,     0,
    3368,  3368,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1899,  2654,  2654,  1899,     0,
    1899,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
    1899,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,  1063,     0,     0,     0,     0,  1063,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2654,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,  1065,  1065,  1899,     0,     0,
       0,  1899,  1899,  1899,     0,     0,     0,     0,     0,  3368,
    3368,  3368,  3368,     0,     0,     0,     0,  3368,  3368,  3368,
    3368,  3368,  3368,  3368,  3368,  3368,  3368,  1899,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,     0,     0,  1899,     0,  1899,     0,
       0,     0,  1899,     0,     0,  3368,  3368,     0,     0,  1899,
    1899,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,     0,
       0,     0,     0,     0,  1899,  1899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1899,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1899,  1899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,  1899,  2654,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,  1899,     0,     0,     0,  1899,  1899,  1899,
       0,     0,  1899,     0,     0,  1899,  1899,     0,     0,     0,
    1899,     0,     0,     0,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3368,
    2654,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1899,  1899,  1899,     0,     0,
       0,     0,     0,     0,     0,  2654,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3368,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2654,     0,     0,
    3368,     0,     0,     0,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3368,     0,  2654,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1899,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2654,  2654,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   800,  1176,
     617,  1177,  1178,  1179,   676,  1180,     0,     0,  3368,  3368,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,  2746,   233,   234,   235,     0,     0,     0,     0,  1181,
       0,     0,   236,   237,  1899,   238,   239,   240,   801,   241,
     242,   243,   244,  1182,   802,  1183,  1184,     0,   248,   249,
     250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,
       0,   258,   259,   260,   261,  1189,     0,  1190,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
    1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,
     283,   284,   285,  1198,  1199,   288,  1200,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
    2747,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
    1201,   316,   317,   318,  1202,  1203,   320,     0,   321,   322,
    1204,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,  1205,     0,  1206,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,  1207,  1208,     0,  1209,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,  1210,   814,   368,   815,     0,   369,   370,
     371,  1211,  1212,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1213,
     816,  1214,   390,   391,   392,   393,  1215,   394,   395,   817,
     396,  1216,  1217,   398,  1218,   400,   401,   402,     0,   403,
     404,     0,     0,  1219,   406,   407,     0,     0,   408,   409,
     818,   410,   819,  1220,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,  1221,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1222,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,  1223,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,  1224,   475,   476,   477,   478,   479,   821,
     480,   481,  1225,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1226,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,
     512,   513,   514,   515,   516,   517,   518,     0,  1232,   519,
     520,   521,   522,   523,  1233,     0,   524,   525,   526,   527,
     528,   529,  1234,  2748,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,
    1242,   553,   554,   555,   556,  1243,     0,     0,     0,     0,
       0,     0,  1244,  1245,  2749,     0,     0,     0,     0,     0,
       0,  1247,  2750,   800,  1176,   617,  1177,  1178,  1179,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,  1200,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,   392,
     393,  1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,  1219,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  1223,   461,   462,   463,   464,   465,   466,   467,
     468,   469,    39,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,    43,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,   516,
     517,   518,     0,  1232,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,  1112,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,    48,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
    1243,     0,    49,     0,     0,     0,     0,  1244,  1245,     0,
       0,     0,     0,     0,     0,     0,  1247,  4875,   800,  1176,
     617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,  1181,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,  1182,   802,  1183,  1184,     0,   248,   249,
     250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,
       0,   258,   259,   260,   261,  1189,     0,  1190,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
    1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,
     283,   284,   285,  1198,  1199,   288,  1200,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
    1201,   316,   317,   318,  1202,  1203,   320,     0,   321,   322,
    1204,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,  1205,     0,  1206,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,  1207,  1208,     0,  1209,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,  1210,   814,   368,   815,     0,   369,   370,
     371,  1211,  1212,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1213,
     816,  1214,   390,   391,   392,   393,  1215,   394,   395,   817,
     396,  1216,  1217,   398,  1218,   400,   401,   402,     0,   403,
     404,     0,     0,  1219,   406,   407,     0,     0,   408,   409,
     818,   410,   819,  1220,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,  1221,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1222,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,  1223,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,  1224,   475,   476,   477,   478,   479,   821,
     480,   481,  1225,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1226,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,
     512,   513,   514,   515,   516,   517,   518,     0,  1232,   519,
     520,   521,   522,   523,  1233,     0,   524,   525,   526,   527,
     528,   529,  1234,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,
    1242,   553,   554,   555,   556,  1243,     0,     0,     0,     0,
       0,     0,  1244,  1245,     0,     0,     0,     0,     0,     0,
       0,  1247,  2656,   800,  1176,   617,  1177,  1178,  1179,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,  1200,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,   392,
     393,  1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,  1219,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  1223,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,   516,
     517,   518,     0,  1232,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
    1243,     0,     0,     0,     0,     0,     0,  1244,  1245,     0,
       0,     0,     0,     0,     0,     0,  1247,  3884,   800,  1176,
     617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,  1181,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,  1182,   802,  1183,  1184,     0,   248,   249,
     250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,
       0,   258,   259,   260,   261,  1189,     0,  1190,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
    1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,
     283,   284,   285,  1198,  1199,   288,  1200,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
    1201,   316,   317,   318,  1202,  1203,   320,     0,   321,   322,
    1204,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,  1205,     0,  1206,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,  1207,  1208,     0,  1209,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,  1210,   814,   368,   815,     0,   369,   370,
     371,  1211,  1212,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1213,
     816,  1214,   390,   391,   392,   393,  1215,   394,   395,   817,
     396,  1216,  1217,   398,  1218,   400,   401,   402,     0,   403,
     404,     0,     0,  1219,   406,   407,     0,     0,   408,   409,
     818,   410,   819,  1220,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,  1221,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1222,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,  1223,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,  1224,   475,   476,   477,   478,   479,   821,
     480,   481,  1225,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1226,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,
     512,   513,   514,   515,   516,   517,   518,     0,  1232,   519,
     520,   521,   522,   523,  1233,     0,   524,   525,   526,   527,
     528,   529,  1234,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,
    1242,   553,   554,   555,   556,  1243,     0,     0,   223,     0,
       0,     0,  1244,  1245,     0,     0,     0,     0,     0,     0,
       0,  1247,  3955,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
    3973,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0, -1727,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0, -1727,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350, -1727,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360, -1727,   361,   362,   363,   364,   365,
       0,     0,   366,   367, -1727,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
   -1727,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456, -1727,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,     0,     0,     0,  1030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1328,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,     0,  1031,   802,  1032,  1033,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,  1034,  1035,   257,
       0,   258,   259,   260,   261,     0,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,     0,   280,   281,   282,
     283,   284,   285,  1036,  1037,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
       0,   316,   317,   318,     0,     0,   320,     0,   321,   322,
    1039,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,     0,     0,     0,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
    2086,   344,   345,   346,   347,   348,   349,     0,   350,   810,
    2087,   352,   353,   354,   355,  1041,  1042,     0,  1043,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,     0,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1044,
     816,  1045,   390,   391,   392,     0,     0,   394,   395,   817,
     396,     0,     0,   398,  1046,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,  2089,
     818,   410,   819,     0,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,     0,   424,     0,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1047,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,  2090,   478,   479,   821,
     480,   481,  1049,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     0,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1050,  1051,     0,     0,   507,   508,     0,   510,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,     0,  1052,  2091,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,  1030,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   554,   555,   556,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,  2196,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,     0,  1031,   802,  1032,  1033,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
    1034,  1035,   257,     0,   258,   259,   260,   261,     0,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,     0,
     280,   281,   282,   283,   284,   285,  1036,  1037,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,     0,   316,   317,   318,     0,     0,   320,
       0,   321,   322,  1039,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,     0,     0,
       0,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,  2086,   344,   345,   346,   347,   348,   349,
       0,   350,   810,  2087,   352,   353,   354,   355,  1041,  1042,
       0,  1043,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,     0,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1044,   816,  1045,   390,   391,   392,     0,     0,
     394,   395,   817,   396,     0,     0,   398,  1046,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,  2089,   818,   410,   819,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,     0,
     424,     0,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1047,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,  2090,
     478,   479,   821,   480,   481,  1049,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       0,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1050,  1051,     0,     0,   507,   508,     0,
     510,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,     0,  1052,  2091,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,     0,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,   554,   555,   556,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,  3216,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,    39,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,    43,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,  1112,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,    48,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,    49,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,   800,
    1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
    1181,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,  1182,   802,  1183,  1184,  2662,   248,
     249,   250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,  1198,  1199,   288,  1200,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,  1201,   316,   317,   318,  1202,  1203,   320,     0,   321,
     322,  1204,   324,     0,   325,     0,   326,   807,  2663,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,  1206,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,  1207,  1208,     0,  1209,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,  2664,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1213,   816,  1214,   390,   391,   392,   393,  1215,   394,   395,
     817,   396,  1216,  1217,   398,  1218,   400,   401,   402,     0,
     403,   404,     0,     0,  1219,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1222,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,  1223,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,  1225,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1227,  1228,     0,  2665,   507,   508,  1229,   510,  1230,
    1231,   512,   513,   514,   515,   516,   517,   518,     0,  1232,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,   529,  1234,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,   553,   554,   555,   556,  1243,     0,     0,     0,
       0,     0,     0,  1244,  1245,     0,     0,     0,     0,     0,
       0,     0,  1247,   800,  1176,   617,  1177,  1178,  1179,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,  1200,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,   392,
     393,  1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,  1219,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  1223,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,   516,
     517,   518,     0,  1232,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
    1243,     0,     0,     0,     0,     0,     0,  1244,  1245,     0,
       0,     0,     0,     0,  1823,  2617,  1247,   800,  1176,   617,
    1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,  1182,   802,  1183,  1184,     0,   248,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,  1200,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  1206,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,   392,   393,  1215,   394,   395,   817,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,  1219,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,  1223,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,   516,   517,   518,     0,  1232,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,  1243,     0,     0,     0,     0,     0,
       0,  1244,  1245,  1246,     0,     0,     0,     0,     0,     0,
    1247,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,  2055,   233,   234,   235,     0,     0,
       0,     0,  1181,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,  1182,   802,  1183,  1184,
       0,   248,   249,   250,   251,   252,  1185,  1186,   253,   254,
    1187,  1188,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,  1198,  1199,   288,  1200,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,  1201,   316,   317,   318,  1202,  1203,   320,
       0,   321,   322,  1204,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
    1206,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,  1207,  1208,
       0,  1209,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1213,   816,  1214,   390,   391,   392,   393,  1215,
     394,   395,   817,   396,  1216,  1217,   398,  1218,   400,   401,
     402,     0,   403,   404,     0,     0,  1219,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1222,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
    1223,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,  1225,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1227,  1228,     0,     0,   507,   508,  1229,
     510,  1230,  1231,   512,   513,   514,   515,   516,   517,   518,
       0,  1232,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,  1234,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,
       0,     0,     0,     0,     0,  1244,  1245,     0,     0,     0,
       0,     0,     0,     0,  1247,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,  2663,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,   800,
    1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
    1181,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,  1182,   802,  1183,  1184,     0,   248,
     249,   250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,  1198,  1199,   288,  1200,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,  1201,   316,   317,   318,  1202,  1203,   320,     0,   321,
     322,  1204,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,  1206,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,  1207,  1208,     0,  1209,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1213,   816,  1214,   390,   391,   392,   393,  1215,   394,   395,
     817,   396,  1216,  1217,   398,  1218,   400,   401,   402,     0,
     403,   404,     0,     0,  1219,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1222,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,  1223,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,  1225,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,
    1231,   512,   513,   514,   515,   516,   517,   518,     0,  1232,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,   529,  1234,  4005,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,   553,   554,   555,   556,  1243,     0,     0,     0,
       0,     0,     0,  1244,  1245,     0,     0,     0,     0,     0,
       0,     0,  1247,   800,  1176,   617,  1177,  1178,  1179,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,  1200,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,   392,
     393,  1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,  1219,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  1223,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,   516,
     517,   518,     0,  1232,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
    1243,     0,     0,     0,     0,     0,     0,  1244,  1245,     0,
       0,     0,     0,     0,     0,     0,  1247,   800,  1176,   617,
    1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,  1182,   802,  1183,  1184,     0,   248,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,  1200,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  1206,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,   392,   393,  1215,   394,   395,   817,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,  1219,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,  1223,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,   516,   517,   518,     0,  1232,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,  1243,     0,     0,     0,     0,     0,
       0,  2058,  2059,     0,     0,     0,     0,     0,     0,     0,
    1247,   800,  2791,   617,  1177,  1178,  1179,   676,  1180,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,  1181,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,  1182,   802,  1183,  1184,
       0,   248,   249,   250,   251,   252,  1185,  1186,   253,   254,
    1187,  1188,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,  1198,  1199,   288,  1200,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,  1201,   316,   317,   318,  1202,  1203,   320,
       0,   321,   322,  1204,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
    1206,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,  1207,  1208,
       0,  1209,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1213,   816,  1214,   390,   391,   392,   393,  1215,
     394,   395,   817,   396,  1216,  1217,   398,  1218,   400,   401,
     402,     0,   403,   404,     0,     0,  1219,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1222,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
    1223,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,  1225,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1227,  1228,     0,     0,   507,   508,  1229,
     510,  1230,  1231,   512,   513,   514,   515,   516,   517,   518,
       0,  1232,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,  1234,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,
       0,     0,     0,     0,     0,  1244,  1245,     0,     0,     0,
       0,     0,     0,     0,  1247,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,  4017,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,   800,
    1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
    1181,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,  1182,   802,  1183,  1184,     0,   248,
     249,   250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,  1198,  1199,   288,  1200,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,  1201,   316,   317,   318,  1202,  1203,   320,     0,   321,
     322,  1204,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,  1206,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,  1207,  1208,     0,  1209,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1213,   816,  1214,   390,   391,   392,   393,  1215,   394,   395,
     817,   396,  1216,  1217,   398,  1218,   400,   401,   402,     0,
     403,   404,     0,     0,  1219,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1222,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,  1223,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,  1225,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,
    1231,   512,   513,   514,   515,   516,   517,   518,     0,  1232,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,   529,  1234,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,  4342,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,   553,   554,   555,   556,  1243,     0,     0,     0,
       0,     0,     0,  1244,  1245,     0,     0,     0,     0,     0,
       0,     0,  1247,   800,  1176,   617,  1177,  1178,  1179,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,  1200,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,  4351,
     393,  1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,  1219,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  1223,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,   516,
     517,   518,     0,  1232,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
    1243,     0,     0,     0,     0,     0,     0,  1244,  1245,     0,
       0,     0,     0,     0,     0,     0,  1247,   800,  1176,   617,
    1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,  1182,   802,  1183,  1184,     0,   248,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,  4662,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,  1200,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  4663,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,   392,   393,  1215,   394,   395,   817,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,  1219,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,  4664,  1223,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,   516,   517,   518,     0,  1232,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,  1243,     0,     0,     0,     0,     0,
       0,  1244,  1245,     0,     0,     0,     0,     0,     0,     0,
    4665,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,  1181,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,  5132,  1182,   802,  1183,  1184,
       0,   248,   249,   250,   251,   252,  1185,  1186,   253,   254,
    1187,  1188,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,  5133,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,  1198,  1199,   288,  1200,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,  1201,   316,   317,   318,  1202,  1203,   320,
       0,   321,   322,  1204,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
    1206,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,  1207,  1208,
       0,  1209,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1213,   816,  1214,   390,   391,   392,   393,  1215,
     394,   395,   817,   396,  1216,  1217,   398,  1218,   400,   401,
     402,     0,   403,   404,     0,     0,  1219,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1222,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
    1223,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,  1225,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1227,  1228,     0,     0,   507,   508,  1229,
     510,  1230,  1231,   512,   513,   514,   515,  5134,   517,   518,
       0,  1232,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,  1234,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,
       0,     0,     0,     0,     0,  1244,  1245,     0,     0,     0,
       0,     0,     0,     0,  1247,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,  5133,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,  5134,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,   800,
    1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
    1181,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,  1182,   802,  1183,  1184,     0,   248,
     249,   250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,  1198,  1199,   288,  4856,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,  1201,   316,   317,   318,  1202,  1203,   320,     0,   321,
     322,  1204,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,  1206,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,  1207,  1208,     0,  1209,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1213,   816,  1214,   390,   391,   392,   393,     0,   394,   395,
     817,   396,  1216,  1217,   398,  1218,   400,   401,   402,     0,
     403,   404,     0,     0,  1219,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1222,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,  2648,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,  1225,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,
    1231,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,   529,  1234,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,   553,   554,   555,   556,     0,     0,     0,     0,
       0,     0,     0,  2649,  2650,     0,     0,     0,     0,     0,
       0,     0,  2651,   800,  1176,   617,  1177,  1178,  1179,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243, -2569,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,  5133,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,  1200,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
   -2569,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,     0,     0,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368, -2569,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,   392,
     393,  1215,   394,   395,     0,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,  1219,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  1223,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479, -2569,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,  5134,
     517,   518,     0,  1232,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
   -2569,     0,     0,     0,     0,     0,     0,  1244,  1245,     0,
       0,     0,     0,     0,     0,     0,  1247,   800,  1176,   617,
    1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,  1182,   802,  1183,  1184,     0,   248,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  1206,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,   392,   393,     0,   394,   395,   817,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,  1219,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,  2648,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,     0,     0,     0,     0,     0,     0,
       0,  2649,  2650,     0,     0,   800,  1176,   617,  1177,  1178,
    2651,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,     0,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  2780,  2781,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,     0,     0,     0,     0,     0,     0,     0,  2782,
    2783,     0,     0,     0,     0,     0,     0,     0,  2651,   800,
    1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
    1181,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,  1182,   802,  1183,  1184,     0,   248,
     249,   250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,  1198,  1199,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,  1201,   316,   317,   318,  1202,  1203,   320,     0,   321,
     322,  1204,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,  1206,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,  1207,  1208,     0,  1209,
       0,   359,     0,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1213,   816,  1214,   390,   391,   392,   393,     0,   394,   395,
     817,   396,  1216,  1217,   398,  1218,   400,   401,   402,     0,
     403,   404,     0,     0,  1219,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1222,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,  2648,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,  1225,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,
    1231,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,   529,  1234,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,   553,   554,   555,   556,     0,     0,     0,     0,
       0,     0,     0,  2649,  2650,     0,     0,   800,  1176,   617,
    1177,  1178,  2651,   676,  1180,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,  1182,   802,  1183,  1184,     0,   248,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  1206,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,   392,   393,     0,   394,   395,   817,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,  2648,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,     0,     0,   800,  1176,   617,  1177,
    1178,     0,   676,  1180,     0,     0,     0,     0,     0,     0,
    2651,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,  1181,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,  1182,   802,  1183,  1184,     0,  3917,   249,   250,   251,
     252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,
     259,   260,   261,  1189,     0,  1190,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,  1191,  1192,
    1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,
     285,  1198,  1199,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,  1201,   316,
     317,   318,  1202,  1203,   320,     0,   321,   322,  1204,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,  1205,     0,  1206,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,  1207,  1208,     0,  1209,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,  1210,   814,   368,   815,     0,   369,   370,   371,  1211,
    1212,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1213,   816,  1214,
     390,   391,   392,   393,     0,   394,   395,   817,   396,  1216,
    1217,   398,  1218,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,  1220,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,  1221,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1222,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,  2648,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,  1224,   475,   476,   477,   478,   479,   821,   480,   481,
    1225,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,  1226,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1227,  1228,
       0,     0,   507,   508,  1229,   510,  1230,  1231,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,  1233,     0,   524,   525,   526,   527,   528,   529,
    1234,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
    1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,
     554,   555,   556,     0,     0,   800,  1176,   617,  1177,  1178,
       0,   676,  1180,     0,     0,     0,     0,     0,     0,  2651,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,     0,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  2648,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,  4382,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,     0,     0,   800,  1176,   617,  1177,  1178,  1179,
     676,  1180,     0,     0,     0,     0,     0,     0,  2651,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,  1181,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,     0,  1182,
     802,  1183,  1184,     0,   248,   249,   250,   251,   252,  1185,
    1186,   253,   254,  1187,  1188,   257,     0,   258,   259,   260,
     261,  1189,     0,  1190,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,
    1195,  1196,  1197,   280,   281,   282,   283,   284,   285,  1198,
    1199,   288,  1200,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
    1038,   303,   304,     0,   305,   306,   307,     0,   308,     0,
     310,     0,   311,   312,   313,   314,  1201,   316,   317,   318,
    1202,  1203,   320,     0,   321,   322,  1204,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,  1205,     0,  1206,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,  1207,  1208,     0,  1209,     0,   359,     0,     0,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,  1210,
     814,   368,     0,     0,   369,   370,   371,  1211,  1212,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,  1213,   816,  1214,   390,   391,
     392,   393,  1215,   394,   395,     0,   396,  1216,  1217,   398,
    1218,   400,   401,   402,     0,   403,   404,     0,     0,  1219,
     406,   407,     0,     0,   408,   409,   818,   410,   819,  1220,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,  1221,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1222,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,  1223,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,  1224,
     475,   476,   477,   478,   479,     0,   480,   481,  1225,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,  1226,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,  1227,  1228,     0,     0,
     507,   508,  1229,   510,  1230,  1231,   512,   513,   514,   515,
     516,   517,   518,     0,  1232,   519,   520,   521,   522,   523,
    1233,     0,   524,   525,   526,   527,   528,   529,  1234,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,  1235,  1236,
    1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,
     556,     0,     0,   800,     0,     0,     0,     0,  1244,  1245,
       0,     0,     0,     0,     0,     0,     0,  1247,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,  1186,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,  1202,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,  3437,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,  1217,   398,   399,
     400,   401,   402,     0,   403,   404,     0,   765,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,  3438,   462,   463,   464,   465,   466,   467,
     468,   469,    39,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,    43,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,  1229,   510,  1230,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,  1112,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,    48,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,  3439,   554,   555,   556,
       0,     0,    49,   800,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3440,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,  1186,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,  1202,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,  3437,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,  1217,   398,   399,
     400,   401,   402,     0,   403,   404,     0,   765,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,  3438,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,  1229,   510,  1230,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,  3439,   554,   555,   556,
       0,     0,   800,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3440,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,     0,   248,   249,   250,   251,   252,     0,  1186,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,  1189,
       0,  1190,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,
    1197,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,  1202,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,  1205,
       0,   333,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,  1210,   814,   368,
     815,     0,   369,   370,   371,  1211,  1212,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
       0,   394,   395,   817,   396,     0,  1217,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,  1220,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
    1221,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,   460,  3438,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,  1224,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,  1226,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
    1229,   510,  1230,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,  1233,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,
     548,  1239,  1240,  1241,  1242,  3439,   554,   555,   556,     0,
       0,   800,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    50,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
       0,   248,   249,   250,   251,   252,     0,  1186,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,  1202,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
     333,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,     0,
     394,   395,   817,   396,     0,  1217,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,  1229,
     510,  1230,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,     0,     0,
     800,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4045,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,     0,
     248,   249,   250,   251,   252,     0,  1186,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,  1202,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,   333,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,     0,   394,
     395,   817,   396,     0,  1217,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,  1229,   510,
    1230,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,     0,     0,   845,
    1454,   617,     0,     0,     0,   676,     0,     0,     0,     0,
       0,     0,     0,  5115,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,  1756,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,   367,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,  1757,     0,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
    1758,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,     0,     0,   845,     0,
       0,     0,     0,  1455,  1456,  4935,     0,     0,     0,     0,
       0,     0,  4936,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     3,     4,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,   367,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,     0,   394,   395,   817,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    39,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,    43,   499,   822,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,  1112,   530,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,    48,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,     0,     0,    49,   800,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,   367,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,     0,   394,   395,   817,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,     0,     0,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4714,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,    39,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
      43,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
    1112,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,    48,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,     0,     0,    49,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1305,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,     0,     0,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2813,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,     0,     0,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3952,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,     0,     0,     0,     0,     0,  1030,  1454,   617,     0,
       0,   859,   676,     0,     0,     0,     0,  4399,   860,   861,
     862,   224,   225,   226,   227,   228,   229,   230,   231,  1944,
     233,   234,   235,  1945,  1946,  1947,  1948,  1949,  1950,  1951,
     236,   237,  1952,   238,   239,   240,   801,   241,   242,   243,
       0,  1031,   802,  1032,  1033,  1953,   248,   249,   250,   251,
     252,  1954,  1955,   253,   254,  1034,  1035,   257,  1956,   258,
     259,   260,   261,     0,  1957,   803,  1958,   263,   264,   265,
     266,   267,   804,   268,   269,   270,  1959,   271,   272,   273,
     274,   275,   276,  1960,   805,   277,   278,   279,  1961,  1962,
    1963,   806,  1964,  1965,  1966,   280,   281,   282,   283,   284,
     285,  1036,  1037,   288,  1967,   289,  1968,   290,   291,   292,
     293,   294,   295,  1969,   296,   297,   298,   299,  1970,  1971,
     300,   301,  1038,   303,   304,  1972,   305,   306,   307,  1973,
     308,   309,   310,  1974,   311,   312,   313,   314,     0,   316,
     317,   318,     0,  1975,   320,  1976,   321,   322,  1039,   324,
    1977,   325,  1978,   326,   807,  1979,   808,   327,   328,   329,
     330,  1980,   331,     0,  1981,     0,   334,  1982,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,  1983,   344,
     345,   346,   347,   348,   349,  1984,   350,   810,     0,   352,
     353,   354,   355,  1041,  1042,  1985,  1043,  1986,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,  1987,  1988,
     366,     0,   814,   368,   815,  1989,   369,   370,   371,  1990,
    1991,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1044,   816,  1045,
     390,   391,   392,  3706,  1992,   394,   395,   817,   396,  1993,
       0,   398,  1046,   400,   401,   402,  1994,   403,   404,  1995,
    1996,  3707,   406,   407,  1997,  1998,   408,     0,   818,   410,
     819,     0,   412,   413,   414,   415,   416,   417,   418,   419,
     420,  1999,   421,   422,     0,   424,     0,   426,   427,   428,
    2000,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1047,   439,   440,   441,   442,  2001,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  2002,   455,
     456,   820,   457,   458,   459,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,  2003,   470,   471,   472,   473,
     474,  2004,   475,   476,  2090,   478,   479,   821,   480,   481,
    1049,   483,  2005,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     0,  2006,   497,   498,  2007,
     499,   822,   500,   501,   502,   503,   504,  2008,  1050,  1051,
    2009,  2010,   507,   508,     0,   510,     0,  2011,   512,   513,
     514,   515,   516,   517,   518,  2012,  2013,   519,   520,   521,
     522,   523,  2014,  2015,   524,   525,   526,   527,   528,     0,
    1052,  2016,   531,   823,   532,   533,   534,   535,  2017,  2018,
     536,  2019,  2020,   537,   538,   539,   540,   541,   542,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     554,   555,   556,     0,     0,     0,   865,   866,   867,     0,
    3708,  3709,   870,   871,   872,   873,  1030,  1454,   617,     0,
       0,   859,   676,     0,     0,     0,     0,     0,   860,   861,
     862,   224,   225,   226,   227,   228,   229,   230,   231,  1944,
     233,   234,   235,  1945,  1946,  1947,  1948,  1949,  1950,  1951,
     236,   237,  1952,   238,   239,   240,   801,   241,   242,   243,
       0,  1031,   802,  1032,  1033,  1953,   248,   249,   250,   251,
     252,  1954,  1955,   253,   254,  1034,  1035,   257,  1956,   258,
     259,   260,   261,     0,  1957,   803,  1958,   263,   264,   265,
     266,   267,   804,   268,   269,   270,  1959,   271,   272,   273,
     274,   275,   276,  1960,   805,   277,   278,   279,  1961,  1962,
    1963,   806,  1964,  1965,  1966,   280,   281,   282,   283,   284,
     285,  1036,  1037,   288,  1967,   289,  1968,   290,   291,   292,
     293,   294,   295,  1969,   296,   297,   298,   299,  1970,  1971,
     300,   301,  1038,   303,   304,  1972,   305,   306,   307,  1973,
     308,   309,   310,  1974,   311,   312,   313,   314,     0,   316,
     317,   318,     0,  1975,   320,  1976,   321,   322,  1039,   324,
    1977,   325,  1978,   326,   807,  1979,   808,   327,   328,   329,
     330,  1980,   331,     0,  1981,     0,   334,  1982,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,  1983,   344,
     345,   346,   347,   348,   349,  1984,   350,   810,     0,   352,
     353,   354,   355,  1041,  1042,  1985,  1043,  1986,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,  1987,  1988,
     366,     0,   814,   368,   815,  1989,   369,   370,   371,  1990,
    1991,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1044,   816,  1045,
     390,   391,   392,  4136,  1992,   394,   395,   817,   396,  1993,
       0,   398,  1046,   400,   401,   402,  1994,   403,   404,  1995,
    1996,  3707,   406,   407,  1997,  1998,   408,     0,   818,   410,
     819,     0,   412,   413,   414,   415,   416,   417,   418,   419,
     420,  1999,   421,   422,     0,   424,     0,   426,   427,   428,
    2000,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1047,   439,   440,   441,   442,  2001,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  2002,   455,
     456,   820,   457,   458,   459,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,  2003,   470,   471,   472,   473,
     474,  2004,   475,   476,  2090,   478,   479,   821,   480,   481,
    1049,   483,  2005,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     0,  2006,   497,   498,  2007,
     499,   822,   500,   501,   502,   503,   504,  2008,  1050,  1051,
    2009,  2010,   507,   508,     0,   510,     0,  2011,   512,   513,
     514,   515,   516,   517,   518,  2012,  2013,   519,   520,   521,
     522,   523,  2014,  2015,   524,   525,   526,   527,   528,     0,
    1052,  2016,   531,   823,   532,   533,   534,   535,  2017,  2018,
     536,  2019,  2020,   537,   538,   539,   540,   541,   542,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     554,   555,   556,     0,   223,     0,   865,   866,   867,   859,
    3708,  3709,   870,   871,   872,   873,   860,   861,   862,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   863,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   864,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,     0,   223,     0,   865,   866,   867,   859,   868,   869,
     870,   871,   872,   873,   860,   861,   862,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   981,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     982,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,     0,
     223,     0,   865,   866,   867,   859,   868,   869,   870,   871,
     872,   873,   860,   861,   862,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,  1080,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,  1081,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  1082,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,     0,   223,     0,
     865,   866,   867,   859,   868,   869,   870,   871,   872,   873,
     860,   861,   862,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,  1576,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,  1577,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,     0,   223,     0,   865,   866,
     867,   859,   868,   869,   870,   871,   872,   873,   860,   861,
     862,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,     0,   223,     0,   865,   866,   867,   859,
     868,   869,   870,   871,   872,   873,   860,   861,   862,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,  2891,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,  2892,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,     0,   223,     0,   865,   866,   867,   859,   868,   869,
     870,   871,   872,   873,   860,   861,   862,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,  4692,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,  1943,
       0,     0,   865,   866,   867,     0,   868,   869,   870,   871,
     872,   873,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,  1944,   233,   234,   235,  1945,  1946,  1947,  1948,
    1949,  1950,  1951,   236,   237,  1952,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,  1953,   248,
     249,   250,   251,   252,  1954,  1955,   253,   254,   255,   256,
     257,  1956,   258,   259,   260,   261,   262,  1957,   803,  1958,
     263,   264,   265,   266,   267,   804,   268,   269,   270,  1959,
     271,   272,   273,   274,   275,   276,  1960,   805,   277,   278,
     279,  1961,  1962,  1963,   806,  1964,  1965,  1966,   280,   281,
     282,   283,   284,   285,   286,   287,   288,  1967,   289,  1968,
     290,   291,   292,   293,   294,   295,  1969,   296,   297,   298,
     299,  1970,  1971,   300,   301,   302,   303,   304,  1972,   305,
     306,   307,  1973,   308,   309,   310,  1974,   311,   312,   313,
     314,   315,   316,   317,   318,   319,  1975,   320,  1976,   321,
     322,   323,   324,  1977,   325,  1978,   326,   807,  1979,   808,
     327,   328,   329,   330,  1980,   331,   332,  1981,   333,   334,
    1982,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,  1983,   344,   345,   346,   347,   348,   349,  1984,   350,
     810,   351,   352,   353,   354,   355,   356,   357,  1985,   358,
    1986,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,  1987,  1988,   366,   367,   814,   368,   815,  1989,   369,
     370,   371,  1990,  1991,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,  1992,   394,   395,
     817,   396,  1993,   397,   398,   399,   400,   401,   402,  1994,
     403,   404,  1995,  1996,   405,   406,   407,  1997,  1998,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,  1999,   421,   422,   423,   424,   425,
     426,   427,   428,  2000,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,  2001,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,  2002,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,  2003,   470,
     471,   472,   473,   474,  2004,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,  2005,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,  2006,
     497,   498,  2007,   499,   822,   500,   501,   502,   503,   504,
    2008,   505,   506,  2009,  2010,   507,   508,   509,   510,   511,
    2011,   512,   513,   514,   515,   516,   517,   518,  2012,  2013,
     519,   520,   521,   522,   523,  2014,  2015,   524,   525,   526,
     527,   528,   529,   530,  2016,   531,   823,   532,   533,   534,
     535,  2017,  2018,   536,  2019,  2020,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,  2021,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,   770,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
    1030,     0,     0,     0,     0,     0,     0,     0,     0,  5082,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,     0,  1031,   802,  1032,  1033,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,  1034,
    1035,   257,     0,   258,   259,   260,   261,     0,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,  1036,  1037,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,     0,   316,   317,   318,     0,     0,   320,     0,
     321,   322,  1039,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,     0,     0,     0,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,  2086,   344,   345,   346,   347,   348,   349,     0,
     350,   810,  2087,   352,   353,   354,   355,  1041,  1042,     0,
    1043,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,     0,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1044,   816,  1045,   390,   391,   392,     0,     0,   394,
     395,   817,   396,     0,     0,   398,  1046,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,  2088,
     408,  2089,   818,   410,   819,     0,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,     0,   424,
       0,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1047,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,  2090,   478,
     479,   821,   480,   481,  1049,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     0,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1050,  1051,     0,     0,   507,   508,     0,   510,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,     0,  1052,  2091,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,  2382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   554,   555,   556,     0,   224,   225,
     226,   227,   228,   229,   230,   231,  2092,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,     0,  1031,   802,
    1032,  1033,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,  1034,  1035,   257,     0,   258,   259,   260,   261,
       0,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,     0,   280,   281,   282,   283,   284,   285,  1036,  1037,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,     0,   316,   317,   318,     0,
       0,   320,     0,   321,   322,  1039,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
       0,     0,     0,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,  2086,   344,   345,   346,   347,
     348,   349,     0,   350,   810,  2087,   352,   353,   354,   355,
    1041,  1042,     0,  1043,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,     0,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1044,   816,  1045,   390,   391,   392,
       0,     0,   394,   395,   817,   396,     0,     0,   398,  1046,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,  2088,   408,  2089,   818,   410,   819,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,     0,   424,     0,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1047,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,  2090,   478,   479,   821,   480,   481,  1049,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1050,  1051,     0,     0,   507,
     508,     0,   510,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,     0,  1052,  2091,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   845,  1454,   617,     0,
       0,     0,   676,     0,     0,     0,     0,   554,   555,   556,
       0,   224,   225,   226,   227,   228,   229,   230,   231,  2092,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,   245,   802,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,  1932,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,  1756,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,   367,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   816,   389,
     390,   391,   392,   393,     0,   394,   395,   817,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,  1757,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   821,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,  1758,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   845,  1454,   617,     0,     0,     0,   676,
    1455,  1456,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,  1937,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
    1756,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,   367,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,  1757,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,  1758,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     845,  1454,   617,     0,     0,     0,   676,  1455,  1456,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,  1756,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,   367,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,     0,   394,
     395,   817,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,  1757,     0,   405,   406,   407,     0,     0,
     408,   409,   818,   410,   819,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,  1758,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   845,     0,   617,
       0,     0,     0,   676,  1455,  1456,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,  2845,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,  1756,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,   367,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,     0,   394,   395,   817,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
    1757,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,  1758,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
     676,   688,   689,     0,     0,     0,     0,     0,     0,   224,
     677,   226,   227,   228,   229,   230,   231,   678,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   679,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   680,   323,   324,     0,   325,
       0,   681,     0,   682,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,   683,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   684,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   685,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   686,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   687,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,  1943,  5277,   617,     0,     0,     0,   676,   688,   689,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,  1944,   233,   234,   235,  1945,  1946,
    1947,  1948,  1949,  1950,  1951,   236,   237,  1952,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
    1953,   248,   249,   250,   251,   252,  1954,  1955,   253,   254,
     255,   256,   257,  1956,   258,   259,   260,   261,   262,  1957,
     803,  1958,   263,   264,   265,   266,   267,   804,   268,   269,
     270,  1959,   271,   272,   273,   274,   275,   276,  1960,   805,
     277,   278,   279,  1961,  1962,  1963,   806,  1964,  1965,  1966,
     280,   281,   282,   283,   284,   285,   286,   287,   288,  1967,
     289,  1968,   290,   291,   292,   293,   294,   295,  1969,   296,
     297,   298,   299,  1970,  1971,   300,   301,   302,   303,   304,
    1972,   305,   306,   307,  1973,   308,   309,   310,  1974,   311,
     312,   313,   314,   315,   316,   317,   318,   319,  1975,   320,
    1976,   321,   322,   323,   324,  1977,   325,  1978,   326,   807,
    1979,   808,   327,   328,   329,   330,  1980,   331,   332,  1981,
     333,   334,  1982,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,  1983,   344,   345,   346,   347,   348,   349,
    1984,   350,   810,   351,   352,   353,   354,   355,   356,   357,
    1985,   358,  1986,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,  1987,  1988,   366,   367,   814,   368,   815,
    1989,   369,   370,   371,  1990,  1991,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,  1992,
     394,   395,   817,   396,  1993,   397,   398,   399,   400,   401,
     402,  1994,   403,   404,  1995,  1996,   405,   406,   407,  1997,
    1998,   408,   409,   818,   410,   819,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,  1999,   421,   422,   423,
     424,   425,   426,   427,   428,  2000,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
    2001,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,  2002,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
    2003,   470,   471,   472,   473,   474,  2004,   475,   476,   477,
     478,   479,   821,   480,   481,   482,   483,  2005,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  2006,   497,   498,  2007,   499,   822,   500,   501,   502,
     503,   504,  2008,   505,   506,  2009,  2010,   507,   508,   509,
     510,   511,  2011,   512,   513,   514,   515,   516,   517,   518,
    2012,  2013,   519,   520,   521,   522,   523,  2014,  2015,   524,
     525,   526,   527,   528,   529,   530,  2016,   531,   823,   532,
     533,   534,   535,  2017,  2018,   536,  2019,  2020,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,  1943,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,  1944,   233,   234,   235,  1945,  1946,  1947,  1948,  1949,
    1950,  1951,   236,   237,  1952,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,  1953,   248,   249,
     250,   251,   252,  1954,  1955,   253,   254,   255,   256,   257,
    1956,   258,   259,   260,   261,   262,  1957,   803,  1958,   263,
     264,   265,   266,   267,   804,   268,   269,   270,  1959,   271,
     272,   273,   274,   275,   276,  1960,   805,   277,   278,   279,
    1961,  1962,  1963,   806,  1964,  1965,  1966,   280,   281,   282,
     283,   284,   285,   286,   287,   288,  1967,   289,  1968,   290,
     291,   292,   293,   294,   295,  1969,   296,   297,   298,   299,
    1970,  1971,   300,   301,   302,   303,   304,  1972,   305,   306,
     307,  1973,   308,   309,   310,  1974,   311,   312,   313,   314,
     315,   316,   317,   318,   319,  1975,   320,  1976,   321,   322,
     323,   324,  1977,   325,  1978,   326,   807,  1979,   808,   327,
     328,   329,   330,  1980,   331,   332,  1981,   333,   334,  1982,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
    1983,   344,   345,   346,   347,   348,   349,  1984,   350,   810,
     351,   352,   353,   354,   355,   356,   357,  1985,   358,  1986,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
    1987,  1988,   366,   367,   814,   368,   815,  1989,   369,   370,
     371,  1990,  1991,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,  1992,   394,   395,   817,
     396,  1993,   397,   398,   399,   400,   401,   402,  1994,   403,
     404,  1995,  1996,   405,   406,   407,  1997,  1998,   408,   409,
     818,   410,   819,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,  1999,   421,   422,   423,   424,   425,   426,
     427,   428,  2000,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,  2001,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
    2002,   455,   456,   820,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,  2003,   470,   471,
     472,   473,   474,  2004,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,  2005,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,  2006,   497,
     498,  2007,   499,   822,   500,   501,   502,   503,   504,  2008,
     505,   506,  2009,  2010,   507,   508,   509,   510,   511,  2011,
     512,   513,   514,   515,   516,   517,   518,  2012,  2013,   519,
     520,   521,   522,   523,  2014,  2015,   524,   525,   526,   527,
     528,   529,   530,  2016,   531,   823,   532,   533,   534,   535,
    2017,  2018,   536,  2019,  2020,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,  1943,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,  2959,   229,   230,   231,  1944,   233,
     234,   235,  1945,  1946,  1947,  1948,  1949,  1950,  1951,   236,
     237,  1952,   238,   239,   240,   801,   241,   242,   243,   244,
     245,   802,   246,   247,  1953,   248,   249,   250,   251,   252,
    1954,  1955,   253,   254,   255,   256,   257,  1956,   258,   259,
     260,   261,   262,  1957,   803,  1958,   263,   264,   265,   266,
     267,   804,   268,   269,   270,  1959,   271,   272,   273,   274,
     275,   276,  1960,   805,   277,   278,   279,  1961,  1962,  1963,
     806,  1964,  1965,  1966,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1967,   289,  1968,   290,   291,   292,   293,
     294,   295,  1969,   296,   297,   298,   299,  1970,  1971,   300,
     301,   302,  2960,   304,  1972,   305,   306,   307,  1973,   308,
     309,   310,  1974,   311,   312,   313,   314,   315,   316,   317,
     318,   319,  1975,   320,  1976,   321,   322,   323,   324,  1977,
     325,  1978,   326,   807,  1979,   808,   327,   328,   329,   330,
    1980,   331,   332,  1981,   333,   334,  1982,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,  1983,   344,   345,
     346,   347,   348,   349,  1984,   350,   810,   351,   352,   353,
     354,   355,   356,   357,  1985,   358,  1986,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,  1987,  1988,   366,
     367,   814,   368,   815,  1989,   369,   370,   371,  1990,  1991,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   816,   389,   390,
     391,   392,   393,  1992,   394,   395,   817,   396,  1993,   397,
     398,   399,   400,   401,   402,  1994,   403,   404,  1995,  1996,
     405,   406,   407,  1997,  1998,   408,   409,   818,   410,   819,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
    1999,   421,   422,   423,   424,   425,   426,   427,   428,  2000,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,  2001,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,  2002,   455,   456,
     820,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,  2003,   470,   471,   472,   473,   474,
    2004,  2961,   476,   477,   478,   479,   821,   480,   481,   482,
     483,  2005,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,  2006,   497,   498,  2007,   499,
     822,   500,   501,   502,   503,   504,  2008,   505,   506,  2009,
    2010,   507,   508,   509,   510,   511,  2011,   512,   513,   514,
     515,   516,   517,   518,  2012,  2013,   519,   520,   521,   522,
     523,  2014,  2015,   524,   525,   526,   527,   528,   529,   530,
    2016,   531,   823,   532,   533,   534,   535,  2017,  2018,   536,
    2019,  2020,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   800,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,     0,   248,   249,   250,   251,   252,     0,  1186,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,  1189,
       0,  1190,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,
    1197,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,  1202,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,  1205,
       0,   333,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,  1210,   814,   368,
     815,     0,   369,   370,   371,  1211,  1212,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
       0,   394,   395,   817,   396,     0,  1217,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,  1220,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
    1221,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,  1224,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,  1226,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
    1229,   510,  1230,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,  1233,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,
     548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,   845,
       0,   617,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,  1756,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,   367,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,  1757,     0,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
    1758,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   845,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,   882,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,   245,   802,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,   846,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,   367,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   816,   389,
     390,   391,   392,   393,     0,   394,   395,   817,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   847,   475,   476,   477,   478,   479,   821,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   845,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,   901,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,   846,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,   367,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   902,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   847,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     845,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,   846,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,   367,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,     0,   394,
     395,   817,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,   818,   410,   819,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   847,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,  2338,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,   846,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,   332,  3285,   333,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,   367,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,     0,   394,   395,   817,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   847,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   845,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,   846,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,   367,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   847,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   845,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,   846,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,   367,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
    1000,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,     0,
     394,   395,   817,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,   818,   410,   819,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   847,   475,   476,   477,
     478,   479,   821,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   845,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,   846,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,  1075,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,   367,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,     0,   394,   395,   817,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   847,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   845,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
     245,   802,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,   846,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  1086,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
     367,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   816,   389,   390,
     391,   392,   393,     0,   394,   395,   817,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,   818,   410,   819,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     847,   475,   476,   477,   478,   479,   821,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   845,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
     846,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,  1096,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,   367,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,  1097,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
       0,   394,   395,   817,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   847,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   845,
       0,   617,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,  1917,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,   367,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   845,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     3,     4,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,   245,   802,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,   367,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   816,   389,
     390,   391,   392,   393,     0,   394,   395,   817,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   821,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   845,     0,   617,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,   367,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     845,     0,   617,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  1742,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,   367,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,     0,   394,
     395,   817,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,   818,   410,   819,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,   367,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,     0,   394,   395,   817,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   800,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    1022,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,   367,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   800,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  1072,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,   367,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,     0,
     394,   395,   817,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,   818,   410,   819,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   821,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
    2126,   258,   259,   260,   261,   262,     0,     0,  2203,   263,
     264,   265,   266,   267,     0,   268,   269,   270,  2127,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,  2204,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,  2129,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,  2205,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  2130,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,  2131,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,  2126,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,  2127,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,  2204,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,  2129,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,  3149,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  2130,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,  2131,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   733,   230,   231,   695,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,   696,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,   734,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   697,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   698,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,   695,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,   696,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,  2852,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   697,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   698,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,  2126,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,  2127,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,  2204,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,  2129,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    2130,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,  2131,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,   695,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
     696,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   697,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   698,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,  1783,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,  1784,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,  1785,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,  1786,   326,     0,     0,
       0,  1787,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,  1788,
    1789,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,  1790,   465,   466,   467,   468,   469,     0,
    1791,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,  1792,   499,     0,  1793,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,  1794,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,   696,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   697,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   698,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,   894,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     895,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,   765,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     3,     4,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,  2940,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,  2941,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,  2953,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,  2954,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,   608,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   609,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,   725,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     726,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   727,   506,
       0,     0,   728,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,   759,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   760,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   761,   506,     0,     0,   762,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,   765,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
     854,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   855,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,  1014,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,  1280,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,  1291,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   745,   254,   255,   256,  1292,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   748,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   749,   458,   459,   460,   461,   462,
     463,   750,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,  1284,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     752,   506,     0,     0,   753,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     754,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  1402,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,   765,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,  1459,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,  1460,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,   725,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
    2735,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,  2736,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,  2737,
     499,     0,   500,  2738,   502,  2739,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,  2740,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,   617,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,  3973,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,  3987,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   711,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     723,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   745,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   746,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   747,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   748,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   749,   458,   459,   460,   461,   462,   463,   750,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   751,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   752,   506,     0,
       0,   753,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   754,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   776,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   879,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   887,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   905,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   965,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   971,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     988,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   991,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   993,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  1028,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,  1088,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,  1090,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  1100,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,  1103,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  1106,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   745,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   748,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   749,   458,   459,   460,   461,   462,   463,
     750,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,  1284,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   752,
     506,     0,     0,   753,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   754,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    1608,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  1646,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,  1648,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  1718,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,  1720,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,  1722,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,  1817,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,  2079,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   745,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     748,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   749,   458,   459,   460,
     461,   462,   463,   750,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,  1284,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,  2113,   501,   502,   503,
     504,     0,   752,   506,     0,     0,   753,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   754,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   745,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   748,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   749,   458,   459,   460,   461,   462,   463,
    2188,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,  2189,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   752,
     506,     0,     0,  2190,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   754,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    2462,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  2466,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,  2535,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  2863,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   745,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   748,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   749,   458,
     459,   460,   461,   462,   463,   750,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,  2189,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   752,   506,     0,     0,  2190,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   754,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,  2930,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  2943,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,  2945,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  3080,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,  3105,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    4251,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,  1030,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,     0,  1031,   802,  1032,  1033,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
    1034,  1035,   257,     0,   258,   259,   260,   261,     0,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,     0,
     280,   281,   282,   283,   284,   285,  1036,  1037,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,     0,   316,   317,   318,     0,     0,   320,
       0,   321,   322,  1039,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,     0,     0,
       0,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,  2086,   344,   345,   346,   347,   348,   349,
       0,   350,   810,  2087,   352,   353,   354,   355,  1041,  1042,
       0,  1043,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,     0,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1044,   816,  1045,   390,   391,   392,     0,     0,
     394,   395,   817,   396,     0,     0,   398,  1046,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,  2089,   818,   410,   819,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,     0,
     424,     0,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1047,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,  2090,
     478,   479,   821,   480,   481,  1049,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       0,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1050,  1051,     0,     0,   507,   508,     0,
     510,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,     0,  1052,  2091,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   554,   555,   556,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,     0,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,  1030,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,     0,  1031,   802,  1032,  1033,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
    1034,  1035,   257,     0,   258,   259,   260,   261,     0,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,     0,
     280,   281,   282,   283,   284,   285,  1036,  1037,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,     0,   316,   317,   318,     0,     0,   320,
       0,   321,   322,  1039,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,     0,     0,
       0,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,     0,   352,   353,   354,   355,  1041,  1042,
       0,  1043,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,     0,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1044,   816,  1045,   390,   391,   392,     0,     0,
     394,   395,   817,   396,  2184,     0,   398,  1046,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,     0,   818,   410,   819,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,     0,
     424,     0,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1047,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,  2090,
     478,   479,   821,   480,   481,  1049,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       0,     0,   497,   498,  3813,   499,   822,   500,   501,   502,
     503,   504,     0,  1050,  1051,     0,     0,   507,   508,     0,
     510,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,     0,  1052,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,  1030,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   554,   555,   556,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,     0,  1031,
     802,  1032,  1033,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,  1034,  1035,   257,     0,   258,   259,   260,
     261,     0,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,     0,   280,   281,   282,   283,   284,   285,  1036,
    1037,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
    1038,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,     0,   316,   317,   318,
       0,     0,   320,     0,   321,   322,  1039,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,     0,     0,     0,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,     0,   352,   353,   354,
     355,  1041,  1042,     0,  1043,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,     0,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,  1044,   816,  1045,   390,   391,
     392,  2255,     0,   394,   395,   817,   396,     0,     0,   398,
    1046,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,     0,   818,   410,   819,     0,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,     0,   424,     0,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1047,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,  1048,   478,   479,   821,   480,   481,  1049,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     0,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,  1050,  1051,     0,     0,
     507,   508,     0,   510,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,     0,  1052,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,  1030,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   554,   555,
     556,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,     0,  1031,   802,  1032,  1033,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,  1034,  1035,   257,     0,
     258,   259,   260,   261,     0,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,     0,   280,   281,   282,   283,
     284,   285,  1036,  1037,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,     0,
     316,   317,   318,     0,     0,   320,     0,   321,   322,  1039,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,     0,     0,     0,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,     0,
     352,   353,   354,   355,  1041,  1042,     0,  1043,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,     0,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1044,   816,
    1045,   390,   391,   392,  3628,     0,   394,   395,   817,   396,
       0,     0,   398,  1046,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,     0,   818,
     410,   819,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,     0,   424,     0,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1047,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,  1048,   478,   479,   821,   480,
     481,  1049,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     0,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1050,
    1051,     0,     0,   507,   508,     0,   510,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
       0,  1052,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
    1030,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   554,   555,   556,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,     0,  1031,   802,  1032,  1033,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,  1034,
    1035,   257,     0,   258,   259,   260,   261,     0,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,  1036,  1037,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,     0,   316,   317,   318,     0,     0,   320,     0,
     321,   322,  1039,   324,  5146,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,     0,     0,     0,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,     0,   352,   353,   354,   355,  1041,  1042,     0,
    1043,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,     0,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1044,   816,  1045,   390,   391,   392,     0,     0,   394,
     395,   817,   396,     0,     0,   398,  1046,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,     0,   818,   410,   819,     0,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,     0,   424,
       0,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1047,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,  1048,   478,
     479,   821,   480,   481,  1049,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     0,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1050,  1051,     0,     0,   507,   508,     0,   510,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,     0,  1052,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,  1030,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   554,   555,   556,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,     0,  1031,   802,
    1032,  1033,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,  1034,  1035,   257,     0,   258,   259,   260,   261,
       0,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,     0,   280,   281,   282,   283,   284,   285,  1036,  1037,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,     0,   316,   317,   318,     0,
       0,   320,     0,   321,   322,  1039,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
       0,     0,     0,   334,     0,   335,   336,   337,   338,  1040,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,     0,   352,   353,   354,   355,
    1041,  1042,     0,  1043,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,     0,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1044,   816,  1045,   390,   391,   392,
       0,     0,   394,   395,   817,   396,     0,     0,   398,  1046,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,     0,   818,   410,   819,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,     0,   424,     0,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1047,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,  1048,   478,   479,   821,   480,   481,  1049,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1050,  1051,     0,     0,   507,
     508,     0,   510,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,     0,  1052,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,  1030,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   554,   555,   556,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
       0,  1031,   802,  1032,  1033,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,  1034,  1035,   257,     0,   258,
     259,   260,   261,     0,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,     0,   280,   281,   282,   283,   284,
     285,  1036,  1037,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,     0,   316,
     317,   318,     0,     0,   320,     0,   321,   322,  1039,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,     0,     0,     0,   334,     0,   335,   336,
     337,   338,  1094,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,     0,   352,
     353,   354,   355,  1041,  1042,     0,  1043,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,     0,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1044,   816,  1045,
     390,   391,   392,     0,     0,   394,   395,   817,   396,     0,
       0,   398,  1046,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,     0,   818,   410,
     819,     0,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,     0,   424,     0,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1047,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,  1048,   478,   479,   821,   480,   481,
    1049,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     0,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1050,  1051,
       0,     0,   507,   508,     0,   510,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,     0,
    1052,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,  1030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     554,   555,   556,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,     0,  1031,   802,  1032,  1033,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,  1034,  1035,
     257,     0,   258,   259,   260,   261,     0,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,  1036,  1037,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,     0,   316,   317,   318,     0,     0,   320,     0,   321,
     322,  1039,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,     0,     0,     0,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,     0,   352,   353,   354,   355,  1041,  1042,     0,  1043,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,     0,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1044,   816,  1045,   390,   391,   392,     0,     0,   394,   395,
     817,   396,     0,     0,   398,  1046,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
       0,   818,   410,   819,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,     0,   424,     0,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1047,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,  1048,   478,   479,
     821,   480,   481,  1049,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     0,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1050,  1051,     0,     0,   507,   508,     0,   510,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,     0,  1052,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,  1030,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   554,   555,   556,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,     0,  1031,   802,  1032,
    1033,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,  1034,  1035,   257,     0,   258,   259,   260,   261,     0,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
       0,   280,   281,   282,   283,   284,   285,  1036,  1037,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,  1038,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,     0,   316,   317,   318,     0,     0,
     320,     0,   321,   322,  1039,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,     0,
       0,     0,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,     0,   352,   353,   354,   355,  1041,
    1042,     0,  1043,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,     0,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1044,   816,  1045,   390,   391,   392,     0,
       0,   394,   395,   817,   396,     0,     0,   398,  1046,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,     0,   818,   410,   819,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
       0,   424,     0,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1047,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
    2090,   478,   479,   821,   480,   481,  1049,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,  1050,  1051,     0,     0,   507,   508,
       0,   510,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,     0,  1052,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   554,   555,   556,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,     0,
    1031,   802,  1032,  1033,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,  1034,  1035,   257,     0,   258,   259,
     260,   261,     0,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,     0,   280,   281,   282,   283,   284,   285,
    1036,  1037,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,     0,   316,   317,
     318,     0,     0,   320,     0,   321,   322,  1039,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,     0,     0,     0,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,     0,   352,   353,
     354,   355,  1041,  1042,     0,  1043,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
       0,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1044,   816,  1045,   390,
     391,   392,     0,     0,   394,   395,   817,   396,     0,     0,
     398,  1046,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,     0,   818,   410,   819,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,     0,   424,     0,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1047,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,     0,   478,   479,   821,   480,   481,  1049,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     0,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1050,  1051,     0,
       0,   507,   508,     0,   510,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,     0,  1052,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,  1030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   554,
     555,   556,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,     0,     0,   802,     0,     0,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,     0,     0,   257,
       0,   258,   259,   260,   261,     0,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,     0,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
       0,   316,   317,   318,     0,     0,   320,     0,   321,   322,
       0,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,     0,     0,     0,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
       0,   352,   353,   354,   355,     0,     0,     0,     0,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,     0,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     816,     0,   390,   391,   392,     0,     0,   394,   395,   817,
     396,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,     0,
     818,   410,   819,     0,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,     0,   424,     0,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,     0,   478,   479,   821,
     480,   481,     0,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     0,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
       0,     0,     0,     0,   507,   508,     0,   510,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,     0,     0,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,  4812,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   554,   555,   556,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,     0,     0,     0,     0,     0,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
       0,     0,   257,     0,   258,   259,   260,   261,     0,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,     0,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,     0,   316,   317,   318,     0,     0,   320,
       0,   321,   322,     0,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,     0,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,     0,   352,   353,   354,   355,     0,     0,
       0,     0,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,     0,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,     0,     0,     0,   390,   391,   392,     0,     0,
     394,   395,     0,   396,     0,     0,   398,     0,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,     0,     0,   410,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,     0,
     424,     0,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,     0,
     478,   479,     0,   480,   481,     0,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       0,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,     0,     0,     0,     0,   507,   508,     0,
     510,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,     0,     0,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   554,   555,   556
};

static const yytype_int16 yycheck[] =
{
      16,   888,     0,   202,    50,  1116,   202,     0,   197,    25,
       0,   618,  1078,   585,     0,    21,   744,   746,   696,   697,
     698,    27,     7,   180,   702,   794,  1501,    20,    35,    14,
      44,  1048,  2402,   889,  1138,   913,   831,  1388,  1432,   904,
    1562,  2590,   769,   641,  1311,  1642,    12,   994,  1908,  1169,
     768,  2306,  1051,   618,   753,  3181,   654,   664,  2804,    20,
    2934,  1437,   188,  1425,  2744,   206,  2415,  1448,  2094,  2095,
    1036,  1037,  2756,     0,    22,  2254,   576,   857,   219,     0,
    1046,  1432,  2959,  3225,  2961,  2907,  3212,    35,  3146,  3200,
    1823,    17,   983,  3521,  1361,     0,   658,  2327,  3135,    20,
      43,  2566,  3127,   968,  2748,  2746,  2747,   972,   999,  2813,
    3135,  3573,   977,  4050,  1844,  3476,  3411,  3517,  3440,  3814,
    3792,   663,   987,   653,  2804,   843,  1806,  3748,   628,    50,
    3521,  1911,  3446,  1655,  3802,   167,  1001,    34,   182,  3805,
    1867,  4278,   749,  1740,    41,  2778,  4383,   182,  4439,  1525,
    1531,  1532,  2679,     0,  4281,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,  4232,     0,  1366,  1417,
    3791,    49,  2061,  4458,    40,  2059,  3198,  2823,  4581,  4399,
     841,  4401,   791,  4593,   749,  3497,     9,  1034,  1035,   791,
    3374,     0,     0,  3445,     0,  3447,     0,     0,  1045,   917,
       9,    71,    86,     0,     4,     9,     5,     5,  4790,     9,
      26,   113,  4497,    26,  4280,    13,    14,    26,    11,     5,
    4503,  4504,    26,    49,     5,     5,  2405,     5,     5,  1228,
       5,    42,  1198,  1199,  2094,    13,    14,     5,    13,    14,
       5,    20,    56,     5,     5,    35,     5,    40,  2360,     9,
    2362,    35,  1218,  4730,  2366,  1309,     5,   111,    65,    26,
      29,   182,   118,  2375,  2376,  2377,    33,   888,   157,    11,
      54,   214,  1067,   169,    65,   896,    83,     3,    71,   162,
     162,    26,   960,    39,     5,   906,   104,   162,    33,    22,
    2817,  2909,     5,   162,  1380,    39,  3868,  3869,     5,  3871,
    3872,  3873,  4527,     3,    30,    31,   208,     3,     4,     5,
     264,     5,  1366,     9,   165,   249,   143,   137,    11,   103,
     177,   266,    56,   119,   143,   113,    27,     3,   299,     5,
     252,   303,    56,  2512,   141,  2514,  1116,   349,   296,   267,
    1187,  1188,    56,   111,   332,    56,   249,    40,    22,   251,
     141,  5132,   159,   162,   162,    38,   162,   115,   162,   162,
     237,   336,   387,   350,   143,   162,    36,  1214,   159,   329,
     387,  4696,  4697,   114,   389,  2273,   185,   185,    71,   185,
     237,   185,   185,    11,  1331,   142,    85,   281,   185,   585,
     164,   310,   342,   306,   162,     4,   281,   130,   322,    43,
       9,   431,    73,   187,   306,    78,   319,  4989,     4,    73,
     420,   111,    40,     9,  4817,   111,    26,   432,  1296,    83,
      64,   195,   452,    33,   318,   349,   376,  4712,   127,   186,
     106,   389,   345,   318,    26,   161,   466,   163,  4658,   323,
     181,   637,   583,    71,  2342,   470,  4583,   205,   589,   409,
     120,   235,    11,   470,   238,  4582,   130,    56,   470,    73,
      73,   602,    56,   340,     8,   249,   416,    11,   256,    83,
    1487,    15,    16,    17,   432,    83,   289,    42,   466,   466,
     414,    22,   163,   340,  5265,   305,   408,  1085,    32,    73,
     297,   466,  1099,   344,   466,   466,   280,    73,   199,    83,
     183,   177,   162,   422,    73,   212,   297,   203,    11,  1116,
     324,   162,   466,    56,  1294,  1601,   466,   162,   387,  1299,
    1300,   466,   318,   162,   116,   352,   377,  3145,   346,   225,
    1248,   344,  4757,   352,  1099,   679,   680,   681,   466,   323,
     684,   685,   686,   132,  1598,   448,  1144,   113,   281,   565,
     694,   251,   321,   332,   410,  1822,   256,  1155,  1276,   343,
     376,   237,    29,   332,   240,   334,  1173,   380,   470,   382,
     568,  3608,  1170,   352,   470,   568,  1118,   466,   568,   363,
     366,   367,   568,  3608,  1475,   318,   470,   470,   470,   130,
     324,   466,   359,  4996,   464,  5072,   403,  1864,   468,  4890,
     324,   455,   618,   619,   415,  5187,   198,  3632,  1173,    22,
     324,    24,   403,   324,   359,    28,   349,   373,   664,   387,
      33,    34,    35,   392,    37,  1405,  1517,    40,    41,   373,
      43,  1496,    45,  3759,  1499,  1415,   668,   794,   564,   419,
     466,   568,   465,  1910,  3939,  4928,   466,   568,   457,   458,
    3524,  1507,  3966,   457,   458,  3977,   470,   457,   458,  3981,
     469,   469,   206,   469,   340,   469,   469,   466,   466,   462,
     663,   677,   469,   679,  1778,   681,   466,  2856,  1744,  4816,
    4807,   687,  1560,   467,  1291,   466,   466,   455,   466,   466,
    3801,   466,  1299,  1300,   420,   711,   662,   457,   458,  3883,
     468,   466,  1593,   664,   466,   466,   691,   466,  1488,  5112,
     431,  1491,  1492,  3965,  5124,  3967,   387,   466,  4030,  1785,
     462,   737,  5047,  3781,   268,   324,  1291,   400,  1794,   745,
     324,   452,   748,   749,   750,   934,   470,   431,   934,   783,
    1349,   930,   663,   664,  1710,   466,   470,  1349,   783,   359,
     342,   464,  4689,   466,  4326,   468,   470,  3437,   452,   470,
    3440,   457,   458,  1424,  1326,   708,   459,   460,   461,   462,
    5055,   447,   466,   387,   387,   188,   189,   190,   191,   387,
     193,   324,  1403,  5068,   197,   466,   199,   785,  3043,   202,
    5193,     3,   785,   919,  1574,   785,   209,  2173,   211,   785,
    2826,   214,  2828,   387,  5024,   218,    56,   220,   349,  2203,
     470,   387,   773,    34,  4276,    80,   408,  3461,   387,   470,
     429,  1875,   387,  3172,  3846,   470,   769,   466,   188,   457,
     458,   459,   460,   461,   462,   173,   425,   197,  1685,  1686,
    1461,  3521,     3,   452,  3718,    56,   412,  5250,   457,   458,
     415,   144,   104,  4990,   321,   798,   104,   122,   785,   104,
     272,   140,   783,  3509,   785,  4992,   285,   408,     4,     5,
      82,   470,   111,     9,  2250,   267,   470,   185,  5163,   272,
     785,   747,   116,  3705,   116,   751,  2746,  2747,  2748,   164,
     111,   285,   156,   111,    22,  2784,  1468,   840,   776,  2783,
     459,   460,   461,   462,  4970,   104,  5197,  5198,  2106,   453,
     454,   455,   162,   457,   458,   459,   460,   461,   462,  2649,
    2650,    82,   134,   202,  2654,  4991,   204,   470,   833,   157,
     106,  3110,  3111,   349,    69,    22,    32,   104,   785,   152,
     785,   785,   785,   785,   785,  2193,   785,   785,   785,   785,
     785,  4572,   785,   104,   457,   458,   459,   460,   461,   462,
     266,  2691,  2692,    80,     4,     5,   198,   113,  3495,     9,
    3225,   164,     5,  1651,   135,  1119,   159,  5114,  1122,  2454,
    1124,    80,  1126,  5220,  1128,    80,  5113,     5,  1132,   376,
    4381,   173,   162,   272,  5285,   892,   893,  3109,   105,  3632,
      22,   177,   130,   158,  3826,   122,    28,  4435,  2119,   222,
       5,   116,   251,   332,   150,     5,   228,     8,   283,   467,
      11,     4,   470,   122,  3770,   116,     9,   122,   292,   190,
     162,  4422,    57,  2760,  2814,   190,    80,   167,   256,   130,
      65,    26,   434,   130,  4435,  4340,   192,   466,   144,    40,
     249,   272,  2106,   280,   470,  5192,    47,   429,   470,   334,
     261,   237,  1791,  1792,   240,   111,  4388,   249,   272,   281,
    4384,  4393,   466,  2090,  4396,   268,   414,   470,   122,   466,
      71,   188,   114,  1099,   285,   111,   336,  1013,   270,   408,
    3770,    76,   320,   198,  2774,   225,   116,   336,   470,    84,
    1116,  3127,  4774,   249,   234,   251,    22,  2469,   130,  3135,
     150,    22,    28,   324,   272,   390,   381,   163,  1716,   154,
     256,   396,   349,   402,   376,  1118,   287,   112,   376,   264,
    1728,   376,   425,  4828,  1150,   339,  1121,  4809,  1123,  4265,
    1125,  1739,  1127,  1861,  1129,  1130,  1131,  4815,  1755,   181,
     563,  1136,  4773,   281,  1684,  4297,   569,  1173,   571,  4825,
    4271,   574,   470,   576,   340,   578,   283,   379,    26,   381,
    4044,   421,   585,  1673,   408,   368,   408,   590,   198,   592,
    2234,  5118,  5119,   270,   283,  1747,   599,  4808,   283,   180,
     318,   255,   470,   178,   185,   235,  3222,  1118,   238,   171,
     225,  1247,  4593,   294,   189,  2259,   252,  1737,  4085,   376,
     623,   571,  1754,   248,   130,   628,   256,   387,    56,   130,
     633,   349,  1784,   256,   637,   376,  1788,  4442,  1790,   336,
     221,  1793,   414,  1249,   455,   322,   323,   342,   256,   283,
     401,    49,  1258,   464,   657,   466,   467,   468,   409,   470,
     380,   412,   382,   279,  2308,   387,  1272,  2744,   394,   281,
    1181,   256,   349,   623,   381,   466,   256,   125,   375,   376,
    1842,   447,  1468,   633,   266,  1291,   406,   268,  1294,  1295,
    1201,     5,   381,  1299,  1300,   413,   381,  4687,   349,  1321,
    1334,  1335,   356,  1337,   102,   708,   318,  3977,     8,  1334,
    1335,  3981,  1337,   408,    47,    15,    16,    17,   721,   467,
     723,  1232,   470,   106,   115,  5252,   342,  2804,   305,    83,
    4535,   457,   458,   455,  4028,  4620,  1247,   349,    65,  4997,
     743,   744,  4654,   746,   747,   334,   468,   381,   751,   114,
     163,   140,  2396,  2072,   281,   173,   333,   111,   261,  4811,
     376,   318,   765,  3994,   394,  3999,   769,   329,   173,   466,
      24,  4005,   775,   354,   410,   281,   210,     3,   296,   164,
     281,   194,   285,   786,   111,   395,   144,   334,    26,   163,
     365,    45,   349,   368,   177,   798,   209,    23,   408,   197,
     416,  2278,     8,   392,   154,    11,   219,   375,  3863,    15,
      16,    17,   318,   429,   205,   249,   181,   318,  1351,   470,
     376,   249,   349,  1334,  1335,   261,  1337,   457,   458,  4714,
     125,   249,   127,   222,  4719,  4720,   452,   840,   318,   166,
     280,   409,  2323,   349,   249,   392,  4473,   180,   349,   285,
     466,   249,   185,  2509,   237,   858,    82,   240,  4473,   167,
     863,   864,  5120,   281,   214,   210,  4884,  5125,   280,   450,
    4571,   389,  4853,    90,   261,   105,   457,   458,   459,   460,
     461,   462,   464,   268,  1400,  4690,   468,   125,   221,   892,
     893,  3736,   103,   113,  4699,   247,   324,   251,   285,  1505,
     318,  1713,   323,  4884,   249,  1511,   152,   387,   280,   135,
     284,  4559,  2282,   265,   432,   328,   919,   225,   352,   113,
    2290,   349,  2119,  2293,   251,   234,  3771,   930,   349,   256,
    2411,   934,    82,  5191,   123,  1714,  1725,   349,  1724,  1725,
     338,   211,  4893,  4894,   133,   199,  2263,  2264,   775,   952,
    2267,   168,  1668,  2434,  2435,  2436,  2437,   340,   188,   185,
    3780,   306,  3027,   466,   190,  2446,   261,   429,   268,   919,
     297,   974,  2924,   123,   408,  1787,   222,   349,   981,   982,
     930,   355,  1477,   133,   342,   312,   389,  1482,   208,  1522,
    3692,  2202,  3608,  5251,  3696,  3697,   414,  3699,   140,    22,
    1003,  1004,  1005,  3326,  1007,    28,  1009,   352,   470,   414,
     152,  3461,  2200,  4994,   208,   157,  3632,   263,   376,  1625,
       3,   354,  2112,  1629,   235,  5283,  2670,   238,  5286,   281,
     466,   251,  2676,  3353,  3354,  3355,  3356,   111,   469,  3359,
    3360,  3361,  3362,  3363,  3364,  3365,  3366,  3367,  3368,    11,
     464,  1546,   281,   165,   468,  1550,  1842,   251,   416,  1009,
     202,   287,   268,   408,   447,  4529,   318,  2278,  3837,   410,
    3839,   429,   380,  4789,   382,  1078,   403,  1080,  1081,   466,
     222,  3047,  3269,   466,   318,   125,   306,   127,   125,   318,
     127,   157,   281,  2410,   452,  3415,  3416,   349,   406,    82,
    2311,   162,   168,   329,   178,  1108,   336,   130,   466,    71,
     150,  4381,   306,   150,   332,   349,   334,   332,  4388,   185,
     349,   263,  4823,  4393,   185,   466,  4396,   429,   410,   318,
     272,   281,   332,  2344,   466,  1138,  1139,   185,   358,  4787,
    1143,   113,  1145,  5124,   410,   375,   376,   310,   374,   364,
     452,   134,  4422,   453,   454,   455,  4804,   457,   458,   459,
     460,   461,   462,  1166,   314,  4435,  1169,  2861,   318,  1172,
       8,  1754,     0,    11,   392,   401,   376,   251,    11,  2269,
     343,  4320,  1185,   409,   466,   157,   412,   470,  2558,  1764,
     281,  1766,  4840,  1768,  4606,  1770,  2464,  1772,   461,   349,
     466,  1776,    40,   466,  1755,   468,  5157,    40,   167,    47,
    4055,   251,  1215,   376,   466,  5196,   256,  1814,  1806,   256,
     192,   261,   429,  1806,   261,   337,  1806,   318,  1834,   426,
    1806,  2768,   344,    71,  3205,   270,  4700,  3208,    71,  4706,
    1243,  1244,  1245,  1754,  1247,   228,   281,   453,   454,   455,
     140,   457,   458,   459,   460,   461,   462,   299,   349,   422,
     402,   327,   152,   470,  1267,   377,   225,   157,  1801,   320,
     318,  4231,  5004,   470,   322,  1813,  2473,   249,  2834,   251,
     125,  1108,   127,   318,    91,   157,   398,  5003,    65,  1806,
    4429,   392,  4431,   162,    71,  1806,  4065,  4066,   281,  4470,
     138,   349,  1305,   322,  1820,  1308,    83,   179,   281,   251,
    4270,  4250,   202,   103,   256,   152,   185,  3346,  2473,  1925,
     157,   429,   464,  4593,  4972,   467,   468,   260,  4602,  2526,
     349,   342,   222,  1336,   111,   318,   113,  1340,  1341,   322,
    4511,    90,   180,   387,   452,   318,  3375,   185,  1351,  1352,
    1353,   310,  1355,  4087,   394,    29,   163,   394,   422,  4093,
    3437,   110,   304,  3440,   404,   376,   349,   404,   158,  1880,
     339,  2526,  2161,   263,  1377,  2161,   349,  4222,   429,    53,
    2159,   429,   272,   221,  4654,   222,   421,   194,  1477,   166,
     236,  2761,   152,  1482,  2753,   144,   379,   157,   381,   212,
     190,   452,   209,  2555,   452,   416,   251,  1620,  3728,  1412,
     310,   455,   219,  3525,  1417,   192,   261,   281,   429,   470,
    1247,   380,     5,   382,   468,  4837,   263,    10,  1431,  1432,
     268,  1644,  4896,   281,   466,    18,  2152,  1440,   245,  2824,
    1443,   452,   320,   343,  3521,   235,   429,   406,   238,   157,
     314,   431,  4297,    36,   318,   466,   157,  1546,  5106,  4795,
     431,  1550,   222,   422,  2910,  1468,    24,  1470,  2199,  2758,
     318,   179,   452,   380,   251,   382,   376,   884,   179,   256,
    1483,   452,  2033,  1486,   392,   349,   466,    45,    35,  2935,
    3134,   392,  3186,  4195,   901,  4197,  4198,   904,  4745,  4201,
    4747,   349,  3196,   263,  4751,   455,  4753,    54,   231,   281,
     266,    87,   402,  2119,  3579,   271,   354,    73,   468,  1522,
     297,   328,   422,  2119,  2121,  4795,  2123,    83,  1355,   339,
    1533,  1534,  1535,  1536,  1537,   312,  3180,  5185,  3395,   279,
    5256,  2272,    62,    63,  3994,  2707,   318,   429,  1551,  3999,
     322,    21,  4799,   465,   188,  4005,   103,    27,   470,  1562,
    2077,  1564,   461,   465,  2761,   314,  2077,   466,   470,   468,
     452,     4,   234,  1576,  1577,   266,     9,   349,   467,   234,
     271,   470,  2188,  4853,   380,  5049,   382,  3571,   470,  4434,
     466,  3557,   468,   342,  1597,  3782,  4441,  5245,  3308,   464,
     179,   466,   342,   468,   467,   236,  3577,   470,  3579,  4883,
    2341,   392,   450,  1616,  4884,  2662,    79,  2664,  2665,   457,
     458,   459,   460,   461,   462,   467,   403,   376,   470,  1632,
    1633,  1634,  1635,   422,  1854,   467,   376,  1857,   470,  2172,
     187,  3178,  1645,   332,   333,   467,  3612,  3504,   470,  1652,
     467,  3132,  1655,   470,  3243,  3244,   379,  2498,  2499,  2500,
    2848,  2849,  1665,   467,   339,  1668,   470,   416,   467,   467,
    1673,   470,   470,   336,   467,  1678,   416,   470,    53,   467,
     429,  2878,   470,   406,  3139,   332,   333,   467,   235,   429,
     470,   238,  3804,  3770,    83,   429,   212,   431,   467,  2851,
    2911,   470,   249,   452,   467,   466,   429,   470,   431,     9,
    1713,  1714,   452,   467,   466,  1665,   470,   466,  1668,    13,
      14,  1724,  1725,  2878,  4994,   464,   466,   466,  2334,     8,
    2263,  2264,    11,   280,  2267,   253,    15,    16,    17,   332,
     333,  1744,  1745,   466,  3388,   380,   467,   382,  1751,   470,
    1753,  2357,   467,   470,  2360,   470,  2362,  3127,   332,   333,
    2366,    40,   266,  1713,  1714,  3135,   466,    53,    47,  2375,
    2376,  2377,  5236,   422,  2985,  1778,   323,   467,   167,   420,
     470,  4550,  1785,   467,  1787,    43,   470,   467,  1791,  1792,
     470,  1794,    71,   429,   467,   431,   343,   470,  1801,   188,
     467,   467,   208,   470,   470,  1808,   467,    91,   468,   470,
    1813,  1814,  4514,   269,  1817,  3003,   363,   449,  1821,   467,
    1823,  2600,   470,   266,   342,  1828,  1829,  2433,  3522,  3523,
    3018,   269,  1835,  1836,  1837,   157,   225,  1787,  1841,  1842,
    1843,  1844,  1845,  1846,  1847,  1848,  4296,  1850,  3789,  1852,
    1853,  1678,   387,  1856,  5124,  3807,   266,  4473,   376,  2465,
    2416,   467,   467,   467,   470,   470,   470,  2473,  1871,  1872,
    1873,  1874,   466,   269,   468,  1878,  1879,  2410,  2594,   163,
    1883,  5155,   271,  1886,   449,    43,  1889,  1890,  1891,  1892,
    1893,  1894,  1895,  1896,  1897,   231,  1899,  3165,   416,   449,
    3977,   180,  1905,  1906,  3981,  1908,   185,  5046,   252,   253,
     194,   429,  1915,   467,   467,   467,   470,   470,   470,   467,
    2526,  2707,   470,   208,   161,   209,  5196,  5201,   467,   467,
     467,   470,   470,   470,   452,   219,   459,   467,   467,  2456,
     470,   470,   221,   470,  3141,  2456,  3143,  3317,   466,   467,
    3506,   469,   467,   467,   467,   470,   470,   470,   380,   467,
     382,   245,   470,  3607,   467,  3609,   467,   470,  3156,   470,
    3158,   467,   467,   467,   470,  3292,   470,   467,   467,  4595,
     470,   470,   266,   429,   466,   431,  3141,  3631,  3143,   268,
     467,   380,  2778,   382,  1821,    53,  1823,  3465,   342,   467,
     336,   469,  1829,   392,  3648,   467,   162,   469,  1835,  1836,
    1837,   204,   466,   466,   403,  2651,  4336,   406,  1845,  1846,
     468,   433,   467,  1850,  3221,   470,  5300,   467,   318,  2032,
     470,  2034,   376,  2036,  4099,   467,   467,   467,   470,   470,
     470,   466,     8,   379,   328,    11,  2049,   466,   231,    15,
      16,    17,   185,   145,   467,  2058,  2059,   470,   467,  2695,
     467,   470,   467,   470,   467,   470,  3221,   470,   467,  2072,
     406,   470,   416,    35,   467,   354,  2079,   470,  2081,   467,
     231,   467,   470,   467,   470,   429,   470,   467,   467,   466,
     470,   470,    54,   429,   231,   431,  3455,  3456,  3457,  4083,
     467,   467,   467,   470,   470,   470,   468,     8,   452,  2112,
      11,   788,   145,   790,    15,    16,    17,   266,  2121,  3307,
    2123,   467,   466,  3578,   470,   467,   410,   318,   470,  3281,
     466,    32,   185,   145,  2738,  2739,  2740,  2140,  3995,    40,
    2651,   103,   266,   185,  3452,  5105,    47,   467,   145,  2152,
     470,  2154,  2155,   336,   467,  2761,  2159,   470,  2161,  5004,
    2163,  3982,  2165,  3984,  3549,   467,  2169,  4024,   470,  2172,
      71,   450,  2808,   266,   453,   454,   455,   157,   457,   458,
     459,   460,   461,   462,  2695,   336,  2774,   318,   145,    21,
    2193,  2774,   220,   113,  2774,    27,   379,   410,  2774,   336,
    2203,  2712,  2152,   467,   166,   266,   470,   467,  2211,  2159,
     470,   467,   236,   467,   470,  2218,   470,  2728,   466,   185,
     392,    30,    31,   406,  2227,   187,   467,   467,   379,   470,
     470,   467,   467,  2744,   470,   470,   422,   260,  3608,  3685,
     206,   231,   379,   339,   157,  2248,   429,  3702,   431,   231,
    2253,  2254,   212,   467,   466,   406,   470,  2774,   467,    65,
    2263,  2264,  3632,  2774,  2267,   467,  2269,  2270,   470,   406,
     251,   467,  2878,   235,   470,    35,   238,   251,   429,   180,
     431,    90,   231,   466,   185,  2288,   140,   249,  2291,   433,
     466,   266,   429,  2804,   431,   157,   251,  2808,   152,  4619,
     140,   110,   268,   157,  4381,   206,   207,    43,    43,  2312,
    2313,  4388,   152,   251,   397,   466,  4393,   157,   280,  4396,
     221,   251,  3929,    82,  2327,   467,  2329,  2330,   470,   466,
     281,   467,   422,   467,   470,   144,   470,   422,    79,   157,
     145,  3127,   300,   145,   466,  4422,   336,   145,   202,  3135,
     419,   466,   293,   254,   336,   145,  2359,   466,  4435,  2965,
      34,   323,   202,   466,  2367,  2368,     8,   268,   222,    11,
     271,  2374,   145,    15,    16,    17,   433,   145,   145,  4829,
     145,   343,   222,  2386,   470,  2388,   157,   336,   145,   379,
      32,   145,   145,   145,   145,   145,   145,   379,   266,  2402,
     376,   363,  2405,   466,  2407,    35,   220,  2410,   266,   263,
    3016,  2414,   157,   157,  2417,    49,   406,   466,   272,     5,
       5,   466,   466,   263,   406,   157,  2429,  2430,   466,   466,
     379,   466,   272,     5,   231,   466,   466,   466,     5,   429,
     466,   431,     5,     5,  2447,   466,   466,   429,   466,   431,
     466,   466,   466,   354,  2457,   466,  2459,   406,    92,   466,
     466,   466,   466,   466,   466,   466,   466,   466,   466,   430,
     466,   204,  3078,   277,    35,   470,   466,   470,    94,  2482,
     429,  3851,   431,   117,   466,    35,   220,   453,   454,   455,
     157,   457,   458,   459,   460,   461,   462,   263,   157,   261,
     134,   349,   387,  3109,   138,   314,  2509,   387,  2511,  2512,
    2513,  2514,   336,   387,   421,  3121,  4593,   466,   387,   336,
     468,  3127,   387,   387,   158,   336,   222,   161,   387,  3135,
     387,   455,   387,   342,    83,  3141,  4856,  3143,   145,   336,
     336,   175,   266,   266,  2547,   217,  4240,   341,   402,   450,
     387,   387,   453,   454,   455,   256,   457,   458,   459,   460,
     461,   462,   402,   409,   206,  3753,  3754,   376,   387,   470,
     261,   379,   266,   266,   332,   466,   178,  4654,   466,    83,
     387,  2584,   379,  3189,   387,   185,   470,   145,   410,   281,
     410,  2594,   387,   376,   376,   387,   387,  2600,   231,   105,
     387,   387,   387,  2430,    53,    53,   387,   416,   387,   406,
    2613,   420,   387,   242,  3220,  3221,   270,   387,  2621,   336,
     429,   303,   256,  2626,   387,   285,   268,   285,    42,    42,
     264,   387,   429,   379,   431,   470,  4577,   336,   206,   387,
     387,   266,   206,   452,  2594,   387,  2649,  2650,  2651,   387,
    2600,  2654,   206,   433,   206,  2482,   387,   466,   387,  2662,
    2663,  2664,  2665,   266,   206,   266,   206,   266,   206,   466,
     304,   387,  2675,   466,   429,  2678,  3423,  2680,     8,   397,
      35,    11,   145,    24,   231,    15,    16,    17,  2691,  2692,
     266,   145,  2695,   111,  3211,  3847,  3848,  3849,   251,   410,
    3211,  4019,    32,   336,  2707,   145,  2709,   429,  2711,   145,
    2713,   421,     0,   145,   228,   266,  3233,     8,  4795,   251,
      11,  4091,  3233,   251,    15,    16,    17,   261,   251,    35,
    2733,   157,    35,   212,  2737,    34,     8,   385,   466,    11,
     338,  2744,   385,  2746,  2747,  2748,   379,   466,   387,   464,
     464,   387,   387,   466,   145,   387,   145,   410,   145,  3292,
     410,  2764,   145,   145,   260,   387,   255,   162,    40,   425,
     242,     8,  2775,   406,    11,    47,  4853,   466,    15,    16,
      17,   242,    11,   470,   153,  3421,   466,  2790,   385,   336,
     466,  3397,   387,   171,  2744,    32,   429,   162,   431,    71,
     389,  2804,    90,    55,  3440,  2808,   470,  4884,  2811,   471,
    2813,   453,   454,   455,   178,   457,   458,   459,   460,   461,
     462,   467,  3608,   202,  2651,  3429,  3430,  3431,  3432,   178,
     470,   352,   379,   466,   210,   466,  2663,    89,   267,   410,
      35,   274,   470,    53,   467,   677,  3632,   679,   336,   681,
    4012,  2854,   140,  2856,  2804,   687,   688,   689,  2861,   406,
     466,   387,     8,   210,   152,    11,   138,   119,  2695,   157,
     210,   410,   256,   236,   162,  4519,   206,   387,   387,   256,
     168,   392,   429,   171,   431,  2888,   174,  2890,  2891,  2892,
     157,   466,  4080,   422,    40,   339,   148,   212,   256,   147,
     266,    47,    43,  5223,  5224,   358,  2733,   251,   180,   147,
    3421,   220,   220,   185,   202,   206,   220,  4994,   264,   466,
     332,   387,   379,   266,   470,    71,  3437,   266,   318,  3440,
     182,   346,   179,   306,   222,   387,   387,    35,   268,   410,
     206,   410,   212,   302,   264,   188,   145,   455,   455,   221,
     261,   157,   422,    35,   377,  4223,   159,   145,   303,   261,
     346,   466,   145,   466,   145,   217,   261,   429,  4156,   206,
     251,    35,   251,   266,   266,   263,   212,   268,   266,   176,
     176,   157,    35,   467,   272,   449,   464,   467,   340,   449,
     467,   467,   138,   467,   240,   212,   268,   157,  3001,   251,
     251,   266,  3608,   185,   346,   185,   185,    23,   433,   162,
     169,   470,   470,  4165,  4166,   470,  4168,   387,   239,   466,
     429,   266,    53,  5088,   470,   857,  3632,   260,   376,   281,
     282,   268,   392,  3639,   180,   212,  3642,   325,  3644,   185,
     467,  4742,  3638,   467,  4403,   467,   162,  5124,   422,   277,
     467,  4410,   286,   449,   470,   162,   467,   467,   387,   467,
    4248,   466,   276,   467,   467,   467,   318,   467,  4523,   466,
     322,   408,   466,   466,   326,   221,   426,  4733,  3684,  4735,
     451,   333,   354,   267,   416,   466,  3692,   467,   376,   341,
    3696,  3697,   267,  3699,   466,   230,   266,   349,  3704,   426,
      53,   455,  3105,  4473,   266,   269,   145,  3110,  3111,   361,
     266,   188,   387,   466,   402,   466,   433,   369,   387,  5196,
     196,   251,   268,   453,   454,   455,   387,   457,   458,   459,
     460,   461,   462,   256,   387,   145,   270,   341,   426,   145,
     428,   429,   145,   341,  3147,  3148,  3149,   341,   220,   147,
     188,   410,   387,   222,   455,   287,   470,   407,   287,   232,
     387,  3164,   453,   454,   455,   387,   457,   458,   459,   460,
     461,   462,   424,   157,   387,   387,   464,   232,   450,   467,
     468,   469,   232,  3186,  3187,   457,   458,   459,   460,   461,
     462,   336,   336,  3196,  3197,  3198,   387,  3803,   387,  3202,
     387,   387,   387,   336,   266,   336,   251,   349,   354,   387,
     145,    42,  3215,   387,   387,   387,   453,   454,   455,   387,
     457,   458,   459,   460,   461,   462,  4012,   206,   206,  4548,
    1341,   206,   206,   173,     3,  4936,   467,   467,   470,   397,
       3,   157,    43,   104,   467,   320,   470,   157,   466,   264,
    4944,  4945,   467,   266,    35,   145,   145,   157,   173,  3770,
     387,  3867,  3868,  3869,   465,  3871,  3872,  3873,   145,   336,
    3273,   410,   465,   410,  4436,   467,   336,   336,   269,   143,
    4639,   346,  3799,   143,  1116,   206,  4474,   206,  3799,  3292,
    4934,   136,   206,   206,   206,   206,   162,   464,    11,   470,
     277,   470,   157,   421,   450,  3308,   467,   272,   162,    35,
     467,   457,   458,   459,   460,   461,   462,   467,   467,   466,
     426,   162,  4484,   171,   467,  3328,   452,   415,    54,   267,
     470,   467,   470,   325,  3337,    81,   397,   157,   466,    35,
    3343,   466,  3345,   467,   465,  3348,   387,   467,    53,   466,
    3353,  3354,  3355,  3356,   410,   212,  3359,  3360,  3361,  3362,
    3363,  3364,  3365,  3366,  3367,  3368,   410,   196,   379,  3372,
    3373,   145,  4742,   466,   166,   397,    55,   103,   104,  3382,
     341,   336,   387,  3386,  5028,   111,  5080,  3390,   387,   336,
     387,   387,   387,   467,   318,  3398,   467,   467,  3401,   429,
    3403,  4007,    53,  4009,   416,   157,   379,   147,   466,  3412,
      89,    71,  3415,  3416,   145,   104,   397,  3420,  3421,   467,
     206,   206,  3425,   206,  3427,   301,   206,   191,   210,   466,
     466,  3434,  3435,  3436,  3437,   387,   266,  3440,  3441,   433,
     166,   470,  3445,  3446,  3447,  4042,   313,   467,    35,   470,
    3453,   285,    77,   379,   397,   387,  3459,  3460,  3461,   467,
     346,   187,  1294,   470,   466,   466,  3977,  1299,  1300,   148,
    3981,  5172,   104,   168,   162,   465,   206,   470,   467,  4956,
     466,   162,    53,   311,  3487,   467,   427,  3437,   427,   277,
    3440,   467,   209,   209,   466,  4647,   467,    35,  3501,  4095,
    3503,   470,   466,   182,  4021,  4022,  4658,   467,   275,   235,
    4021,  4022,   238,   378,   273,   466,   198,    55,  3521,  3522,
    3523,  3348,  3525,   249,   206,   251,    53,   174,   261,   397,
     467,   467,   455,   467,   387,   162,   429,   219,   217,  3542,
    3543,  3544,  3545,    71,   190,  4742,   179,   256,   256,   455,
      53,    89,   379,   470,   280,  3382,    65,   145,   206,   466,
     164,   470,   387,   387,   387,   162,   111,    35,  3571,   185,
     410,  3521,   251,  1405,   261,   466,   346,   410,    35,  4185,
    4186,   251,   159,  1415,   157,  4737,  3589,   261,   346,  4195,
     429,  4197,  4198,    53,   429,  4201,    35,   323,   162,   266,
    3427,   157,   193,   282,  5248,   269,   204,   466,   162,   311,
     148,   415,   362,   285,   466,   466,   466,   343,   467,   209,
     467,   428,   466,  1455,  1456,   467,   126,  4895,   466,    83,
     266,   467,   312,   387,    35,   145,   387,   363,   157,   365,
     466,   118,   368,   322,   182,   324,    35,   326,   466,   466,
    4436,   466,   466,  5297,   333,  4261,  1488,   256,   178,  1491,
    1492,   233,   341,   188,   466,   145,   301,   466,  5312,   467,
     349,   346,   104,   131,   212,    35,   425,   467,  3681,   217,
     333,   270,   361,   333,   360,   397,    53,  4473,   467,  4295,
     369,   360,    53,    35,    74,  4484,   467,   470,  4484,   467,
     466,   466,   379,   178,  4483,   189,   190,   410,   415,   193,
     466,   466,  4864,   251,   157,   249,   379,  3720,   466,     8,
    4326,  3724,    11,  3726,   466,  3728,   266,   211,   467,     5,
    4892,   151,  3735,  1844,   218,   379,   433,   466,  3741,  4936,
     466,  1852,  1574,   466,   282,   424,  4525,   144,  3751,    65,
    4267,    40,   269,    65,   126,   414,  4267,   415,    47,   311,
     466,   429,   466,  3766,   429,    35,   349,  3770,   162,   470,
     426,   379,   309,   256,   131,   190,   266,  3780,   266,   346,
     466,    35,    71,    35,   322,   301,  3789,   269,   326,   164,
     269,   164,   470,   466,    53,   333,   467,  3800,   116,   332,
     466,  3804,   387,   341,   466,  3808,  3809,   408,     5,   332,
     467,   349,   467,   319,   346,    21,   470,   273,   470,    32,
    3770,   466,   256,   361,   466,   466,   387,   144,   162,    74,
     301,   369,   466,   429,  3837,   429,  3839,   164,   360,   360,
    4415,   164,  1549,  3846,  2414,   849,   893,  2761,  2243,   138,
    1682,  2311,   390,  2935,   785,  1300,  5239,   892,  3607,  3704,
    1692,  5070,  1694,  2336,  3581,  3125,  4755,  4473,  1700,  4934,
    5172,  3751,  3875,     8,  4577,  1707,    11,  4388,  4547,  2855,
    4213,     0,  4393,  3886,  5053,  4396,   424,  5161,  2547,  4435,
     428,   180,  4964,  4963,  5090,  5196,   185,  3800,  2859,  3784,
    4901,   583,  2399,  3742,  3602,    40,  2399,   589,  4514,  3176,
    2960,  3767,    47,  3916,  4554,  2393,  3188,  4563,  5174,   889,
     602,  4249,  5312,  3926,  3927,  5297,  4540,  3129,  5103,  3134,
    3933,  3934,   221,  4486,  1611,  3938,    71,  4717,  2049,  4910,
    3943,    27,  4489,  3946,  3947,  1145,  3854,  4686,  3951,  3952,
    2095,  1156,  2833,   962,  3957,  3958,  3959,  3960,  3961,  3807,
    1665,  4829,  3965,  3966,  3967,  1809,  3969,  3970,   651,  1810,
    3973,    90,  3079,  3631,  3977,  5172,   619,  3180,  3981,   268,
    1809,  1724,  3648,  5129,  3987,  5288,   764,  2033,  3787,  4023,
    5045,  3994,  1384,  2034,  1755,  1277,  3999,  4418,  2075,  1831,
    1832,  3501,  4005,   138,  1325,  2775,  1838,  1839,  1344,  4012,
    1343,  2790,  3464,  2049,  5037,  4876,  4019,  4008,  2074,  3966,
    4023,   140,  1346,  3440,  3983,  4028,  4655,  3977,  1351,  4665,
    4853,  3981,  4852,   152,  1866,  4552,  3437,  3502,   157,  4042,
    1025,  4552,  4045,   162,  3437,   180,  5292,  5145,  5227,   168,
     185,  5027,   171,  4622,  3390,   174,  4412,  5040,  5020,  5041,
    1903,  2712,  4065,  4066,  2710,   354,  2764,  2622,  1053,  1689,
      -1,    -1,  1906,  4590,    -1,    -1,    -1,    -1,    -1,  4590,
    4083,    -1,    -1,   202,    -1,    -1,   221,    -1,  1073,  3916,
     574,    -1,    -1,  4096,   578,    -1,    -1,    -1,  1083,    -1,
      -1,    -1,    -1,   222,  1089,    -1,  4892,    -1,   592,    -1,
    1095,    -1,    -1,    -1,    -1,   599,  1101,    -1,    -1,  1104,
      -1,    -1,    -1,  4729,  4730,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,  4742,    -1,    -1,    -1,
    4746,    -1,  4145,  4654,   263,    -1,    -1,   266,    -1,    -1,
    4756,    -1,    -1,   272,  4665,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,  4167,    -1,    -1,    -1,   457,   458,
     459,   460,   461,   462,    -1,    -1,    -1,    -1,    -1,  4182,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   325,     8,  4211,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,   354,
      -1,    -1,  4225,    -1,    -1,    -1,  2058,  2059,  4231,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,  4240,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4255,    -1,    -1,    -1,    -1,   376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4268,    -1,  4270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4225,    -1,    -1,    -1,    -1,
    5059,    -1,    -1,   402,  4795,    -1,    -1,  2119,  4805,    -1,
      -1,    -1,    -1,    -1,  4805,    -1,    -1,  4300,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   426,    -1,   428,
     429,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
      -1,    -1,   457,   458,   459,   460,   461,   462,    -1,    -1,
    4936,    40,    -1,  4336,  4940,    -1,  4942,    -1,    47,    -1,
    4946,  4947,  4345,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,  5130,  5131,    -1,    -1,    -1,    -1,    -1,    -1,  4362,
    4363,    -1,    71,  4366,  4881,    -1,    -1,    -1,    -1,    -1,
    4881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4381,   863,
     864,  4384,    -1,    -1,    -1,  4388,    -1,    -1,    -1,    -1,
    4393,    -1,    -1,  4396,  4397,    -1,  4399,    -1,  4401,    -1,
      -1,  4404,  4405,    -1,    -1,   206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4422,
      -1,  4424,    -1,    -1,    -1,    -1,    -1,    -1,  4255,   138,
      -1,  4381,  4435,  4436,  4437,  4438,  4439,    -1,  4388,    -1,
      -1,    -1,    -1,  4393,    -1,    -1,  4396,  4397,    -1,    -1,
    2282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2290,    -1,
      -1,  2293,    -1,    -1,  5070,    -1,  5072,   268,   952,    -1,
      -1,   180,  4422,    -1,    -1,    -1,   185,    -1,    -1,    -1,
    4483,  4484,    -1,    -1,    -1,  4435,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   981,   982,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4525,  1007,    -1,  4528,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4483,  5313,  5314,    -1,  4540,  2649,  2650,
    4543,  5129,    -1,  2654,    -1,  4548,  5129,  4550,     8,  5129,
      -1,    11,    -1,  5129,  4557,    15,    16,    17,    -1,   268,
      -1,    -1,    -1,    -1,    -1,    -1,  5172,  5203,    -1,    -1,
    4573,    -1,    -1,    -1,  4577,  4525,    -1,    -1,    -1,    -1,
    2691,  2692,    -1,    -1,    -1,    -1,    -1,  5104,  4591,  4592,
    4593,    -1,    -1,  5104,    -1,    -1,  1080,  1081,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5129,    -1,    -1,  5203,  4619,    -1,  5129,  4622,
    5203,  4624,    -1,  5203,     7,    -1,    -1,  5203,    -1,    -1,
      13,    14,    -1,  5239,    -1,    -1,    19,    -1,    21,    -1,
      -1,  4644,  5248,  4593,    27,   354,    29,  4650,    -1,    -1,
      -1,  4654,   453,   454,   455,  4658,   457,   458,   459,   460,
     461,   462,  4665,  2495,  2496,    48,    49,    -1,    -1,  2501,
      -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5203,    -1,    -1,    -1,
      -1,  5297,  5203,    -1,    -1,  4698,    -1,    -1,    -1,    -1,
    5288,    -1,    -1,    -1,  4654,  5288,  5312,    -1,  5288,    -1,
      -1,    -1,  5288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4724,    -1,    -1,    -1,    -1,  2558,    -1,    -1,    -1,
    4733,  4734,  4735,  4736,  1719,    -1,    -1,    -1,    -1,    -1,
      -1,   450,  1727,    -1,    -1,    -1,   206,    -1,   457,   458,
     459,   460,   461,   462,    -1,    -1,    -1,    -1,  1743,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4771,    -1,
      -1,  5288,    -1,    -1,    -1,    -1,    -1,  5288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4792,
      -1,    -1,  4795,    -1,    -1,    -1,    -1,  4624,    -1,    -1,
      20,    -1,    -1,    -1,    -1,    25,    -1,    -1,   268,    -1,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     203,  4771,   205,    -1,   207,   208,    -1,   210,    -1,   212,
      -1,    -1,   215,    -1,   217,    -1,    -1,    -1,  4665,    59,
      -1,    -1,    -1,    -1,    -1,  4795,    -1,  4850,    -1,    -1,
    4853,    -1,    72,  4856,    -1,    -1,    -1,  4860,    -1,    -1,
      -1,    -1,    -1,    -1,  4867,  1547,    -1,    87,    -1,  4872,
      -1,  4874,    -1,  4876,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4884,    -1,    -1,    -1,    -1,    -1,  4890,    -1,  4892,
      -1,    -1,    -1,   629,    -1,    -1,    -1,    -1,    -1,  4902,
      -1,    -1,    -1,  4853,    -1,    -1,    -1,    -1,   128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   653,    -1,   139,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2759,    -1,  2761,
      -1,    -1,    -1,    -1,  4884,    -1,    -1,    -1,    -1,   159,
    1622,  4944,  4945,    -1,   164,    -1,    -1,    -1,  1630,    -1,
    2782,  2783,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1443,
    1642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4975,    -1,    -1,    -1,    -1,    -1,    -1,  4982,
      -1,    -1,    -1,  4986,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4994,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   234,    -1,  5019,  5020,    -1,    -1,
      -1,  5024,    -1,  4850,  5027,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5037,  1717,    -1,  5040,    -1,    -1,
    4867,    -1,  5045,    -1,  4994,  4872,  2031,  4874,   268,  1533,
    1534,  1535,  1536,    -1,    -1,    -1,  5059,    -1,  1740,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5073,    -1,    -1,    -1,    -1,    -1,    -1,  5080,    -1,    -1,
     300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1576,  1577,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,  5105,    -1,    -1,    -1,    -1,  5110,    -1,  5059,
      -1,    -1,  5115,  1597,    -1,    -1,   336,    -1,    -1,    -1,
      -1,  5124,    -1,   343,    -1,    -1,   346,  5130,  5131,  5132,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5141,    -1,
      -1,    -1,  5145,    -1,    -1,    -1,    73,    -1,  1632,  1633,
    1634,  1635,    -1,    -1,    -1,  5158,   376,    -1,    -1,    -1,
    5110,    -1,  5165,   383,    -1,    -1,    -1,    -1,    -1,    -1,
     390,    -1,    -1,    -1,  5124,    -1,    22,   397,   105,    -1,
    5130,  5131,    28,    -1,     0,    -1,    -1,    -1,    -1,   572,
     926,    -1,    -1,  5196,  5197,  5198,    -1,   580,    -1,    -1,
      -1,   128,   422,    -1,   587,   588,    -1,    -1,   591,    -1,
     593,   594,   139,   949,    -1,   598,    -1,    -1,    -1,    -1,
    5223,  5224,    -1,    69,    -1,    -1,   609,    -1,   964,    -1,
      -1,    -1,   159,    -1,    -1,    -1,    -1,   164,    -1,    -1,
      -1,   624,  3353,  3354,  3355,  3356,  5196,    -1,  3359,  3360,
    3361,  3362,  3363,  3364,  3365,  3366,  3367,  3368,    -1,    -1,
      -1,  1745,  5265,    -1,   647,    -1,   649,  1751,  5271,    -1,
      -1,    -1,    -1,   119,    90,  3386,   659,   123,    -1,    -1,
      -1,    -1,  5285,    -1,   130,    -1,   213,   133,    -1,  5292,
      -1,    -1,  5295,    -1,    -1,  3127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3135,  3415,  3416,    -1,   234,   691,    -1,
    5313,  5314,   158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   140,    -1,    -1,  3159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,   722,
      -1,   157,    -1,    -1,   190,  5295,   162,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,   171,    -1,    -1,   174,    -1,
      -1,    -1,    -1,  5313,  5314,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,   300,    -1,    -1,   303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,    55,
      -1,    -1,    -1,   776,  1878,    -1,    -1,    -1,    -1,    -1,
      -1,  2083,   329,   249,    -1,   251,   222,    -1,  3240,   336,
      -1,    -1,    -1,    -1,    -1,   261,   343,  1153,    -1,  2101,
      -1,    -1,    -1,    89,   270,  2107,    -1,    -1,    -1,  2111,
      -1,    -1,    -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   371,    -1,    -1,   263,    -1,   376,
     266,    -1,   379,    -1,   837,  2137,   272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     397,    -1,   318,    -1,    -1,   321,   322,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,  3317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2478,    -1,   422,    -1,    -1,    -1,  2181,
    2485,    -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,    -1,    -1,    -1,   182,  2199,    -1,    -1,
    2505,    -1,    -1,    -1,   907,    -1,    -1,    -1,    -1,    -1,
    2515,    -1,    -1,    -1,  2519,    -1,    -1,  2522,    -1,    -1,
     923,    -1,    -1,  2528,    -1,  2530,   212,    -1,  2533,  2231,
      -1,   217,   935,    -1,    -1,   938,    -1,    -1,    -1,    -1,
     376,    -1,    -1,    -1,    -1,   948,    -1,   413,    -1,    -1,
     953,    -1,    -1,    -1,    -1,  2257,    -1,    -1,   961,    -1,
      -1,    -1,    -1,  2265,   967,   251,   402,   970,    -1,    -1,
    2272,    -1,    -1,    -1,  2276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2592,    -1,    -1,
     426,    -1,   428,   429,  2296,    -1,   282,  3728,    -1,  2301,
      -1,    -1,    -1,  2305,    -1,    -1,     8,  1010,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,  2318,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,  2331,
      32,   467,   468,   469,    -1,    -1,   322,    -1,    40,  2341,
     326,    -1,    -1,    -1,    -1,    47,    -1,   333,    -1,    -1,
    2154,  2155,    -1,    -1,    -1,   341,    -1,    -1,    -1,  2163,
      -1,  2165,    -1,   349,    -1,  2169,    -1,    -1,     3,    71,
      -1,    -1,    -1,     8,    -1,   361,    11,    -1,    -1,    -1,
      15,    16,    17,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    35,
      35,    -1,    -1,    -1,   390,    40,    -1,    -1,  1464,    -1,
      -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,  1121,    55,
    1123,    -1,  1125,    -1,  1127,    -1,  1129,  1130,  1131,    -1,
      -1,    -1,    -1,  1136,    -1,    -1,    71,    -1,   424,    -1,
      -1,    -1,   428,   429,  1147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    89,    -1,    -1,  3608,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
    3632,    -1,    -1,   185,  2288,    -1,  3638,  2291,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    -1,   206,   207,    -1,    -1,    28,    -1,
      -1,  1567,   148,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    41,    -1,    -1,    -1,    -1,  1582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3969,    -1,
      -1,    -1,    -1,    -1,    -1,   180,   182,  1603,    -1,    69,
     185,    -1,   254,    -1,    -1,  2359,  3708,  3709,    -1,  2864,
      -1,    -1,  2564,  2367,  2368,    -1,   268,    -1,    -1,   271,
    2374,   206,   207,    -1,    -1,    -1,   212,    -1,    -1,    -1,
    2582,   217,    -1,    -1,  2388,    -1,   221,    -1,  2590,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   121,  1658,   123,    -1,    -1,    -1,    -1,    -1,    -1,
     130,    -1,    -1,   133,    -1,   251,  1672,    -1,    -1,   254,
      -1,    -1,  1325,    -1,    -1,  2429,    -1,    -1,  1684,    -1,
      -1,    -1,    -1,   268,    -1,    -1,   271,    -1,   158,  2944,
    1696,  2946,    -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,
      -1,    -1,   354,  2457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,     8,    -1,    -1,    11,    -1,    28,
     190,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
    1736,  1737,    41,    -1,     8,    -1,   322,    11,    32,    -1,
     326,    15,    16,    17,    -1,    -1,    40,   333,  1401,  3851,
      -1,    -1,    -1,    47,    -1,   341,    -1,  2511,    32,  2513,
      69,    -1,    -1,   349,    -1,    -1,    40,    -1,    -1,   354,
      -1,    -1,    -1,    47,    -1,   361,    -1,    71,    -1,   249,
      -1,   251,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   261,    -1,    -1,    -1,    -1,    -1,    71,   450,    -1,
     270,   453,   454,   455,   390,   457,   458,   459,   460,   461,
     462,   281,   121,    -1,   123,    -1,  1469,    -1,   470,    -1,
    3075,   130,    -1,    -1,   133,    -1,  3081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,
      -1,    -1,   428,    -1,    -1,    -1,    -1,    -1,   318,   158,
      -1,   321,   322,    -1,    -1,    -1,    -1,    -1,    -1,  2613,
      -1,    -1,    -1,    -1,  1870,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,   349,
      -1,   190,    -1,    -1,    -1,     8,   180,    -1,    11,    -1,
      -1,   185,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    32,
      -1,   185,   206,   207,    -1,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,  2875,    47,    -1,    -1,   221,    -1,    -1,
      -1,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,   251,   413,    -1,    -1,    -1,   221,    71,    -1,
      -1,    -1,   261,    -1,  1607,  4336,    -1,    -1,    -1,    -1,
     254,   270,    -1,    -1,  4345,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   281,    -1,   268,    -1,    -1,   271,    22,    -1,
     254,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,  4091,
      -1,    -1,    -1,  4095,   268,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,  3259,    -1,  3261,    -1,  3263,   318,
      -1,    -1,   321,   322,    -1,  3270,    -1,    -1,  4120,  4121,
      -1,    -1,    -1,  4125,  4126,    69,    -1,    -1,    -1,    -1,
      -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3309,    -1,    -1,   180,    -1,    -1,
     354,    -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   119,  1729,    -1,  1731,   123,
     354,    -1,    -1,   206,   207,    -1,   130,    -1,    -1,   133,
      -1,    -1,    -1,    -1,    -1,  1748,    -1,  1750,   221,    -1,
      -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,  1764,    -1,  1766,   158,  1768,    -1,  1770,    -1,  1772,
      -1,    -1,    -1,  1776,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   254,    -1,    -1,  2888,    -1,  2890,  2891,  2892,    -1,
      -1,    -1,    -1,    -1,  3096,   268,   190,    -1,   271,    -1,
    2156,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,
     454,   455,  2168,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,    -1,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2208,    -1,    -1,   249,    -1,   251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,    -1,    -1,    -1,
      -1,   354,    -1,    -1,    -1,    -1,    -1,   281,  4619,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4644,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   318,    -1,    -1,   321,   322,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    32,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,  3269,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
     453,   454,   455,  3285,   457,   458,   459,   460,   461,   462,
      69,    -1,    -1,    71,   467,    -1,    -1,    -1,    -1,    -1,
      -1,  3105,    -1,    -1,    -1,    -1,    -1,    -1,  3310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
      -1,  4473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,   130,    -1,    -1,   133,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,
      -1,  2084,  2085,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
    2103,  2104,   180,    -1,    -1,  2108,  2109,   185,    -1,    -1,
    2113,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,  2127,  4856,    -1,    -1,   206,   207,
      -1,  2134,    -1,    -1,    -1,  2138,  2139,    -1,    -1,  2142,
    2143,    -1,    -1,   221,    -1,    -1,  2149,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2162,
      -1,  2164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3273,
     249,    -1,   251,    -1,    -1,    -1,   254,    -1,    -1,    -1,
    2183,    -1,   261,    -1,    -1,  2188,    -1,    -1,    -1,    -1,
     268,   270,    -1,   271,    -1,    -1,    -1,    -1,  2201,    -1,
      -1,    -1,   281,    -1,    -1,    -1,    -1,  2210,    -1,  2212,
      -1,    -1,  2215,  2216,  2217,    -1,    -1,    -1,    -1,  2222,
    2223,    -1,    -1,    -1,  2580,    -1,    -1,    -1,    -1,  2232,
      -1,    -1,   180,    -1,  2237,    -1,  3841,   185,    -1,  2242,
    3845,  2597,   321,   322,    -1,    -1,    -1,    -1,    -1,    -1,
    3552,    -1,    -1,    -1,  2610,  2258,    -1,    -1,   206,   207,
      -1,    -1,    -1,  2266,    -1,    -1,    -1,    -1,    -1,    -1,
     349,    -1,    -1,   221,  2277,    -1,   354,  4729,  4730,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2289,    -1,    -1,  2292,
    4742,    -1,    -1,    -1,  2297,    -1,  5027,    -1,    -1,  2302,
    2303,    -1,    -1,    -1,  2307,    -1,   254,  2310,    -1,    -1,
      -1,  2314,  2315,  2316,  2317,    -1,  2319,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,  2332,
    2333,    -1,  2335,    -1,   413,    -1,    -1,    -1,    -1,   199,
      -1,    -1,  2345,  2346,    -1,    -1,    -1,    -1,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     220,  3663,    -1,    -1,  3666,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,     8,   467,
      -1,    11,    -1,    -1,  2397,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,
    5141,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,  2425,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,  3542,  3543,
    3544,  3545,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    71,    -1,    -1,    -1,    -1,  4061,    -1,    -1,    -1,
      -1,  3763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3782,    -1,    -1,    -1,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5223,  5224,    -1,    -1,    -1,  4102,  4103,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,   103,   467,
      -1,    -1,    -1,    -1,    -1,    -1,  2882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,
      -1,    -1,    -1,  2899,    -1,   130,    -1,    -1,   133,    -1,
      -1,    -1,  3854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2585,  4188,  4189,    -1,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,   187,    -1,    -1,   190,    -1,    -1,    -1,    -1,
      -1,  2614,    -1,    -1,    -1,    -1,  3720,    -1,  5070,    -1,
    5072,    -1,  3726,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,  2993,    -1,  2995,
      -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,   268,    28,
     235,   271,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   249,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,    -1,    -1,    -1,    -1,
      69,    -1,    -1,    -1,    -1,   280,   281,    -1,  4303,    -1,
    4305,  4306,    -1,   563,    -1,    -1,    -1,    -1,    -1,   569,
      -1,    -1,    -1,    -1,  4319,    -1,    -1,    -1,    -1,    -1,
    3076,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   318,   354,    -1,   321,   322,   323,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,  3104,    -1,
      -1,   130,    -1,    -1,   133,    -1,    -1,    -1,   343,     8,
      -1,    -1,    11,    -1,   349,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,   158,
      -1,    -1,    -1,    32,    -1,    -1,    -1,  5239,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,  5248,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,    -1,  4117,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,  4129,   413,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,  5297,    -1,   467,  3204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5312,   721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,   251,  2876,    -1,    -1,    -1,  2880,    -1,  3235,
      -1,    -1,   261,  2886,    -1,    -1,   746,    -1,    -1,    -1,
      -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2902,
    2903,    -1,   281,    -1,  2907,   765,    -1,    -1,    -1,  2912,
    2913,  2914,    -1,  2916,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   786,    -1,    -1,    -1,
      -1,   180,    -1,    -1,  2937,    -1,   185,    -1,    -1,   318,
      -1,    -1,   321,   322,  2947,  2948,  2949,  2950,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     349,    -1,   221,    -1,    -1,  3331,    -1,    -1,    -1,    -1,
      -1,  2984,    -1,    -1,  2987,  2988,  2989,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,   858,    -1,
      -1,    -1,    -1,    -1,     8,   254,    -1,    11,    -1,    -1,
    4615,    15,    16,    17,    -1,    -1,    -1,    -1,  4320,   268,
      -1,  3377,   271,    -1,    -1,    -1,    -1,    -1,    32,    22,
      -1,     0,    -1,    -1,   413,    28,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    18,
      -1,    -1,    -1,    -1,    -1,  3411,    -1,    -1,    -1,    28,
      -1,    30,    31,  4167,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    69,    46,  4182,    -1,
      -1,    -1,    -1,  4688,    -1,    -1,  3089,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3097,    -1,    -1,    66,    -1,    68,
      69,    -1,    -1,    -1,    -1,   354,    75,    -1,    77,    -1,
      -1,    -1,  3115,    -1,   974,    -1,    -1,    -1,    -1,    88,
      -1,    90,    -1,    -1,    -1,    -1,    -1,  4429,    -1,  4431,
     123,    -1,    -1,  4738,    -1,    -1,    -1,   130,   107,  3142,
     133,   110,    -1,  1003,  1004,  1005,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   124,    -1,   126,    -1,    -1,
      -1,   130,    -1,    -1,  4268,   158,    -1,   136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   144,   180,   146,    -1,    -1,
      -1,   185,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3194,    -1,    -1,    -1,    -1,  3199,   190,    -1,   168,
      -1,   450,   206,   207,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,   184,    -1,   221,   467,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    28,
     254,    -1,    -1,    -1,   223,   224,   249,    -1,   251,    -1,
     229,    -1,    -1,  3266,   268,  3268,    -1,   271,   261,    -1,
      -1,    -1,   241,    -1,    -1,    -1,    -1,   270,    -1,    -1,
      -1,    -1,    -1,  1143,   253,    -1,    -1,   188,   281,    -1,
      69,    -1,    -1,    -1,    -1,    -1,   197,   198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,  1169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,    -1,
      -1,    -1,    -1,    -1,    -1,   318,   295,    -1,   321,   322,
      -1,    -1,    -1,  4437,  4438,  4439,    -1,    -1,    -1,   308,
      -1,    -1,    -1,    -1,   123,   314,   315,    -1,   317,    -1,
     354,   130,    -1,   322,   133,    -1,   349,    -1,   327,    -1,
      -1,   330,    -1,    -1,    -1,    -1,   335,    -1,    -1,    -1,
      -1,    -1,   341,   342,    -1,    -1,    -1,    -1,    -1,   158,
     349,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   363,    -1,    -1,    -1,    -1,    -1,
      -1,  3757,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     413,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,
      -1,    -1,   411,    -1,    -1,  1305,   450,   416,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
     429,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,   452,    -1,    -1,    -1,  4591,    -1,    -1,
      -1,   270,  1352,    -1,    -1,    -1,    -1,   466,    -1,    -1,
     469,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,  3528,    -1,  3530,    -1,    -1,
      -1,    -1,    -1,    -1,  3537,    -1,    -1,    32,    -1,   318,
      -1,    -1,   321,   322,    -1,    40,    -1,    -1,    -1,    -1,
    3553,  5156,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3569,    -1,    -1,    -1,
     349,  1431,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
    1440,    -1,    -1,  3939,  3587,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,  3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1470,    -1,  3615,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,  1483,    -1,    -1,  1486,    -1,    -1,    47,
    4734,  3634,  4736,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3645,  3646,  3647,    -1,    -1,    -1,    -1,  3652,
    3653,  3654,  3655,    71,    -1,  3658,  3659,    -1,    -1,    -1,
      -1,  3664,  3665,    -1,  3667,  3668,  3669,  3670,  3671,  3672,
     571,  3674,    -1,    -1,    -1,    -1,    -1,  1537,    -1,    -1,
    3683,    -1,   583,  3686,  3687,   180,    -1,    -1,   589,    -1,
     185,  1551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   602,  3705,    -1,  1564,    -1,    -1,  4063,    -1,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,   618,    -1,    -1,
      -1,    -1,   623,    -1,  3727,    -1,   221,    -1,   629,    -1,
      -1,    -1,   633,   634,    -1,    -1,    -1,    -1,    -1,    -1,
     641,    -1,    -1,    -1,  5046,  4101,    -1,    -1,    -1,    -1,
      -1,    -1,   653,   654,    -1,    -1,  1616,    -1,    -1,   254,
      -1,    -1,   180,   664,    -1,    -1,  4122,   185,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1645,  4890,    -1,   206,   207,
      -1,    -1,  1652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3826,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4187,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,   743,   744,    -1,    -1,    -1,    -1,   749,    -1,
     268,    -1,    -1,   271,    -1,  3858,    -1,    -1,    -1,   354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4975,    -1,    -1,   775,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    -1,    -1,  1753,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1791,  1792,    -1,    -1,    -1,   354,    69,    -1,    -1,
      -1,    -1,  4298,    -1,    -1,    -1,    -1,    -1,  1808,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,  5073,
      -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4340,    -1,    -1,    -1,    -1,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,   130,    -1,
      -1,   133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   919,    -1,
      -1,    -1,    -1,    -1,    -1,   926,   158,    -1,    -1,   930,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,  1905,    -1,    -1,   949,   467,
      -1,    -1,    -1,    -1,    -1,  1915,    -1,     8,   190,    -1,
      11,  5165,    -1,   964,    15,    16,    17,    -1,  4071,    -1,
      -1,    -1,  4075,  4076,  4077,  4078,    -1,    -1,  4081,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,  5197,  5198,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1009,  4112,
    4113,  4114,    -1,  4116,    -1,  4118,  4119,   249,    -1,   251,
      71,    -1,    -1,    -1,    -1,    -1,    -1,  4130,  4131,   261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1048,    -1,   281,
      -1,    -1,    -1,    -1,  4157,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2032,    -1,  2034,    -1,    -1,  4180,    -1,    32,
      -1,  5285,    -1,    -1,  1085,    -1,   318,    40,    -1,   321,
     322,    -1,    -1,    -1,    47,    -1,    -1,    -1,  1099,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1108,    -1,    -1,
      -1,    -1,  2072,    -1,    -1,  1116,    -1,   349,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,
      -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4254,  1153,    -1,  1155,   206,   207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4620,    -1,    -1,    -1,    -1,  1170,
     221,    -1,  1173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4283,   413,    -1,    -1,  1185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,  4660,  4308,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1215,    -1,    -1,   268,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1243,  1244,  1245,    -1,  1247,    -1,    -1,    -1,
      -1,    -1,    -1,   206,   207,    -1,    -1,    -1,  4714,    -1,
      -1,    -1,    -1,  4719,  4720,    -1,  1267,  2227,   221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2248,    -1,
    1291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1299,  1300,
      -1,   254,    -1,   354,    -1,    -1,    -1,  1308,  1309,    -1,
      -1,    -1,  4415,    -1,    -1,   268,    -1,     8,   271,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1336,    -1,    -1,    -1,  1340,
    1341,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,    -1,  2312,  2313,  1355,    -1,    47,    -1,  1359,    -1,
      -1,    -1,    -1,    -1,    -1,  1366,    -1,    -1,    -1,    -1,
      -1,    -1,  4475,    -1,  4830,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4493,    -1,    -1,    -1,    -1,  4498,  4499,    -1,    -1,   450,
      -1,   354,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4549,  2407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1464,    -1,    -1,  4569,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1487,    -1,    -1,   180,
      -1,    -1,    22,    -1,   185,    -1,    -1,   450,    28,    -1,
     453,   454,   455,  4606,   457,   458,   459,   460,   461,   462,
    4613,    -1,    -1,    -1,   467,   206,   207,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
     221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    69,
      -1,    -1,    -1,    32,    -1,    -1,  1547,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,   254,    -1,    -1,  1567,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5031,    -1,   268,  4681,    -1,
     271,  1582,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1591,    -1,    -1,   123,    -1,    -1,    -1,  1598,    -1,  4702,
     130,    -1,  1603,   133,    -1,    -1,    -1,    -1,    -1,    -1,
    4713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1622,    -1,    -1,  2584,    -1,    -1,    -1,   158,  1630,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1658,    -1,    -1,
     190,    -1,    -1,   354,  1665,    -1,    -1,  1668,    -1,    -1,
      20,  1672,  4775,    -1,    -1,    25,    -1,  1678,    -1,    -1,
      -1,    -1,    -1,  1684,    -1,    -1,    -1,    37,    -1,    -1,
      -1,   180,    -1,    -1,    -1,  1696,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      -1,    -1,  1713,  1714,    -1,  1716,  1717,   206,   207,   249,
      -1,   251,    72,    -1,    -1,    -1,    -1,  1728,    -1,    -1,
      -1,   261,   221,    -1,  4837,  1736,  1737,    87,  1739,  1740,
     270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   281,    -1,    -1,  1755,   105,    -1,    -1,    -1,   450,
      -1,    -1,   453,   454,   455,   254,   457,   458,   459,   460,
     461,   462,    -1,    -1,    -1,    -1,   467,  2737,   128,   268,
      -1,    -1,   271,    -1,    -1,    -1,  1787,    -1,   318,   139,
      -1,   321,   322,    -1,    -1,    -1,  4899,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,
      -1,  4914,    -1,    -1,   164,    -1,    -1,    -1,    -1,   349,
    1821,   171,  1823,    -1,    -1,    -1,    -1,  1828,  1829,    -1,
      -1,    -1,    -1,    -1,  1835,  1836,  1837,    -1,   188,    -1,
    1841,    -1,  1843,  1844,  1845,  1846,  1847,  1848,    -1,  1850,
      -1,  1852,  1853,    -1,    -1,  1856,    -1,    -1,    -1,    -1,
      -1,    -1,  4965,    -1,    -1,   354,    -1,    -1,    -1,  1870,
    1871,  1872,  1873,  1874,  1875,    -1,    -1,  4980,  1879,    -1,
      -1,    -1,  1883,   413,   234,  1886,    -1,    -1,  1889,  1890,
    1891,  1892,  1893,  1894,  1895,  1896,  1897,    -1,  1899,    -1,
      -1,    -1,    -1,    -1,    -1,  1906,    -1,  1908,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,   268,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     280,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
     290,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
     300,     8,    47,   303,    11,  5058,    -1,    -1,    15,    16,
      17,   450,    -1,    -1,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,    32,    71,    -1,   467,   329,
      -1,    -1,    -1,    40,   334,    -1,   336,    -1,    -1,    -1,
      47,    -1,    -1,   343,    -1,    -1,   346,  5100,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,   365,    -1,    -1,    -1,    -1,
      -1,   371,    -1,    -1,    22,    -1,   376,    -1,    -1,   379,
      28,    -1,    -1,   383,    -1,  2036,    -1,    -1,    -1,    -1,
     390,  3001,   392,    -1,    -1,    -1,    -1,   397,  2049,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2058,  2059,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    69,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5184,  2083,    -1,    -1,   180,    -1,    -1,    -1,  2090,
     185,    -1,    -1,  2094,  2095,    -1,    -1,    -1,    -1,    -1,
    2101,    -1,    -1,    -1,    -1,  2106,  2107,    -1,    -1,    -1,
    2111,   206,   207,    -1,    -1,    -1,    -1,    -1,  2119,    -1,
      -1,    -1,    -1,   180,    -1,   123,   221,    -1,   185,    -1,
      -1,    -1,   130,    -1,    -1,   133,  2137,    -1,    -1,  2140,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     207,  2152,    -1,    -1,    -1,  2156,    -1,    -1,  2159,   254,
     158,    -1,    -1,    -1,   221,    -1,    -1,  2168,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,
    2181,    -1,    -1,    -1,    -1,    -1,    -1,  3147,  3148,  3149,
      -1,    -1,   190,    -1,    -1,    -1,    -1,   254,  2199,  2200,
      -1,    -1,    -1,    -1,  3164,    -1,    -1,  2208,    -1,    -1,
      -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3187,    -1,  2230,
    2231,    -1,    -1,  2234,    -1,    -1,    -1,  3197,  3198,    -1,
      -1,    -1,  3202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   249,    -1,   251,    -1,  3215,  2257,    -1,  2259,   354,
      -1,    -1,    -1,   261,  2265,    -1,    -1,    -1,    -1,    -1,
      -1,  2272,   270,    -1,    -1,  2276,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2296,    -1,   354,    -1,    -1,
    2301,    -1,    -1,    -1,  2305,    -1,    -1,  2308,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2318,    -1,    -1,
     318,    -1,    -1,   321,   322,    -1,    -1,    -1,    -1,    -1,
    2331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3308,    -1,
      -1,   349,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,    -1,
      -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2386,  2387,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,  2396,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,
     467,    -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    32,    -1,    -1,    15,    16,    17,  2469,    -1,
      40,    -1,  2473,    -1,  3434,  3435,  3436,    47,    -1,    -1,
      -1,  2482,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,  2526,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2564,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2580,
      -1,  2582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2590,
      -1,    -1,    -1,  2594,    -1,    -1,  2597,    -1,    -1,  2600,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2610,
     180,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
    2621,    -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2649,  2650,
    2651,   221,    -1,  2654,    -1,    -1,   206,   207,    -1,    -1,
      -1,  2662,  2663,  2664,  2665,    -1,    -1,    -1,    -1,  2670,
      -1,   221,    -1,    -1,  2675,  2676,    -1,  2678,    -1,  2680,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
    2691,  2692,    -1,    -1,  2695,    -1,    -1,    -1,   268,    -1,
      -1,   271,    -1,    -1,   254,    -1,    -1,    -1,  2709,    -1,
    2711,    -1,  2713,    -1,    -1,    -1,    -1,    -1,   268,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      25,    -1,  2733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2744,    -1,  2746,  2747,  2748,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2761,    -1,    -1,  2764,  3724,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2775,  3735,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,  2790,
      -1,    -1,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2804,   354,    -1,  3766,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,
      -1,    -1,  2823,    -1,    -1,  2826,    -1,  2828,    -1,    -1,
      -1,    -1,  2833,   128,    -1,    -1,    -1,    -1,    -1,    -1,
    3800,    -1,    -1,    -1,   139,    -1,    -1,  2848,  2849,    -1,
      -1,    -1,   147,  2854,    -1,    -1,    -1,   197,   198,    -1,
      -1,    -1,    -1,    -1,   159,    -1,   206,    -1,    -1,   164,
      -1,    -1,    -1,    -1,  2875,    -1,   171,  2878,    -1,   219,
     450,  2882,    -1,   453,   454,   455,  3846,   457,   458,   459,
     460,   461,   462,   188,    -1,    -1,    -1,   467,  2899,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,   467,   213,    -1,
      -1,    -1,    -1,  2924,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2959,  2960,
    2961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2993,    -1,  2995,   290,    -1,    -1,  3958,  3959,
    3960,  3961,  3003,    -1,    -1,   300,    -1,    -1,   303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3018,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,   329,    15,    16,    17,    -1,   334,
      -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,   343,    -1,
      -1,   346,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
     365,    -1,    -1,    -1,    -1,  3076,   371,    -1,    -1,    -1,
     375,   376,    -1,    -1,   379,    -1,    -1,    -1,   383,    -1,
      -1,    71,    -1,    -1,    -1,  3096,    -1,   392,    -1,    -1,
      -1,    -1,   397,  3104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3127,   422,    -1,    -1,
      -1,    -1,    -1,  3134,  3135,    -1,    -1,    -1,    -1,    -1,
    3141,    -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3156,    -1,  3158,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3180,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,  3204,    -1,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3221,  3222,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,  3235,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,   583,    -1,    -1,    -1,    -1,    -1,   589,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,   602,    -1,    -1,    15,    16,    17,  3269,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,   618,    -1,
      -1,    -1,    32,    -1,  3285,    -1,    -1,    -1,   268,    -1,
      40,   271,    -1,   633,   634,    -1,    -1,    47,    -1,    -1,
      -1,   641,    -1,    -1,    -1,    -1,  3307,    -1,    -1,  3310,
      -1,    -1,    -1,    -1,   654,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,   664,    -1,    -1,  3328,    -1,    -1,
    3331,    -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,    -1,
    4300,    -1,  3343,    -1,  3345,    -1,    -1,  3348,    -1,    -1,
      -1,  3352,  3353,  3354,  3355,  3356,    -1,    -1,  3359,  3360,
    3361,  3362,  3363,  3364,  3365,  3366,  3367,  3368,    -1,    -1,
      -1,  3372,  3373,    -1,   354,    -1,  3377,    -1,    -1,    -1,
      -1,  3382,    -1,    -1,    -1,  3386,    -1,  3388,    -1,  3390,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3398,    -1,    -1,
    3401,    -1,  3403,    -1,    -1,    -1,    -1,    -1,    -1,   749,
    3411,  3412,    -1,    -1,  3415,  3416,    -1,    -1,    -1,  3420,
    3421,    -1,    -1,    -1,    -1,    -1,  3427,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,  3437,    -1,    -1,  3440,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3453,    -1,    -1,    -1,   206,   207,  3459,  3460,
    3461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,   221,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,  3487,   467,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3503,    -1,   254,    -1,    -1,    -1,  3509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,
    3521,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4528,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4543,    -1,    -1,    -1,    -1,  4548,    -1,
     930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3602,    -1,    -1,   354,    -1,  3607,  3608,  3609,    -1,
      -1,    -1,    -1,  4573,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
    3631,  3632,  4592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    36,  3648,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,  3663,    -1,    -1,  3666,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,    -1,    -1,    -1,    -1,
      -1,   198,    -1,    -1,    -1,    -1,    -1,  3728,    -1,   206,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4698,    -1,
      -1,    -1,   219,    -1,    -1,  1085,    -1,    -1,    -1,    -1,
      -1,    -1,  3753,  3754,    -1,    -1,  3757,    -1,    -1,  1099,
      -1,    -1,  3763,    -1,    -1,    -1,    -1,    -1,    -1,  3770,
      -1,    -1,    -1,    -1,    -1,    -1,  1116,    -1,    -1,    -1,
      -1,  3782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1144,    -1,  3807,  3808,  3809,    -1,
      -1,    -1,    -1,    -1,    -1,  1155,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1170,   221,  4792,  1173,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3854,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3875,    -1,    -1,    -1,   268,    -1,
      -1,   271,    -1,    -1,    -1,  3886,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3916,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3926,  3927,    -1,  3929,    -1,
      -1,    -1,  3933,  3934,    -1,    -1,    -1,  3938,  3939,    -1,
      -1,    -1,  3943,    -1,    -1,  3946,  3947,    -1,    -1,    -1,
    3951,  1291,    -1,    -1,    -1,    -1,  3957,    -1,    -1,  1299,
    1300,    -1,    -1,    -1,   354,    -1,    -1,    -1,  3969,  1309,
      -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,    -1,    -1,
    3981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3994,    -1,    -1,    -1,    -1,  3999,    -1,
      -1,    -1,    -1,     8,  4005,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,  4019,    -1,
     410,    -1,    -1,    -1,    -1,    -1,  1366,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,    -1,    47,    -1,  4045,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,  4063,   453,   454,   455,    71,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,    -1,    -1,  4080,
      -1,    -1,    -1,    -1,  4085,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
    4101,    -1,    -1,    -1,    -1,    -1,   583,    -1,    -1,    -1,
      -1,    32,   589,    -1,    -1,    -1,  4117,    -1,    -1,    40,
      -1,  4122,    -1,    -1,    -1,   602,    47,    -1,  4129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   618,    -1,    -1,  4145,    -1,    -1,    -1,    -1,    -1,
      71,   156,    -1,    -1,    -1,  4156,    -1,   634,    -1,    -1,
      -1,    -1,    -1,    -1,   641,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   180,    -1,   654,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,  4187,   664,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,  1547,    -1,    -1,
    4211,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,  4248,    -1,   254,
      -1,    -1,    -1,    -1,  4255,    -1,    -1,    -1,  1598,   180,
      -1,    -1,    -1,   268,   185,    -1,   271,    -1,    -1,    -1,
      -1,    -1,   749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1622,   743,   744,   206,   207,   292,    -1,    -1,
    1630,    -1,    -1,    -1,    -1,  4296,    -1,  4298,    -1,    -1,
     221,    -1,  1642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,    -1,  4336,    -1,    -1,    -1,  4340,
      -1,    -1,    -1,    -1,  4345,    -1,    -1,   268,    -1,   354,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4362,  4363,    -1,    -1,  4366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1713,  1714,    -1,  1716,  1717,    -1,    -1,
    4381,    -1,    -1,    -1,    -1,    -1,    -1,  4388,  1728,    -1,
      -1,    -1,  4393,    -1,    -1,  4396,  4397,    -1,    -1,  1739,
    1740,    -1,    -1,  4404,  4405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1755,    -1,    -1,    -1,    -1,
      -1,  4422,    -1,  4424,    -1,    -1,    -1,    -1,  4429,    -1,
    4431,    -1,    -1,   354,  4435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,  1787,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4473,  4474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4483,    -1,    -1,    -1,    -1,    -1,    -1,   629,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   653,    -1,    -1,    -1,    -1,  4519,    -1,
      -1,    -1,    -1,    -1,  4525,    -1,    -1,    -1,    -1,   450,
      -1,    -1,   453,   454,   455,  1875,   457,   458,   459,   460,
     461,   462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4593,    -1,  4595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1085,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4619,  4620,
      -1,  4622,  1099,  4624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1116,
      -1,    -1,    -1,  4644,    -1,    -1,    -1,    -1,    -1,  4650,
      -1,    -1,    -1,  4654,    -1,    -1,    -1,    -1,    -1,  4660,
      -1,    -1,    -1,    -1,  4665,    -1,    -1,  1144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1170,    -1,    -1,  1173,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4706,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4714,    -1,    -1,    -1,    -1,  4719,  4720,
      -1,    -1,    -1,  4724,    -1,  1185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4742,    -1,  2083,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1215,    -1,    -1,    -1,    -1,
      -1,  2101,    -1,    -1,    -1,    -1,  2106,  2107,    -1,    -1,
    4771,  2111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2119,
      -1,    -1,    -1,  1243,  1244,  1245,   926,  1247,    -1,    -1,
      -1,    -1,    -1,    -1,  4795,    -1,    -1,  2137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1267,    -1,   949,
      -1,    -1,    -1,    -1,  1291,    -1,    -1,    -1,    -1,  2159,
      -1,    -1,  1299,  1300,   964,    -1,    -1,    -1,  4829,  4830,
       8,    -1,  1309,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,  2181,    -1,    -1,    -1,    -1,    -1,    -1,  1308,  4850,
      -1,    -1,  4853,    -1,    32,  4856,    -1,    -1,    -1,  2199,
    2200,    -1,    40,    -1,    -1,    -1,  4867,    -1,    -1,    47,
      -1,  4872,    -1,  4874,    -1,  4876,  1336,    -1,    -1,    -1,
    1340,  1341,    -1,  4884,    -1,    -1,    -1,    -1,    -1,  1366,
    2230,  2231,    -1,    71,  2234,    -1,    -1,    -1,    -1,    -1,
      -1,  4902,    -1,    -1,    -1,    -1,    -1,    -1,  1048,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2257,    -1,  2259,
      -1,    -1,    -1,    -1,    -1,  2265,    -1,    -1,    -1,    -1,
      -1,    -1,  2272,  4934,    -1,  4936,  2276,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2296,    -1,    -1,    -1,
      -1,  2301,    -1,    -1,    -1,  2305,    -1,    -1,  2308,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2318,    -1,
      -1,    -1,    -1,    -1,    -1,  4986,    -1,    -1,    -1,    -1,
      -1,  2331,    -1,  4994,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2341,   180,    -1,    -1,    -1,    -1,   185,     8,    -1,
      -1,    11,    -1,  1153,    -1,    15,    16,    17,  5019,  5020,
      -1,    -1,    -1,    -1,    -1,    -1,  5027,  5028,   206,   207,
    5031,    -1,    32,    -1,    -1,    35,  5037,    -1,    -1,    -1,
      40,    -1,    -1,   221,    -1,  5046,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   629,  2396,    -1,  5059,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1547,    71,    -1,    -1,    -1,    -1,   254,    -1,    -1,   653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5110,
      -1,    -1,    -1,    -1,  5115,    -1,   294,    -1,    -1,    -1,
      -1,  1598,    -1,  5124,    -1,    -1,    -1,    -1,    -1,  5130,
    5131,  5132,    -1,  2473,    -1,    -1,    -1,    -1,    -1,    -1,
    5141,    -1,    -1,    -1,    -1,  1622,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1630,    -1,    -1,    -1,  5158,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1642,    -1,    -1,    -1,    -1,
      -1,  5172,    -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,  2526,    -1,    -1,    -1,
      -1,    -1,   370,    -1,    -1,  5196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1359,
      -1,   221,  5223,  5224,  2564,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1716,
    1717,    -1,  2582,    -1,    -1,    -1,    -1,  5248,    -1,    -1,
    2590,  1728,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
    2600,    -1,  1739,  1740,  5265,    -1,    -1,    -1,   268,    -1,
    5271,   271,   450,    -1,    -1,   453,   454,   455,  1755,   457,
     458,   459,   460,   461,   462,  1425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5295,    -1,  5297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5312,  5313,  5314,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1464,    -1,    -1,    -1,    -1,    -1,
    2670,    -1,    -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1487,    -1,    -1,
      -1,    -1,   926,    -1,   354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1828,    -1,
      -1,    -1,    -1,    -1,    -1,   949,    -1,    -1,    -1,    -1,
      -1,  1841,    -1,  1843,    -1,    -1,  1846,  1847,  1848,    -1,
     964,    -1,    -1,  1853,    -1,    -1,  1856,    -1,  1875,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1871,  1872,  1873,  1874,    -1,    -1,    -1,    -1,  1879,
      -1,  2761,    -1,  1883,    -1,    -1,  1886,  1567,    -1,  1889,
    1890,  1891,  1892,  1893,  1894,  1895,  1896,  1897,    -1,  1899,
      -1,    -1,  1582,    -1,    -1,    -1,  1906,    -1,  1908,    -1,
     450,  1591,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,  1603,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1048,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,  2849,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,  1658,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,  1672,    -1,    -1,  2875,    -1,    -1,  2878,    -1,
      -1,    -1,    -1,    -1,  1684,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,  1696,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2036,    -1,    -1,  1153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1736,  1737,  2058,  2059,
      -1,    -1,    -1,    -1,    -1,    -1,  2083,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2959,
    2960,  2961,    -1,    -1,  2101,    -1,    -1,    -1,    -1,  2106,
    2107,    -1,    -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2119,  2983,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2137,   180,    -1,  3003,    -1,    -1,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3018,    -1,
    2140,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,  2181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1294,    -1,  2199,  2200,    -1,    -1,    -1,    -1,    -1,    -1,
    1870,    -1,    -1,    -1,     8,   254,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,   268,
      -1,    -1,   271,  2230,  2231,    -1,  3096,  2234,    32,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    40,    -1,  1908,   288,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,
    2257,    -1,  2259,    -1,    -1,  1359,    -1,    -1,  2265,    -1,
      -1,    -1,    -1,    -1,  3134,  2272,    -1,    71,    -1,  2276,
      -1,  3141,    -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   629,    -1,  3156,    -1,  3158,  2296,
      -1,    -1,    -1,    -1,  2301,    -1,    -1,    -1,  2305,    -1,
      -1,  2308,    -1,    -1,    -1,   354,    -1,    -1,   653,    -1,
    3180,  2318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1425,    -1,    -1,  2331,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,  2341,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3221,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
    1464,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,   185,    -1,  1487,    -1,    -1,    -1,    -1,    -1,  2396,
      -1,    -1,    -1,    71,    -1,    -1,  2386,    -1,    -1,  3269,
      -1,   450,   206,   207,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,  3285,    -1,   221,    -1,    -1,
    2090,    -1,    -1,    -1,  2094,  2095,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3307,    -1,    -1,
    3310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
     254,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,  1567,   268,    -1,  2473,   271,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    35,    -1,  1582,    -1,
      -1,    40,    -1,    -1,   162,    -1,  2156,  1591,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2168,  1603,
      -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,  3388,  2526,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2208,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
     354,    -1,    -1,    -1,  1658,    -1,    -1,  2564,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1672,    -1,
      -1,    -1,    -1,    -1,    -1,  2582,   254,    -1,    -1,    -1,
    1684,   926,    -1,  2590,    -1,    -1,    -1,    -1,    -1,    -1,
     268,    -1,  1696,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   949,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   964,
       8,   180,    -1,    11,    -1,    -1,   185,    15,    16,    17,
      -1,  2621,  1736,  1737,    -1,    -1,  2626,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,   450,   206,   207,   453,
     454,   455,    40,   457,   458,   459,   460,   461,   462,    47,
      -1,  2651,   221,  2670,    -1,    -1,    -1,    -1,    -1,  2676,
      -1,    -1,  2662,    -1,  2664,  2665,   354,    -1,    -1,    -1,
      -1,    -1,  3552,    71,    -1,  2675,    -1,    -1,  2678,    -1,
    2680,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1048,    -1,    -1,    -1,    -1,    -1,   268,
      -1,    -1,   271,    -1,    -1,    -1,    -1,  2387,    -1,  2709,
      -1,  2711,    -1,  2713,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3602,    -1,    -1,    -1,    -1,  3607,    -1,  3609,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2761,    -1,  2746,  2747,  2748,    -1,
      -1,  3631,    -1,    -1,    -1,    -1,  1870,    -1,    -1,    -1,
      -1,    -1,   450,    -1,  2764,   453,   454,   455,  3648,   457,
     458,   459,   460,   461,   462,  2775,    -1,    -1,    -1,    -1,
      -1,    -1,   180,  3663,    -1,   354,  3666,   185,    -1,  2469,
    2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2848,  2849,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,  2854,    -1,   254,    -1,  2875,    -1,
      -1,  2878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,    -1,    -1,  3753,  3754,    71,    -1,    -1,    -1,    -1,
      -1,   450,    -1,  3763,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,    -1,    -1,    -1,    -1,    -1,
    2580,    -1,  3782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2959,  2960,  2961,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3854,    -1,  2090,    -1,    -1,    -1,
    2094,  2095,    -1,    -1,   180,    -1,  3003,    -1,    -1,   185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3018,    -1,    -1,  1359,    -1,    -1,    -1,    -1,    -1,
     206,   207,    -1,    -1,    -1,   629,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,   629,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   653,
      -1,    -1,  2156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     653,    -1,   450,    -1,  2168,   453,   454,   455,   254,   457,
     458,   459,   460,   461,   462,    -1,  2746,  2747,  2748,    -1,
    1425,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,  3096,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3134,    -1,    -1,
      -1,    -1,    -1,    -1,  3141,    -1,  3143,    -1,    -1,    -1,
      -1,    -1,  1487,    -1,    -1,    -1,    -1,    -1,    -1,  3156,
      -1,  3158,    -1,  2823,    -1,    -1,  2826,    -1,  2828,    -1,
      -1,    -1,    -1,  2833,    -1,    -1,    -1,    -1,   354,    -1,
      -1,    -1,    -1,  3180,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,   384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4080,    -1,  2882,    -1,  3221,  4085,    -1,    -1,    40,    -1,
      -1,    -1,  1567,    -1,    -1,    47,    -1,    -1,    -1,  2899,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1591,  4117,    -1,    71,
      -1,    -1,    -1,    -1,  2924,    -1,    -1,    -1,  1603,  4129,
      -1,    -1,  3269,    -1,   450,    -1,    -1,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,    -1,  3285,    -1,
      -1,    -1,    -1,  2387,    -1,    -1,  4156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3307,    -1,    -1,  3310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1658,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   926,  2993,    -1,  2995,    -1,  1672,    -1,    -1,
      -1,    -1,    -1,   926,    -1,    -1,    -1,    -1,  3328,  1684,
      -1,    -1,    -1,    -1,    -1,   949,    -1,  3337,    -1,    -1,
      -1,  1696,    -1,  3343,    -1,  3345,   949,    -1,   180,    -1,
     964,    -1,    -1,   185,    -1,  2469,    -1,    -1,    -1,    -1,
      -1,   964,    -1,    -1,    -1,    -1,    -1,    -1,  4248,    -1,
      -1,  3388,  3372,  3373,   206,   207,    -1,    -1,    -1,    -1,
      -1,  1736,  1737,    -1,    -1,    -1,    -1,    -1,    -1,   221,
    3390,    -1,    -1,    -1,    -1,    -1,  3076,    -1,  3398,    -1,
      -1,  3401,    -1,  3403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3420,  3421,   254,    -1,  3104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1048,    -1,   268,    -1,    -1,    -1,
    4320,    -1,    -1,    -1,    -1,  1048,    -1,  3127,    -1,    -1,
      -1,    -1,    -1,  3453,    -1,  3135,    -1,    -1,    -1,  3459,
    3460,  3461,    -1,    -1,    -1,    -1,  2580,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,   629,  2597,    -1,    -1,    -1,  3487,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,  2610,    35,    -1,    -1,
      -1,    -1,    40,  3503,    -1,    -1,   653,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,  1870,    -1,    -1,    -1,    -1,
      -1,    -1,   354,    -1,  3204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,  3552,    -1,    -1,    -1,  1153,
      -1,    -1,  3222,    -1,    -1,    -1,    -1,    -1,    -1,  4429,
    1153,  4431,    -1,    -1,    -1,  3235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3602,    -1,    -1,    -1,    -1,
    3607,    -1,  3609,    -1,  4474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3631,    -1,    -1,    -1,   450,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,  3648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4519,
      -1,    -1,   180,    -1,    -1,  4525,  3663,   185,    -1,  3666,
      -1,  3331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,
      -1,    -1,  3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3377,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2823,
      -1,    -1,  2826,    -1,  2828,    -1,   254,    -1,    -1,  2833,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,  3411,    -1,   271,    -1,  2090,  3753,  3754,    -1,  2094,
    2095,    -1,    -1,    -1,    -1,  1359,  3763,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1359,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3782,    -1,    -1,  2882,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   926,
      -1,  3461,    -1,    -1,    -1,  2899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2156,   949,    -1,    -1,    -1,    -1,    -1,  3808,  3809,
    2924,  1425,    -1,  2168,    -1,    -1,   354,   964,    -1,    -1,
      -1,    -1,  1425,    -1,    -1,    -1,  4706,    -1,    -1,  3509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3854,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1464,    -1,    -1,  2208,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1464,  4742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1487,    -1,  3875,    -1,    -1,    -1,  2993,
      -1,  2995,    -1,    -1,  1487,    -1,  3886,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,  3926,  3927,  3608,    -1,
      -1,    -1,    -1,  3933,  3934,    -1,    -1,    -1,  3938,    -1,
      -1,    -1,    -1,  3943,    -1,    -1,  3946,  3947,    -1,    -1,
      -1,  3951,  3632,  1567,    -1,    -1,    -1,  3957,    -1,    -1,
      -1,    -1,  3076,    -1,  1567,    -1,    -1,    -1,  1582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1591,    -1,  1582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1591,  1603,
    3104,    -1,    -1,    -1,  3994,    -1,    -1,    -1,    -1,  3999,
    1603,     8,    -1,    -1,    11,  4005,  1153,    -1,    15,    16,
      17,    -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,  4019,
      -1,  3135,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,
      -1,    -1,  2387,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,    -1,    -1,  1658,  4045,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4934,  1658,  4936,    -1,  1672,    -1,
      -1,    -1,    -1,  4080,    71,    -1,    -1,    -1,  4085,  1672,
    1684,    -1,    -1,    -1,    -1,    -1,    -1,  3757,    -1,    -1,
      -1,  1684,  1696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3204,    -1,    -1,  1696,    -1,    -1,    -1,    -1,    -1,    -1,
    4117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3222,    -1,
      -1,    -1,  4129,    -1,  2469,    -1,    -1,    -1,    -1,    -1,
      -1,  3235,  1736,  1737,    -1,    -1,    -1,  3807,     8,    -1,
      -1,    11,    -1,  1736,  1737,    15,    16,    17,    -1,  4156,
      -1,    -1,    -1,    -1,    -1,  4145,    -1,    -1,  5028,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,  5046,    47,    -1,    -1,
      -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,  5059,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4211,  1359,    -1,   221,    -1,    -1,  3331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2580,    -1,    -1,    -1,    -1,
      -1,  4248,    -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,
      -1,    -1,  2597,    -1,    -1,    -1,    -1,   254,    -1,  3929,
    5130,  5131,    -1,    -1,    -1,  2610,  1870,    -1,    -1,  3939,
      -1,   268,    -1,  3377,   271,    -1,    -1,  1870,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1425,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5172,    -1,    -1,    -1,    -1,  3411,    -1,    -1,
     180,    -1,    -1,  4320,    -1,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3994,    -1,    -1,  1464,    -1,  3999,
      -1,    -1,    -1,    -1,    -1,  4005,   206,   207,   629,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1487,   221,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,
      -1,    -1,   653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4362,  4363,    -1,    -1,  4366,    -1,  5248,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4063,    -1,    -1,    -1,    -1,   268,    -1,
      -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4404,  4405,    -1,    -1,    -1,    -1,
      -1,    -1,  4429,    -1,  4431,    -1,    -1,  5297,    -1,    -1,
    1567,  4101,    -1,    -1,  4424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5312,  5313,  5314,  1582,    -1,    -1,    -1,    -1,
      -1,    -1,  4122,   450,  1591,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,  1603,  4474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2823,    -1,
      -1,  2826,    -1,  2828,   354,    -1,  2090,    -1,  2833,    -1,
    2094,  2095,    -1,    -1,    -1,    -1,    -1,  2090,    -1,    -1,
      -1,  2094,  2095,    -1,  3608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4519,    -1,    -1,    -1,    -1,  4187,    -1,    -1,
      -1,  1658,    -1,    -1,    -1,    -1,    -1,    -1,  3632,    -1,
      -1,    -1,    -1,    -1,    -1,  1672,    -1,  2882,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1684,    -1,    -1,
      -1,    -1,  2156,    -1,  2899,    -1,    -1,    -1,    -1,  1696,
      -1,    -1,    -1,  2156,  2168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2168,    -1,    -1,    -1,  2924,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,    -1,    -1,  1736,
    1737,    -1,    -1,    -1,  2208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2208,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4296,    -1,  4298,    -1,
      -1,    -1,  4622,    -1,    -1,   926,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2993,    -1,
    2995,    -1,    -1,  3757,    -1,    -1,    -1,    -1,   949,    -1,
    4650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4340,    -1,    -1,   964,    -1,  4665,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   629,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4706,
      20,    -1,    -1,  3807,    -1,    25,    -1,    -1,    -1,   653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3076,    -1,  1870,  4724,  4742,    -1,    -1,    -1,    59,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    72,    73,    -1,    -1,    -1,  1048,    -1,  3104,
      -1,    -1,    -1,    83,    -1,    -1,    -1,    87,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3127,  2387,    -1,   105,    -1,    -1,    -1,    -1,
    3135,    -1,    -1,    -1,  2387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4473,    -1,    -1,    -1,    -1,   128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,
      -1,    -1,    -1,    -1,    -1,  3929,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3939,    -1,    -1,    -1,   159,
      -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3204,
      -1,    -1,  1153,    -1,    -1,  2469,    -1,    -1,   188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2469,  3222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,
    3235,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4902,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4595,    -1,  4934,    -1,  4936,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,
    4620,    -1,    -1,  2090,    -1,    -1,    -1,  2094,  2095,  4063,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     290,    -1,    -1,    -1,    -1,    -1,  2580,    -1,    -1,    -1,
     300,    -1,   926,   303,    -1,    -1,  3331,  2580,    -1,    -1,
    4660,    -1,    -1,  2597,    -1,    -1,  4986,  4101,    -1,    -1,
      -1,    -1,    -1,    -1,  2597,   949,  2610,  3352,    -1,   329,
      -1,    -1,    -1,    -1,   334,    -1,   336,  2610,  4122,  2156,
     964,  5028,    -1,   343,    -1,    -1,   346,    -1,    -1,  5019,
    5020,  2168,  3377,    -1,    -1,    -1,    -1,    -1,    -1,  5046,
      -1,    -1,    -1,    -1,  4714,   365,    -1,  5037,    -1,  4719,
    4720,   371,    -1,    -1,    -1,    -1,   376,    -1,    -1,   379,
      -1,    -1,    -1,   383,    -1,    -1,  3411,    -1,  1359,    -1,
     390,  2208,   392,    -1,    -1,    -1,    -1,   397,    -1,    -1,
      -1,    -1,    -1,  4187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,    -1,  1048,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5115,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4829,
    4830,    -1,    -1,    -1,  3509,  5172,    -1,    -1,  5158,    -1,
      -1,    -1,    -1,  1464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4298,    -1,  1487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2823,
      -1,    -1,  2826,    -1,  2828,    -1,    -1,    -1,    -1,  2833,
    2823,    -1,    -1,  2826,    -1,  2828,  4340,    -1,    -1,    -1,
    2833,  5248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3608,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5265,  1567,    -1,  2882,    -1,
      -1,  5271,    -1,    -1,    -1,    -1,    -1,  3632,    -1,  2882,
    5297,  1582,    -1,    -1,    -1,  2899,    -1,    -1,    -1,    -1,
    1591,    -1,    -1,    -1,    -1,  5312,  2899,    -1,    -1,    -1,
      -1,    -1,  1603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2924,  2469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5031,    -1,    -1,    37,    -1,    -1,  1658,    -1,  4473,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1672,    -1,    -1,    -1,    -1,    59,    -1,    -1,  2993,
      -1,  2995,    -1,  1684,    -1,    -1,    -1,    -1,    -1,    72,
    2993,    -1,  2995,    -1,    -1,  1696,    -1,    -1,    -1,    -1,
      83,    -1,  3757,    -1,    87,  1359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
      -1,    -1,    -1,  2580,    -1,  1736,  1737,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   128,    -1,    -1,    -1,    -1,
    2597,    -1,  3807,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,    -1,  3076,  2610,   147,    -1,    -1,    -1,    -1,    -1,
      -1,  1425,    -1,  3076,    -1,    -1,   159,    -1,    -1,    -1,
      -1,  4595,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,
    3104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3104,    -1,    -1,    -1,   188,  4620,    -1,    -1,    -1,
    1464,    -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3135,    -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3135,  1487,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   225,    -1,    -1,    -1,  4660,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1870,
      -1,    -1,    -1,    -1,  3929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,  3939,   268,    -1,    -1,   271,    28,
    3204,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
    4714,  3204,    -1,    -1,    -1,  4719,  4720,   290,  3222,    -1,
      -1,    -1,    -1,  1567,    -1,    54,    -1,    -1,    -1,  3222,
     303,  3235,    -1,    -1,    -1,    -1,    -1,   310,  1582,    -1,
      69,    -1,  3235,    -1,    -1,    -1,    -1,  1591,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,  1603,
      -1,    -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,
     343,    -1,    -1,   346,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2823,    -1,    -1,  2826,
      -1,  2828,   365,    -1,   123,    -1,  2833,    -1,   371,    -1,
      -1,   130,    -1,   376,   133,    -1,   379,   380,    -1,   382,
     383,    -1,    -1,    -1,  1658,    -1,    -1,    -1,  4063,   392,
      -1,    -1,    -1,    -1,   397,    -1,  4830,  3331,  1672,   158,
     403,    -1,    -1,   406,    -1,    -1,   409,    -1,  3331,    -1,
    1684,    -1,    -1,    -1,    -1,  2882,    -1,    -1,  3352,   422,
      -1,    -1,  1696,    -1,    -1,    -1,  4101,    -1,   187,  3352,
      -1,   190,  2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3377,    -1,    -1,    -1,  4122,    -1,    -1,
      -1,    -1,    -1,    -1,  3377,    -1,    -1,  2924,    -1,    -1,
      -1,    -1,  1736,  1737,    -1,    -1,    -1,    -1,    -1,  2090,
      -1,    -1,    -1,  2094,  2095,    -1,   235,  3411,    -1,   238,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3411,    -1,
     249,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,  4187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,   281,    -1,    -1,    -1,  2993,    -1,  2995,    -1,
      -1,    -1,    -1,    -1,    -1,  2156,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2168,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,   321,   322,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   343,    -1,  3509,  2208,    -1,    -1,
     349,    -1,    -1,    -1,    -1,    -1,  1870,  5031,    -1,    -1,
      -1,    -1,    -1,    -1,   363,    -1,    -1,    -1,    -1,  3076,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,
    3127,    -1,    -1,    -1,    -1,  4340,    -1,    -1,  3135,    -1,
      -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3632,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3632,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2387,    -1,  3235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4473,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2090,    -1,    -1,    -1,
    2094,  2095,    -1,  3757,    -1,    -1,    -1,    -1,    -1,    -1,
    1259,    -1,    -1,    -1,  3757,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3807,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2156,    -1,  3807,  3352,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1322,  2168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3411,  4620,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4660,    -1,    -1,    -1,  2610,
      -1,    -1,    -1,    -1,    -1,  3929,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3939,  3929,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3939,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4714,
      -1,    -1,  3509,    -1,  4719,  4720,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4063,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4063,  3608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3632,    -1,  4101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4122,    -1,
      -1,    -1,    -1,    -1,    -1,  2469,    -1,    -1,    -1,  4122,
      -1,    -1,  2823,    -1,    -1,  2826,    -1,  2828,    -1,    -1,
      -1,    -1,  2833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2882,    -1,    -1,  4187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2924,    -1,    -1,  2580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2597,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2610,    -1,    -1,    -1,
    3807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5031,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2993,    -1,  2995,  4298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1826,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4340,    -1,    -1,    -1,
      -1,  1840,    -1,    -1,    -1,  1844,    -1,  4340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1858,
    1859,  1860,    -1,  1862,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3076,    -1,    -1,    -1,    -1,
      -1,    -1,  3929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3939,    -1,    -1,  1904,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3127,    -1,    -1,    -1,
      -1,    -1,  1941,    -1,  3135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4473,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2823,
    4473,    -1,  2826,    -1,  2828,    -1,    -1,    -1,    -1,  2833,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4063,    -1,    -1,    -1,
      -1,  3222,    -1,    -1,    -1,    -1,    -1,    -1,  2882,    -1,
      -1,    -1,    -1,    -1,  3235,    -1,  2045,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2899,    -1,    -1,  2057,    -1,
      -1,    -1,    -1,  2062,  4101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2924,    -1,    -1,    -1,    -1,  4122,    -1,    -1,    -1,    -1,
      -1,  4595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4620,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4620,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2993,
    4187,  2995,    -1,    -1,    -1,    -1,  4660,    -1,    -1,    -1,
      -1,  3352,    -1,    -1,    -1,    -1,    -1,  4660,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3377,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4714,    -1,    -1,    -1,    -1,  4719,  4720,    -1,    -1,    -1,
    3411,  4714,    -1,    -1,    -1,    -1,  4719,  4720,    -1,    -1,
      -1,    -1,  3076,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3104,  4298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4340,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4830,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4830,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3608,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4473,    -1,    -1,    -1,
      -1,  3632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5031,    -1,    -1,
      -1,    -1,    -1,  3377,    -1,    -1,    -1,    -1,  5031,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3757,  3411,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4620,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3807,    -1,    -1,    -1,
      -1,    -1,    -1,  4660,    -1,  2624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2644,    -1,  2646,    -1,    -1,
    2649,  2650,    -1,  2652,    -1,  2654,    -1,    -1,    -1,  2658,
      -1,    -1,  2661,    -1,    -1,  3509,    -1,  2666,    -1,    -1,
      -1,    -1,    -1,  2672,    -1,    -1,    -1,  4714,  2677,    -1,
      -1,    -1,  4719,  4720,    -1,  2684,  2685,  2686,  2687,    -1,
      -1,    -1,  2691,  2692,    -1,  2694,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2706,    -1,  2708,
      -1,    -1,    -1,    -1,    -1,    -1,  2715,  2716,  2717,  2718,
    2719,  2720,  2721,  2722,  2723,  2724,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3939,    -1,
      -1,    -1,    -1,  2752,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2772,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3632,    -1,
      -1,    -1,    -1,  4830,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2869,    -1,  4063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4101,    -1,    -1,  3757,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3807,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5031,    -1,  4187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3929,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3939,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4340,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4063,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4122,    -1,
      -1,    -1,  4473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3327,    -1,
      -1,    -1,    -1,    -1,  3333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4187,    -1,    -1,    -1,    -1,    -1,    -1,
    3349,  3350,    -1,    -1,  3353,  3354,  3355,  3356,    -1,    -1,
    3359,  3360,  3361,  3362,  3363,  3364,  3365,  3366,  3367,  3368,
    3369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3391,    -1,    -1,  3394,    -1,  3396,    -1,    -1,
    3399,  3400,    -1,    -1,  4595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3414,  3415,  3416,  3417,    -1,
    3419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4620,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4660,
    3469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4340,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3518,
      -1,    -1,    -1,  4714,    -1,    -1,    -1,    -1,  4719,  4720,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4473,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4830,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3728,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4620,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4660,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4714,    -1,    -1,    -1,    -1,  4719,  4720,  3876,    -1,    -1,
      -1,  3880,  3881,  3882,    -1,    -1,    -1,    -1,    -1,  3888,
    3889,  3890,  3891,    -1,    -1,    -1,    -1,  3896,  3897,  3898,
    3899,  3900,  3901,  3902,  3903,  3904,  3905,  3906,  3907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3932,    -1,    -1,  3935,    -1,  3937,    -1,
      -1,    -1,  3941,    -1,    -1,  3944,  3945,    -1,    -1,  3948,
    3949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4830,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3996,    -1,    -1,
      -1,    -1,    -1,    -1,  4003,  4004,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4018,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5031,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4214,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4293,  4294,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4330,    -1,    -1,    -1,    -1,  4335,  4336,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4350,    -1,  4352,    -1,    -1,    -1,  4356,  4357,  4358,
      -1,    -1,  4361,    -1,    -1,  4364,  4365,    -1,    -1,    -1,
    4369,    -1,    -1,    -1,  4373,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4618,
    4619,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4634,  4635,  4636,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4644,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4672,  4673,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4856,    -1,    -1,
    4859,    -1,    -1,    -1,  4863,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4913,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5025,    -1,  5027,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5057,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5194,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5223,  5224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,  5267,  5268,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,  5293,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,
      -1,    -1,   457,   458,   459,    -1,    -1,    -1,    -1,    -1,
      -1,   466,   467,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,   467,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,
      -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,   467,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,   467,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,    -1,    -1,     3,    -1,
      -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,   467,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   467,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,    -1,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,   449,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,   467,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,    -1,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,
     392,    -1,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,   447,   448,   449,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,   467,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,   162,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,   216,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,   464,   465,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,   162,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,     3,     4,     5,     6,     7,
     466,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,     3,     4,     5,
       6,     7,   466,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,     3,     4,     5,     6,
       7,    -1,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,     3,     4,     5,     6,     7,
      -1,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,    -1,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,     3,    -1,    -1,    -1,    -1,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,     3,
       4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,     3,    -1,
      -1,    -1,    -1,   457,   458,   459,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,
      -1,     8,     9,    -1,    -1,    -1,    -1,   466,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,     3,     4,     5,    -1,
      -1,     8,     9,    -1,    -1,    -1,    -1,    -1,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,     3,    -1,   453,   454,   455,     8,
     457,   458,   459,   460,   461,   462,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,     3,    -1,   453,   454,   455,     8,   457,   458,
     459,   460,   461,   462,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
       3,    -1,   453,   454,   455,     8,   457,   458,   459,   460,
     461,   462,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,     3,    -1,
     453,   454,   455,     8,   457,   458,   459,   460,   461,   462,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,     3,    -1,   453,   454,
     455,     8,   457,   458,   459,   460,   461,   462,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,     3,    -1,   453,   454,   455,     8,
     457,   458,   459,   460,   461,   462,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,     3,    -1,   453,   454,   455,     8,   457,   458,
     459,   460,   461,   462,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    -1,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,    -1,   292,
      -1,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,
      -1,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,   459,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      -1,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,    -1,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,    -1,   392,    -1,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,     3,     4,     5,    -1,
      -1,    -1,     9,    -1,    -1,    -1,    -1,   447,   448,   449,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,   459,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,     4,     5,    -1,    -1,    -1,     9,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,     4,     5,    -1,    -1,    -1,     9,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,     5,
      -1,    -1,    -1,     9,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
       9,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,   162,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,     4,     5,    -1,    -1,    -1,     9,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,    -1,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,    -1,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,
     392,    -1,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,    -1,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,
     392,    -1,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    -1,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,    -1,   292,    -1,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,    -1,   392,    -1,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
     449,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    -1,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,   449,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    -1,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,    -1,   292,
      -1,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,
      -1,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      -1,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,    -1,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,    -1,   392,    -1,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,    -1,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,    -1,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
      -1,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    -1,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,   146,   147,
     148,    -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,    -1,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,    -1,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,   449,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    -1,    49,    -1,    -1,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    -1,    -1,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,    -1,    -1,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
      -1,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,   199,    -1,    -1,    -1,    -1,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,    -1,    -1,   258,    -1,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,    -1,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,    -1,   352,   353,   354,
     355,   356,    -1,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
      -1,    -1,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,    -1,    -1,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,   449,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      -1,    -1,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,    -1,    -1,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,    -1,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,    -1,   196,   197,   198,   199,    -1,    -1,
      -1,    -1,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,   253,    -1,   255,    -1,    -1,   258,    -1,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,    -1,    -1,   276,    -1,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,    -1,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,    -1,
     352,   353,    -1,   355,   356,    -1,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,    -1,    -1,    -1,    -1,   389,   390,    -1,
     392,    -1,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,    -1,    -1,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    66,    68,    69,    75,
      77,    88,    90,   107,   110,   124,   126,   130,   136,   144,
     146,   152,   168,   184,   223,   224,   229,   241,   253,   295,
     308,   314,   315,   317,   322,   327,   330,   335,   341,   342,
     349,   353,   363,   376,   395,   405,   411,   416,   429,   452,
     466,   473,   474,   475,   476,   482,   483,   485,   486,   487,
     488,   490,   494,   506,   511,   512,   515,   516,   517,   537,
     540,   541,   557,   600,   601,   604,   607,   608,   609,   617,
     623,   625,   627,   628,   631,   634,   635,   639,   648,   652,
     653,   654,   655,   658,   660,   661,   662,   663,   671,   672,
     691,   695,   697,   698,   699,   709,   711,   718,   719,   722,
     723,   724,   725,   726,   734,   736,   740,   745,   749,   750,
     758,   759,   762,   767,   778,   805,   808,   809,   810,   815,
     818,   820,   822,   824,   825,   830,   831,   834,   835,   836,
     840,   841,   844,   845,   848,   849,   850,   857,   859,   860,
     861,   866,   868,   869,   875,   876,   877,   878,   879,   880,
     881,   883,   884,   886,   887,   889,   892,   893,   898,   904,
     907,   909,   910,   919,   921,   926,   931,   935,   936,   937,
     938,   939,   940,   943,   978,   389,   432,   862,    25,    72,
      87,   105,   111,   128,   139,   147,   159,   164,   171,   188,
     213,   234,   268,   290,   300,   303,   329,   334,   336,   343,
     346,   365,   371,   375,   376,   379,   383,   392,   397,   409,
     422,   624,   862,     3,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    37,    38,    40,    41,
      42,    44,    45,    46,    47,    48,    50,    51,    53,    54,
      55,    56,    57,    60,    61,    62,    63,    64,    66,    67,
      68,    69,    70,    74,    75,    76,    77,    78,    80,    81,
      82,    84,    85,    86,    87,    88,    89,    92,    93,    94,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   112,
     114,   115,   116,   117,   118,   119,   121,   122,   123,   124,
     127,   128,   129,   130,   131,   133,   134,   135,   137,   138,
     139,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     151,   153,   154,   155,   156,   158,   160,   164,   165,   166,
     167,   169,   170,   172,   173,   175,   176,   177,   178,   179,
     181,   182,   183,   184,   186,   187,   188,   189,   190,   191,
     193,   195,   196,   197,   198,   199,   200,   201,   203,   205,
     208,   210,   211,   212,   213,   214,   217,   218,   220,   223,
     224,   225,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   246,
     247,   248,   249,   250,   252,   253,   255,   257,   258,   259,
     260,   261,   262,   264,   265,   268,   269,   270,   273,   274,
     276,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   289,   290,   291,   292,   293,   294,   295,   296,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   326,   327,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     343,   344,   345,   346,   347,   349,   350,   351,   352,   353,
     355,   356,   357,   358,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   374,   375,   377,
     379,   380,   381,   382,   383,   385,   386,   389,   390,   391,
     392,   393,   395,   396,   397,   398,   399,   400,   401,   404,
     405,   406,   407,   408,   411,   412,   413,   414,   415,   416,
     417,   419,   421,   422,   423,   424,   427,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   932,  1103,  1117,
    1121,  1122,   420,   894,   266,   296,   862,    49,   466,   548,
      20,    25,    37,    59,    72,    83,   105,   111,   128,   139,
     147,   159,   167,   171,   225,   268,   271,   290,   303,   329,
     336,   346,   365,   371,   379,   380,   382,   383,   392,   397,
     403,   406,   409,   558,   606,   714,   768,   779,    26,   295,
    1103,   932,    26,   289,   344,   380,   382,     5,   212,   816,
     817,  1112,    20,    25,    37,    59,    72,    87,   105,   128,
     139,   147,   159,   164,   171,   188,   234,   268,   280,   290,
     303,   329,   334,   336,   343,   346,   365,   371,   376,   379,
     383,   390,   392,   397,   409,   422,   624,   727,   728,   729,
     862,  1103,    90,   420,   466,   601,   604,   607,   893,   899,
     907,   910,   919,   926,   931,   935,     9,    19,    26,    44,
     154,   160,   162,   185,   214,   248,   298,   316,   457,   458,
     746,   747,   932,  1111,  1113,    26,    90,   312,   342,   751,
     752,   753,  1117,   159,  1117,  1108,  1112,   376,   946,   746,
    1117,   389,  1103,   280,   234,   105,   188,   336,   375,   376,
     466,   826,   827,   335,  1117,    26,   347,   385,   389,   498,
     507,   508,  1117,    23,   168,   751,   752,   296,   862,  1117,
     211,    26,   125,   948,   949,    60,    84,   225,   243,   329,
     336,   347,   385,   389,   435,   495,   496,   497,   498,    26,
     347,   385,   389,   498,   389,   267,   989,  1101,  1117,   946,
     459,  1117,   163,   466,   895,   466,   310,   941,   942,  1103,
     941,   936,   937,   940,     0,   469,   894,   140,   202,   272,
     402,   950,   951,   936,   938,   939,   116,   198,   408,   470,
       3,    43,    49,    72,    79,    91,    98,   161,   163,   180,
     194,   206,   207,   209,   219,   221,   245,   254,   275,   277,
     328,   354,   378,   420,   795,  1109,  1117,  1118,  1121,  1123,
     731,  1117,   731,  1104,  1117,   299,   731,   392,  1103,   104,
     376,   783,  1109,  1117,  1123,     3,   101,   348,  1114,  1115,
    1119,  1121,  1122,  1123,    26,   179,  1101,   260,   422,     8,
      15,    16,    17,    67,   151,   453,   454,   455,   457,   458,
     459,   460,   461,   462,   812,   814,  1065,  1066,  1117,   179,
    1103,  1103,    26,  1114,  1115,  1103,  1103,   179,  1101,  1103,
     731,  1103,   322,   349,    26,   179,   989,  1103,   339,  1103,
     731,    26,   232,  1114,  1115,   179,  1101,   212,   113,   208,
     251,   306,   863,   864,   865,  1101,  1107,  1117,    20,    25,
      59,    72,    73,    83,    87,   105,   128,   139,   147,   159,
     164,   188,   213,   234,   268,   290,   303,   329,   334,   336,
     343,   346,   365,   371,   376,   379,   383,   390,   392,   397,
     422,   624,   737,   738,  1112,   906,   910,   919,   926,   935,
    1101,   236,  1109,  1103,   466,   179,   731,   392,  1104,   731,
     392,   179,  1103,   104,   376,   380,   382,  1114,  1115,   380,
     382,    67,   151,   812,   320,  1103,  1103,  1114,   179,   491,
    1117,   179,  1103,   179,   731,  1103,  1103,   339,  1103,   731,
     232,  1114,   310,   343,   376,   422,   234,    87,   188,   164,
     334,   390,   396,   618,    26,  1103,   933,   505,  1112,  1119,
     817,   236,   179,   795,   796,  1103,   179,   821,   179,  1104,
       3,    48,    50,    51,    62,    63,   108,   109,   129,   155,
     179,   200,   201,   203,   244,   246,   259,   307,   351,   357,
     385,   386,   417,   733,  1011,  1013,  1015,  1017,  1019,  1021,
    1022,  1023,  1025,  1026,  1027,  1029,  1030,  1118,  1121,   392,
     104,   376,   179,   782,   783,   179,  1115,  1116,    79,   422,
      67,   151,   179,   813,   814,    53,   179,  1116,   179,  1103,
     179,  1103,   339,   821,   179,   733,   179,   232,  1116,   212,
     179,   730,   731,   179,  1102,  1103,   179,  1103,   466,   908,
     558,   899,   416,   893,   900,   901,   902,  1119,   894,  1113,
     747,   748,    26,   748,  1113,   748,    26,   748,  1113,   748,
     748,   748,  1113,  1111,  1111,   932,   748,   299,   466,   466,
     578,   578,   578,   266,   387,   470,   578,   336,   989,   990,
     470,   858,  1112,   466,   905,    53,   422,   420,   828,   829,
    1101,  1103,  1117,    43,   449,   208,   468,   269,   269,   266,
     162,  1112,   387,   157,   741,   266,     4,     6,     7,     8,
      10,    34,    48,    50,    51,    58,    59,    62,    63,    70,
      72,    95,    96,    97,    98,    99,   100,   101,   108,   109,
     111,   145,   149,   150,   155,   170,   172,   200,   201,   203,
     218,   226,   227,   244,   246,   251,   256,   257,   259,   268,
     278,   291,   307,   332,   348,   357,   372,   385,   386,   391,
     393,   394,   403,   409,   417,   437,   438,   439,   440,   442,
     443,   444,   445,   450,   457,   458,   459,   466,   936,  1014,
    1017,  1020,  1021,  1022,  1024,  1025,  1026,  1029,  1030,  1034,
    1036,  1037,  1038,  1040,  1061,  1062,  1063,  1067,  1086,  1091,
    1098,  1099,  1109,  1110,  1111,  1112,  1117,  1097,  1098,  1112,
      26,   513,  1100,  1101,   347,   495,   111,   504,  1112,   505,
    1112,    43,    64,   495,   449,   358,   864,   269,   162,   387,
     455,    43,   449,   208,   865,   466,  1101,   459,   464,   468,
    1092,  1094,   990,     3,   161,   163,   420,   890,   891,   893,
     161,   896,  1034,  1070,   941,   470,   466,   897,   467,   467,
     475,  1101,    26,   125,   947,   947,    53,   947,   152,   157,
     222,   263,   954,   956,   957,   972,   974,   975,   976,   950,
     951,   162,   204,   989,   991,   466,   281,   318,   349,   466,
     793,  1094,   281,   314,   318,   349,   468,   732,   281,   318,
     349,     3,    82,   134,   228,   281,   318,   349,   379,   381,
     429,   506,   509,   870,   871,   872,   873,   763,    22,   130,
     281,   318,   349,   413,   521,  1103,    22,   130,   349,   408,
     489,   433,   179,   989,    55,    89,   119,   148,   182,   217,
     251,   281,   282,   318,   326,   333,   341,   349,   361,   369,
     424,   506,   510,   798,   806,   466,   780,  1094,   318,   489,
     185,   145,    22,    28,    69,   119,   123,   130,   133,   158,
     190,   249,   251,   261,   270,   281,   318,   321,   322,   349,
     413,   518,   520,   642,     4,   457,   458,   615,  1113,    26,
     179,  1101,   731,   731,   466,   811,   281,   349,   468,   145,
     266,    22,   130,   281,   318,   349,   185,   484,   318,   429,
     452,   477,   484,   266,   281,   318,   145,    35,    54,   103,
     187,   235,   238,   249,   280,   318,   323,   343,   349,   363,
     518,   612,   613,   281,   318,   421,   642,   650,   281,   318,
     349,    82,   123,   133,   281,   314,   318,   349,   508,   496,
     498,   185,   145,    41,   121,   318,   349,   518,   519,   281,
     318,   322,   349,    80,   122,   283,   381,   266,    22,    28,
     130,   281,   318,   349,   538,   539,   484,   157,   318,   477,
     484,   145,   318,   349,   518,  1103,   220,   113,   267,   434,
     470,   863,   410,   888,   266,   236,   795,   466,  1103,  1011,
     392,   104,   376,   783,   260,   422,    67,   151,   814,  1103,
    1103,   339,   157,  1103,  1011,   212,   731,  1103,   467,   578,
    1103,   466,   704,   793,    65,  1011,   251,   162,   466,   700,
    1103,   477,    35,   882,  1103,   251,   477,   433,   179,  1101,
     477,   731,   731,   700,   406,   558,   266,   157,   842,   843,
     477,   251,    43,   492,   251,   397,   649,   251,   897,    82,
     281,   626,    80,   122,   283,   381,    24,    45,   199,   673,
      35,   700,   157,   179,   477,   422,   179,  1101,   179,   602,
    1101,  1101,   422,   731,    79,   769,  1109,  1103,   157,   624,
      49,   102,   197,   249,   338,   145,    56,   324,   470,   522,
     522,   145,   466,   145,   419,  1028,  1028,  1028,   466,  1016,
    1016,   293,   466,  1018,   145,    62,    63,  1028,  1016,  1013,
     431,   452,   466,  1031,   466,  1031,   470,   522,    34,  1012,
     466,   106,   177,   237,   240,   340,   447,   466,  1032,  1033,
     732,  1016,   433,   145,   470,   522,   145,   470,   179,   730,
     179,   731,   179,   731,   145,   470,   522,  1116,   145,   145,
     522,   145,    80,   122,   283,   381,   157,   145,   522,   145,
     157,   179,   179,   505,   145,   470,   522,   145,   470,   522,
     145,   266,  1070,   376,   467,   470,   150,   266,   394,   502,
     505,   615,   903,   899,   748,   932,   748,   932,   748,   932,
     748,   932,   748,   932,   932,   932,   748,   932,   466,   579,
     580,  1117,   579,    26,   105,   128,   159,   164,   212,   213,
     336,   343,   376,   379,   397,   754,  1100,  1116,   753,  1103,
     185,   470,   922,  1112,  1011,  1073,    35,  1116,   769,   467,
     470,   220,  1117,   157,   157,   754,  1116,   335,  1117,   505,
     266,   466,  1095,   464,   936,  1074,  1034,  1090,   466,   466,
     157,   466,   466,   936,   466,   466,   466,   466,   466,   466,
    1034,   466,   466,   466,   466,   466,   466,   466,   466,   936,
     466,   466,   466,   466,   466,   466,   466,   466,  1034,  1034,
    1034,   936,  1034,  1070,  1094,  1112,   466,  1112,     3,     8,
      11,    15,    16,    17,    32,    35,    40,    47,    71,   180,
     185,   206,   207,   221,   254,   268,   271,   354,   450,   453,
     454,   455,   457,   458,   459,   460,   461,   462,  1065,  1067,
    1069,   430,  1049,   277,  1034,   204,   470,   944,   466,  1112,
    1094,   944,   114,   181,   514,   470,    64,   111,   505,    35,
       3,   111,   225,   503,   615,  1030,  1112,  1112,    85,   127,
    1046,    94,   111,   499,   500,   502,   615,   111,   499,   220,
    1101,  1034,  1093,     3,    26,    30,    31,    32,    33,    34,
      35,    36,    39,    52,    58,    59,    65,    71,    73,    83,
      90,    95,    96,    97,    99,   100,   101,   111,   113,   120,
     125,   126,   132,   136,   140,   150,   152,   157,   159,   162,
     168,   171,   174,   185,   192,   202,   204,   215,   216,   222,
     226,   227,   251,   256,   263,   266,   267,   271,   272,   288,
     297,   312,   325,   342,   348,   359,   373,   376,   384,   387,
     388,   394,   402,   403,   409,   410,   418,   425,   426,   428,
     429,   459,  1106,  1120,  1121,  1122,  1123,  1124,  1092,    86,
     323,   735,   467,   470,   894,   467,   470,   942,  1102,    35,
     897,   938,   938,   952,   953,  1034,   938,   154,   248,   963,
     210,   249,   306,   352,   408,    26,   958,  1034,   457,   458,
     959,   960,  1034,  1036,   972,   973,   957,   956,   954,   955,
     157,   975,   261,   977,   954,   972,   991,   911,  1101,    35,
    1117,   349,  1070,   387,   387,   336,   185,   195,   272,   274,
     351,   418,   459,   786,   787,   788,   790,   792,   794,  1011,
    1118,   387,   421,   387,   336,  1106,   468,   387,   387,   336,
     222,   387,   387,   379,   495,   281,   870,   872,   455,   874,
     157,   168,   185,   327,   764,   765,    65,    83,   141,   159,
     297,   403,   575,   576,    83,   111,   251,   387,    83,   387,
     111,   251,   336,    83,   123,   133,   281,   318,   696,   336,
     632,    20,    25,    59,    72,    87,   128,   139,   159,   164,
     234,   268,   336,   343,   346,   376,   383,   390,   397,   422,
     624,  1103,   145,   318,   349,   518,   266,   615,   266,   341,
     217,   387,  1117,   387,   256,   615,   115,   205,   336,   347,
     389,   497,   324,   349,   798,   807,   467,   781,   786,   387,
     409,   379,  1101,    73,   141,   179,   565,   575,  1117,    73,
      83,   832,   266,   266,   332,   334,   392,    83,   832,    29,
     321,   332,   334,   392,   332,  1101,   158,   190,   261,   731,
     466,   387,   387,   178,   466,   526,   231,   379,   406,   429,
     431,   526,    83,   470,     4,     4,   281,   185,   145,   119,
     318,   349,   518,   410,   410,   250,  1011,   387,   336,   466,
     812,  1103,  1101,   376,   376,   387,   387,   376,   700,   105,
     349,   509,   387,   479,   509,  1101,   387,   387,  1101,  1013,
     615,    53,   614,   615,   615,   103,   235,   238,    53,   387,
     477,   242,   336,   477,   249,   613,   387,   387,   256,  1112,
     642,   387,   387,   336,  1112,   387,   303,   387,   303,   700,
     379,   989,   285,   285,    83,   387,   832,   336,   387,   387,
     526,   526,   731,   731,   731,   731,  1101,    42,   415,    42,
      42,   387,    42,   387,   415,   336,   470,   509,   409,   659,
    1115,   387,   479,   509,  1101,   387,   336,   281,   318,   306,
     319,   345,   501,   863,  1107,  1117,  1101,   206,  1011,   266,
     206,   433,   206,   615,   731,   731,   206,   266,   266,    80,
     122,   283,   381,  1011,   266,   206,   206,   206,   387,   429,
     549,   397,     3,   705,   706,   700,   466,    35,   145,   731,
     701,   702,  1120,    24,   870,  1011,   266,   145,   629,  1103,
     251,   285,   466,   478,   714,   410,   310,   422,  1101,    26,
     376,   429,   802,   478,   145,  1115,    90,   168,   493,   557,
     608,   672,   749,   767,   866,   145,  1112,   650,   651,   145,
     266,  1112,  1115,   228,   731,   731,   731,   731,   261,   116,
     198,   395,   408,   674,   675,   137,   305,   466,   659,   251,
     478,  1101,   251,   610,   612,   251,    35,   261,   285,   466,
     578,   578,   179,   605,  1101,   157,   179,   770,  1107,   466,
     784,    35,  1011,   212,   429,   431,   934,   338,   796,   795,
    1011,  1104,   466,  1070,  1111,   733,  1028,  1028,    34,  1012,
     385,   385,  1111,  1111,  1011,   464,   464,  1111,   387,   387,
     387,   466,   387,  1111,  1016,   782,   783,  1116,  1115,   145,
     522,   145,   410,   145,   410,   813,   814,   522,  1116,  1103,
    1103,  1011,   733,  1116,   659,   145,   145,   522,   730,   731,
    1102,  1103,  1103,   731,   467,   179,  1101,   899,   901,   932,
     932,   932,   932,   932,   932,   579,   467,   470,   467,   165,
     344,   377,  1102,   730,   104,   346,   782,  1102,   260,  1102,
    1100,  1100,  1102,   730,   387,   429,   760,   140,   222,   656,
     657,    20,   143,   332,   352,   923,   989,   255,   924,   467,
     470,   906,   387,  1101,   826,   827,   829,   752,   751,   752,
     162,   169,   761,  1117,    25,    73,   105,   128,   139,   159,
     164,   213,   234,   303,   329,   336,   343,   371,   376,   379,
     397,   422,   624,   742,   743,  1070,  1092,   465,  1070,  1074,
    1075,   425,  1087,  1088,  1034,  1070,   466,  1111,  1111,     3,
     106,   177,   237,   240,   340,   447,  1076,  1077,  1112,  1070,
    1070,  1070,  1111,  1111,  1034,   812,  1034,  1078,   332,   457,
     458,   466,  1035,  1036,  1067,  1080,   467,  1070,  1034,  1070,
    1081,  1034,    52,   162,   216,   388,  1034,  1070,  1084,  1070,
     242,  1036,  1034,  1044,  1045,  1046,   242,  1034,  1046,   467,
     470,  1111,  1032,  1011,  1034,  1034,  1034,  1034,  1120,   385,
      39,   373,  1096,   731,  1034,   466,   936,  1085,   125,   127,
     150,   251,   256,   261,   394,   404,  1034,   466,  1034,   387,
      47,   180,   185,   221,   354,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,    26,    33,   359,  1064,   171,
     153,  1050,   332,   466,  1061,   167,   225,   376,   380,   382,
     406,   945,  1101,  1099,   162,   979,    26,   125,   418,   459,
     467,   788,  1034,  1071,  1072,  1118,   979,  1101,   389,   466,
    1112,   470,   467,   465,   471,   178,   178,   522,  1101,   891,
     892,  1101,  1034,   467,   466,   470,    36,   120,   410,   776,
     332,   333,   457,   458,   960,   962,  1036,   352,   210,   267,
     470,     4,   961,  1111,   961,   332,   333,   962,  1100,   255,
     356,   925,   973,   955,   410,   920,   111,   279,   466,   912,
     935,    35,  1117,   466,   927,   928,   929,  1117,   467,  1115,
    1103,  1103,   274,    53,  1118,   467,   788,   790,   787,   790,
    1118,   272,   467,   470,   732,  1115,  1103,  1103,  1106,  1115,
    1103,  1103,  1115,  1104,  1103,   111,   502,  1113,   329,   409,
     751,   336,   168,   751,   466,  1103,   410,   771,   210,   210,
     410,   466,   599,   179,  1103,   256,  1115,  1103,  1103,  1034,
     256,  1103,  1103,    29,   321,   387,   387,  1103,   387,   633,
     236,   795,   466,   731,   731,  1011,   392,   104,   376,   783,
     422,    67,   151,   814,  1103,   731,  1103,   731,   339,   157,
    1011,   731,   212,   173,   249,   281,   318,   414,   636,   637,
     638,   989,   387,   832,   336,   256,   147,   115,   205,  1115,
    1103,   266,  1103,   467,   470,  1114,  1116,  1103,   318,   518,
     179,   565,   251,  1011,  1103,  1117,  1103,   147,   220,  1103,
      26,   409,  1103,   179,  1103,   179,  1117,   334,   392,   334,
     392,   220,  1103,    26,   409,  1103,   220,   332,  1101,    22,
     130,   349,   643,   644,   645,   646,  1120,  1115,  1103,   111,
     163,   252,   410,   525,   528,   529,  1120,  1103,   264,    69,
     264,  1103,   520,   387,   379,  1101,   266,   387,   832,   336,
    1105,  1117,  1105,   470,   467,   470,  1115,  1103,   837,   838,
    1120,   266,   318,   387,   667,   990,   990,  1115,  1103,   990,
    1104,  1114,     3,    82,   135,   190,   287,   401,   409,   412,
     480,   318,  1115,  1103,   318,   349,   518,   612,   615,   731,
    1103,   615,   731,  1103,   615,  1115,  1103,  1115,  1103,  1103,
    1115,   802,  1103,   846,   847,  1120,  1103,   318,   349,   518,
     519,  1101,  1101,  1103,  1103,  1103,  1103,  1115,  1103,    22,
      28,   130,   281,   318,   349,   281,   318,   349,   700,   318,
     349,   318,   349,   119,   318,  1003,  1117,   179,   710,  1117,
     179,  1117,  1115,  1103,  1103,  1112,  1103,    22,   539,   346,
    1114,   318,   349,   518,  1103,  1103,   387,   387,    78,   400,
     306,   256,   739,  1112,    35,   128,   731,   739,   739,   206,
     410,   410,   739,   731,   731,   212,   731,   739,   739,   739,
     302,   543,   264,   162,   387,   542,   188,   455,   467,   470,
    1034,  1011,   731,   467,   470,   455,   674,   567,  1120,  1103,
      56,   162,   336,   421,   630,   637,   638,   145,   261,   221,
     559,   561,   563,   565,   572,   575,    23,   185,   329,   374,
     480,   481,   157,  1105,   422,  1101,    35,   668,   377,   990,
     700,   491,  1117,   492,   271,   558,  1103,   159,   731,  1070,
     303,  1112,   700,   700,   700,   700,   261,   266,   271,   466,
     700,  1001,  1002,  1003,   346,   145,   466,   145,   145,   144,
     935,   731,   261,   559,  1117,   429,   431,   595,   429,   527,
     251,    35,   578,  1112,   251,   266,   467,   785,   786,   791,
      35,   212,   326,   390,   428,   797,   798,   799,   266,   212,
     505,   176,   176,   157,   522,    35,  1070,   467,   467,   522,
     464,   449,   449,   467,   467,  1111,   465,  1111,   467,   177,
     237,  1033,   237,  1033,  1033,  1111,   240,   467,   522,   730,
     731,  1105,   731,  1105,   522,   522,   212,   522,   346,   157,
     505,   522,   522,   266,   522,   251,   467,   580,   185,   185,
     185,   433,  1102,   615,   616,   171,   755,   756,  1115,    23,
     761,   387,   466,   162,   143,   352,   143,   352,   332,   408,
     239,  1011,  1115,   429,   603,  1101,  1103,   162,   266,   755,
      53,   522,   795,  1011,   392,   376,   783,   260,   422,  1011,
     212,   731,  1103,   467,   465,   465,   470,  1034,   132,  1088,
    1089,    35,   467,  1034,   467,   467,   467,   162,   467,   467,
     467,   467,   467,   470,   467,   288,  1079,   467,   466,  1035,
    1035,  1070,    11,    15,    16,    17,   185,   206,   268,   453,
     454,   455,   457,   458,   459,   460,   461,   462,  1067,  1035,
     467,   467,   157,   162,  1082,  1083,   467,    35,  1084,  1070,
    1084,  1084,   162,   467,   467,  1120,   286,  1048,    35,   467,
     470,  1034,  1120,   470,  1034,  1095,  1034,   467,   449,  1035,
    1035,   138,  1070,   162,   125,   127,   150,   256,   261,   394,
     404,   466,   138,   812,  1034,   373,  1096,  1034,  1085,  1034,
     387,   466,   936,   466,   466,   276,  1054,   466,  1070,   380,
     382,   380,   382,  1101,   946,   946,   946,   215,   333,   446,
     466,   936,   980,   981,   982,   989,   994,  1004,  1037,  1039,
    1040,  1109,  1117,   426,   999,  1071,  1071,  1072,   467,    13,
      14,   470,   950,   951,   999,   864,  1111,  1032,   500,  1034,
    1093,   897,   906,   953,   268,  1065,  1068,   451,   777,     4,
    1111,   962,   267,   408,   959,   230,   980,   426,  1000,   416,
     375,   409,   913,   914,   915,  1117,   266,   916,  1117,   929,
     930,   470,   979,   455,  1095,   794,   732,   790,   790,    53,
     792,   461,  1116,  1116,   266,  1102,   269,   266,  1034,   576,
    1105,   466,   466,   466,   599,   188,   579,   689,   145,   522,
     387,  1115,  1103,   505,  1103,  1011,  1103,   433,   731,   731,
     731,   731,    80,   122,   283,   381,  1011,  1103,   619,  1103,
     173,   414,   387,   387,   619,   636,   642,   318,   349,   518,
    1103,  1103,  1103,   196,  1103,   256,   786,   280,   349,   387,
     251,   145,   270,   640,   689,    22,   130,   322,   323,   349,
     521,   530,   531,   642,   833,  1103,   341,   145,   522,   145,
     522,  1103,  1103,  1103,  1103,   341,   341,   220,   645,   646,
     645,   467,   470,   647,  1112,   188,   467,   470,   455,   468,
    1115,  1103,   318,   349,   518,   147,  1103,  1103,  1103,   281,
     318,   349,    22,   130,   281,   318,   349,  1011,   250,  1011,
     467,   470,   455,  1101,   387,  1116,   410,   664,   222,   287,
     256,  1112,   287,  1116,   407,   387,   387,   336,   470,   802,
     280,   349,    83,   387,   832,   336,   157,   532,   387,   387,
     232,   232,   232,   387,   387,   336,   387,   387,   336,   387,
     336,   387,   336,   266,   387,   522,  1011,   251,  1112,   349,
     833,   145,   522,   387,   387,  1103,   387,   336,  1115,  1103,
    1011,   731,   206,   739,  1105,  1105,   206,   206,  1103,   206,
     366,   367,   544,  1112,   543,   173,   250,   268,   457,   458,
     615,   703,   790,  1068,  1112,  1124,     3,   706,   467,   467,
     162,   700,   702,   703,   266,    65,    71,    83,   111,   113,
     166,   192,   251,   256,   297,   312,   403,   568,   569,   571,
     144,   425,   477,   505,  1103,   505,   640,  1101,  1101,  1101,
     467,   470,  1116,   171,   329,  1116,  1111,   397,  1101,   578,
       3,   157,   669,    43,   492,   320,   376,   649,   104,   897,
     162,   846,   527,   579,  1101,   675,   707,   708,  1112,   467,
     470,  1103,   157,   579,  1101,   602,  1101,  1103,   603,   466,
     560,  1101,   467,   264,   526,   264,   266,   596,   526,    35,
     145,   935,   527,   387,   145,  1101,   467,   470,   111,   455,
     800,  1112,   505,   376,   789,   790,   157,   801,   799,   802,
     116,   198,   342,   408,   855,  1103,   173,   935,  1011,   467,
    1111,  1031,  1031,   465,   465,   467,   522,   410,   522,   410,
     522,  1103,  1103,   659,   522,   731,   145,   336,   336,   336,
    1102,   470,  1115,   429,   470,   757,   269,   990,   346,   143,
     143,   104,   249,  1116,   754,   522,  1115,   206,   206,   206,
     615,   206,   206,   206,  1074,   384,  1034,   136,  1011,   467,
    1034,  1034,  1034,  1082,   467,  1070,   470,  1011,  1035,  1035,
    1035,  1035,   125,   127,   251,   261,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1034,  1034,  1083,  1082,
    1011,   467,   467,   467,  1070,   467,   470,    53,  1036,   467,
    1120,  1045,   294,   370,  1047,   467,   470,   421,  1041,    35,
     467,  1112,  1034,    32,    32,  1034,   467,  1034,   162,   466,
    1073,  1034,   467,   138,  1035,  1035,   138,   138,  1034,  1034,
     951,   426,   466,  1055,  1117,   467,  1070,   470,   946,   946,
     946,   946,  1101,  1101,  1101,   936,   994,  1004,   162,   466,
     936,   981,   982,    35,   983,   984,  1117,   470,    91,   163,
     194,   209,   219,   245,   328,   986,   984,    35,   983,   985,
    1117,   984,   452,   998,   466,  1094,  1034,   171,   964,   470,
     950,   950,   950,  1034,  1034,   418,  1072,   467,   964,   467,
     465,   467,   466,   777,   154,   214,   267,    94,  1034,   325,
     918,   415,   467,   470,  1095,    81,   918,   467,   470,   928,
    1000,  1034,   467,   461,   794,   397,   165,   337,   344,   377,
     398,   766,   157,   766,   467,   466,   582,   583,   773,  1039,
    1117,   579,   579,   689,  1107,   467,   113,   192,   249,   251,
     690,  1103,  1103,    35,  1103,   410,   410,   731,   731,   731,
     731,   212,   732,  1115,  1103,   387,   832,   336,   387,   196,
      53,   379,  1103,   145,   565,   466,   567,   166,   178,   251,
     526,   477,   104,   166,   251,   365,   368,   526,   613,   349,
     531,   397,  1103,  1117,   341,   644,  1103,   529,   703,  1120,
     280,   349,   387,   832,   336,  1103,   387,   387,   387,   336,
     164,   268,   368,   712,   713,   164,   268,   720,   721,   387,
     387,   336,   467,   467,   467,   838,   250,   615,   790,   839,
    1068,  1112,  1124,   318,  1103,   466,   429,   665,  1113,  1112,
    1112,  1112,  1103,  1103,  1103,   847,    53,   379,  1103,  1103,
    1103,  1103,   416,  1103,  1103,   157,   157,   320,   157,   179,
    1115,  1103,  1103,  1115,  1103,  1103,  1103,  1103,  1103,  1103,
     147,  1103,    71,   523,   145,    24,    45,   397,  1117,  1103,
    1112,   642,  1103,  1103,   467,   206,   739,   206,   206,   739,
     739,   206,   739,   477,   544,   619,   689,   429,   431,   731,
    1101,   466,   731,  1103,  1035,    29,    53,   570,   114,   181,
     113,   256,   210,  1101,   802,   301,   692,   693,  1117,   629,
     285,   466,   560,   573,   191,   589,   563,  1116,  1116,  1011,
     466,   527,    26,   116,   198,   342,   408,   670,   387,   666,
    1115,   179,  1101,   651,   433,   266,   980,   802,   313,   676,
     467,   470,  1003,   640,   659,   467,   610,    35,   261,   285,
     466,   908,   562,   564,   566,   575,  1117,   285,   590,   591,
     560,   589,    77,   379,   597,   935,   605,   603,   597,  1112,
    1107,   771,   791,  1034,  1034,   470,   466,   797,   397,   470,
     387,   466,   619,   467,   465,  1105,  1105,   522,   346,   522,
    1102,  1102,  1102,   615,   168,   756,   467,  1103,   104,   761,
     162,   256,   744,  1112,   744,   744,   206,   744,   744,   744,
    1034,   467,   467,  1083,   467,  1034,   162,   125,   127,   261,
     466,   467,   436,  1043,  1070,   311,    53,   427,   427,   467,
    1034,   249,  1034,   470,  1042,  1013,  1034,  1034,  1034,  1073,
     467,  1034,    32,    32,  1034,  1034,   138,   467,   467,  1034,
    1056,  1117,   467,  1034,  1101,  1101,  1101,  1101,   984,   985,
     984,   466,   441,  1036,   467,  1117,   466,   981,   209,   275,
     987,   981,   987,   209,   986,   987,   209,   378,   992,   466,
    1117,   466,   273,  1071,    53,   174,   971,   467,   467,   467,
    1072,  1112,   971,  1112,   812,   261,  1098,   935,   279,   935,
     915,   266,   466,   917,   455,   929,   918,   397,   467,   387,
     751,   162,   689,  1034,   467,   470,   429,    71,   774,   774,
     467,   467,   802,   114,   181,   190,   113,   412,   522,  1011,
    1105,  1105,  1103,  1103,  1103,  1103,  1103,  1116,  1103,   565,
     641,   645,   570,   179,   256,   615,   570,   256,  1113,  1117,
    1011,   522,   522,   455,    53,   379,  1103,  1103,  1103,  1103,
    1115,  1103,  1103,  1111,  1111,  1011,   470,  1111,  1111,   470,
    1115,  1103,  1103,   387,  1034,    65,  1116,  1103,   387,   387,
     162,   185,  1102,  1102,   731,  1102,   145,  1103,   731,  1112,
    1112,  1011,   522,   522,   206,   739,   739,   739,   739,   466,
     545,   546,   410,   550,   551,   164,   195,   164,   162,   688,
    1034,   251,   569,   111,    35,   802,   578,   410,   598,  1109,
      32,   144,   185,   261,   559,   532,   142,   186,   466,   346,
     410,   579,    35,  1116,   664,   492,   251,   466,   159,  1103,
    1070,   247,   265,   677,   678,   679,   157,   682,  1112,   346,
     527,   935,   731,   261,   559,   603,   467,   470,   429,   567,
      53,   595,   532,   590,   116,   130,   294,  1103,   429,   867,
      35,   162,   266,   466,  1112,   788,   803,   804,  1118,   802,
    1011,   157,  1101,   162,   387,   823,   193,   620,   522,   522,
     522,  1103,   269,   204,   522,   755,   744,   467,  1035,   162,
     466,  1073,   466,   467,   470,   467,  1036,   311,   467,   415,
     362,   467,   467,   467,  1034,  1034,  1034,   467,   285,  1057,
     467,   995,   996,  1039,   466,  1048,   983,   466,  1102,   981,
     266,   410,   988,   981,   209,   981,  1109,  1002,   466,  1002,
    1117,   950,    93,   172,   331,   466,   965,   966,   967,   968,
     969,   970,  1034,  1034,   428,  1051,   950,  1051,   467,   932,
     913,    83,   772,   773,   126,  1034,   755,   266,   755,   467,
     802,   583,   268,   812,   731,   731,   775,   775,   312,   802,
     598,   467,   387,   349,   924,   467,   470,    35,   145,   523,
     703,  1116,  1103,   387,   466,   783,   812,   814,   713,   466,
     466,   721,  1103,   467,   466,   349,   924,  1103,  1103,   466,
     466,   429,   452,   885,   320,   885,   885,   157,   523,   739,
     552,   553,  1120,    49,    92,   117,   134,   138,   158,   161,
     175,   256,   264,   304,   547,   477,   118,   783,    35,   819,
     819,  1101,   689,   467,   178,   598,   233,   581,   188,   466,
     693,   301,   466,  1101,   467,   346,    26,    76,    84,   112,
     178,   189,   365,   368,   574,   574,  1100,  1103,  1105,   467,
     935,   665,   145,   104,   640,   162,   678,   332,   376,   680,
     131,   683,   425,   685,  1103,    35,   603,   560,  1101,   467,
     564,   270,     3,   592,  1121,   596,   590,   595,   333,   333,
      57,    65,   225,   935,   731,  1101,   772,   790,   467,   470,
     397,   999,   360,   360,   467,   619,   249,   414,   621,   622,
    1103,   522,  1035,  1073,   467,  1044,  1070,    53,   249,   448,
      53,   950,   467,   470,    35,   997,   111,  1009,  1010,  1035,
      74,  1102,   467,  1034,   466,   981,   988,   466,   467,  1002,
     467,   467,   466,   350,   466,   467,   470,  1052,  1053,  1117,
     467,   415,  1103,   467,   470,   252,   408,   757,   766,   522,
     774,   598,   466,   776,   776,  1101,   598,   689,  1103,   379,
     645,   178,   410,   524,   349,   924,  1103,  1073,   157,   716,
     716,  1073,  1073,  1034,   379,   150,   235,   238,   256,   394,
     533,   535,   536,   615,  1112,   533,   534,   730,   731,   730,
     731,  1102,   522,   467,   470,   459,   466,   502,   554,   615,
     882,  1112,   882,   251,   256,   304,   882,   882,   545,  1112,
     819,    38,   183,   157,   249,   577,   466,   611,   163,   284,
     355,   266,   585,   586,   587,   379,   467,  1109,     5,   694,
     560,   589,  1103,   467,   640,   151,   715,   527,   867,  1101,
     433,   980,   882,   332,   364,   684,   466,   144,   640,   935,
     590,   560,   589,   567,   466,   597,   595,   596,    65,   269,
      65,   603,   771,   467,   797,   803,  1011,   126,   429,   429,
     414,   619,   640,   467,   467,   467,   311,   415,  1070,   305,
     333,  1058,   998,   995,   466,  1035,   467,   470,    35,  1005,
    1006,  1117,   467,  1102,  1070,   467,  1070,   466,  1070,   966,
     470,    35,   935,   999,   773,   349,   162,   775,   426,   584,
     812,   777,   777,   578,   689,  1103,   611,  1034,   379,   467,
     272,   339,   309,   717,   717,   467,   467,   467,  1103,   467,
     470,   467,   470,   885,   553,   502,   555,   556,  1112,  1112,
     256,   579,   459,   579,  1112,  1112,   131,   190,   612,   116,
     408,   266,   587,   266,   586,  1103,   466,   467,   470,   532,
     346,   640,   731,    35,    35,   466,  1103,   681,  1117,  1034,
     301,   867,   595,   532,   590,   466,   593,   594,  1039,  1117,
     596,   597,   269,   269,   466,   527,   802,    27,   199,   856,
     164,   164,    47,    94,   399,  1034,  1059,  1060,  1059,   467,
    1002,   470,  1010,  1120,   467,   470,   157,  1011,   467,   467,
     467,   965,   467,  1053,  1055,   927,   755,   776,   466,   689,
     467,   581,   924,  1103,   783,    53,   924,   387,   536,   533,
     731,   467,   470,   579,   332,   467,    56,   249,   324,   349,
     588,   588,   467,     5,   346,  1103,   712,   935,   640,   467,
    1109,   596,   590,   595,  1034,   467,   470,   774,   774,   597,
     772,   597,   252,   466,   851,   853,   857,   910,   919,   926,
     935,   783,   783,  1060,   332,   156,   292,   156,   292,   467,
    1036,  1006,   273,     3,   111,   251,   256,  1007,  1008,   319,
     993,   467,   999,   522,   777,  1034,   585,   924,   731,   466,
     556,   685,    21,   111,   256,  1103,   640,   867,   466,   597,
     595,   596,   467,   594,   775,   775,   467,   999,   852,   853,
     854,   936,   937,   470,   470,    32,  1048,  1035,  1035,   256,
    1008,   466,   467,   689,   535,   144,   640,     4,   686,   687,
    1111,  1112,  1120,   596,   597,   774,   527,   467,   469,   387,
     162,  1060,    74,  1034,   467,   301,   467,   470,   597,   775,
     597,   854,   360,   360,  1005,   467,  1109,   687,   999,   429,
     429,   467,   466,   164,   164,   686,   783,   783,   467
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   472,   473,   474,   474,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   476,
     477,   477,   477,   478,   478,   479,   479,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   481,   481,   481,   481,
     481,   481,   482,   483,   483,   484,   484,   485,   485,   485,
     485,   486,   486,   486,   486,   486,   486,   487,   488,   489,
     489,   490,   490,   490,   490,   491,   491,   492,   492,   493,
     493,   493,   493,   493,   493,   494,   494,   494,   495,   495,
     495,   496,   496,   496,   496,   497,   497,   497,   497,   497,
     497,   497,   497,   497,   497,   497,   498,   498,   499,   499,
     500,   500,   501,   501,   501,   501,   502,   502,   502,   502,
     503,   503,   503,   503,   503,   503,   503,   504,   504,   504,
     505,   505,   506,   507,   507,   507,   507,   508,   508,   509,
     509,   510,   510,   511,   511,   511,   511,   511,   512,   513,
     513,   514,   514,   515,   516,   516,   516,   516,   516,   517,
     517,   517,   517,   517,   517,   517,   517,   517,   517,   517,
     517,   517,   517,   517,   517,   517,   517,   518,   518,   519,
     519,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   521,   521,   522,
     522,   522,   523,   523,   524,   524,   525,   525,   525,   525,
     526,   527,   527,   528,   528,   529,   529,   529,   529,   530,
     530,   531,   531,   531,   531,   532,   532,   533,   533,   533,
     533,   533,   534,   534,   535,   535,   536,   536,   536,   537,
     538,   538,   539,   539,   539,   539,   540,   540,   541,   541,
     542,   542,   543,   543,   544,   544,   544,   545,   545,   546,
     546,   547,   547,   547,   547,   547,   547,   547,   547,   547,
     547,   547,   547,   547,   547,   548,   548,   549,   549,   550,
     550,   551,   551,   552,   552,   553,   554,   554,   554,   554,
     554,   555,   555,   556,   557,   557,   557,   557,   557,   557,
     558,   558,   558,   558,   558,   558,   558,   558,   559,   559,
     560,   560,   561,   561,   562,   562,   563,   563,   563,   564,
     564,   565,   566,   566,   567,   567,   568,   568,   568,   568,
     569,   569,   569,   569,   569,   569,   569,   569,   570,   570,
     571,   571,   571,   571,   572,   573,   573,   573,   574,   574,
     574,   574,   574,   574,   574,   574,   575,   575,   576,   576,
     576,   576,   576,   576,   576,   577,   577,   578,   578,   579,
     579,   580,   581,   581,   581,   581,   582,   582,   583,   583,
     584,   584,   585,   585,   585,   585,   585,   586,   587,   588,
     588,   588,   588,   588,   589,   589,   590,   590,   591,   592,
     592,   593,   593,   594,   594,   594,   595,   595,   595,   595,
     596,   596,   596,   596,   597,   597,   598,   598,   599,   600,
     600,   601,   601,   602,   603,   603,   603,   604,   604,   605,
     606,   606,   607,   608,   608,   609,   609,   610,   610,   611,
     611,   612,   612,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   613,   614,   614,   615,
     615,   615,   615,   616,   616,   617,   617,   618,   618,   619,
     619,   620,   620,   621,   621,   622,   622,   623,   623,   624,
     624,   625,   626,   626,   627,   627,   628,   628,   629,   629,
     630,   630,   630,   630,   631,   632,   632,   633,   634,   634,
     634,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,   634,   634,   634,   635,   636,   636,   636,   636,   637,
     637,   638,   638,   639,   639,   640,   640,   641,   641,   642,
     643,   643,   644,   644,   644,   644,   645,   646,   647,   648,
     648,   649,   649,   650,   650,   651,   651,   652,   652,   652,
     653,   653,   653,   653,   654,   654,   655,   656,   656,   657,
     657,   658,   658,   659,   659,   660,   660,   661,   662,   663,
     664,   664,   665,   665,   666,   666,   667,   667,   668,   668,
     669,   669,   670,   670,   670,   670,   670,   671,   672,   672,
     673,   673,   673,   674,   674,   675,   675,   675,   675,   675,
     676,   676,   677,   677,   678,   679,   679,   680,   680,   681,
     682,   682,   683,   683,   684,   684,   685,   685,   686,   686,
     686,   687,   687,   687,   687,   688,   688,   689,   689,   690,
     690,   690,   690,   690,   690,   691,   691,   692,   692,   693,
     694,   694,   695,   696,   696,   696,   696,   697,   698,   699,
     699,   699,   699,   699,   699,   699,   699,   699,   699,   699,
     699,   699,   699,   699,   699,   700,   701,   701,   702,   702,
     703,   703,   703,   703,   703,   703,   704,   705,   705,   706,
     707,   707,   708,   708,   709,   709,   709,   709,   710,   710,
     711,   712,   712,   713,   713,   713,   713,   713,   714,   714,
     715,   715,   716,   716,   716,   717,   717,   718,   719,   719,
     720,   720,   721,   721,   722,   722,   723,   723,   724,   725,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   727,   727,   727,   727,   727,   727,   727,   727,
     727,   727,   727,   727,   727,   728,   728,   728,   728,   728,
     728,   728,   729,   729,   729,   730,   730,   731,   731,   732,
     732,   733,   733,   734,   735,   735,   735,   736,   736,   736,
     736,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   736,   736,   736,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   737,   737,   737,   737,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     739,   739,   740,   740,   740,   740,   740,   740,   740,   741,
     741,   742,   742,   742,   742,   742,   742,   743,   743,   743,
     743,   743,   743,   743,   743,   744,   744,   745,   745,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   747,   747,   748,   748,   749,
     750,   750,   751,   751,   751,   751,   751,   752,   752,   753,
     753,   753,   753,   754,   754,   754,   754,   754,   754,   754,
     754,   754,   754,   754,   754,   754,   754,   754,   754,   755,
     755,   756,   756,   757,   757,   758,   759,   759,   760,   760,
     761,   761,   762,   763,   763,   764,   764,   764,   765,   765,
     765,   766,   766,   766,   766,   766,   767,   767,   768,   768,
     769,   769,   770,   770,   771,   771,   772,   772,   773,   773,
     773,   774,   774,   775,   775,   776,   776,   776,   777,   777,
     777,   778,   778,   778,   779,   779,   780,   780,   781,   781,
     782,   782,   783,   783,   783,   783,   784,   784,   785,   785,
     786,   786,   786,   786,   786,   787,   787,   787,   787,   787,
     788,   789,   790,   790,   790,   791,   791,   791,   792,   793,
     793,   793,   793,   794,   794,   795,   796,   796,   797,   797,
     798,   798,   798,   798,   798,   798,   798,   798,   798,   798,
     798,   798,   798,   798,   798,   798,   799,   799,   799,   799,
     799,   800,   800,   801,   801,   802,   802,   803,   804,   804,
     805,   806,   806,   807,   807,   808,   808,   809,   809,   810,
     810,   811,   811,   811,   811,   812,   812,   813,   813,   814,
     815,   816,   816,   817,   817,   818,   818,   818,   819,   819,
     819,   820,   821,   821,   822,   823,   823,   823,   823,   824,
     825,   825,   825,   825,   826,   826,   827,   827,   827,   828,
     828,   829,   830,   830,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   832,   832,   833,   833,   834,
     834,   834,   834,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   836,   837,
     837,   838,   838,   839,   839,   839,   839,   839,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     841,   842,   842,   843,   843,   844,   844,   844,   844,   845,
     846,   846,   847,   848,   848,   848,   848,   848,   848,   849,
     849,   850,   851,   851,   851,   852,   852,   853,   853,   853,
     853,   853,   854,   854,   855,   855,   855,   855,   856,   856,
     856,   857,   858,   858,   859,   860,   860,   861,   861,   861,
     861,   861,   861,   861,   861,   861,   861,   861,   861,   861,
     861,   862,   862,   862,   863,   863,   863,   863,   863,   864,
     864,   864,   865,   865,   866,   866,   866,   866,   867,   867,
     867,   867,   868,   869,   870,   870,   871,   871,   872,   872,
     872,   873,   873,   873,   873,   873,   873,   873,   874,   874,
     875,   875,   875,   876,   877,   877,   878,   879,   879,   880,
     881,   881,   881,   881,   881,   881,   881,   882,   882,   883,
     884,   884,   884,   884,   884,   884,   885,   885,   886,   887,
     887,   887,   888,   888,   889,   889,   889,   889,   889,   890,
     890,   891,   891,   891,   891,   891,   892,   892,   893,   893,
     894,   894,   895,   895,   896,   896,   897,   897,   898,   898,
     898,   898,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   900,   900,   901,   902,   902,   903,   903,   903,   904,
     905,   905,   906,   906,   906,   906,   907,   907,   908,   908,
     909,   909,   909,   909,   910,   911,   911,   912,   912,   912,
     912,   912,   913,   913,   914,   914,   915,   916,   916,   916,
     917,   917,   917,   918,   918,   919,   920,   920,   921,   922,
     922,   923,   923,   923,   923,   923,   923,   923,   923,   924,
     924,   925,   925,   925,   926,   927,   927,   928,   928,   929,
     930,   930,   931,   932,   933,   933,   933,   933,   933,   934,
     934,   934,   935,   935,   936,   936,   937,   937,   937,   937,
     937,   937,   937,   937,   938,   938,   939,   939,   939,   939,
     939,   939,   939,   940,   940,   940,   941,   941,   942,   943,
     943,   944,   944,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   946,   946,   947,   947,   947,   948,   948,   949,
     949,   950,   950,   951,   952,   952,   953,   953,   954,   954,
     954,   954,   955,   955,   956,   956,   956,   956,   957,   957,
     958,   958,   959,   960,   960,   960,   961,   961,   962,   962,
     963,   963,   964,   964,   965,   965,   966,   966,   966,   966,
     966,   967,   968,   969,   970,   971,   971,   972,   972,   973,
     973,   974,   974,   975,   976,   976,   976,   976,   977,   977,
     978,   978,   979,   979,   980,   980,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   982,   982,   982,   982,
     982,   982,   983,   983,   983,   983,   984,   984,   985,   985,
     985,   985,   985,   986,   986,   986,   986,   987,   987,   988,
     988,   989,   989,   989,   989,   990,   990,   991,   991,   991,
     992,   993,   993,   994,   994,   995,   996,   996,   997,   997,
     998,   998,   999,   999,  1000,  1000,  1000,  1001,  1001,  1002,
    1002,  1003,  1004,  1004,  1005,  1005,  1006,  1006,  1006,  1007,
    1007,  1008,  1008,  1008,  1008,  1009,  1009,  1010,  1010,  1011,
    1011,  1011,  1011,  1011,  1011,  1012,  1012,  1012,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1014,  1014,  1014,  1014,  1015,
    1015,  1016,  1016,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1018,  1018,  1019,  1019,  1020,  1020,
    1021,  1022,  1023,  1023,  1024,  1024,  1025,  1026,  1027,  1027,
    1027,  1027,  1027,  1027,  1028,  1028,  1029,  1029,  1029,  1029,
    1030,  1031,  1031,  1031,  1032,  1032,  1032,  1032,  1032,  1032,
    1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1033,  1033,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1036,
    1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,
    1036,  1036,  1036,  1037,  1037,  1037,  1037,  1037,  1037,  1037,
    1038,  1038,  1039,  1039,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1041,  1041,  1042,  1042,
    1042,  1042,  1043,  1044,  1044,  1045,  1045,  1046,  1046,  1047,
    1047,  1047,  1048,  1048,  1048,  1048,  1049,  1049,  1050,  1050,
    1051,  1051,  1052,  1052,  1053,  1054,  1054,  1054,  1055,  1056,
    1056,  1057,  1057,  1058,  1058,  1058,  1059,  1059,  1060,  1060,
    1060,  1060,  1060,  1061,  1061,  1061,  1062,  1062,  1063,  1064,
    1064,  1064,  1065,  1065,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1067,  1067,  1068,  1068,
    1069,  1069,  1069,  1069,  1069,  1069,  1070,  1070,  1071,  1071,
    1072,  1072,  1072,  1073,  1073,  1074,  1074,  1074,  1075,  1075,
    1076,  1076,  1077,  1077,  1077,  1077,  1077,  1077,  1077,  1077,
    1078,  1078,  1079,  1080,  1080,  1081,  1081,  1081,  1081,  1081,
    1081,  1082,  1083,  1084,  1084,  1084,  1085,  1085,  1086,  1087,
    1087,  1088,  1089,  1089,  1090,  1090,  1091,  1091,  1092,  1092,
    1092,  1092,  1093,  1093,  1094,  1094,  1095,  1095,  1096,  1096,
    1097,  1097,  1098,  1098,  1099,  1099,  1099,  1099,  1100,  1100,
    1101,  1101,  1102,  1102,  1103,  1104,  1105,  1106,  1107,  1108,
    1109,  1109,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1111,  1112,  1113,  1113,  1113,
    1114,  1115,  1115,  1115,  1116,  1116,  1117,  1117,  1117,  1118,
    1118,  1118,  1119,  1119,  1119,  1119,  1120,  1120,  1120,  1120,
    1120,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     1,     0,     2,     0,     2,     0,     2,     2,     3,
       3,     1,     3,     3,     2,     1,     1,     2,     2,     2,
       3,     3,     5,     5,     5,     0,     3,     5,     5,     5,
       5,     3,     5,     3,     5,     3,     5,     5,     6,     1,
       1,     6,     4,     9,     7,     1,     0,     2,     0,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     2,     5,
       1,     3,     3,     3,     3,     1,     3,     3,     2,     2,
       2,     2,     3,     3,     3,     3,     1,     3,     1,     3,
       1,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     3,     5,     1,     1,     1,     1,     1,     0,
       1,     1,     2,     1,     2,     3,     2,     1,     1,     2,
       1,     2,     1,     2,     3,     4,     3,     2,     4,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     4,
       6,     4,     6,    10,    13,     4,     6,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     4,
       3,     2,     5,     3,     6,     4,     6,     6,     6,     5,
       5,     6,     9,     4,     5,     7,     6,     4,     8,     4,
       2,     4,     3,     6,     4,     3,     3,     3,     3,     2,
       2,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     3,     2,
       2,     3,     4,     4,     4,     5,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     1,     1,     1,     3,
       3,     2,     0,     1,     3,     3,     1,     5,     3,     1,
       2,     1,     3,     2,     3,     6,    10,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     1,     1,     1,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    12,    15,    11,    14,    13,    16,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     4,     2,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     5,     1,     2,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     5,     7,
       3,     8,     4,     9,    11,     2,     0,     3,     0,     1,
       3,     1,     2,     2,     2,     0,     1,     3,     3,     6,
       4,     0,     1,     1,     2,     2,     0,     3,     3,     2,
       1,     1,     2,     2,     4,     0,     1,     0,     6,     1,
       1,     1,     3,     3,     3,     5,     2,     2,     2,     0,
       3,     4,     4,     0,     2,     0,     4,     0,     3,     8,
      11,     7,    10,     5,     2,     3,     0,     8,    11,     4,
       1,     0,     6,     5,     8,     4,     6,     1,     0,     3,
       0,     1,     2,     2,     2,     1,     2,     3,     2,     2,
       2,     2,     3,     3,     3,     1,     3,     1,     0,     1,
       2,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     7,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     1,     5,     2,     0,     2,     7,     6,
      10,     6,     6,     6,     6,     7,     6,     9,     9,     6,
       7,     6,     8,     8,     8,     8,     6,     6,     7,     7,
       8,     6,     9,     6,     7,     2,     2,     2,     2,     1,
       2,     1,     0,     7,     6,     4,     0,     1,     3,     4,
       1,     3,     1,     2,     2,     2,     2,     1,     1,    10,
      13,     2,     0,     2,     2,     1,     0,     5,     4,     4,
      11,    14,    12,    15,     5,     7,    11,     2,     1,     4,
       0,     8,    11,     1,     1,     7,     9,     8,    10,     8,
       4,     0,     5,     0,     2,     0,     2,     0,     2,     0,
       2,     0,     1,     1,     1,     1,     1,     8,    16,    20,
       1,     1,     2,     1,     3,     1,     1,     1,     3,     1,
       2,     0,     1,     2,     4,     1,     1,     1,     1,     1,
       3,     0,     1,     0,     1,     1,     4,     0,     1,     3,
       0,     1,     1,     1,     1,     2,     0,     0,     2,     2,
       1,     2,     2,     2,     2,    11,    13,     1,     3,     5,
       1,     3,     5,     1,     2,     2,     1,     8,     4,     5,
       4,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     7,     5,     8,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     3,
       1,     0,     1,     3,     7,     9,     9,     8,     3,     0,
      13,     1,     3,     5,     5,     3,     6,     2,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     6,     4,     6,     8,     4,     6,     4,     6,
       5,     7,     1,     1,     1,     2,     1,     2,     1,     1,
       1,     3,     3,     3,     3,     2,     2,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     2,
       3,     1,     3,     5,     2,     2,     0,     6,     6,     6,
       6,     6,     6,     6,     8,     9,     8,     8,     9,     8,
       9,     9,     7,    10,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     2,     3,     3,     3,     3,     2,     1,
       2,     1,     3,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     8,     8,     8,     8,     8,     8,     9,     2,
       0,     1,     2,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       4,     4,     3,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,     1,     1,    14,    17,     1,     0,
       1,     0,     1,     0,     2,     0,     1,     3,     5,     5,
       7,     2,     0,     1,     0,     1,     1,     0,     2,     2,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       1,     3,     2,     1,     1,     2,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     2,     1,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     2,     2,     1,
       1,     1,     3,     3,     5,     2,     0,     2,     1,     3,
       5,     1,     2,     1,     0,     4,     6,     4,     6,     4,
       6,     3,     5,     5,     5,     1,     3,     1,     3,     2,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,    10,    11,    11,     5,     5,     8,
       3,     3,     6,     6,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     5,     6,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     8,    10,     6,     6,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     9,    11,     8,    10,
       9,    11,     8,     8,     7,     6,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       9,     8,     7,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     8,     6,     8,     8,     8,     8,     6,
       8,     6,     8,     7,     9,     7,     9,     6,     7,     1,
       3,     3,     3,     1,     1,     1,     1,     1,     6,     6,
       6,     6,     6,     6,     7,     7,     6,     9,     9,     6,
       6,     6,     6,     8,     8,     8,     6,     7,     6,     6,
       5,     1,     0,     3,     3,     5,     6,     6,     6,     8,
       1,     3,     1,     5,     5,     6,     7,     4,     4,     4,
       6,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,    12,    14,     3,     4,
       4,     0,     2,     5,     1,     0,     1,     2,     3,     3,
       3,     1,     2,     1,     1,     1,     1,     1,     1,     0,
       5,     4,     6,     4,     3,     5,     5,     4,     4,     6,
       4,     6,     6,     5,     7,     9,     6,     1,     0,     6,
      11,    11,    11,    13,     9,    11,     1,     1,    10,     4,
       2,     5,     2,     0,     4,     5,     5,     4,     6,     1,
       3,     1,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     2,     1,     1,     1,     1,     0,     5,
       3,     0,     1,     1,     1,     1,     3,     9,     3,     0,
       2,     3,     2,     3,     7,     1,     3,     1,     4,     4,
       7,     2,     1,     1,     1,     3,     2,     8,     5,     0,
       4,     3,     0,     2,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     1,     2,     0,     8,     1,     3,     3,     5,     2,
       1,     3,     7,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     9,     1,     2,
       4,     4,     4,     2,     2,     3,     1,     3,     6,     1,
       0,     2,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     4,     2,     3,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     3,     0,     1,     3,     1,     1,     1,     1,
       1,     2,     4,     4,     5,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       4,     5,     2,     0,     1,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     1,     0,     1,     4,
       5,     4,     0,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     7,    12,     1,     3,     2,     3,     3,     1,
       2,     2,     2,     2,     1,     1,     3,     3,     2,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     4,     1,     2,     2,
       1,     3,     3,     2,     1,     0,     5,     2,     5,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     3,     5,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     5,     6,     6,     7,     3,     4,     1,
       1,     2,     4,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     4,     3,     5,     6,     8,     6,     6,     4,
       4,     1,     1,     1,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     7,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     2,
       2,     0,     2,     4,     4,     6,     5,     0,     5,     0,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     2,     2,     0,     1,     4,     2,     2,
       2,     2,     2,     4,     3,     5,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     3,     1,     3,     3,     3,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     2,     3,     0,     3,     3,     2,     2,     1,
       0,     2,     2,     3,     2,     1,     1,     3,     5,     1,
       2,     4,     2,     0,     1,     0,     1,     2,     2,     2,
       3,     5,     1,     0,     1,     2,     0,     2,     1,     0,
       1,     0,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     6,     2,
       3,     5,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 776 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 24349 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 792 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 24365 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 804 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 24376 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 937 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24382 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 948 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24394 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 958 "gram.y" /* yacc.c:1646  */
    {}
#line 24400 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 959 "gram.y" /* yacc.c:1646  */
    {}
#line 24406 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 960 "gram.y" /* yacc.c:1646  */
    {}
#line 24412 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 969 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24418 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24424 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 974 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24430 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 975 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24436 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 980 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 24445 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 985 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 24453 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 989 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24467 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 999 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 24479 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 24487 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1011 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 24495 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24503 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24511 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1024 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 24560 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1071 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 24566 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 24574 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24582 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24590 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24598 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1090 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24606 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1104 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24618 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1122 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24630 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1130 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24642 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1140 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24648 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1141 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24654 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1146 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24666 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1154 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24678 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1162 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24690 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1170 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24702 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1191 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24713 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1198 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24724 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1205 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24735 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1212 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24746 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1219 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24757 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1226 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24768 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1243 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24780 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1261 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 24793 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1271 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 24799 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1272 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 24805 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1284 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24819 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1294 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24833 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1304 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24852 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1319 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24871 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1336 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24877 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1337 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24883 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1342 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 24893 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24899 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1376 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24909 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1382 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 24919 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1388 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24929 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1397 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24941 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1405 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24953 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1417 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24965 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1425 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24977 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1433 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24988 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1440 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24999 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1448 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 25005 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1450 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 25016 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1458 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 25031 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1469 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 25043 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1477 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25055 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1485 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 25070 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1496 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25082 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1504 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25094 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1512 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 25105 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1519 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25117 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1528 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25129 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1537 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25135 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1539 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 25141 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25147 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1543 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25153 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 25159 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 25165 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1552 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 25171 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1553 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 25177 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1554 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 25183 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1555 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 25189 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1559 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 25195 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1560 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 25201 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 25207 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1567 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25213 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1580 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 25221 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 25229 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1588 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 25248 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1603 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 25259 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1609 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 25265 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1610 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25271 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1611 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25277 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1615 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25283 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1616 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25289 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1617 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25295 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1621 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25301 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1622 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25307 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1626 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 25313 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1630 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25319 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1632 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 25330 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1639 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 25341 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1646 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 25352 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1656 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 25363 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1663 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 25373 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1672 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25379 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1673 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25385 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1678 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25391 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1679 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25397 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1685 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25407 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1691 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 25417 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1697 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 25427 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1703 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 25437 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1709 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 25447 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1719 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 25458 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1728 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25464 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1729 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25470 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1733 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25476 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1734 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25482 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1743 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 25491 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1758 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 25501 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1764 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25511 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1770 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25521 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1776 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 25531 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1782 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 25541 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1801 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25554 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1810 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25567 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1819 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25580 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1828 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25593 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1837 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25608 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1848 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25623 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1859 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25636 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1868 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25649 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1877 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25664 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1888 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25679 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1899 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25692 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1908 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25705 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1917 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25718 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1926 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25731 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1935 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25744 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1944 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25757 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1953 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25772 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1964 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25787 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1977 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25793 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25799 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1984 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25815 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 1997 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25831 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2013 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25843 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2022 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25855 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2031 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25867 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2040 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25879 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2049 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25891 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2058 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25902 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2066 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25913 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2074 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 25925 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2083 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25937 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2092 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25949 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2101 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 25961 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2110 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 25981 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2127 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25993 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2136 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26005 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2145 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26017 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2154 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26030 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2164 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26043 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2177 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 26061 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2192 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26073 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2201 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26084 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2209 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26102 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2224 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26113 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2232 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26126 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2242 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26139 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2252 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 26149 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2259 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 26159 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2266 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26170 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2274 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26181 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2282 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 26191 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2289 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 26201 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2296 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26212 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2304 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26223 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2312 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26234 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2320 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26244 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2327 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26254 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2334 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26265 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2342 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26275 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2349 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26285 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2356 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26296 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2364 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26307 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2372 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26318 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2380 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26329 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2388 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26340 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2396 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26351 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2404 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 26364 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2414 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 26374 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2421 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 26385 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2429 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26396 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2437 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26407 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2445 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26418 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2453 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26429 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26439 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2468 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26449 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2475 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26459 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2482 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26469 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2488 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26480 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2497 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26486 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2498 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26492 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2502 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 26498 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2503 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 26504 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2504 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 26510 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2509 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 26522 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2516 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26528 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2520 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26534 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2521 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26540 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2526 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26551 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2533 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26562 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2540 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26573 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2547 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26584 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26590 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2559 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26596 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2560 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26602 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2564 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26608 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2565 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26614 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 26622 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2575 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 26630 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2579 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 26639 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 26647 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26653 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2593 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26659 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2598 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 26667 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2602 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 26675 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2606 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 26690 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 26698 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2625 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 26712 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2637 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 26727 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2650 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26733 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2651 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26739 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2652 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst(pstrdup("true"), (yylsp[0])); }
#line 26745 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2653 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst(pstrdup("false"), (yylsp[0])); }
#line 26751 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2654 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst((yylsp[0])); }
#line 26757 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26763 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26769 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2664 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26775 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2666 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26781 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2671 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MINVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26795 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2681 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MAXVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26809 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2691 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_VALUE;
					n->value = (yyvsp[0].node);
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26823 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2711 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 26837 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26843 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2724 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26849 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2730 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26861 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2739 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26874 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2749 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26887 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2759 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 26906 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2785 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26916 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2791 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26926 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2825 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 26958 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2853 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 26981 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2874 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26987 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2875 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26993 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2879 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26999 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2880 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27005 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2889 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27011 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2890 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27017 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2891 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27023 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27029 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2895 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27035 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2900 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27041 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2901 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27047 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2906 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 27055 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2910 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 27063 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2914 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 27071 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2918 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27079 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2922 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27087 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 27095 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2930 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 27103 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27111 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2938 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27119 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2942 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 27127 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 27135 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 27143 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2954 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 27151 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2958 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 27159 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2967 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 27167 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2970 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 27173 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 27181 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2978 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 27187 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2983 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 27195 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2986 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 27201 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2990 "gram.y" /* yacc.c:1646  */
    {}
#line 27207 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2991 "gram.y" /* yacc.c:1646  */
    {}
#line 27213 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2997 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27221 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3001 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27229 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 27237 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3014 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27243 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3015 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 27249 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3016 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 27255 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3017 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 27261 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3018 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27267 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3023 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27275 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3027 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27283 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27289 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3047 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27309 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3065 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27329 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3083 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27350 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3102 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27371 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3121 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27392 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3140 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27413 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3169 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27419 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3170 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27425 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3171 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27431 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3172 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27437 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3174 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27448 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3181 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27459 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3187 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 27465 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3188 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 27471 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27477 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27483 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27489 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27495 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27503 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27511 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3214 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27519 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3218 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27527 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3224 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27533 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3225 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27539 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3226 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27545 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3230 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27551 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3231 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27557 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3235 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27581 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3257 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27604 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3276 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27627 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3297 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 27633 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27639 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3303 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27650 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3309 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27656 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3310 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27662 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3312 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 27679 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3343 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27690 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3350 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27701 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3357 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27716 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3368 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27731 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3379 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 27747 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3391 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27760 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3400 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 27773 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3409 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 27792 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3426 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 27798 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3427 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 27804 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3447 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27815 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3454 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27826 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3461 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27837 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3468 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27848 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3479 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 27859 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3488 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 27865 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3489 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 27871 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3490 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 27877 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3494 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 27883 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3495 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 27889 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3496 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 27895 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3497 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 27901 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3498 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 27907 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3499 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 27913 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3500 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 27919 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3501 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 27925 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3511 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27936 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3517 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27942 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3522 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 27959 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3536 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27977 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3550 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27995 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3565 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28013 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3579 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28031 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3595 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28051 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3612 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 28073 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3631 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 28079 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3632 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 28085 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3636 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28091 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3637 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28097 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3641 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28103 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3642 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28109 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 28117 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3652 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 28125 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3656 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 28137 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3664 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 28145 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3668 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 28153 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3674 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 28159 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 28165 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3680 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 28173 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3685 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 28181 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3691 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28187 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3692 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28193 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3703 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 28199 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3705 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 28205 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3707 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 28211 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3709 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 28217 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3711 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 28223 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3714 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 28229 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3717 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 28235 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3721 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 28241 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3722 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 28247 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3723 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 28253 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3724 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 28259 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3725 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 28265 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3728 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28271 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3729 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28277 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3733 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 28283 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3734 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 28289 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3738 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 28303 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3749 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28309 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3750 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 28315 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 28321 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3754 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 28327 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3758 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 28342 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3769 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 28357 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3780 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 28372 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3793 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28378 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3794 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(true), (yylsp[-1]))); }
#line 28384 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3795 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(false), (yylsp[-1]))); }
#line 28390 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3796 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28396 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3799 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 28402 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3800 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 28408 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3801 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 28414 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3802 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 28420 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3805 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28426 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3806 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28432 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3809 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28438 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3810 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28444 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3813 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28450 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3833 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28464 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3844 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28478 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3867 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28495 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3880 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28512 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3896 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28527 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3909 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28533 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3910 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28539 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3911 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28545 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3924 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28562 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3937 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28579 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3953 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28594 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3965 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 28600 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3966 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 28606 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3979 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 28618 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3999 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28632 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4009 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28646 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4022 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28658 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4030 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28670 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28676 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28682 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28688 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28694 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4048 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28700 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4049 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28706 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4053 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 28714 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4057 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28722 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4061 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 28730 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4065 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 28738 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4069 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28746 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4073 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28754 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4077 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28762 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4081 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 28770 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 28778 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28786 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4093 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28795 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28803 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 28811 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28819 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4111 "gram.y" /* yacc.c:1646  */
    {}
#line 28825 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4112 "gram.y" /* yacc.c:1646  */
    {}
#line 28831 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4116 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 28837 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4117 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 28843 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4119 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 28852 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4123 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 28858 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 28864 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4127 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 28870 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4140 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 28886 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4153 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 28901 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4166 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28907 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4167 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28913 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4175 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28919 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4176 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 28925 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4180 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28931 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4181 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28937 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28943 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28949 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28955 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28961 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4196 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28975 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4206 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28989 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4218 "gram.y" /* yacc.c:1646  */
    {}
#line 28995 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4219 "gram.y" /* yacc.c:1646  */
    {}
#line 29001 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4230 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29014 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4240 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 29020 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4241 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 29026 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4255 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29037 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4262 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29048 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4279 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29060 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4287 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29072 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29078 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4300 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29084 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4305 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29092 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4309 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29100 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4313 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29108 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4317 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 29116 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4329 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29127 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4339 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29133 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29139 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4346 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29147 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4359 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29160 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4368 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29173 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4377 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 29186 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4386 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29199 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4395 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29212 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4404 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 29225 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4413 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29238 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4422 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29251 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4431 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29264 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4440 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 29277 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4449 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 29290 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4458 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29303 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4467 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29316 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4476 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29329 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4485 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29342 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4494 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29355 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4503 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29368 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4512 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29381 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4521 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29394 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4530 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29407 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4539 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29420 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4548 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29433 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4557 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29446 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4566 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29459 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4575 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 29472 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4584 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 29485 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4602 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29497 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4612 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29503 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4613 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 29509 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4614 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29515 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4615 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 29521 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4619 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29527 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4620 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29533 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29539 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29545 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4636 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29557 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4644 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 29569 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4655 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29575 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29581 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29589 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29597 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29603 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29611 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29619 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 29627 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 29636 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4697 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 29645 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 29653 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 29661 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4715 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29667 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4720 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 29673 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4732 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29688 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4744 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29703 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4757 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29709 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4758 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29715 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4763 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29721 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4764 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29727 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4768 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29733 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4769 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29739 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4780 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29752 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4789 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29764 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4797 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29775 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4816 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29797 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4836 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29819 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4856 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29842 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4877 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29865 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4906 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29878 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4915 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29891 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4937 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 29906 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4950 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 29912 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4951 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 29918 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4956 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 29929 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4963 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 29940 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4979 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29953 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4988 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29966 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4999 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 29972 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5000 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 29978 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5013 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29990 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5021 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30002 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5038 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30014 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5064 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30030 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5080 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30044 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5092 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30050 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5093 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30056 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5097 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30062 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5098 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30068 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5102 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30074 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5103 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 30080 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5107 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30086 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5108 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 30092 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5113 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 30110 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5126 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30116 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5130 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30122 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5131 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 30128 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5135 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 30134 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5136 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 30140 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5137 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 30146 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5138 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 30152 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5139 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 30158 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5150 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 30170 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5170 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 30193 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5192 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 30217 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5214 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 30223 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5215 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 30229 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5216 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 30235 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5221 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30241 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5223 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 30264 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5245 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 30270 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5247 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 30276 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 30282 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5251 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 30288 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5253 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 30294 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30300 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30306 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5262 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30312 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5263 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 30318 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5268 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 30330 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5278 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30336 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5279 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30342 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5283 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30348 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5292 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30354 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5296 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30360 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5301 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 30368 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5305 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 30380 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5315 "gram.y" /* yacc.c:1646  */
    {}
#line 30386 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5316 "gram.y" /* yacc.c:1646  */
    {}
#line 30392 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5320 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30398 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5321 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30404 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5325 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30410 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5326 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30416 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30422 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30428 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30434 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 30442 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5340 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30448 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5341 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30454 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5342 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30460 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5346 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 30466 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5347 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 30472 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5352 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30478 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5354 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 30506 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5380 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 30512 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5381 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 30518 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5382 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 30524 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5383 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 30530 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5384 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 30536 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5385 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 30542 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5400 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30555 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5411 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30568 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5423 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30574 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5425 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30580 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5430 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 30586 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30592 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5437 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 30598 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5442 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 30609 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5451 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 30615 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5452 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 30621 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5453 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 30627 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5454 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 30633 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5468 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 30653 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5487 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 30668 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5509 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30682 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5519 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30697 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5530 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30711 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5540 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30725 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5550 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30740 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5561 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30753 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5570 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30764 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5577 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30775 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5584 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30788 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5593 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30801 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5602 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30814 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5611 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30827 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5620 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30840 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5629 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30854 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5639 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 30867 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5648 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30881 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5659 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30887 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5662 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30893 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5663 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30899 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5667 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 30907 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5671 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 30915 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5677 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 30921 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5678 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30927 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5679 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 30933 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5680 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 30939 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5681 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 30945 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5682 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30951 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5685 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30957 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30963 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5689 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30969 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 30977 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5704 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30983 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5705 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30989 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5709 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30995 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5711 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31001 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5722 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 31016 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5733 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 31031 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5744 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 31046 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5755 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 31061 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5767 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31067 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5768 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31073 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5786 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31088 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5799 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31094 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5800 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31100 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5805 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31116 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5818 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31129 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5827 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 31141 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5835 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 31154 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5844 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 31165 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5852 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31171 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5853 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31177 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5856 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31183 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5857 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31189 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31195 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5861 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31201 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5862 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31207 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5866 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 31225 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5879 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31231 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5885 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31242 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5895 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31255 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5904 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31268 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31274 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31280 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5921 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31292 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5929 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31304 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5941 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31318 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5951 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31332 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5964 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31346 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5974 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31360 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5996 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31371 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6006 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 31382 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6024 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31396 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6034 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31410 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6044 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31424 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6054 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31438 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6064 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31452 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6074 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31466 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6084 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31480 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6094 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31494 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6104 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31508 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6114 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31522 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6124 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31536 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6134 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31550 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6147 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31556 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6148 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31562 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6149 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31568 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6150 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31574 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6151 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31580 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6152 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31586 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6153 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 31592 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6154 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 31598 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6155 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31604 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6156 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 31610 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6157 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 31616 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6158 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 31622 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6159 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 31628 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6164 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 31634 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6165 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 31640 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6166 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 31646 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6167 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 31652 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6168 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 31658 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6169 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 31664 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6170 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 31670 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6175 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 31676 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6176 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 31682 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6177 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 31688 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6181 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 31694 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 31700 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31706 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 31712 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31718 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31724 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 31730 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 31736 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6208 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31748 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6218 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31754 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6219 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31760 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6220 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31766 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6255 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31778 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6263 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31790 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6271 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31802 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6279 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31814 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6287 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31826 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6295 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31838 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6303 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31850 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6311 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31862 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6319 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31879 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6332 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31891 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6340 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31903 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6348 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31915 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6356 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31927 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6364 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31939 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6372 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31951 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6380 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31963 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6388 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31975 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6399 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 31981 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6400 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31987 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6401 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31993 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6402 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31999 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6403 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 32005 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6404 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 32011 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6405 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 32017 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6406 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 32023 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6407 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 32029 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6408 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 32035 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6409 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 32041 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6410 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 32047 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6411 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 32053 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6412 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 32059 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6417 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 32065 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6418 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 32071 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6419 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32077 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6420 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 32083 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6421 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 32089 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6422 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 32095 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6423 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32101 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6424 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 32107 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6425 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32113 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6426 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 32119 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6427 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 32125 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6428 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 32131 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6432 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32137 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6433 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32143 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6449 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32156 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6459 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32169 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6469 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32182 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6479 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32195 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6489 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32208 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6499 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32221 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6509 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32234 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6519 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32240 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6520 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32246 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6525 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 32252 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6526 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 32258 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6527 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 32264 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6528 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 32270 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6529 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 32276 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6530 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 32282 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6535 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 32288 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6536 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32294 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6537 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 32300 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6538 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32306 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6539 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 32312 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6540 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32318 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6541 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 32324 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6542 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 32330 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6545 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32336 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6546 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32342 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6557 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 32352 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6563 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 32362 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6571 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32374 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6579 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32386 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6587 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32398 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6595 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32410 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6603 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32422 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6611 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 32434 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6619 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32446 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6627 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32458 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6635 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32470 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6643 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32482 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6651 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32494 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6659 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32506 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6667 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32518 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6675 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32530 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6683 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32542 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6691 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32554 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6700 "gram.y" /* yacc.c:1646  */
    {}
#line 32560 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6701 "gram.y" /* yacc.c:1646  */
    {}
#line 32566 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6704 "gram.y" /* yacc.c:1646  */
    {}
#line 32572 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6705 "gram.y" /* yacc.c:1646  */
    {}
#line 32578 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6717 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 32594 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6733 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32611 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6747 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32628 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6772 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32634 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32640 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6776 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32646 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6778 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32657 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6785 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32668 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6793 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 32674 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6794 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 32680 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6798 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32691 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6805 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32702 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6812 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32713 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6819 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32724 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6833 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32736 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6841 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32748 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6849 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32760 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6857 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32772 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6865 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32784 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6873 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32796 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6881 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32808 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6889 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32820 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6897 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32832 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6905 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32844 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6913 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32856 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6921 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32868 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6929 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32880 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6937 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32892 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6945 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32904 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6953 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32916 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 32922 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6965 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 32928 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6969 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32934 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6970 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32940 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6975 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32946 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6976 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32952 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6987 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 32966 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7000 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32980 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7010 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32994 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7021 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33000 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7022 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33006 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7025 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 33012 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7026 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 33018 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7037 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 33029 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7046 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33035 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7047 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33041 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7052 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 33049 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7056 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 33057 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7060 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 33065 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7072 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 33081 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7085 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33098 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7099 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33115 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7114 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 33121 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7115 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 33127 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7116 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 33133 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7117 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 33139 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7118 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_NAMESPACE; }
#line 33145 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7133 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 33173 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7159 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-15].boolean);
					n->concurrent = (yyvsp[-13].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 33201 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7185 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33207 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7186 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33213 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7190 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33219 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7191 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33225 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7195 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33231 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7196 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33237 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7200 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33243 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7201 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 33249 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 33255 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 33261 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7214 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33276 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33291 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33306 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7248 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33312 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33318 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7252 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33324 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7253 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33330 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7256 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 33336 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7257 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 33342 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7258 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 33348 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7261 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 33354 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7262 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 33360 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7263 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 33366 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7281 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33381 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7293 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33397 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7306 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33412 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7319 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33418 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7320 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33424 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7323 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33430 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7324 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33436 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33442 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33448 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7333 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33454 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33460 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7340 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33471 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7352 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33482 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7359 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33493 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7366 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33505 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7380 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33511 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33517 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33523 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33529 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7402 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33542 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7411 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33555 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7420 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33568 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7429 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33581 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7438 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33594 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7449 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 33600 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7450 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 33606 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7451 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33612 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7452 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33618 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7453 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 33624 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7464 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33636 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7478 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33642 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7480 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33652 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7486 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33663 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33671 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33680 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33689 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7513 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33703 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7554 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 33711 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 33719 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 33727 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7566 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 33736 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7573 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33742 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7574 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33748 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7579 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33759 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7588 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33765 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33771 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33777 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7596 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33783 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7604 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE), (yylsp[-3]));
				}
#line 33791 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7608 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[-4]));
				}
#line 33799 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7612 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33807 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7616 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 33815 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7620 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 33823 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7624 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 33831 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-2]));
				}
#line 33839 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7632 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-2]));
				}
#line 33847 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7636 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 33855 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33863 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7644 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33871 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33879 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33887 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7656 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33895 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7660 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 33904 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33912 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33920 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7676 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33928 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33936 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33944 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 33952 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33958 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7695 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 33966 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7701 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 33972 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7702 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 33978 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7706 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33984 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7707 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33990 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7711 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34003 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7723 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 34011 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7727 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 34019 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7742 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 34030 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34036 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34042 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7775 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34056 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7785 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34070 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7798 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34084 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7808 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34098 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7821 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34112 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7831 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34126 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7844 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 34138 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7852 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 34144 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 34150 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7856 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 34156 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7861 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34162 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 34168 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7867 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 34174 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 34180 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7874 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 34191 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7892 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34201 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7900 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34207 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7901 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34213 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7906 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 34221 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7910 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34229 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7923 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 34243 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7934 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 34257 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7945 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 34271 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7956 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 34277 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7957 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 34283 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7958 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 34289 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7963 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34303 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7974 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34309 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7975 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34315 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7986 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 34329 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7998 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 34337 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8002 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 34345 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8006 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 34353 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8010 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 34361 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8017 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 34374 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8037 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 34387 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8046 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 34400 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8055 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34413 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8064 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34426 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8074 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 34432 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8075 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 34438 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8078 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 34444 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8079 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 34450 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8080 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 34456 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8083 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 34462 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8084 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34468 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8087 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 34474 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8098 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 34487 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8107 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 34500 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8124 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34513 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8133 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34526 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8142 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34539 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8151 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34552 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8160 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34565 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8169 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34578 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8178 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34591 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8187 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34604 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8196 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34617 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8205 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34630 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8214 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34643 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8223 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34656 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8232 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34670 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8242 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34684 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8252 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34697 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8261 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34710 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8270 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34723 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8279 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34736 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8288 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34750 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8298 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34764 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8308 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34778 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8318 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34792 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8328 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34806 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8338 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34820 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8348 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34834 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8358 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34848 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8368 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34862 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8378 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34876 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8388 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34890 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8398 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34904 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8408 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34919 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8419 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34934 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8430 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34949 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8441 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34964 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8452 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34978 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8462 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34992 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8472 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35007 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8483 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35022 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8494 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35036 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8504 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35050 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8514 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 35062 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8522 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35075 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8531 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35088 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8540 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35101 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8549 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35114 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8558 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35127 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8567 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35140 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8576 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35153 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8585 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35166 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8594 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35179 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8603 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35195 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8616 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 35201 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8617 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35207 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8620 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 35213 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8621 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35219 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8632 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35231 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8640 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35244 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8649 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35256 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8657 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35268 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8674 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35281 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8683 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35294 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8692 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35307 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8701 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35320 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8710 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35333 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8719 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35346 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8728 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35359 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8737 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35372 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8746 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35385 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8755 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35398 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8764 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35411 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8773 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35424 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8782 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35437 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8791 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35450 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8800 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35463 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8809 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35476 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8818 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35489 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8827 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35502 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8836 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35515 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8845 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35528 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8854 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35541 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8863 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35554 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8872 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35567 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8881 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35580 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8890 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35593 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8908 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35604 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35610 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35616 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8921 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 35622 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8923 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 35628 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8928 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 35634 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8929 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 35640 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8930 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 35646 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8931 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 35652 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8932 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 35658 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8942 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35670 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8950 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35682 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8958 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35694 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8966 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35706 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8974 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35718 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8982 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35730 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8990 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35742 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8998 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35754 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9006 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35766 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9014 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35778 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9022 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35790 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9030 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35802 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9038 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35814 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9046 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35826 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9054 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35838 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9062 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35850 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9070 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35862 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9078 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35874 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9086 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35886 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9094 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35898 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9102 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35910 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9110 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35922 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9128 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = TRUE;
					}
					(yyval.node) = (Node *)n;
				}
#line 35942 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9146 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35948 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9147 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35954 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9152 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 35962 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9156 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeInteger(TRUE);
				}
#line 35970 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9176 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35981 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9183 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 35993 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9191 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 36005 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9199 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 36017 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9216 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36031 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9229 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 36039 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 36047 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9239 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 36053 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9249 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36066 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9258 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36079 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9267 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36092 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9276 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36106 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9286 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(TRUE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 36120 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9296 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(FALSE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 36134 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9314 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36146 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9322 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36158 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9340 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36174 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9354 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36180 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9355 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36186 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9356 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36192 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9362 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 36202 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9368 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 36212 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9384 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36218 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9385 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36224 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9388 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 36230 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9389 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 36236 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9390 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 36242 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9391 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 36248 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9395 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36254 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9396 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36260 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9397 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36266 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9410 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36277 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9419 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36283 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9420 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36289 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9424 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36299 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9433 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36309 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9439 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 36319 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9458 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36330 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9465 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36341 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9472 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36352 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9479 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36363 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9486 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36374 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9493 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36385 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9500 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36397 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9508 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-2])));
					(yyval.node) = (Node *)n;
				}
#line 36409 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9516 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36421 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9524 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-4])));
					(yyval.node) = (Node *)n;
				}
#line 36433 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9532 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 36445 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9540 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36456 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9547 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36467 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9554 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36478 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9562 "gram.y" /* yacc.c:1646  */
    {}
#line 36484 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9563 "gram.y" /* yacc.c:1646  */
    {}
#line 36490 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9564 "gram.y" /* yacc.c:1646  */
    {}
#line 36496 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9569 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 36503 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9572 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1])), (yylsp[-1])); }
#line 36510 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9575 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36517 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9578 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0])), (yylsp[0])); }
#line 36524 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9581 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36531 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9588 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36537 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36543 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9592 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36549 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9598 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36555 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9612 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36571 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9625 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36587 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9638 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36608 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9656 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36629 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9675 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36635 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9676 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36641 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9677 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 36647 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9678 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 36653 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9689 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36663 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9705 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36674 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9714 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36680 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9715 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36686 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9719 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36692 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9720 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36698 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9725 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 36706 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9729 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 36714 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9733 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 36722 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9750 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36728 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9751 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 36734 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9752 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36740 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9753 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36746 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9754 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36752 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9755 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36758 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9756 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36764 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9763 "gram.y" /* yacc.c:1646  */
    {}
#line 36770 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9764 "gram.y" /* yacc.c:1646  */
    {}
#line 36776 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9776 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36787 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9783 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36798 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9790 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 36810 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9801 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36821 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9818 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 36832 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9825 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 36843 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9841 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 36853 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9858 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36863 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9864 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36873 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9880 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 36886 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9893 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36898 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9902 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36909 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9910 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36920 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9918 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36932 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9927 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36946 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9938 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36960 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9949 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36972 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9958 "gram.y" /* yacc.c:1646  */
    {}
#line 36978 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9959 "gram.y" /* yacc.c:1646  */
    {}
#line 36984 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9971 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36995 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9981 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 37010 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9992 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 37025 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 10003 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 37040 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 10014 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 37055 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 10025 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 37068 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 10034 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 37081 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 10045 "gram.y" /* yacc.c:1646  */
    {}
#line 37087 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 10046 "gram.y" /* yacc.c:1646  */
    {}
#line 37093 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 10062 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 37107 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10084 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 37119 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10092 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 37131 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10101 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 37143 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10111 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37149 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10112 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37155 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10125 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37173 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10139 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37191 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10153 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
#line 37207 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10165 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37219 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10173 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 37233 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10185 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37239 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10186 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 37245 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10190 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 37251 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10191 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 37257 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10192 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 37263 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10193 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 37269 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10195 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 37283 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10208 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37297 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10218 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37311 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10230 "gram.y" /* yacc.c:1646  */
    {}
#line 37317 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10231 "gram.y" /* yacc.c:1646  */
    {}
#line 37323 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10235 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37329 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10236 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37335 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10239 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37341 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10240 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37347 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10243 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37353 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10244 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37359 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10248 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37365 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37371 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10263 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37382 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10270 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37396 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10280 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37407 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10287 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37418 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10309 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 37426 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10313 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 37434 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10320 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 37442 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10326 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37448 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10327 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 37454 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10331 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37460 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10332 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 37466 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10333 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37472 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10344 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37484 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10353 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37490 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10354 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37496 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10372 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37507 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10380 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 37526 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10396 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37532 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37538 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10408 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37548 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10414 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37558 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10420 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37568 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10426 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37578 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10443 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 37590 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 37598 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10464 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 37607 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37617 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10478 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37628 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37638 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10491 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37649 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10498 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 37659 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10506 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 37665 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10507 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 37671 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10512 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37677 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10514 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 37683 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10519 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37695 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 37708 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10540 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 37721 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10549 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 37729 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 37741 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10565 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 37753 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 37761 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10579 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37767 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10580 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37773 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10593 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 37787 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10605 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37793 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37799 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10618 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37812 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10628 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 37818 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10629 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37824 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10632 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 37830 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10633 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 37836 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10634 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 37842 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10635 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 37848 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10636 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 37854 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10637 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 37860 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10638 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 37866 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10639 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37872 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10642 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37878 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10643 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37884 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10647 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 37890 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10648 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 37896 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10649 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 37902 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10665 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 37917 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10678 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37923 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 37929 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10684 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 37938 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10689 "gram.y" /* yacc.c:1646  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 37963 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10713 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37975 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37981 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10724 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 37987 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10735 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 38000 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10745 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38006 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10748 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38012 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10749 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 38018 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10750 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 38024 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10751 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 38030 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10752 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 38036 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10755 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38042 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10756 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 38048 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10757 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38054 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10810 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38060 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10811 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38066 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10826 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38072 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10828 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 38083 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10835 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 38095 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10843 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 38107 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10851 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 38119 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10859 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 38131 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10867 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 38143 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10875 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 38155 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10885 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38161 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38167 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10916 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38183 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10930 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38200 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10942 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38206 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10944 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 38229 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10963 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38237 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10967 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38245 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10971 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38253 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10988 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 38264 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10995 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 38275 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 11002 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 38286 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 11011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38292 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 11012 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38298 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 11016 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 38311 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 11027 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 38317 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 11028 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 38323 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 11033 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 38338 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 11044 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 38344 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 11053 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38353 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 11058 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38362 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 11063 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38371 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 11068 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38380 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 11073 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38392 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 11081 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38404 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 11089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 38413 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38422 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38431 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11105 "gram.y" /* yacc.c:1646  */
    {}
#line 38437 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11106 "gram.y" /* yacc.c:1646  */
    {}
#line 38443 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11110 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 38449 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11111 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 38455 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11112 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 38461 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 11119 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 38467 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 11120 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38473 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 11124 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 38479 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 11125 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38485 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 11129 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 38491 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 11130 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38497 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11134 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38503 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 38509 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11139 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 38515 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11143 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 38528 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11152 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 38541 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11164 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 38547 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11165 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 38553 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11166 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 38559 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11167 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 38565 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11171 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38571 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11172 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 38577 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11177 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38583 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11179 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 38596 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11195 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 38602 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11197 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 38608 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11202 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38614 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11205 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38620 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11209 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38626 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11211 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 38635 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11218 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38641 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11238 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38647 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11240 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38653 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11242 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 38659 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11246 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 38665 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11247 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 38671 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11251 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38677 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11252 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38683 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11255 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38689 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11256 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38695 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38701 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38707 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38713 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 38719 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11291 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38725 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11292 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38731 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11293 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38737 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11294 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38743 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11295 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38749 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 38757 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11313 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38765 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11320 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38773 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11327 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38781 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11333 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38787 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11334 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38793 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38799 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11339 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38805 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38811 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38817 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38823 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 38829 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11354 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38841 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11364 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 38847 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11365 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 38853 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11366 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 38859 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11367 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 38865 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38871 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38877 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11383 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38887 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11389 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38897 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38903 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38909 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11411 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38915 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38921 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11419 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 38930 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11424 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 38942 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11432 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38953 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11439 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38965 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11447 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38975 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11453 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38986 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11460 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 39025 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11495 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 39054 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11520 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 39062 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11524 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 39071 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 39079 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11554 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 39095 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11566 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 39112 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11579 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 39130 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11593 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 39145 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11604 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 39161 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 39171 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 39180 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11630 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 39190 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11636 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 39199 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11642 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 39205 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11643 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 39211 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 39219 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11656 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 39227 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11660 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 39237 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11666 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 39247 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 39255 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11677 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 39261 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11678 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 39267 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11679 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 39273 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11680 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 39279 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11684 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39285 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11685 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39291 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11697 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 39297 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11698 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39303 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11704 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 39314 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11711 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 39325 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11718 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 39336 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11725 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 39347 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11735 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 39353 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11736 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 39359 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11750 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 39367 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11754 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 39378 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11761 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39389 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11774 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 39403 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11786 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 39409 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11787 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39415 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11803 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39429 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11813 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39443 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11825 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 39449 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11829 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 39455 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11830 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 39461 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39467 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39473 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11837 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39479 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11838 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39485 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39491 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11844 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39497 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11849 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39503 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11851 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 39515 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39521 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39527 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39533 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11869 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 39541 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11873 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 39549 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11879 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 39572 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11904 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 39586 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11915 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 39600 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11926 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39606 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39612 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 11932 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 39630 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 11946 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 39691 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12003 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 39706 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12017 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39712 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39718 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12024 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 39724 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12026 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 39730 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12028 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 39736 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12030 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 39742 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12035 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39748 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39754 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 39766 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39778 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 39787 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 39797 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 39806 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 39816 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 39825 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 39835 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12107 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 39841 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12109 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 39847 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12111 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 39853 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12115 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39859 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12116 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39865 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12117 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39871 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12118 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39877 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12119 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39883 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12121 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 39892 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12126 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 39902 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12145 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39908 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12146 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39914 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12147 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39920 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12148 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39926 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39936 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12166 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 39946 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12173 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39952 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12174 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39958 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12181 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39967 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12186 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39976 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12191 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39985 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39994 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 40003 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12206 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40012 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12211 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40021 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40031 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40041 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12228 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40051 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 40060 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12241 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 40085 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 40093 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12272 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40101 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12276 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40109 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12284 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40117 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12288 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 40126 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12296 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40139 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12308 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40157 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12329 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40165 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40173 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12339 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40181 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12343 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 40196 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40206 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12364 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 40218 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12374 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40224 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12376 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40230 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12378 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 40236 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12380 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40242 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12382 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40248 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12384 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40254 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12388 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 40260 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12389 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 40266 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12397 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40279 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12406 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40291 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12414 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40304 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12423 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40316 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 40325 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12441 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 40331 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12442 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 40337 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12443 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 40343 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 40349 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12450 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 40355 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12452 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 40361 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12454 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 40367 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12456 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 40373 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12458 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40379 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 40388 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 40397 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40407 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40419 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40428 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40439 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40449 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12502 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40455 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12507 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 40463 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12511 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 40472 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12546 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40478 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 40484 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12550 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 40496 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 40506 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12573 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40512 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12575 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40518 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40524 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12579 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40530 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40536 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12583 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40542 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12585 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40548 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12587 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40554 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12589 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40560 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12591 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40566 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12593 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40572 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12595 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40578 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12597 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40584 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12599 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40590 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12602 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40596 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12604 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40602 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12606 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 40608 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12609 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40614 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12611 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40620 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12613 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40626 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12615 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40632 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40641 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12623 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40653 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40662 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12636 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40674 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12644 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40683 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12649 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40695 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40704 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12662 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40716 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12671 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 40728 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12679 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40740 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12687 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40752 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12695 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 40764 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12713 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 40776 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12721 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40788 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12729 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40800 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12737 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40812 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12745 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 40832 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12761 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40844 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12769 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40856 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12777 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40868 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12785 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40880 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12793 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40892 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12801 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40904 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12809 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 40912 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12813 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 40920 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12817 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 40928 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12821 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 40936 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12825 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40948 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12833 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40960 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12841 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40972 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40984 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12857 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 41008 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12877 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 41034 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12899 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 41049 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12910 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 41060 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12917 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 41080 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12933 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 41089 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12938 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 41099 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12944 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 41117 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41123 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12971 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 41129 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12973 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 41135 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12975 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 41141 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12977 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41147 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12979 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41153 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12981 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41159 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12983 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41165 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12985 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41171 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12987 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41177 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12989 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41183 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12991 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41189 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 12993 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41195 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 12995 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41201 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 12997 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41207 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 12999 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41213 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 13001 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41219 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 13003 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 41225 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 13005 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 41231 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 13007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 41239 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 13011 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 41247 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 13015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41255 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 13019 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 41263 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 13023 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 41272 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 13028 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 41282 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 13043 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41288 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13044 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41294 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13046 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 41313 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13061 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 41351 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13095 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41357 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13097 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41363 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13099 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 41378 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13110 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 41406 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13134 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41421 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13145 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41436 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13156 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41447 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13163 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41461 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13173 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41475 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13183 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 41486 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 41494 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13196 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41504 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13202 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41515 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13209 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41526 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13216 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 41540 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13226 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41551 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13233 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41571 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13261 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 41610 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41616 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13306 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41622 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13307 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41628 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13315 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 41638 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13321 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 41646 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13325 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 41654 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13329 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41662 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 41670 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41678 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13341 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 41686 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13345 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41694 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13349 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 41702 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41710 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 41718 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 41726 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13365 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 41734 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 41742 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13373 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 41750 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13377 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 41758 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13381 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 41764 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41772 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13387 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41785 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13396 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41794 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13401 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41805 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13408 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 41824 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13423 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41835 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41843 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41851 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13438 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41859 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13442 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 41867 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13446 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 41878 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13453 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41890 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13461 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41902 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41910 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 41918 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 41926 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 41934 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 41942 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13489 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 41952 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13495 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 41960 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13499 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 41973 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 13508 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 41981 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 13512 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41989 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 13516 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41998 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13521 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 42011 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13535 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42017 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13537 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 42023 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 42029 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13543 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 42035 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 42041 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 42047 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13550 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42053 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13553 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 42059 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13554 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 42065 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 42077 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 42089 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13575 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 42095 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13576 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 42101 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13579 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 42107 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13580 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 42113 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13581 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 42119 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13587 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42127 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 42135 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42143 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 42151 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42157 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13610 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42163 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13614 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 42169 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13615 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42175 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13623 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42181 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42187 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13628 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 42193 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 42199 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13635 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 42209 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13643 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 42215 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13645 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 42232 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13658 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 42238 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13663 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 42256 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13688 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42262 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13689 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 42268 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42274 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42280 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13705 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 42302 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13723 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 42312 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13729 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42324 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13739 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 42345 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13756 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 42386 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13801 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42398 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13809 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42410 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13817 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42422 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13825 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42434 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 13833 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42446 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 13853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42452 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 13854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42458 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 13855 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42464 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 13858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42470 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 13859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42476 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 13862 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42482 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 13865 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42488 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 13866 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42494 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 13867 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 42500 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 13870 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42506 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 13871 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42512 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 13874 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 42518 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 13875 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 42524 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 13876 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 42530 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 13877 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 42536 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 13878 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 42542 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 13879 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 42548 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 13880 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 42554 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 13881 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 42560 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 13882 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 42566 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 13883 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 42572 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 13884 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 42578 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 13885 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 42584 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 13889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42590 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 13891 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42596 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 13896 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42602 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 13898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42608 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 13903 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42614 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 13905 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42620 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 13907 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 42626 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 13909 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 42632 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 13911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 42638 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 13913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 42644 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 13925 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42652 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 13929 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42660 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 13936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42668 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 13940 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42676 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 13946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42684 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 13950 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42697 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 13959 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42710 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 13969 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 42716 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 13970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 42722 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 13974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42730 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 13978 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42738 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 13982 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 42746 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 13987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42752 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 13988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 42758 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 13994 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 42766 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 13997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42772 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 14004 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42778 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 14005 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 42784 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 14006 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 42790 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 14007 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 42796 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 14008 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 42802 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 14009 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 42808 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 14010 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 42814 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 14011 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42820 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 14022 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42828 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 14026 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42836 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 14033 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42842 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 14039 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 42848 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 14040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42854 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 14057 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42862 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 14061 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 42871 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 14066 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42879 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 14070 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 42898 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 14085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 42906 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 14089 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42912 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 14093 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42918 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 14096 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42924 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 14099 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 42930 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 14100 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42936 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 14101 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42942 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 14105 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 42953 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 14111 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 42959 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 14122 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 42973 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 14135 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42979 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 14136 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42985 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 14141 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 42997 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 14151 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43003 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 14152 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43009 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 14155 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43015 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 14156 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43021 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 14160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 43029 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 14164 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 43037 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 14171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 43045 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 14175 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 43053 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 14179 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 43065 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 14187 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 43077 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 14197 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43083 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 14198 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43089 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 14202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43095 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 14203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 43101 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 14207 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43107 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 14208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 43113 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 14222 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43119 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 14223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43125 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 14227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43131 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 14228 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 43137 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 14232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 43149 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 14248 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 43161 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 14256 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 43173 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 14264 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 43189 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 14285 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 43195 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 14286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 43201 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 14298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 43209 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 14302 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 43238 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 14329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43244 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 14331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 43250 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 14335 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43256 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 14338 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43262 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 14341 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43268 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 14343 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43274 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 14345 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43280 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 14347 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43286 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 14358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43292 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 14360 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 43301 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 14371 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 43309 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 14375 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43317 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 14379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43325 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 14383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43333 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 14387 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43346 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 14396 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43357 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 14403 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43393 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 14435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 43401 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 14439 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 43411 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 14445 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43422 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 14452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 43430 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 14456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 43438 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 14460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 43446 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 14465 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43452 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 14466 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43458 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 14468 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43464 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 14469 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 43470 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 14470 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 43476 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 14475 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
					}
				}
#line 43508 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 14505 "gram.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 43539 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 14532 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 43547 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 14536 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 43555 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 14542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 43561 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 14544 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 43567 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 14560 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43573 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 14561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43579 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 14562 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43585 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 14567 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43591 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 14568 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43597 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 14569 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43603 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 14574 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43609 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 14575 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43615 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 14576 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43621 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 14577 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43627 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 14583 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43633 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 14584 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43639 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 14585 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43645 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 14586 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43651 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 14587 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43657 "gram.c" /* yacc.c:1646  */
    break;


#line 43661 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15076 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
